Overview

The Roughneck Platinum Edition is a Fully Loaded Accounting System for Oil and Gas Operators. It has lots of options and flexibility for Billing Investors and Disbursing Revenue. It can handle up to 99 different companies (in one data directory) and each company can have up to 99,999 wells with different Owners for each well.

Roughneck has been around since 1979, so it has lots of features that have been developed over the years.

FEATURES

  • User Friendly - with all the features of any modern Windows program.
  • A step by step Tutorial for training New Users.
  • Help system contains Pictures and Examples.
  • Contains many System Self Checks for verification of data.
  • Has a section on Accounting for Dummies.
  • Has a section on Oil and Gas for Dummies.
  • Has many Time Saving Tools to aid in quicker setup of your data.
  • Produces Financial reporting for your Company - P&L's, Balance Sheet, all other info your accountant needs for taxes at year end.
  • Produces Financial reporting for each Well - Cost Reports, P&L for Working Interest & Company Interest, Well Analysis
  • Complete Billing and Revenue Disbursement system to Investors.
  • Can combine Billing of Expenses and Revenue Disbursement into one Operating Statement.
  • Has many options for handling NetOuts, Minimum Check Amounts, PrePayments and Suspense.
  • Email Operating Statements option - saves time and postage.
  • Has many Setup Features to help you configure Printing of Operating Statements, Reports and Checks.
  • Has a Preview Feature that lets you View a report on Screen instead of Printing to Paper.
  • Let's you Save Reports to a file, so you can print or view later.
  • Allows for Easy Editing and/or Deleting of Transactions.
  • Complete internal Backup and Restore routines - for making quick temporary backups.
  • Complete General Ledger, Accounts Payable, Accounts Receivable and Payroll systems.
  • Wish Lists - Users actually contribute and provide input to each new Release.
  • Quick Checks - let's your write a check on the fly.
  • ... and much more

THE NORMAL ACCOUNTING CYCLE

Enter Expenses

Enter Payments Received from Investors

Enter a Run Check

Print Operating Statement (Billing and Disburse Revenue)

Print Revenue Checks

Update for Statements and Checks

Close Period Accounting Cycle - Print Financials, etc...

Begin NORMAL CYCLE again

Roughneck Help System 02/15/07 10:30 am Copyright © 2006, Roughneck Systems Inc.


How to Use Help

Roughneck Help System 02/15/07 10:30 am Copyright © 2006, Roughneck Systems Inc.


Tutorial for New Users

The Roughneck Platinum Edition is a Fully Loaded Accounting System for Oil and Gas Operators. It has lots of options and flexibility for Billing Investors and Disbursing Revenue. It can handle up to 99 different companies (in one data directory) and each company can have up 99,999 wells with different Owners for each well.

Entries to the General Ledger accounts determine whether an entry is Expense or Revenue and whether it is to be passed-on to the Investors.

Unfortunately, Oil and Gas Accounting is not an easy subject, but spending time with the Tutorial is normally enough to get most operators up and running. Unless:

You know little about Bookkeeping (debits and credits). See Accounting for Dummies

You know little about the Oil and Gas business. See Oil and Gas for Dummies

You know little about computers and the Windows operating system.

If you are weak in one or more of the above, quite naturally it may take you longer, and you might consider buying an 'Elementary' book on your weak area.

In This Section

The tutorial uses Sample Data that came with the Roughneck. The Sample Data Files are normally (unless you changed it) installed in the C:\RPLATE\PEDATA directory. In it's original state, Roughneck defaults to this Sample Data directory. However, if you have already installed your Real Data, be sure you are using the Sample Data and not your Real Data. If you need to change to the Sample Data, see Change Data Directory .

How to Use the Main Menu

How to Print the Master Files of the Sample Data

Entering Expenses

How to Add an Accounts Payable Invoice

How to Enter a Journal Entry

How to Enter a Recurring Journal Entry

How to Enter a Run Check

How to Print Operating Statements and Revenue Checks for Investors

How to Close the Monthly Accounting Cycle

How to Post Payments from the Investors

How to Enter Debit & Credit for a Hand Written Check

How to Print Computer Generated Checks for Accounts Payable

You can consult the applicable section of the Help System for more information on any particular routine used in the Tutorial.


Main Menu

This is a picture of the Main Menu and how it works.

You can use the Quick buttons or Quick Menu for frequently used routines.


Print Master Files of Sample Data

The tutorial uses Sample Data that came with the Roughneck. The Sample Data Files are normally (unless you changed it) installed in the C:\RPLATE\PEDATA directory. In it's original state, Roughneck defaults to this Sample Data directory. However, if you have already installed your Real Data, be sure you are using the Sample Data and not your Real Data. If you need to change to the Sample Data, see Change Data Directory . Your current data directory is always listed at the top right of the screen.

Click Master on the Drop Down Menu to see a list of your Master Files.

Select Company Heading.

COMPANY HEADINGS TAB

On this tab, you can Add, Edit and Delete data. To the left of the Add Button (down at the bottom), it displays the Status of the current record - whether Active or Marked for Deletion, and the Number of the record.

BROWSE TAB

If you click on the Browse Tab, the following screen appears.

Notice that in the Sample Data you have 3 companies entered. We will be using Company Number 01 - Netmeout Coporation - for our tutorial exercise.

To print a list of this file, go back to the Company Headings Tab, then click the Printer Button. See Printer Button for info on how to Print to Paper, Print to a File, or Preview a Report.

Below is an example for Printing the Company Chart of Accounts file.

We will print the GL Chart of Accounts for company number 01.

Select Master from the Drop Down Menu, then Company Chart of Accounts.

Click on the Filter tab.

Set Company Number to 01 and be sure to check Show Zero Balance Accounts in Report. Otherwise, nothing will appear in the report, because all the original Sample Data has a Zero Balance.

Click the Printer Button . See Printer Button for info on how to Print to Paper, Print to a File, or Preview a Report.

FILTERS: Prior to printing each report, except Company Headings where there is no filter, you need to complete the filter for the report. To do that, click on the Filter Tab. Set the Company Number to 01, and click on the Set Filter/Order button. When you enter values into a filter, only records that meet those conditions are accessed, i.e. listed in the report. For example, if you enter the letter A as the filter for a Name, then only records that start with the letter A are listed.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

PRINT ALL OF YOUR MASTER FILES FOR COMPANY 01

So you can see the data we will be using during the Tutorial, print a list of your Master Files for

Company Headings

Company Chart of Accounts

Vendor

Owner/Customer

Unit/Wells

Division of Interest

Unit Chart of Accounts

All the Print routines for the Master Files work the same way. For more info on layouts and fields for any Master File see that particular File in Master File Structures .

Related Topics

Printer Button


Add an A/P Invoice

Add Accounts Payable Invoice

Invoices that have not been paid are entered using the Accounts Payable Programs. Accounts Payable keeps track of money your company owes to Vendors.

TUTORIAL SCENARIO:

We will assume we have received an invoice from ACME OILFIELD SERVICES.

It has 2 line items (charges).

$100 for Trucking and Hauling and $100 for Labor and Installation.

The work was done on Well #1 of our Sample Data.

There are 3 ways you can get to the Add A/P Invoice Screen, as well as several other operations. It doesn't matter which method you use. The Quick Menu and Quick buttons are designed to save you time when you become more proficient.

1) From the Drop Down Menu, select A/P, select Invoices, then Add.

2) From the Quick buttons on the far left of the Main Screen, you can click on the +A/P button.

3) From the Quick Menu, select Accounts Payable, then Add Invoice.

The system displays a Full Screen Layout for Invoices.

Add the first charge on the make believe Invoice for Trucking & Hauling.

If you look on your List of Vendors, you will see that Acme Oilfield Services is Vendor Number 10000.

If you look on your Company Chart of Accounts, you will see that Trucking & Hauling is GL Number 71330.

If you look on your list of Units/Wells, you will see that Well #1 is Unit Number 10000-01.

We will assume the DOI Status Level for the well is 1.

Fill in the data as shown above.

Click Save to save the info, and then Continue, to add the next item on the Invoice. (Most invoices have more than one charge)

Note, that since we selected Save then Continue, all the info at the top of the screen remains the same.

Change the GL Number as shown in above image to reflect that charge. We could also change the Unit Number (Well Number), if needed, but for the tutorial we will leave it the same.

Note: GL Number 21000 is hard coded for Accounts Payable. Roughneck will make an automatic Credit to that GL Number for Accounts Payable Invoices. See GL Number Restrictions .

Click Save then Exit.

We have finished adding an AP Invoice into the system.

NOTES ON A/P INVOICE FIELDS

For Fields not used, or to accept the Default Value for a Field, you may depress the <enter> key to bypass.

INVOICE NUMBER: You can use up to 19 characters for the invoice number. Alpha characters are acceptable.

Note: To enter a credit Invoice , the last character of the Invoice Number must be a "C".

TYPE (R/S/BLANK): To enter a Service or Rental Invoice, type in "S" or "R" respectively. This is appended to the end of the invoice number automatically. When invoices are Paid, Government Form 1099 values are updated in the Vendor file only if type is "R" or "S". Leaving this blank will not update any Government Form 1099 values in the vendor file.

INVOICE DATE: This date always defaults to the Transaction Date, but may be changed. It is the date the invoice was incurred. The default Transaction Date always defaults to Today's Date, but can be changed by using Change Default Transaction Date .

DUE DATE: Date the Invoice becomes due. This date initially defaults to the Transaction Date. It is re-calculated after entering the Invoice Date from the Terms of the Vendor as stored in the Vendor file. The Terms of the Vendor, as stated in the Vendor Master file , are added to the Invoice Date to determine the Due Date.

TRANSACTION DATE: This date is used when specifying Beginning and Ending Dates for Operating Statements, Period Close routines, etc… For the Training Session use the default Transaction date for all entries, such as 05/07/2006. The default Transaction Date always defaults to Today's Date, but can be changed by using Change Default Transaction Date .

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

DISCOUNT DAYS: Number of days within which you can pay the invoice and receive a discount.

DISCOUNT AMOUNT: This is the actual amount (not percentage) of the discount if you pay the invoice early (within the specified number of Discount Days).

G/L NUMBER: This is the Expense General Ledger Number that is debited. Do not use the Accounts Payable G/L Number 21000. Roughneck automatically posts a credit to Accounts Payable GL number 21000. Debits and credits are stored in the Transactions File. Investors are billed their share for G/L #’s in the range of 71001 to 75999 when Operating Statements are printed. See GL Number Restrictions and Accounting for Dummies for more.

DESCRIPTION: This is any Extra description you want printed on the Operating Statements for the Investors. The description of the G/L account is always printed and sometimes that is enough. But if you want more than the G/L description, enter it here.

UNIT NUMBER: This is normally the Well Number but the Unit Number could, in special situations, be used to denote a Group of Wells, a Lease, etc... Most operators always use this Number to designate a specific Well, but the choice is yours.

DOI STATUS LEVEL: Used to indicate which percentage in the DOI file to use for billing the Investors. In the Division of Interest file each Investor can have up to 8 different percentages on a Unit. For example, a percentage for Drilling, Completion, Normal Operating, etc… The status entered here for each transaction indicates which Expense percentage to use for investors from the Division of Interest File. For Example, if the status to use is 2, for Revenue, Tax, and Expense Transactions, then the percentages used from the DOI file would be REV2, TAX2, and EXP2. The status initially defaults to the status stored in the Unit file allowing you to depress the <enter> key to accept the default value. If no Unit Number is entered the Status defaults to 0.

AMOUNT: This is the amount for the line item of the invoice. If there is only one line item on an invoice, then of course this amount is the total amount.

NOTES ON POSTING TO MASTER UNIT:

The gross amount of invoice will be divided evenly among all units that belong to the master unit. Any rounding of pennies will be distributed to the last unit within the master unit if necessary. After the gross amount of invoice has been distributed evenly to each well, then that amount will be distributed accordinly to each investor as to what their individual percentage is.

STATUS LEVEL: The default status of each unit in the Unit/Well file will be used for billing Investors.

NOTES ON POSTING TO ALL UNITS

The gross amount entered for this invoice will be divided evenly among all units that belong to this company. A company may charge amounts such as postage to all units. You may set the company up as a vendor in the Vendor file. Most companies post a JED payment application to the Accounts Payable invoice and credit income for the postage charged. Other companies may wish to cut a check for the Accounts Payable invoice to the company as a vendor.

The gross amount of invoice will be divided evenly among all units that belong to this company. Any rounding of pennies will be distributed to the last unit that belongs to the company. General ledger numbers 71001 to 75999 are used to bill Investors for expenses when printing Operating Statements. Any other general ledger number and Investors are not billed.

FILES UPDATED WHEN ADDING AP INVOICES

APDET - The Accounts Payable Detail file. The invoice will reflect the total amount of the invoice for all line items.

APREG - Posting Register for Accounts Payable.

TRAN - For a normal invoice: The specified general ledger number is debited for each line item and each unit, Accounts Payable (general ledger number 21000) is credited for the total amount of the invoice for all line items. For a credit invoice: The specified general ledger number is credited for each line item and each unit, Accounts Payable (general ledger number 21000) is debited for the total amount of the invoice for all line items.

VENDOR – Year to date balances, year to date 1099 rental/service, year to date fed withhold tax or year to date state withhold tax when Accounts Payable invoices are paid.

Reports To Verify Accounts Payable Entries

Monthly Transaction Listing - Should contain every debit and credit entered and total to zero.

A/P Posting Register - The Period Total of this register should always equal the Period Totals in the Monthly Trial Balance for GL Number 21000 - Accounts Payable.

A/P Inquiry Report - The Company total of this report should always equal the Ending Balance for the Company in the Monthly Trial Balance report for GL Number 21000 - Accounts Payable.

Monthly Trial Balance - Should balance to zero, and the period totals for Accounts Payable should be the same as the period totals for their respective Posting Registers (when using the same beginning and ending date).

Related Topics

How to Edit or Delete AP Invoice, Payment or JE ~ How to Print Computer Checks for AP Invoices ~ How to Use ReCurrent (Repeating) AP Invoices ~ How to Track Accounts Payable on Unit by Unit Basis ~ Accounting for Dummies ~ GL Number Restrictions ~ Government Forms


Enter a Journal Entry

This is the system used to enter any kind of General Journal Entry - a Debit and a Credit. You can enter any kind of General Journal Entry (Debit and Credit) here. See Accounting for Dummies

TUTORIAL SCENARIO

This will be an example of making a Cash Disbursement - an expense that you have paid, most likely you issued a hand written check for this expense. It is entered by Adding A GL Transaction. It does not go through Accounts Payable, since you already paid it. In accounting, a Cash Disbursement consists of debiting the Expense and crediting the Cash, both for the amount of the expense.

For a Cash Disbursement, you must enter two transactions, one for the credit to your Cash Account - G/L Number 10000 to 19999 (see your printout of Company Chart of Accounts) and the other to debit the Expense Account. If the expense is to be billed to the Investors, it should be debited to one of the Billable Expense G/L Numbers from 71000 to 75999. See GL Number Restrictions .

We will assume you wrote 2 manual checks (not computer generated checks) for 2 different Cash Disbursements.

$500 for Chemical Treatment (which is GL Number 74040 in the Sample data) on Well #1

$100 for Office Rent (GL Number 76200)

The Chemical Treatment check is a Billable Expense to Investors. See GL Number Restrictions .

The Office Rent check is NOT billable to Investors.

Both checks were written on your Cash Account in the First National Bank (11010). Note: The Bank program will be updated for the check written.

To enter Both Disbursements, you will:

Debit 74040 for 500 dollars (Chemical Treatment Check)

Credit 11010 for 500 dollars.

Debit 76200 for 1000 dollars (Office Rent Check)

Credit 11010 for 1000 dollars.

ENTER JOURNAL ENTRIES FOR A CASH DISBURSEMENT

A Cash Disbursement is entered through the Add Transaction screen. There are 3 ways you can get to the Add Transaction Screen.. It doesn't matter which method you use. The Quick Menu and Quick buttons are designed to save you time when you become more proficient.

1) From the Drop Down Menu, select Transactions, then Transactions again, then Add.

2) From the Quick buttons on the far left of the Main Screen, you can click on the +Trans button.

3) From the Quick Menu, select Transactions, then Add GL Transactions.

Using one of the methods above will take you to the following screen.

Debit for the Chemical Treatment by entering values as appear on above image.

Click Save.

Then Click Continue to add the Credit to the Cash account for the same check.

Note: When we use the Save then Continue option, the top of the screen remains the same.

To Credit Cash account for Check Number 111, complete as in image above. You only need to change two fields as indicated in above image.

Click Save. That completes the Debits and Credits for the first check.

For the next check.

Click Add to add the transactions (Debit and Credit) for the next check you wrote for Office Rent.

Enter the Debit for the Office Rent check you wrote for the Tyler Office as above.

Click Save. Then click Continue to add the Credit.

Change the GL Number to 11010 and the Credit/Debit to C, as above.

Click Save.

Be sure you are In Balance. The Debits should equal the Credits and the Difference should be zero.

Click Exit.

You have finished adding the Journal Entries for two Cash Disbursements - two sets of Debits and Credits.

      1. NOTES ON FIELDS FOR TRANSACTIONS FILE

CHECK NUMBER: Used to update the Bank file. We are pretending you wrote a hand written check, and we would enter the number of that check.

DOCUMENT NUMBER: Used as a trace number for the check or invoice. Normally for Cash Disbursements use the check number. Amount of check and check number will be updated to the Bank program.

TRANSACTION DATE: This date is used when specifying beginning and ending dates for Operating Statements, Period Close routines, etc… Use the same transaction date for all entries, such as 01/01/2006.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

SOURCE TYPE AND SOURCE NUMBER: Used to locate and print the source name when printing Operating Statements. The Vendor Number must exist in your Vendor file. Otherwise, only used to help you trace the source of the document. You can enter a blank (<enter>), if you don't use these fields. The source type is the type of file and the source number is the code number used in your file.

G/L NUMBER: The account number used for posting debit and credit entries to the General Ledger. The G/L used must reside in Company Chart of Accounts. For every credit entry, you must have a debit entry to keep the G/L in balance.

UNIT NUMBER: Normally the Well Number. If you don't enter a Unit number, the Transaction is not used when printing Operating Statements.

DOI STATUS LEVEL: Used here the same as for the Accounts Payable Invoice. The status indicates which percentage in the DOI file to use for each investor. The Status defaults to the status value stored in the Unit file, allowing you to depress the <enter> key to quickly accept the default value or you can change the status to be used. If NO Unit Number is entered the Status defaults to zero.

OIL/GAS PRODUCTION DATE: Only necessary when entering a run check for sales and taxes. Used to update monthly production volume for sales and taxes to Well Analysis Report. Production date for sales and tax G/L numbers will be reflected on revenue check stub if detailed is listed.

PRODUCTION TYPE AND PRODUCTION VOLUME: This is only necessary when entering a run check. Production type is used to trigger printing a volume on the Operating Statement and to update the Unit/Well file with production history volumes. Use O for oil or G for gas. Production volume will not be used if type is not O or G. This field is not used here when entering the make believe Cash Disbursement, since it is not a run check and has no bearing on any production volume.

UNIT PRICE: Only necessary when entering a Run Check and it is the price per unit in MCF's or BBL's. Some states now require this to be printed on the Operating Statements.

EXTRA DESCRIPTION: The description entered here is printed on the Operating Statements for the investors. The General Ledger Description is normally printed on Operating Statements, but if you need more description enter it in this field.

AMOUNT: Enter the amount to be posted for this record. After entering the amount, select 0 = Exit for entering cash disbursements.

FILES UPDATED FOR TRANSACTION ENTRIES

TRAN.DBF - Stores all debits and credits.

BANK.DBF - Stores deposits & checks posted to cash account to be used for Bank Reconciliation report.

Reports To Verify Entries

Monthly Transaction Listing - Should contain every debit and credit entered and total to zero.

Related Topics

How to Edit/Delete a Transaction ~ Accounting for Dummies ~ GL Number Restrictions


Enter a Recurring Journal Entry

This routine is used for Transactions (Journal Entries) that Repeat every month. An example is a company charge that is to be billed to Investors every month for something like Administrative Costs of Wells. If they are not Recurring Each Month use the normal Add Journal Entry routine - the process is the same.

Recurring Transactions are stored seperately from the Monthly Transactions. To add them to the Monthly Transaction, you must Append Recurring Transactions to the Monthly file .

TUTORIAL SCENARIO

Let's assume that every month, we charge our Investors $100 for Administrative Charges for some Well #1. This charge arises every month. To keep from having to enter it every month, we will enter it Once in this routine, then after we Close each Month we will Append All of the Repeating Transactions into the Monthly Transaction File. This procedure lets us enter charges like this, and then only once a month, we Append all these charges to the Monthly Transaction file.

We will add a $100 monthly recurring charge for Well 10000. This charge will then be appened each month, and billed to the Investors when Operating Statements are printed.

We will Debit Administrative Charges to Wells (GL Number 74175) See GL Number Restrictions

We will Credit Administrative Income (GL Number 40010)

Note: These charges are expenses to the Investors but are Income to your company.

ADD RECURRING JOURNAL ENTRIES FOR A COMPANY CHARGE TO BE BILLED TO INVESTORS

From the Quick Menu, select Transactions, then Add GL Recurrent Trans.

Enter the Debit as shown in the image above.

Note on Source Type and Number: If the Source Type is "V" for Vendor and you enter a Vendor Number, the Vendors Name is printed on the Operating Statements.

Note: Some operators like to have their Company Name printed as additional description for the transaction to the Investors. For example, if you entered your Company name in the Vendor file for Vendor Number "99999" you could have your company name printed automatically on the Operating Statements by entering "V" for Source Type and "99999" for Source Number.

Note: The first time Recurrent Transactions are added, you must append the new entries to the Transactions file using the 'Append’. After the first time, Recurrent Transactions are normally appended to the Transaction file after each period is closed to set it up for the new period.

Click Save. Then click Continue and we will enter the Credit for the transaction.

Complete the entry for the Credit to Sales as shown in image above.

Click Save, then Click Exit.

You are finished entering a Company Charge for Investors into the Recurrent Transaction file.

Recurring Transactions are stored seperately from the Monthly Transactions. To add them to the Monthly Transaction, you must Append Recurring Transactions to the Monthly file .

To see a listing of Recurrent Transactons

Select Transactions - Recurrent - Edit/Delete

Set the Filter, then click the Print Button .

FILES UPDATED

TRANP.DBF - Stores debits and credits for recurrent transactions entered.

When the transactions are appended, they are added to the

TRAN.DBF - Debits and credits for the Month (Period)

Related Topics

How to Edit/Delete a Recurring Transaction ~ Append Recurring Transactions to the Monthly File ~ Accounting for Dummies ~ GL Number Restrictions ~ How to use Recurrent (Repeating) Accounts Payable Invoices


Enter a Run Check

Journal Enties for Run Checks (Revenue received from the sale of Oil or Gas) are entered through the Run Check Entry routine. It's the same process as entering normal journal entries but, the screen is specifically designed for Run Checks.

TUTORIAL SCENARIO

Normally you enter three transactions,

Credit the sales account (G/L number 30000 to 39999) for the gross amount of the check. See GL Number Restrictions .

Debit taxes (G/L number 50000 to 59999) for the amount of taxes

Debit the cash account (G/L number 10000 to 19999) for the net amount of the check (Gross - Taxes).

Pretend we have a Run Check that needs to be disbursed to the Investors. A Run Check should have a Unit/Well Number, a Gross Amount and a Tax Amount. Normally the taxes are referred to as Cost of Sales. Assume the Run Check is from Pride Pipeline for $8,800 on Well #1. It is for 500 barrels of Oil at Unit price $18.00 per barrel.

This is 500 BBL's of Oil at $18/bbl = $9,000

less $100 for State Tax Oil, and

less $100 for Severance Tax

making a Net Check of $8,800.

The Check was deposited in 1st Nat'l Bank (G/L # 11010).

Our Debits and Credits should be as follows.

Credit Oil Sales (G/L=31010) for $ 9,000 for the Gross Sales

Debit State Tax Oil (G/L=50015) for $ 100

Debit Severance Tax (G/L=50030) for $ 100

Debit Cash - 1st Nat'l Bank (G/L=11010) for $ 8,800 for the Net Check Amount

With the above assumptions of our pretend Run Check we are ready to Begin.

ENER A RUN CHECK

There are 2 ways you can get to the Run Check Entry screen.. It doesn't matter which method you use. The Quick Menu is designed to save you time when you become more proficient.

1) From the Drop Down Menu, select Transactions, then Run Check Entry.

2) From the Quick Menu, select Transactions, then Run Check Entry.

Enter the Credit to Oil Sales as above.

Note: If the field for Compute Taxes is "Y", the following screen will pop-up to allow for a quick entry of taxes. For the Tutorial, we will assume you entered "N" for Compute Taxes, so we can better illustrate the debit and credit entry routine.

Click Save. Then click Continue. We will keep using the Continue option, since all of these transactions for the Run Check pertain to the same document(Run Check).

Enter the Debit of $100 for State Tax, as indicated above. Since we are using the Continue option after each Save, we only have to change three values and don't have to re-enter all the header type data at the top of the screen.

Click Save. Then click Continue again.

Enter the Debit of $100 for Severance Tax, as indicated above. Since we are using the Continue option after each Save, we normally only have to change three values (In this case, we just need to change the GL number since the D/C is the same and the amount is the same as in the last entry).

Enter the Debit of $8,800 Cash on Hand, as indicated above.

Click Save. You are finished. The next screen should indicate you are in balance.

      1. Click Exit.

You are finished entering a Run Check.

FYI: Only transactions with the following GL numbers are used when printing Operating Statements.

See GL Number Restrictions for more info.

30000 to 39999 sales accounts for disbursing revenue

50000 to 59999 cost of sales or taxes for disbursing revenue

71000 to 75999 billable expenses to Investors.

NOTES ON FIELDS FOR RUN CHECK ENTRY

COMPANY NUMBER: The company this run check will be assigned to.

CHECK NUMBER: Normally the Purchasers check number.

TRANSACTION DATE: Used for beginning and ending dates on Operating Statements and end of month processing. You can use the calendar button to find a date for this transaction.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

DOCUMENT NUMBER: Used as a trace number for this transaction or other reference information. (i.e. voucher number, P.O. number)

SOURCE TYPE: Source for this transaction (C = customer).

SOURCE NUMBER: Code number for above source type.

GENERAL LEDGER NUMBER: Code number of general ledger account to be debited or credited.

CREDIT/DEBIT: Enter 'C' for credit or 'D' for debit to general ledger number above. Credits are negative numbers and debits are positive numbers. Sales are usually credited and taxes are usually debited.

UNIT NUMBER: Normally the well number. If no well number is entered the transaction is not used when printing Operating Statements. If no well number entered, the cursor will advance to the extra description field.

DOI STATUS LEVEL: Defaults to the status of the unit. Status may be changed for each transaction. Status determines which DOI owner percentages will be used.

OIL/GAS PRODUCTION DATE: This date will be printed as part of the description field for general ledger numbers 3xxxx and 5xxxx. Production date is used to update sales, taxes and volume to production month at period close. You can use the “calendar button” to find a production date for this transaction.

PRODUCTION TYPE: Must enter either 'O' for oil or 'G' for gas for oil/gas volume to post at period close in the Unit/Well file.

PRODUCTION VOLUME: If 'G' production type for gas is entered, you may enter MCF volume from run check. If 'O' production type for oil is entered, you may enter BBL volume. If you enter zero for no volume, gross sales will not be calculated.

BTU FACTOR: If 'G' production type is entered, you may enter BTU factor. MCF volume will be multiplied times BTU factor to compute MMBTU volume. If 'O' type entered, this field is skipped.

MMBTU VOLUME: MCF volume entered will be multiplied times BTU factor to arrive at MMBTU volume. You may enter MMBTU volume if you do not enter MCF volume or BTU factor. If 'O' type entered, this field will be skipped.

UNIT PRICE: Enter unit prices for MMBTU or BBL volume. If 'G' production type entered, MMBTU volume will be multiplied times unit price to compute gross gas sales. If 'O' production type, BBL volume multiplied times unit price will compute gross oil sales.

EXTRA DESCRIPTION: The description entered here is printed on the Operating Statements for the Investors. If 'G' production type, MCF volume entered is multiplied times BTU factor that equals MMBTU volume. MMBTU volume multiplied times unit price will be written to this field. If 'O' production type entered, BBL volume for oil will be multiplied times unit price and print in the description field. This field may be changed if you do not want the price to show on the Operating Statements to Investors.

AMOUNT: Computed by entering volume and unit price for either oil or gas. You may enter gross amount if not computed. You can use the calculator button to total the values.

COMPUTE TAX: If you say ‘Yes’ to compute tax values, the compute tax screen will be displayed. If you say ‘No’, you will be returned to the run check entry screen. If the general ledger number entered is not 3xxxx (sales account) this field will be skipped.

NOTES ON FIELDS FOR COMPUTE TAX

TAX GENERAL LEDGER NUMBER: General ledger number must be in the range of 5xxxx-59xxx, taxes/deductions (tax /deducts that are deducted from revenue).

CREDIT/DEBIT: Enter 'C' for credit or 'D' for debit. Taxes are normally debited.

DOI STATUS LEVEL: The status indicates which percentage in the DOI file to use for each investor for tax general ledger number.

TAX RATE: Enter the tax factor for the tax general ledger number. A tax of 7 1/2% would be entered as .075.

TAX BASED ON (G/V/M): G=gross dollar value of sales, V=volume of MCF or BBL. M=MMBTU volume of gas. For gas sales enter either G/V/M. For oil sales enter 'G' for gross dollar oil sales or 'V' for volume of BBl (barrels) for tax to be computed.

EXTRA DESCRIPTION: The description entered here for tax general ledger number will be printed on the Operating Statements for Investors.

TAX AMOUNT: Gross tax will be computed based on the tax rate factor you enter multiplied by the tax based on (G/V/M) for gas or tax based on (G/V) for oil. You can use the calculator button to total any values you want without having to leave the program or use a 10 key.

SAVE: The computed gross tax will be displayed on the screen. If you save it, the tax amount will be posted to the Transaction file. If you cancel it the item is not posted. After posting the tax, you may add more taxes or exit to the Run Check Entry screen. Normally, you will select continue posting to another general ledger number such as cash for the net check amount. Balance condition of debits and credits are displayed on the screen. If you exit out of balance, you will be prompted your debits and credits do not equal. Use the Transaction file to edit or print the Transaction report for entries made in the Run Check Entry screen.

Reports To Verify Run Check Entries

Monthly Transaction Listing - Should contain every debit and credit entered and total to zero.

Related Topics

How to Edit/Delete a Transaction ~ Accounting for Dummies ~ GL Number Restrictions ~ Oil and Gas for Dummies


Print Op. Statements & Checks

Steps to Print Op. Statements & Checks

Operating Statements provide the main Billing of Expenses and Revenue Disbursement to Investors. If you have a lot of Wells and Investors, these Statements can by quite lengthy. Therefore, you should normally Print the Preliminary Reports to Verify your data before Printing all of the Statements.

This is the main feature of Roughneck and it has lots of options for Operators.

Listed below are the 4 basic steps in producing Operating Statements and Checks.

NORMAL PROCEDURE FOR PRODUCING OPERATING STATEMENTS

1. Print or Display the 3 Preliminary Reports - verifys that all data has been entered correctly.

2. Print all Operating Statements for one company at a time. - These will be mailed to Investors.

3. Print all Revenue Checks for that company. - Mail to Investors.

4. Update for the Operating Statements & Revenue Checks for that company. - Nothing is updated in files until this routine, so in case you make an error, you can repeat the process.

We will refer you to the Section of the Help System for the 4 basic steps in producing Operating Statements. Follow the directions for the TUTORIAL SCENARIO listed there. Return here after completing, to continue the Tutorial.

Operating Statements and Revenue Check Tutorial


Close the Monthly Accounting Cycle

Now pretend that you have concluded processing for the period and are ready to close for the month and print all the period reports. Periods are normally months.

Click the link below and close the period for Company 01. Then return to the Tutorial.

Close the Accounting Cycle for the Period(Month)


Enter Payments from Owners

The Operating Statement Update created Accounts Receivable Invoices for Owners that were billed for Expenses. Hopefully, they will send you money after they receive their Operating Statement. This is the process for recording the payments you receive.

When Investors send you their payments for the Operating Statements you select the invoice in A/R they are paying and enter the amount of the payment. It is easier if you have a recent Accounts Receivable Inquiry Report in front of you while posting the payments.

TUTORIAL SCENARIO

We will make a payment for one of the Operating Statments you printed earlier. When the Operating Statements were Updated it created an Accounts Receivable invoice. The Invoice Number and dates will probably be different, but the principle is the same.

From the Drop Down Menu, select A/R - Invoices - Payments and JE’s.

Enter 5 for Application Type, Company Number= 01, Owner/Customer Number=10000, then click OK.

The bottom section of the above image will appear.

Click Pay, and the next image appears.

Complete the Payment as in above image.

Note: GL Number 11300 is hard coded for Accounts Receivable. Roughneck will make an automatic Credit to that GL Number for Payments. See GL Number Restrictions .

Click OK.

If you then click Return, you can enter a payment for another Owner. For the Tutorial, we will simply Exit.

Note on Application Type: Although we are entering a Payment, this routine also allows you to enter Journal Entry Credits(JEC), Journal Entry Debits(JED), and Discounts(DSC).

Finished!

Reports To Verify Entries

Monthly Transaction Listing - Should contain every debit and credit entered and total to zero. It should also show for each payment a credit to Accounts Receivable (G/L Number 11300) and a debit to the Cash Account you specified. Note: GL Number 11300 is hard coded for Accounts Receivable. See GL Number Restrictions .

A/R Inquiry Report - should show the payments listed below their respective Invoices. The Invoice Balance should be reduced by the amount of the payment.

Monthly Transaction Listing - should show for each payment a credit to Accounts Receivable (G/L Number 11300) and a debit to the Cash Account you specified. Note: GL Number 11300 is hard coded for Accounts Receivable. Roughneck will make an automatic Credit to that GL Number for Payments. See GL Number Restrictions .

Check Listing Report - should reflect Deposits to the cash account for payments to A/R invoices.

Related Topics

Accounting for Dummies ~ GL Number Restrictions


Account for Hand Written Checks to AP

Accounting for Hand Written Checks to Accounts Payable

To account for checks that you write by hand for AP Invoices, you will enter a payment to AP Invoices. This routine works exactly like the routine for entering payments to Receivables (Enter Payments from Owners) .

TUTORIAL SCENARIO

      1. Only one invoice was entered earlier in the tutorial section Add an AP Invoice, so be sure not to pay ALL of it now. If you pay it all you can't use it in the next section (AP Computer Generated Payment Checks). We will pay a partial amount on the Invoice now.

From the Drop Down Menu, select A/P - Invoices - Payments and JE’s

After entering values for Application Type, Company Number, and Vendor Number click OK. The bottom section of the above image will then appear.

Click Pay.

For the Tutorial, complete as above - don't pay All of the Invoice, because we want to use the invoice again in the next section, when we Print AP Computer Checks.

Note: GL Number 21000 is hard coded for Accounts Payable. Roughneck will make an automatic Dedit to that GL Number for Accounts Payable checks. See GL Number Restrictions .

After completing the fields, click OK.

Then Click Return, then Exit.

You are finished.

Reports To Verify for Checks

A/P Inquiry Report - should show the payment listed below the Invoice. The Invoice Balance should be reduced by the amount of the payment.

Monthly Transaction Listing Repor t - should show a debit to Accounts Payable (G/L Number 21000) and a credit to the Cash Account you specified. Note: GL Number 21000 is hard coded into the system for Accounts Payable.

Check Listing Report from the Transaction program should show a list of hand written checks if you posted against the cash account.

Related Topics

Accounting for Dummies ~ GL Number Restrictions


Print AP Computer Checks

Printing Computer Checks for Accounts Payable

Process to Print Computer Generated Checks for AP Invoices.

1) Prepare Computer Checks - which Invoice(s) to pay and how much.

2) Verify your payments.

3) Print the Check(s).

4) Updates the files for the checks.

TUTORIAL SCENARIO

We will prepare and print a computer check for the Inoice we entered earlier in the Tutorial. Once again, the dates may differ.

PREPARE COMPUTER GENERATED A/P CHECKS:

From the Drop Down Menu, select A/P - Computer Printed Checks - Prepare Computer Checks.

Enter Company Number and Vendor Number, then click OK.

The bottom section of the top image appears.

Click Pay Partial.

The bottom image above appears.

Enter amount of the payment.

Click Ok, then Return, then Exit.

VERIFY THE PREPARATION OF PAYMENTS

Normally you will be entering more than one payment at a time and would want to verify your entries before printing the Checks. To do this, Print a List of the Payments. To make changes to the list, use the Edit or Delete buttons as desired.

From Drop Down Menu, select AP - Computer Printed Checks - List/Edit/Delete Checks.

PRINT THE PREPARED COMPUTER A/P CHECKS

From the Drop Down Menu, select AP - Computer Printed Checks - Print the Prepared Checks.

Click OK then OK again on the 2nd image.

Click OK.

Click Yes, and Yes on 2nd image.

Enter a beginning Check Number. It is assumed checks are numbered sequentially. The Print Check Register option appears after you finish printing checks. It's always good to save a copy of this Register for your records.

See also How to Change the Check Format ~ Checks Used by Roughneck

UPDATE THE FILES FOR THE CHECK

After printing the check(s) be sure to run this program to update the files. This program is run separately from the actual check printing in case you made a mistake or your printer fails during printing. You can reprint the checks any time prior to running the update.

Enter 11010 for the Checking Account GL Number as shown above. The other 2 GL Numbers are not needed and will be greyed-out. Note: GL Number 21000 is hard coded for Accounts Payable. Roughneck will make an automatic Dedit to that GL Number for Accounts Payable checks. See GL Number Restrictions .

Click OK. After the Update completes, click Cancel.

Note: GL Number 21000 is hard coded into the system for Accounts Payable.

Finished!

What if you need to Void one of the checks?

See How to Void Accounts Payable Checks .

Reports To Verify Computer Checks

A/P Inquiry Report - should show the payment listed below the Invoice. The Invoice Balance should be reduced by the amount of the payment.

Monthly Transaction Listing - should show a debit to Accounts Payable (G/L Number 21000) and a credit to the Cash Account you specified.

Check Listing Report - should show a list of the computer checks you posted against the cash account.

Related Topics

Accounting for Dummies ~ GL Number Restrictions ~ System Crash While Printing


Repeat the Cycle

You have now completed all of the normal day-to-day operating procedures and you should have a good feel for how Roughneck works. You should especially know "how" and "where" to make day-to-day entries.

After you finish practicing with the Sample Data, do NOT DESTROY THE SAMPLE DATA in the C:\RPLATE\PEDATA directory. When you have a question about how Roughneck handles certain situations, use the Sample Data and experiment, or give us a call.

REPEAT THE TUTORIAL - USING ALL OPTIONS

The Training Session should be repeated two more times. The second time through play with all the options you noticed along the way. Also, go through every program such as the Payroll Programs, Utilities program, and Close (end of year) programs. All other programs operate just like the ones used in this exercise and as a result you shouldn't have any trouble operating all other programs.

You may also try to put some of your own wells and investors in the system (not too many though - so you can carefully trace and understand). If everything comes out O.K., you are ready to proceed to setting up your own data directory assigning your G/L numbers, and begin inputting your own data.

If you still have questions, get all of your questions together and give us a call to clear up anything you don't understand. Do not set up your own data files until you fully understand how to enter Expenses, Revenue and Payments. Do not use the sample data directory as YOUR data directory!

KEEP THE SAMPLE DATA ON YOUR COMPUTER AND IN THE C:\RPLATE\PEDATA DIRECTORY:

If you ever have a question about what Roughneck will or will not do, you can change to the C:\RPLATE\PEDATA directory and experiment with the Sample Data.


SetUp Your Own Data

This is the process to use to SetUp your Own Data Files. It is assumed you have finished the Tutorial for New Users and are now ready to begin using Roughneck with your Own Data.

In This Section:

Create Your Own Data Directory

SetUp Your Master Files

Enter Your Beginning Balances

Related Topcis

Frequently Asked Questions


Create Your Own Data Directory

The Sample Data that came with Roughneck is a good framework for your Own Data.

We will Create a new data directory, which will also copy the original Sample Data files to the new directory. It's usually quicker to modify and delete from the Sample Data than it is to start with a complete blank slate. It will not copy all the transactions you added during the Tutorial.

Then we will Change to the New Directory and Clean it of UnWanted data.

Follow the links and complete the steps below.

Create a New Directory

Change to the New Directory

Clean the Data

You are now ready to Enter your Master File data.


SetUp your Master Files

Follow these steps to SetUp Your own Master Files.

1. Change Company 01 & 00 to your Own Company Name

Use Edit the Company Headings File and Change Company 01 to your Own Company. Enter your Own Company Name, Address, and other values. Use

Company 00 is the Consolidated Company. You need to change it to your company’s name and address.

You will need to know your Company’s address, Federal ID & the Fiscal Year End date.

2. Add your Owners and Customers

Use Edit the Owner/Customer File and Add your Own Owners, address, Government Form 1099 information, NetOuts, minimum check amounts and tax withholdings. (Owners can be alpha or numeric)

3. Add your Vendors

Use Edit the Vendor File and Add your Own Vendor numbers, address, Government Form 1099 information, tax withholding and federal backup withholding. (Vendor numbers can be alpha or numeric). Put the vendors accumulated Government Form 1099 values for the current year in the corresponding boxes at the bottom of the screen. These boxes are named: YTD 1099 Service, Rental Amounts and Total Purchases.

4. Add your Units/Wells

Use Edit the Unit/Well File and Add your own unit numbers, names, locations, states, budgeted amounts, and Working Interest percents. (Unit, Master, Lease and Prospect numbers can be alpha or numeric)

Setup your master unit, lease and prospect numbers if applicable.

5. Add your Division of Interest for each Well

Use Edit the Division of Interest File and Add each owner on each unit. Specify their company interest, suspense, NetOuts, owner type and share of ownership per unit.

Setup status percentages for each owner on each unit.

Setup multiple statuses for different percents of ownership on oil, gas etc.

Each status line used must add up to 100%. You may print a DOI report to verify.

Put the owners accumulated 1099 values for the current year in the corresponding boxes at the bottom of the screen. YTD 1099 Values for Revenue, Tax and Expense.

6. Perfect the Sample Data Company Chart of Accounts for Your Own Company

Print the Chart of Accounts from the Sample Data that was copied into your Data Directory. Use that as a guide and perfect the Chart of Accounts for your own company. Pay special attention to G/L #'s 3xxxx, 5xxxx, 71xxx-75xxx as these G/L numbers will be copied from the Company to each Well Chart of accounts, in the next step. Use the Edit Company Chart of Accounts and Add and Edit G/L numbers to pefect for your own company. Change descriptions on any existing G/L numbers, etc...

Note: By editing the Company Chart of Accounts description boxes for G/L #'s 3xxxx, 5xxxx, 71xxx-75xxx, Roughneck will prompt you (after you hit save) to also make the change effective in the Unit Chart of Accounts. At that point it is a good idea to say 'Yes', even though you don't have a Unit Chart of Accounts yet - Normally you would have.

Caution: DO NOT plug your beginning balances into these accounts! This will be done in the next section Enter Beginning Balances .

7. Copy Company Chart of Accounts to your Units Chart of Accounts

Above we made a good Company Chart of Accounts. Copy that to each Unit, using the Quick Copy Tool to Copy the Company Chart of Accounts to each Unit for your Unit Chart of Accounts on each well.

8. Add your Employees

Edit the Employee File and Assign employee numbers and setup personal information including deductions, salary and pay periods. (Employee numbers can be alpha or numeric.) Setup the Employees accumulated Government Form W2 values in the corresponding boxes for the current year and quarter. These can be found on the tab that says QTR/YTD Values. You must be adding the current employee to setup his values. If you forget you can come back and edit that employee and put the values in at that time.

Take a look at the Payroll SetUp Features , most folks want the Payroll to be Interactive so make sure that is checked.

Finished with Master Files!

Related Topics

Government Forms


Enter Beginning Balances

1. Enter Balance Forward from Previous Accounting System for Assets, Liabilities and Retained Earnings.

Normally this only consists of entering a balance forward debit or credit for Assets, Liabilities and Retained Earnings. Check with your accountant to verify. Enter these values using the Enter a Journal Entry . After all entries to cash, A/R,A/P, etc. the Credit would be to 25300 Retained Earnings.

For example:

Debit A/R balance forward for 50,000

Credit A/P balance forward for 25,000

Debit Cash balance forward for 100,00

Credit 25300 balance forward for 125,00 (Retained Earnings)

Your transaction dates for the beginning balances can be put in your current year or a prior year. If you use a prior year you must close that year after entering your beginning balances to bring your beginning balances forward. All journal entries must balance to zero. Print the Monthly Trial Balance or Monthly Transaction listing to verify accuracy and that the total is Zero.

2. Add Accounts Receivable Outstanding Invoices

Go to Accounts Receivable and Add all outstanding A/R invoices .

Put your corresponding company number, owner number, and unit number.

Invoice Number: Can be anything you want except (Note: A "C" at the end will make it a credit Invoice.)

Invoice Date: Should be the date the invoice was originally generated.

Transaction Date: Can be a date within the current year you are setting up unless you want to setup beginning balances with the prior year.

G/L Number: Should be 11300 (Acct. Receivable). This is the only time you will post it against this account, because you don't want this amount to double in your Trial Balance.

DOI Status: This should be a DOI status level where everyone has 0% in the DOI File so the invoices will not be distributed to other owners.

Amount: The remaining balance due of the invoice. These balances will not show as individual line items on your operating statements. They will only show in the summary block on the operating statements as 1 line item of "Prior Balances".

Note: Do not enter minimum check, suspense or prepay balances here.

3. Add Accounts Payable Outstanding Invoices

Go to Accounts Payable and Add all outstanding A/P invoices .

Put in your corresponding company number and vendor number.

Single, Master or All: Determines how the invoice will be divided among wells.

Invoice Type: Service, Rental or Blank. Only the Service or Rental invoices will be tracked for 1099 purposes. If you are going to print 1099’s for this vendor make sure to code the invoices correctly or their 1099’s will be incorrect at the end of the year.

Invoice Number: Can be anything you want. (A "C" at the end will make it a credit Invoice.)

Invoice Date: Should be the date the invoice was originally generated.

Transaction Date: Can be a date within the current year you are setting up unless you want to setup beginning balances with the prior year.

G/L Number: Should be 21000 (Accts. Payable). This is the only time you will post it against this account, because you don't want this amount to double in your Trial Balance.

Unit Number: Put in the unit number that the bill was originally charged to.

DOI Status: This should be a DOI status level that everyone has 0% in the DOI File so the invoices will not be billed again on the next operating statement.

Amount: The remaining balance due of the invoice.

To see transactions you have just entered into the steps above you can print a Transaction Listing and the A/R and A/P listings. The Transaction Listing can be printed from the Edit/Delete Transactions - use the Filter tab then click the Print Button. The A/R listings are in Accounts Receivable Posting Register . The A/P listings can be found in Accounts Payable Posting Register .

4. Close the Period

Update your transactions to the YTD fields by using the Close the Period routine. Be sure to print the Preliminary Reports and verify and save, before updating. Saving the reports will be the audit trail to your beginning position.

Finished. You are ready to begin current month processing for Normal accounting cycle.

You can now enter your transactions for the current period and begin normal monthly processing.


FAQ about Setting Up Your Own Data

Do I have to make a new directory for each company I have?

No, one data directory can hold up to 99 companies. Everything is sorted under the company number you place it under. You can have separate data directories for each company if you want, but it is not necessary. The only advantage to having separate directories is when you Make a Backup of your data to the hard drive. Every time you make a temporary backup in Roughneck it overwrites the previous backup that was made. If you have separate directories you do not have to worry about backing up both companies to the same directory. You will have to have a separate backup directory for each of your data directories.

Why can't I enter Beginning Balances directly into the Company Chart of Accounts file?

Because they will not get posted to the Year to Date Transaction file. When you close a period the monthly transactions are moved to YTD transaction file. The Year to Date General Ledger is the supporting document for balances in the Company Chart of Accounts, and it reads from the YTD Transaction File.

Why do I need to use General Ledger, if I only use Roughneck for JIB's and Revenue Distribution?

Both of those operations depend on the coding of GL numbers to determine what is revenue and what is an expense. You couldn’t disburse revenue and expenses and update Operating Statements without the General Ledger.

Can I use the Deduction Fields in the Employee File for PreTax Deductions?

No, the deductions in the employee file are deductions taken out after taxes every pay period. You will need to go to File, Setup Options, and then Payroll Features and put a check mark in the ‘Use Pretax Deduction’ field. In the Employee File you can now use the Pretax Deduction field.

Can I use the same owner & vendor numbers for different companies?

Yes, you can have owner/vendor 10000 in company 01 and company 02. These two owner/vendor files will never touch each other. Their company number separates owners and vendors. You can even have a vendor and an owner within the same company with the same number. They will reside in two separate files, the owner file and the vendor file.

Can I use the same owner number for an owner who has a Royalty and Working interest?

No, the owner number must be different for the two different interests. The Working Interest owners have different minimum 1099 amounts than the Override and Royalty owners. They must be separated so their Government Form 1099’s are correct at the end of the year. Reference the IRS for additional information. Roughneck will not allow two of the same owner numbers on the same well.

What do I need to put as the Master Unit Number?

The master unit number is to group units together. Mainly used for profit and loss statements and dividing an Account Payable invoice to all of the units under that Master. All units must have the same master unit number to be grouped together for this purpose. If you do not require this you may leave the field blank.

What are Oklahoma County Codes?

These are 2 digit codes that are required for each well that is in Oklahoma. The county codes help determine which county a well is in. You can get these from the OK tax commission and they are required for Government Form 099.

Do I have to setup up 8 Division of Interest statuses for each owner on each unit?

You only have to set up one status for oil and one for gas if their percentages of ownership are different for each. If they have the same share of oil and gas you can use the same status for both. Choose the status/statuses you want to put your owner percentages on. Those status numbers must total to 100%. The other statuses can be used for other sales, different %’s and corrective entries.

What does Company Interest in the Division of Interest mean?

This is used to determine if this owner has any Company's interest in this Unit. Normally owner numbers from 99990 to 99999 are used for Company Interest. If this field is marked 'Y', the Revenue, Tax and Expense interest for each transaction status is used to calculate the P&L Report for the Company Interest. Values for the Company Interest P&L Report are stored in the Unit Chart of Accounts in the Company Interest boxes when you close your month.

How can I check my DOI to make sure it equals 100%?

Go into the Division of Interest and click on the tab that says Filter. Put in your company number and the unit number you want to check. Leave the owner number; suspense and owner type boxes blank. Click on Print/View in Unit Number Order. Click on Print Bottom Line Total Only. Click on the Set Filter button and then hit the print button on the tool bar.

This will print a report for that unit and total it at the bottom so you can see what the percentages add up to. If you want to check all units leave the unit number box blank on the filter page.

Can I change and add my own G/L numbers to the Company Chart of Accounts?

Yes, but there are some G/L numbers that need to remain in the Chart of Accounts. See GL Number Restrictions . Also, when it asks to change them in the Unit Chart of Accounts say yes. Any description can be changed.

What Transaction dates do I use when entering data?

The transaction date is the date you want to show something taking place in your books. Roughneck looks at transaction dates for almost everything it does. If you get a check today you enter the check with today’s transaction date if you want to show it hitting the books as of that day.

How do I setup prior suspense and minimum check withholding?

The Minimum check withhold revenue is put into the Min Check Withhold LTD box in the Owner/Customer file . Enter the dollar amount that you have withheld into this box. The next step is to Add Journal Entries . This is for the balances you have just entered (Ex: Debit 25300-Retained Earnings and Credit 21011-Min. Check Withheld). These journal entries will depend on what your CPA advises.

The Suspense Revenue balances are in the Division of Interest file . You will need to mark the box that says "Suspense" with a "Y" and put in their Beginning Suspense Date. Put their suspense revenue and tax into the LTD boxes for Net Revenue and Tax. Again you will need to Add Journal Entries (Ex: Debit 25300-Retained Earnings and Credit 21010-Suspense Withheld). Check with your CPA for the exact journal entries required.

Related Topics

How to use Suspense

How to use Minimum Check Amount

How to use PrePay's (Advances)


Master File Structures

Master Files contain the data for your Company, Investors, Vendors, etc...

In This Section

How to Navigate the Master Files

Company Headings File

Owner/Customer File (the Investor file)

Vendor File

Unit/Well File

Division of Interest File

Company Chart of Accounts File also known as GL Chart of Accounts

Unit Chart of Accounts File - A GL Chart of Accounts for each Well - for P&L's

Employee File - for Payroll

Payroll Tax Table File

Land Management File

Critical Action File

Related Topics

How to Print Master Files ~ How to Navigate the Master Files


Navigate the Master Files

All master files work the same way and contain the same buttons and tabs.

ADD BUTTON

The add button option allows you to add a record by using a fullscreen layout. The full screen layout will be different depending on which file you select.

EDIT BUTTON

The edit button allows you to edit one record at a time. The record is displayed using the fullscreen layout of the particular file. After selecting the edit button, you can save the changes by selecting save or cancel by selecting cancel. The edit mode is used usually for making changes to a record previously added.

DELETE BUTTON

When selecting the delete button, the record is marked for deletion. The record is not actually dropped from the file until you pack the file. Records marked for deletion are not processed. Refer to the Utilities section of manual for Packing the file.

RECALL BUTTON

If you mark a record for deletion and do not want to drop it you can recall the record and it will no longer be marked for deletion and will not drop when you pack your data.

FILTER TAB

By leaving the filters blank, you can bring up all the records in the file you select. If you want to access certain records only, then enter those criteria in the filter screen. This helps you in viewing or printing only the required records. Some of the filter conditions are used for printing or viewing reports only; this will not affect what comes up on the edit screen.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

BROWSE TAB

You can use the browse tabs to view your data files the same way the programs hold the information. This will display as many rows and columns as your monitor will allow. You can scroll up or down and side to side to see any fields that are not already visible. No editing can be done through the browse tabs.

FIND BUTTON

Located on the Browse Tab. The Find button allows you to search your data file for a specified value in a particular field.

GOTO BUTTON

Located on the Browse Tab. The Goto button allows you to go directly to a specific record number.

For the E-File screen see E-File Setup .


Company Headings File

Company Headings

Select Master - Company Heading

You can have up to 99 different companies (numbers 01 to 99) in one directory, which can consolidate back to the parent company (number 00).

The company numbers are used to keep each company separate within a directory. Each of your companies must be entered in the Company Headings file. This file contains the company number, name, address, city, state, etc… In the Company Headings file, most people set up their first company as number 00 and also as 01.

Company number 00 (zero, zero) is used for the parent company (Consolidated Company).

Company 00 does not have a chart of accounts itself, and no entries are made to it directly. Entries are only made to company numbers 01 through 99. To obtain a Consolidated P & L on all companies in the same directory, use company number 00 (zero, zero) for the company number filter of the report.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

COMPANY NUMBER 00: Reserved for the consolidated company. Company 00 does not have a Chart of Accounts. Used to consolidate P & L statements for more than one company.

COMPANY NAME: The companies name as you want it to appear on reports, checks, etc..

ADDRESS LINE 1 and 2: Full address prints on applicable reports and forms.

CITY: Company city. STATE: Company state. ZIP: Company zip code.

CONTACT: Used by the 1096 Form.

EMAIL: Used by the 1096 Form.

PHONE AND FAX NUMBER: Company phone and fax number may be printed on Operating Statements. Select Operating Statement Format in the Setup Options under File on your tool bar. Printing Operating Statements with your company heading will allow you to print the company phone and fax numbers also. The company phone number is needed for 1099’s.

FEDERAL ID NUMBER: Needed for 1099's and W2's.

FISCAL YEAR CLOSE: Date when the Fiscal Year closes for this company. Please check with your accountant to see when your Fiscal Year ends.

UNCLAIMED PROPERTY DATE: On startup, Roughneck will check the DOI to see if any owners have been on Suspense for X number of days. You will have the option to Preview the report and Print the report. Set to 0 days to ignore this check.

For the E-File screen see E-File Setup .


Owner/Customer File

This file contains both Owners and Customers.

Customers are people other than owners, that you can send bills to and track through Accounts Receivable. Owners are Investors (Ex: Charles Richgood). Customers and owners are stored in the same file (CUST.DBF). Customers and owners cannot have the same number, since they are stored in the same file.

TIME SAVER

You can also use the Quick Copy Tool , to quickly copy Owners from One Company to Another.

If you have more than one company and If different companies use the same owner, customer, vendor or employee, you must assign him to each company to track year to date information. Otherwise the year to date values for each company, Government Form 1099, W-2 info, etc..., is not kept properly. Remember, at the end of the year, it is a company that issues 1099's, W-2's, etc... You can use the same code number for the same person in each company, since the addition of the company number will distinguish its index key from the same record in a different company (SMITJ01 vs. SMITJ02). When adding owners, vendors and employees for multiple companies, use the carry-add feature or use the Quick Copy Tool , to quickly copy Owners from One Company to Another.

Select Master - Owner/Customer

To Enter data for the Address, click the Address tab.

The Owner/Customer file stores each owner’s name and address. The owner’s year to date billed amount, minimum check amount, the federal backup, and state-withholding amount are also stored in the Owner/Customer file. If the same owner/customer is used for another company, use the carry add feature after all data has been entered for this company.

Note: Owners that have both Working interest and a Royalty interest must have two different owner numbers. The IRS requires separation of the revenue on 1099 forms at the end of the year.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

COMPANY NUMBER: The company this owner/customer will be assigned to.

OWNER/CUSTOMER NUMBER: Any 5-character code description. May be number or character. If number needs to be changed in the future you should use Key Code Change routine. Roughneck requires 5 characters for the code number for owner, customer, vendor and employee records. A suggested method for using alphabetical characters as code numbers is to use the first 4 characters of the last name plus the first character of the first name, for individuals names. For example, "SMITJ" would be the code number for "John Smith". For company names, try using the first 5 characters of the company name (omitting any periods, spaces, commas, etc...) For example, "ABCCO" for the A.B.C. Co.

Note: Owner Numbers 99990 TO 99999 are Reserved for the Operator Since many times you as the operator will also own a part of each well, you also need to be entered as an owner. Owner numbers 99990 - 99999 are reserved for your company as an owner for expense and revenue interest in a unit. Operating Statements are printed for owner numbers 99990 - 99999, but no revenue check is issued. You may also use this range of numbers for a deleted interest owner who may receive revenue direct from the purchaser.

No journal entries are made to the Transaction file when using this range of owner numbers. No Accounts Receivable invoices are generated for this range of numbers. The Division of Interest file is updated for tracking year to date totals for this range of owners.

OWNER/CUSTOMER: Specify if the person is an owner or a customer. Accounts Receivable can have both owners and customers. 'C'=customer's, 'O'=owner's. This field provides you another filter for your Accounts Receivable reports. Owners are Investors who own an interest in properties (W.I., Royalty, and Override). Customers are people other than interest owners that you may bill for services, such as Phoenix Water Hauling.

NAME: Name of customer or owner. This field is 40 characters. Operating Statements, Revenue Checks, and Accounts Receivable Monthly Statements will reflect the full 40 characters. Some reports will not reflect the full 40 characters due to space limitation. The I.R.S. does not allow enough space on the 1099 forms for 40 characters, you may need to adjust name and address lines for 1099 forms.

IRS REPORTED NAME: If the customer has a different name he/she reports to the IRS then this is where you would input it. Example: John & Jane Doe is in the Name field but, only John wanted to report it then you could enter John Doe in the IRS Report Name field.

FEDERAL ID NUMBER: Federal identification or social security number needed for 1099's.

BILLING TERMS: Net due in number of days. 0=COD, 30=Due in 30 days. This field is used to automatically calculate the date due for Accounts Receivable invoices. For example, if terms = 10, then 10 days are added to the date of the invoice to determine the due date of the invoice.

DIRECT DEPOSIT: This allows you make direct deposits for Revenue Checks, instead of printing a check. A Revenue Check will not print for the Owner when you execute the routine for printing revenue checks. Before printing Revenue checks you will be flagged. "Total checks required = XX" and "Total Direct Deposits required = XX". You can print a register of direct deposits at that time or after you update - using Transations - Check Listing and select "Revenue (DD Only).

HOW TO NETOUT OPERATING STATEMENTS (C/E/N): Netouts refer to subtracting expenses and prior Accounts Receivable balances from revenue. This code determines how to netout this owner when printing Operating Statements. If the netout code in the Owner/Customer file is E, only then will the DOI file be checked for netout.

C = Combine the amount owing on all units into one single balance forward due. Will not check DOI file; the C here overrides the netout code in the DOI file.

E = Each unit has its own balance forward due. Will check the DOI file, if netout code in DOI file is checked, then expenses and prior balance invoices for that unit will be subtracted from revenue on the unit.

N = No netout to be done for this owner. Will not check DOI file; the N here overrides any netout code in the DOI file.

See How to Use NetOut's for more info.

PRINT 1099's: If an owner is not marked ‘Y’, a 1099 form will not be printed for this owner. You may not have a valid address for mailing or he may be a nonresident alien. If year to date federal withhold field or year to date state tax withhold field has amounts, a 1099 will not be printed if owner is marked ‘N’. Performing a 1099 sanity check will check these values and print error messages.

YTD BILLED: Total billed from Accounts Receivable invoices entered and JIB invoices from Operating Statements. Year to date billed is not the amount used for 1099's. 1099 amounts are stored in the DOI file. This field is updated each time an invoice is added to the Accounts Receivable programs.

SPECIFIED MINIMUM CHECK AMOUNT: The specified minimum check amount for each owner is used when Operating Statements are processed. See to How to Use Minimum Check Amounts for more info.

MIN. CHECK WITHHOLD MTD BALANCE: Amount withheld from last update of Operating Statements due to minimum check amount. Used in Operating Statements for minimum check amounts by owner. The minimum withhold month to date amount is replaced each time Operating Statements are updated and current check amount is added to life to date withhold field. Detail of minimum check withhold information is stored in the file WHDINFO.DBF.

MIN. CHECK WITHHOLD LTD BALANCE: Life to date balances in withholding are due to minimum check amounts from Operating Statements. Only when the specified amount of minimum check is reached, or you specify minimum check amount is $0.00, will the minimum check withholding amount be released and life to date values will be cleared. When the life to date withheld amount reaches the specified minimum amount you requested in Operating Statements, the life to date amount is released to the owner and withhold fields are cleared. All minimum life to date balances should be released in December checks. Withhold balance is per owner, not per unit. Filter for Operating Statements allows for releasing withhold balances.

FEDERAL BACKUP WITHHOLDING RATE: If an owner does not supply a Tax ID number, the Operator should backup withhold from revenue, (0=Don't Withhold). Normally the rate is 31% for U.S. citizens that do not have a Tax ID number and 30% for a nonresident alien. If a U.S. citizen provides a Tax ID number or a nonresident alien provides you with an exempt certificate, you no longer withhold revenue. If the owner provides his Tax ID number, or nonresident provides exempt certificate change the backup withhold rate to '0' to stop backup withholding. With Override and royalty owners, backup withholding is calculated on gross revenue (less severance tax). Working interest owners backup withholding is calculated on gross revenue. Refer to your IRS Circular E for backup withholding.

YTD FEDERAL BACKUP WITHHELD: Amount withheld this year for federal backup withholding from revenue for 1099's. If an owner has a backup withhold rate other than '0', this rate will be computed on net revenue for override and royalty owners. Working interest owner's gross revenue will be computed on the rate specified. The Operating Statement will deduct federal backup withhold amount. When Operating Statements are updated, the federal backup withheld amount will be stored in this field. Year to date federal backup withhold amount will print on an owner's 1099 form in box 4. You will be asked during update for Operating Statements to enter the liability general ledger number for federal backup withhold amount. Company total for federal backup withhold amounts may be printed in the JIB program. Refer to your Circular E from IRS for depositing federal backup withheld amounts.

STATE TAX WITHHOLDING: If you need to setup your state tax rate you can select the Tax Setup button and change the tax percentage to your state tax percentage. We have also added a Tax Help button that will read as follows:

WITHHOLD STATE TAX (OTHER STATES)

Some states (i.e. California) have a new state tax withhold rate for owners that are non-residents and receive income. If withhold state tax is checked, the state tax rate will compute tax from gross revenue. If an owner is not checked, no state tax will be withheld.

Amount withheld this year for state tax withholding from Operating Statements and used for 1099's. If withhold state tax is checked, the state tax rate will be used to calculate state tax and deduct from gross revenue. The state tax withheld will be stored in year to date state tax withhold field. The amount in this field is printed in box 16 on the 1099 miscellaneous forms. You will be asked during update for Operating Statements to enter the liability general ledger number for state tax withheld amount. Refer to your state for depositing state tax withheld amounts.

NM (ALL STATES) NON-RESIDENT STATE TAX

SB 621 7-3-12

“The pass-through entity shall deduct and withhold from each non-resident owner’s share of net income an amount equal to the owner’s share of net income multiplied by a rate set by department regulation…”

Any owner not living in the state of New Mexico, receiving revenues on a well located in New Mexico, will be required to pay a non-resident state tax of 6.75% of their net revenue.

(Gross Revenue – Taxes = Net Revenue * non resident tax rate)

OK (ROYALTY) NON-RESIDENT STATE TAX

SB 495 Section 2385.26 A.

"Each remitter, except as otherwise provided in subsection B of this section, shall deduct and withhold from each payment being made to any royalty interest owner in respect to production of oil and gas in this state, but not including that to which the remitter is entitled, an amount equal to six and three-fourths percent (6 3/4%) of the gross amount which would have otherwise been payable to the person entitled to the payment."

Any Royalty Owner not living in the state of Oklahoma, receiving revenues on wells located in Oklahoma will be required to pay a non-resident state tax of 6 3/4% of their gross revenue. If you are withholding the non-resident state tax for the 6 3/4% then you do not withhold the additional 5% on the Pass Through Entity State Tax.

OK PASS THROUGH ENTITY STATE TAX

HB 1356 Section 23

"A pass-through entity shall withhold income tax at the rate of five percent (5%) of the Oklahoma share of income of the entity distributed to each non resident member..."

Any Owner not living in the state of Oklahoma, receiving revenues on wells located in Oklahoma will be required to pay a non-resident state tax of 5% of their gross revenue. This does not apply to Royalty Owners you are already withholding the non-resident tax of 6.75%. Those owners will not need to additionally be charged the 5% withholding.

If you should have any other questions on how the bills work, you will need to contact your state for further detail information. You can visit the Oklahoma Tax Commission website for more information at www.oktax.state.ok.us or call them at (405) 521-3133.

TAX SETUP

This option allows you to setup for the State Tax Withholding rate. Some states require withholding of income tax on certain payments to non-residents.

The tax to be withheld is calculated using the following formula:

(State Tax Withheld amount = Revenue x Withholding rate)

COMMENT: You may enter a 1-line comment for additional information for each owner. EX: Owner is on suspense due to legal dispute. Comments will be printed on the Owner/Customer report.

NOTES ON FIELDS FOR ADDRESS TAB

EMAIL OPERATING STATEMENTS (YES OR NO): If checked ‘Yes’ then under File, Setup Options, Operating Statement Format the option for ‘Email Operating Statements’ must be marked ‘Yes’ in order to send statement for owner. You will be able to email the statements at any time after you print the statements. Refer to the ‘JIB’ section of manual for further information.

EMAIL ADDRESS: Owner/customers email address.

ADDRESS LINE 1 AND 2: First and second line of owner/customer address. 40 characters are available for both lines; some reports will not reflect the complete address due to space limitation.

PHONE/FAX NUMBER: Owner/customer phone and fax number.

OTHER PHONE: Owner/customer mobile, work, pager or home phone number could go here.

SECONDARY ADDRESS: This option will allow you to send Revenue Checks to another address other than your Primary Address. It will also allow you to send your 1099’s to a separate address.

FOREIGN ADDRESS: Clicking on this box allows you to enter the Province, County Code and Post Code.

Related Topics

How to use Minimum Check Amounts ~ How to use NetOut ~ Quick Copy Tool ~ E-File Setup ~ Government Forms


Vendor File

Vendors are used for the Accounts Payable System.

TIME SAVER

If you have multiple companies, and the same vendor is used for a different company, use the carry add feature after all fields have been entered for the vendor or you can also use the Quick Copy Tool , to quickly copy Vendors from One Company to Another.

Select Master - Vendor

Click the Address tab for fields on Address.

The Vendor file stores the vendor’s name, address, email address, Government Form 1099 year to date rental and service amounts, insurance certificate if required, year to date federal backup and state tax withholding amounts. Vendors are people that you buy products or services FROM.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

COMPANY NUMBER: Your company number for this vendor.

VENDOR NUMBER: Any 5-character code. May be number or character. If number needs to be changed in the future, you must go to Utilities, Data Tools then Key Code Change. Refer to the Utilities section in Manual.

Note: If you have more than one company and If different companies use the same owner, customer, vendor or employee, you must assign him to each company to track year to date information. Otherwise the year to date values for each company, 1099, W-2 info, etc..., is not kept properly. Remember, at the end of the year, it is a company that issues Government Forms 1099, W-2's, etc... You can use the same code number for the same person in each company, since the addition of the company number will distinguish its index key from the same record in a different company (SMITJ01 vs. SMITJ02). When adding owners, vendors and employees for multiple companies, use the carry-add feature.

VENDOR NAME: Vendor name or company.

GL ACCOUNT: You can enter a GL number that a Vendor only uses so when you add a A/P, Run Check or GL Transaction invoice then the GL number you entered will pop up. This saves keystrokes and time from looking up GL numbers.

ACCOUNT NUMBER/MEMO: You can add a Vendors account number or just a memo that you want to print on your A/P Checks or Quick Checks. To print the account number or memo on the checks you will need to go to File, Setup Options, Check Format and select A/P Checks and then you should see a Memo field, select Yes under the Print It field.

IRS REPORTED NAME: If the Vendor has a different name he/she reports to the IRS then this is where you would input it. Example: John & Jane Doe is in the Name field but, only John wanted to report it then you could enter John Doe in the IRS Report Name field.

FLAG FOR RENTAL/SERVICE INVOICE: If vendor is checked, Accounts Payable program warns you to add an 'R' for rental or 'S' for service invoice. Only rental or service invoices will be updated for 1099's. When the service or rental invoice is paid, the amount will be updated to the Vendor file. An invoice ending with ‘R’ for rental will be updated to year to date 1099 rental field when paid. An invoice ending with ‘S’ for services will be updated to year to date 1099 service field when paid.

PRINT 1099's: If a vendor is not checked, a Government Form 1099 will not be printed for this vendor. If year to date federal withhold field or year to date state tax withhold field has amounts, a 1099 will not be printed if vendor is checked for do not print 1099. Performing a 1099 sanity check will check values and print error messages.

INSURANCE CERTIFICATE REQUIRED: Vendor may be required to have an insurance certificate. If checked, you need to enter the insurance expiration date.

TAX ID NUMBER: Vendor Federal ID or Social Security Number.

BILLING TERMS: Net due in number of days. 0=COD, 30=Due in 30 days. This field is used to automatically calculate the date due for Accounts Payable invoices. For example, if terms = 30, then 30 days are added to the date of the invoice to determine the due date of the invoice.

INSURANCE EXPIRATION DATE: If insurance certificate is not required, you will not be asked for the expiration date. If an insurance expiration date is valid until otherwise notified, enter a date of 12/31/2004. When posting Accounts Payable manual or computer checks, the programs will check the insurance required field in the Vendor file. If the vendor requires insurance and the insurance expiration date on file has expired (5 days prior to actual expiration), the program flags the expired date and the option to either pay or skip the invoice. A new expiration date may be assigned in the Vendor file. Insurance required criteria and insurance expiration dates would print on the Vendor report.

FEDERAL BACKUP WITHHOLDING RATE: If a vendor does not provide a Tax ID number, you must withhold backup withholding. The federal backup withholding rate is 31% for U.S. citizens, and 30% for nonresident aliens, (0%=don't withhold). Backup withhold amount must be reported to the IRS on your 941 quarterly reports. Deposits should be made in accordance with backup withholding federal deposit regulations. Refer to IRS Circular E instructions concerning backup withholding.

YTD FEDERAL BACKUP WITHHOLD AMOUNT: Amount withheld this year for federal backup withholding. Used for 1099's. If federal backup withhold rate is 31%; this rate will calculate backup amount for each invoice paid to this vendor. The backup withhold amount will be deducted from the gross invoice and stored in the year to date federal backup withhold field when the invoice is paid. The check amount for an invoice will be less the backup withheld amount. Year to date backup withhold amount will be printed on the vendor 1099 form in box 4. You will be asked during update for payments to Accounts Payable invoices to enter the liability general ledger number for federal backup withheld amount. Company total report for federal backup withhold amounts may be printed in the JIB program.

WITHHOLD STATE TAX: Some states (i.e. California) have a state tax withhold percentage rate for vendors that are non-residents and receive Income. The state tax rate is stored in Setup Options under File on your tool bar. If withhold state tax is checked ‘Yes’, the state tax rate will calculate state tax amount from invoices paid and store state tax withhold amount in the year to date state tax withhold field. If a vendor is not checked, ‘No’ state tax is withheld.

YTD STATE TAX WITHHELD: Amount withheld this year for state tax. Used for 1099's. If withhold state tax field is checked ‘Yes’ in the Vendor file, the state tax rate entered in Setup Options will calculate state tax. The state tax withheld amount will be stored in year to date state tax withhold field when the invoice is paid. The amount in this field is printed in box 11 on the vendor's 1099 form. The amount paid to the vendor will be less state tax withheld from the gross invoice. During the update you will be asked to enter the liability general ledger number for state tax withheld for posting to the Transaction file. Your company total report for year to date state tax withhold amounts may be printed in the JIB program under Other Reports. Refer to your state regulations for depositing state tax withhold amounts.

YTD 1099 SERVICE: Year to date amount paid for vendor service. Used for 1099's. Updated only when Accounts Payable invoices are paid. Invoice number must end with the letter "S" to be updated for 1099 service.

YTD 1099 RENTAL: Year to date amount paid for vendor rentals. Used for 1099's. Updated when Accounts Payable invoices are paid. Invoice number must end with the letter "R" to be updated for 1099 rental.

TOTAL YTD PURCHASES: Total amount purchased (not necessarily paid) this year. Not used for 1099's.

COMMENT: Any additional information for the vendor.

ADDRESS TAB

CONTACT: Name of person to contact for vendor.

ADDRESS LINE 1: First line of the address.

ADDRESS LINE 2: Second line of the address. If no second address line is needed leave blank.

CITY: City of the vendor.

STATE: State of the vendor. If the vendor is in Oklahoma any 1099 service/rental values will be reflected on the Oklahoma 1099 forms.

ZIP CODE: Zip code of the vendor.

PHONE/FAX NUMBER: Phone and fax number of vendor.

OTHER PHONE: A Vendor’s mobile, work, pager or home phone number could go here.

CONTACT: Vendor contact name.

EMAIL ADDRESS: Vendor email address.

Related Topics

Government Forms ~


Unit/Well File

Select Master - Unit/Well

The Unit/Well file stores the unit, master unit, lease, and prospect number, name, location and state. This file also stores the unit’s gas and oil volume by month, year to date and life to date. The Unit/Well file is basically a well file. However, there are instances when you may want to track several wells as a group. That is why it is called the Unit/Well file instead of just a Well file.

Note: In order to display all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

Each New Unit Must Also Have:

1) A Unit Chart of Accounts in order to produce P & L's and Cost Reports on a Unit Basis.

2) A set of DOI Owners in order to allocate Revenue and Expenses to the Owners on this Well/Unit.

NOTES ON FIELDS

The unit number and master unit numbers must be 8 characters in length. We recommend the last 2 characters be the company numbers for easy identification when reports are printed (Ex: 20000-01 or LEBAY-02). If unit number needs to be changed in the future, you must go through Utilities, Data Tools then Key Code Change. Refer to Utilities section in Manual.

MASTER UNIT, LEASE, AND PROSPECT NUMBERS: This file has 4 levels, the unit, master unit, lease and prospect. The unit is the lowest entity and the prospect is the highest. In other words, a master unit can contain several units or wells, a lease can contain several master units and a prospect can contain several leases.

UNIT (Lowest Level - for example an individual well)

MASTER UNIT (2nd Level)

LEASE ( 3rd Level)

PROSPECT (Highest Level)

The purpose of having all these levels is so you can group several wells into one consolidated P & L. If no consolidation is required, you can assign the same number to the unit and the master. Leave the lease and prospect blank if no consolidation is required to a higher level. See the end of this section for an Example on Consolidating to Master Unit .

COUNTY NAME: Oklahoma is required to have the Unit’s County reported on some form of remittance to the Owners. If you enter the County name here it will then print on the Operating Statements. You will, however, have to set it up in Roughneck so it will print. To do so, go to File, Setup Options, Operating Statement Format and say Yes to “Include County and State after Unit Name”.

COUNTY CODE: Only the state of Oklahoma requires county codes for units. A separate 1099 miscellaneous Government Form is required for Investors who receive revenue from wells located in Oklahoma. See Oklahoma 1099 forms and Owner 1099 report for additional information. Information for this form is reflected on the Owner 1099 report.

DEFAULT STATUS: This is the DOI default status. Transactions entered for this well default to this DOI owner percentage level. The status of each transaction determines what owner percentage value from the DOI file is used to calculate the owners share of expenses, revenue and taxes. For example, if the default status of a unit = 3 (in the Unit/Well file), then the owner percentages listed for level 3 (in the Division of Interest file ) will be used to calculate each owners share for transactions with status 3 to this unit.

BUDGETED AMOUNT: You may enter a total budget amount for this well. This amount is printed on the Well Cost report. Individual budget amounts may be established for each general ledger number in the Unit Chart of Accounts file for units.

Net Revenue to Working Interest: Put in the percentage of Revenue for Working Interest for this well. This will show up on your Well Analysis Report.

Company Revenue Interest: By putting in the Company Revenue Interest for this well, you can track the percentage on the Well Analysis Report.

Company Expense Interest: This field works the same as the Net Revenue to Working Interest and the Company Revenue Interest.

CLOSE UNIT: Check this box to prevent printing of a Unit P&L, Well Analysis and DOI report for this Unit. This can be used if a unit for that month or year has no production, taxes or expense. It will save time and paper when printing those reports.

MTD, YTD, and LTD GAS OR OIL VOLUME: These fields are updated when the period is closed. The transactions for general ledger numbers 3xxxx will be read for each unit that has either O/G type or oil or gas volume entered and will be updated to the fields for month to date, year to date, life to date gas/oil volume in the Unit/Well file. Production date, not transaction date and type 'O' for oil, 'G’ type for gas is used to update oil or gas volume to the applicable month in the Unit/Well file.

MTD GAS PRODUCTION, MTD OIL PRODUCTION: As oil or gas sales, general ledger numbers 30xxx-39xxx, are entered in the Transaction file or Run Check entry, you will be asked for the oil/gas production date. During a period close, the production volume for any transaction with a production date and type 'O' for oil or 'G' for gas will be stored in the Unit/Well file to the corresponding month for that production date. If you have a transaction with a transaction date of 9/30/2004 and a production date of 08/30/2004, the volume will be stored in the month of August in the Unit/Well file.

COMMENT: You may enter 2 lines of comments for each unit in the Unit/Well file to print on the Operating Statements. Comments also may be entered in the JIB program on your tool bar, under Tools for Statements, Comments for Statements.

EXAMPLE OF CONSOLIDATING TO MASTER UNIT

Assume you have a 3 well project, and expenses can be tracked by each well but the revenue from each cannot be tracked separately since they all empty into the same tank. In this instance, you should set up 4 units, (3 wells and 1 revenue unit) and give them all the same master unit number. This enables you to obtain a Consolidated P & L of the 3 wells for the master unit 10000-01.

Example for a project of company 01, a 3 well project that has only 1 revenue tank.

Master

Unit No. Unit No.

Rev. Unit for all 3 wells 10000-01 10000-01

First Well 10001-01 10000-01

Second Well 10002-01 10000-01

Third Well 10003-01 10000-01

In the previous example, when entering revenue and the system asks for a unit number enter 10000-01. When entering expenses for well number 1 use 10001-01, for well 2 expenses use 10002-01, and for well 3 expenses use 10003-01. This numbering scheme gives you the ability to obtain a consolidated P & L for all 3 wells, when you ask for master unit 10000-01. If no further consolidation is required, you will leave the lease and prospect number blank. This will avoid having the same totals printed on Unit P & L statements for lease and prospect as the master unit.

Related Topics

Government Forms


Division of Interest File

Each Unit has many Owners.

Each Unit must have the Owners Percentage assigned to it in the Division of Interest File.

See Oil & Gas Business for Dummies

TIME SAVER

You can also use the Quick Copy Tool , to quickly copy DOI Owners from One Unit to Another Unit.

Select Master - Division of Interest

The Division of Interest file stores each owner’s percentage of ownership in a particular unit. The year to date 1099 values for gross revenue and taxes along with the year to date expenses is also stored in the DOI file. The DOI file contains year to date cumulative Government Form 1099 values for expense, revenue and tax for each owner on a unit. This file is updated after each update of Operating Statements. If you entered DOI user defined descriptions in Setup Options program under File on your tool bar, the descriptions will print on each DOI report. To save input time when entering owners for the same well, use the carry add feature. Be sure to change any percents for a different owner. You have a feature located on the Filter tab that will allow you to print, or not to print, for Inactive Wells on your DOI report. You must check your Unit/Well file to insure that the ‘Close Unit’ field is marked before you use the ‘Print Inactive Wells’ field in the DOI. If you do want this ‘Inactive Well’ to print, you must insure that on the Filter tab ‘Print Inactive Wells’ is marked. If you do not, the DOI looks in the Unit/Well file for any wells marked ‘Inactive’ and does not print on the report.

You can also use the Quick Copy Tool , to quickly copy DOI Owners from One Unit to Another Unit.

OWNERS THAT HAVE BOTH WORKING INTEREST AND A ROYALTY INTEREST MUST HAVE TWO DIFFERENT OWNER NUMBERS SET UP IN THE OWNER FILE. The IRS requires separation of the revenue on Government Form 1099 forms at the end of the year.

Note: In order to display all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

OWNER NUMBER: Owner number assigned in the Owner/Customer file.

UNIT NUMBER: Well number assigned in Unit/Well file. An owner that has an interest of revenue, tax and or expense must be assigned for each unit in the Division of Interest file to calculate their share for Operating Statements.

COMPANY INTEREST: Used to determine if this owner has any company's interest in this unit. Normally owner numbers from 99990 to 99999 are used for company interest. If this field is marked ‘Y’, the revenue, tax and expense interest for each transaction status is used to calculate the P & L report for the company interest. Values for the Company Interest P & L report are stored in the Unit Chart of Accounts and are updated when you close the period.

SUSPENSE: Specifies whether or not the owner is on suspense for this unit. If marked ‘Y’, revenue checks, from Operating Statements, are held in suspense and not issued to the owner until his suspense is changed to ‘N’. An owner’s suspense status may be changed in the DOI file or in the JIB program on your tool bar under Tools for Statements. See How to Use Suspense for more info.

NET OUT: Specifies net out condition for this owner on this unit, provided the netout field in the Owner/Customer file ="E" (each unit is to be netted on an individual basis). If the netout field in the Owner/Customer file is="E" and the netout field here in the DOI file is marked ‘Y’, current expenses and prior invoices for this unit are deducted from revenue for this owner on this unit. If the netout field in the owner file is anything other than "E", this DOI netout field is not recognized and has no effect. See How to Use NetOut's for more info.

OWNER TYPE (W/R/O): Working interest, royalty or override owner.

ORIGINAL PRE-PAYMENT: This is the original pre-payment amount advanced for any expenses to your company. Enter prepay balances in the JIB program on your tool bar under Tools for Statements, Add Prepayment. This program will automatically update the DOI file (Original Prepay and Prepayment Balance fields), Bank file and the Transactions file. You may also refer to the ‘Add Prepayments’ under the JIB section of the Manual. See How to use PrePayments for more info.

PRE-PAYMENT BALANCE: If an owner prepaid any expenses, this is the balance remaining of the prepayments. This field is updated, when you run the update for Operating Statements. Any amount used in the Operating Statement to offset his expenses will be subtracted from this field and the proper debits and credits will be made automatically to the Transaction file. You should print the Prepayment report from the JIB program, on your tool bar, under Other Reports and compare the company total to the Trial Balance for the prepayment general ledger number. These totals should always agree. You should not adjust this figure manually.

SUSPENSE BEGIN: When an owner is placed on suspense, you must specify a beginning suspense date. The Non Released Suspense report can not be run without a beginning suspense date, since this date is used to gather the records from the Year to Date Transaction file. See How to Use Suspense for more info.

SUSPENSE ENDING: When an owner is released from suspense the current months first transaction date less 1 day is plugged into this field. The date is used to print the Released Suspense report.

SUSPENSE CODE: You can use a 2 digit code to identify the reason for an owner being on Suspense. You can make up your own list of codes.

NET REVENUE IN SUSPENSE (MTD, YTD AND LTD): This is the gross amount of revenue minus (federal backup withhold amount and or state tax withhold amount if any) and the gross taxes, for the month, year to date and life to date. These fields are updated during the Operating Statement update and are triggered from the field suspense in this same DOI file. When an owner is taken off suspense, these fields are cleared and the life to date net revenue in suspense plus the life to date tax in suspense is placed in the gross revenue released year to date. You should print the Non Released Suspense report from the JIB program on your tool bar under Other Reports and compare it to Trial Balance general ledger number 21010. These totals should always agree. If an owner has federal or state tax withheld, is in suspense or has minimum check amount, the federal or state tax withheld amount will be updated to gross revenue released year to date when Operating Statements are updated. Net suspense or minimum check amount is minus federal or state tax withheld. Federal and state tax amounts will be stored in the Owner/Customer file for 1099 printing. See How to Use Suspense for more info.

TAX IN SUSPENSE (MTD, YTD AND LTD): These fields reflect an owner’s tax in suspense for the month, year to date and life to date. Just like the suspense revenue fields, these fields are updated during the update for Operating Statements, and are triggered from the suspense field. When an owner is taken off of suspense, these fields are cleared and the life to date amount is added to the tax released year to date field. See How to Use Suspense for more info.

PERCENT OF OWNERSHIP FOR EACH STATUS: These values are used to calculate the owner's share of revenue, taxes and expenses for the Owner’s Share by Unit report and when printing Operating Statements. The percentage that will be used is determined by the status field used when entering a transaction for general ledger numbers 3xxxx, 5xxxx, 71xxx-75xxx with a unit number. For example, if you use a status of 3 for a revenue, tax or expense transaction, then percentage level 3 (rev3, tax3, and exp3) is used for all owners under that status in the DOI file for that unit.

GROSS REVENUE RELEASED YTD: Reflects the gross amount of year to date revenue released for this owner on this unit. This field is updated each time you run the Operating Statement update.

TAX RELEASED YTD: Reflects the amount of year to date taxes - production taxes, severance taxes, (not federal or state tax withheld) released to the owner. This field is updated each time you run the Operating Statement update.

71 EXP YTD, 72 EXP YTD, 73 EXP YTD, 74 EXP YTD and 75 EXP YTD: General ledger numbers 71000 through and including 75999 are considered as billable expenses to owners. Therefore, all debits and credits made to these general ledger numbers are used to determine expenses for the owners during printing of the Operating Statements. They are categorical expense fields and are updated each time you run the Operating Statement update.

TOTAL EXPENSES YTD: Year to date total of all expenses for general ledger numbers 71000 to 75999 expense fields. Each time update for Operating Statements executed these fields will be updated with cumulative information for the year to date expenses.

COMMENT: Any comment for this owner on this unit.

Related Topcis

Oil & Gas Business for Dummies ~ How to Use Suspense ~ How to Use Net Out ~ How to use PrePayments ~ How to Add PrePayments ~ How to Refund a PrePayment ~ Government Forms


Company Chart of Accounts File

Company Chart of Accounts

The whole Roughneck system revolves around the GL System. Each transaction is recorded to a GL Number. The GL Number on a Transaction indicates to Roughneck whether the item should be used in such routines as Printing Operating Statments or some other routine of Roughneck. For example, whether the transaction is a Billable Expense to Investors or not.

Chart of Accounts = a series of GL accounts

Company Chart of Accounts = keeps track of individual GL Accounts for a Company

Unit(Well) Chart of Accounts = keeps track of individual Expense and Revenue items for a Unit/Well

You must set-up a Chart of Accounts for each Company and each Unit or Well. Certain GL Numbers for the Chart of Accounts are reserved, see GL Number Restrictions below. The printing of the P & L, Balance Sheet, and Operating Statements are triggered by general ledger code numbers, such as assets, liabilities, billable expenses, sales, taxes/deductions etc…

TIME SAVER:

If you have multiple companies, once you setup a Chart of Accounts for One Company, you can use the Quick Copy Tool , to quickly copy the Chart of Accounts to another company. Same with Units or Wells. To save time setting up companies and units, you can copy a Chart of Accounts from one company to another or from one company to a unit (the current month and year to date balance figures are not copied). After copying the accounts, you can go to Master on your tool bar to make any additions, changes or deletions for the new company or unit.

Select Master - Company Chat of Accounts

Each company must have a Company Chart of Accounts. The Company Chart of Account file stores the general ledger number with the description along with the month and year to date balances for each general ledger number. The design format for financials such as the totaling type, account type, and the column to print on balance sheet should be set up here.

Note: In order to display all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

Please refer to sections below

GL Number Restrictions

Required GL Numbers

Required GL Numbers for Payroll

NOTES ON FIELDS

COMPANY NUMBER: The company number this G/L number will be assigned to.

GL DESCRIPTION: Your personalized description for this account. If GL Number needs to be changed in the future, you must go through Utilities, Data Tools, Key Code Change. Refer to Utilities section in Manual.

MTD COMPANY INTEREST: Company’s portion of the total (gross) of transactions for the month for this general ledger number. If no unit number is assigned for any transaction with general ledger numbers 3xxxx, 5xxxx, 71xxx-75xxx, the gross transaction amount is added to company's balance.

YTD COMPANY INTEREST: Company’s portion of the total (gross) of transactions for the year for this general ledger number.

TOTALING TYPE (1 to 99):

TYPE 1 accounts are title accounts only and are not open for transactions (debits and credits). An example might be assets, current income, cost of sales, liabilities, office expenses, billable expenses, non-billable expenses, etc…, where these headings are desirable in the printing of the Balance Sheet or Income Statement.

TYPE 2 accounts are open for transactions (debits and credits). These are your normal accounts that are used when posting to the general ledger. Only Type 2 accounts can have transactions entered for them.

TYPES 3 to 95 totaling accounts and only used to print a subtotal on the financial statements. Type 2 accounts total into the next larger type, likewise all type 3 accounts will total into the next larger type, and so forth.

ACCOUNT TYPE (MASTER, SUB or BLANK):

Enables summarizing of accounts. Only general ledger numbers with account type of M or BLANK are printed on the financial statements.

ACCOUNT TYPE = M is a master account and will be printed on the financial statement. The amount that will be printed will be the total of it and all immediately following 'S' (subaccounts) accounts. Only accounts with account type of M or blank are printed.

ACCOUNT TYPE = S is a SUB account of the preceding master account. The amounts for SUB accounts are added into the preceding master account and are not printed on the financial by themselves. All S's following an M are totaled into the preceding M account.

ACCOUNT TYPE = ' ' (blank) are printed as one line item and stop the totaling process for account types.

COLUMN TO PRINT:

Sub accounts do not print on financials.

Blank account, usually printed in column 1.

Master or totaling accounts 3 or higher usually printed in column 2.

Total assets and total liabilities are usually printed in column 3 on balance sheet.

COLUMN TO PRINT ON BALANCE SHEET (1, 2 or 3):

This field is only used when printing the Balance Sheet. It designates which column to print the amount on the Balance Sheet. If the column equals 1, the amount will be printed in the first column. Column equals 2, and the amount is printed in column 2. Column equals 3, and the amount is printed in column 3. This code does not affect any report other than the Balance Sheet. Readability

MTD BALANCE: Total (gross) of transactions for last period (current month) balance for this general ledger number updated from the last period close.

YTD BALANCE: Total (gross) of transactions for the year for this general ledger number. Current month transactions from the last period closed are added to the year to date balance when you close a period.

GL NUMBER RESTRICTIONS

See the sample data printout for an example. Use the sample data Company Chart of Accounts file for a guide on assigning these codes: See also Accounting for Dummies

Categories

You must use numbers here, no characters. Proper coding of the Company Chart of Accounts allows for consolidated and individual reporting of companies within a parent organization.

The x's represent the numbers that you fill in for the individual account. For example, 11010 would be an asset account.

1xxxx Assets

2xxxx Liabilities

25xxx Equities

3xxxx Revenue Sales (Oil/Gas/Other used to generate the revenue amounts on the Operating Statements.)

4xxxx Other Income (Income not disbursed through the Operating Statements.)

5xxxx Taxes/Deductions (Taxes/Deductions that are deducted from the revenue in printing of Revenue Statements.)

For Billable Expenses to Investors

If you want an Expense to be billed to Investors use these GL Numbers.

71xxx Expense Category 1

72xxx Expense Category 2

73xxx Expense Category 3

74xxx Expense Category 4

75xxx Expense Category 5

The description you enter for 71000, 72000, 73000, 74000 & 75000 will be printed on Operating Statements as a Category Heading for those types of Expenses. (The descriptions can be changed quickly anytime using Tool to Set Headings )

For Billable Company Charges to Investors

These accounts are billed as expenses to the owners but are treated as income for your company on the Unit P & L reports. Most operators use general ledger numbers 74171 to 74189 for their company charges to owners for items such as; administration for operating the wells, pumper, etc... To enter a company charge to Investors, you normally debit the expense (74171 to 74189) and credit income. Since these expenses normally repeat every month most folks use the Add Recurrent Transactions program then just append these as a group once each month.

The G/L Numbers used for Company Charges MUST be in sequence since the Unit P&L for Company Interest will ask for a Beginning and Ending G/L Number for Company Charges.

If you need to change your Company Charges for G/L Numbers so they are in sequence, use the Key Code Change program in Utilities under Data Tools. This utility will change the G/L Number in All files (G/L, Unit G/L, Transaction, YTD Transactions, etc...).

For Non-Billable Expenses to Investors

For expenses not to be billed to Investors use GL Numbers 76xxx to 99999. Usually items such as rent, office supplies, etc... are not billed to the Investors.

For Disbursable Revenue to Investors

For Revenue that is to be disbursed to Investors use GL Numbers (3xxxx). This is Revenue from run checks, etc... To enter a run check, you normally credit revenue (3xxxx) for the gross amount of the check, debit taxes and cost of sale (5xxxx) for the tax amount, and debit cash (1xxxx) for the net amount of the check.

For Disbursable Taxes/Deductions (from Sales of Oil/Gas/etc) to Investors

For taxes /deductions from revenue that is to be disbursed to the Investors use GL Numbers (5xxxx) This includes all owners; Override, Royalty and Working Interest.

For Income Not Disbursed to Investors

For income that is not to be disbursed to the Investors use GL Numbers (4xxxx). This is like Interest income or income from company charges to Investors, etc…

REQUIRED GL NUMBERS

The following general ledger numbers must exist in your Company Chart of Accounts for proper interaction.

11300-Accounts Receivable. Needed to make the automatic posting for all entries made through Accounts Receivable. Roughneck always debits or credits this account and never asks for this number. You only supply the general ledger number for the other half of the transaction.

21000-Accounts Payable. Just like Accounts Receivable.

21010-Suspense Revenue Withhold. When owners are coded as being on suspense, this account is used for their net revenue.

21011-Min. Check Amt. Withhold. When owner’s net revenue amount does not exceed the amount you specified for the minimum check amounts.

21040-Backup Withhold Taxes Payable. When owners or vendors do not provide Tax ID number.

21045-Nonresident State Tax Payable. California, New Mexico and Oklahoma require operators to collect state tax on nonresidents of their state. You should setup a new GL Number for each state. Ex: 21046- Oklahoma Non Resident Tax, 21047- New Mexico Non Resident Tax.

23200-Sales Tax Payable. Used in Accounts Receivable.

23300-Freight Payable. Used in Accounts Receivable.

23314-Reimbursement. This is a non-taxable Payroll reimbursement.

23334-Pre-Tax Deducation. This is a Pre-Taxable Payroll deducation.

25300-Retained Earnings, must be a Type 2. Used when the general ledger is zeroed and prepared for New Year. May be used to post beginning balance forward to general ledger.

29700-Current Net Income, Must be Type 1. Used to calculate current income on reports.

76320-JIB Offset. Used to offset expenses billed to owners when Operating Statements are updated.

76330-Revenue Offset. Used to offset revenue disbursed to owners when Operating Statements and checks are updated.

Note on JIB and Revenue Offset Numbers: When updating the Operating Statements, you need some type of offset account for both expenses and revenue. The expense offset is normally called the JIB offset and the revenue offset is surprisingly called the revenue offset. You do not have to use the numbers 76320 and 76330 for these two offset accounts. All other numbers above must exist as is (no changes).

REQUIRED GL NUMBERS FOR PAYROLL (if interactive)

Some folks don't want Payroll to be interactive, but most do.

If you elect to make Payroll interactive to the general ledger you must have the GL accounts for Payroll. These general ledger numbers may be modified using Setup Options under File on your tool bar. All payroll accounts are normally type 2.

To see or modify the GL Accounts required for Payroll

Select File -SetUp - Payroll Features

Related Topcis

Oil & Gas Business for Dummies ~ Accounting for Dummies ~ Quick Copy Tool


Unit Chart of Accounts File

Unit Chart of Accounts

This is the Chart of Accounts file for your units. Each unit must have its own Unit Chart of Accounts to provide the Financial Reports for the Wells. Unit Chart of Accounts only has general ledger numbers 3xxxx (revenue), 5xxxx (tax/deductions) and 71xxx-75xxx (expenses).

TIME SAVER:

If you are setting up your data files for the first time, once you setup your Company Chart of Accounts, you can use the Quick Copy Tool to Copy those Accounts to your Units - (the current month and year to date balance figures are not copied).

You can also use the Quick Copy Tool to Copy from One Unit to Another Unit. After copying the accounts, you can return here and make any changes, if needed, to individual accounts.

Select Master - Unit Chart of Accounts

The Unit Chart of Accounts is updated when you close a period. Production date from the Transaction file is used to update for sales (3xxxx) and taxes (cost of sales 5xxxx) in the month of production. Transaction date is used to update expenses (71xxx to 75xxx).

Note: In order to display all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

COMPANY NUMBER: Your company number for this unit.

GENERAL LEDGER NUMBER: This general ledger number MUST exist in the Company Chart of Accounts.

BUDGETED AMOUNT: A budgeted amount, if any for each general ledger number. Usually used for drilling, completion, workover, etc… used in the Well Cost report.

MTD, YTD, LTD TOTAL BALANCE: Gross amount for each general ledger for this unit for the last period updated. Month to date balance is replaced and year to date balance and life to date balance for Unit Chart of Accounts are updated when you close a period.

MTD, YTD, LTD BALANCE WORKING INTEREST: Each transaction status for a unit will add the total from the DOI of all working interest owners values of sales, taxes and 100% W.I. expenses and update month to date values. Year to date and life to date values will be added to prior values. Use the Owners Share by Unit report to check working interest values for sales, taxes and expenses for current month. The Unit P & L report for working interest reads from this field for each unit.

MTD, YTD, LTD BALANCE COMPANY INTEREST: Each transaction status for a unit for sales, taxes and expenses will check the DOI file for the company's percent. When you close a period, the company's month to date value will be replaced and the year to date and life to date value will be added to prior values. Use the Owners Share by Unit report to check company's share of sales, taxes and expenses for current month. The Unit P & L report for company interest reads from this field for each unit.

MONTH DOLLAR AMOUNT: Production date is used for month and dollar amount values to update sales (3xxxx) and taxes (cost of sales) (5xxxx) when you close a period. Transaction date is used for month and dollar amount values to update expenses (71xxx to 75xxx). These fields are read for the Well Analysis report for dollar amounts and month. Values for production volume are read from the Unit/Well file for production month and oil volume or gas volume.

Related Topcis

Oil & Gas Business for Dummies ~ Accounting for Dummies ~ Quick Copy Tool


Employee File

Select Master - Employee

You can make the Payroll programs interactive to the general ledger and assign special deduction 1 to the state tax by using Payroll Setup Options under File. The Payroll programs are interactive to the general ledger in the sample data. Add employees in the Employee file.

Note: In order to display all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

NOTES ON FIELDS

EMPLOYEE NUMBER: Five-digit code number assigned to each employee.

Note: If you have more than one company and If different companies use the same owner, customer, vendor or employee, you must assign him to each company to track year to date information. Otherwise the year to date values for each company, 1099, W-2 info, etc..., is not kept properly. Remember, at the end of the year, it is a company that issues 1099's, W-2's, etc... You can use the same code number for the same person in each company, since the addition of the company number will distinguish its index key from the same record in a different company (SMITJ01 vs. SMITJ02). When adding owners, vendors and employees for multiple companies, use the carry-add feature.

EMPLOYEE NAME: The employee’s name as you would like it to appear on the checks and all payroll reports.

W2 FIRST NAME AND INITIAL: The format for the first name and initial that will print on the W2 form.

W2 LAST NAME: The format for the last name that will print on the W2 form

EMP COMMENT: This is a field of your choice. It will show Emp Comment at first but, you can change the heading description under File, Setup Options then Payroll Features.

SOCIAL SECURITY NUMBER: Social security number needed for W-2's.

DATE OF BIRTH: This is the birthday of the Employee.

MARITAL STATUS: M = Married, S = Single

HOLD S.S. & MEDICARE TAXES: (i.e., Alien): United States citizens are responsible for paying FICA and Medicare taxes. Non citizens don't pay these taxes.

DATE HIRED: For your information, date first hired.

NUMBER OF EXEMPTIONS: Number of exemptions claimed on W-4.

PAY PERIOD (WEEKLY, BI-WEEKLY, SEMI-MONTHLY, MONTHLY): How often the employee is paid. This entry is critical for correct calculation of taxes withheld. Bi-weekly = paid every 2 weeks, Semi-monthly = paid twice each month. When you post hours for paying employees, you must enter the number of hours even if an employee is salaried.

Normally you will enter the following for regular hours, salaried employees.

40 HRS for a WEEKLY PAYROLL

80 HRS for a BI-WEEKLY PAYROLL

86.66 HRS for a SEMI-MONTHLY PAYROLL

173.33 HRS for a MONTHLY PAYROLL

TYPE (S=SALARIED, H=HOURLY, I=INACTIVE): Indicates whether an employee is a set salary, paid by the hour, or has been terminated. Inactive means the employee has been terminated. Inactive employee’s will not come up when you pay the employees, however, they must remain in the file until the end of the year for W-2's and government reports if they have received any wages.

PAY RATE (IF SALARIED, USE YEARLY PAY RATE): Salaried employees must have their yearly salary entered, for correct calculation of taxes to be withheld. For hourly employees, enter the hourly pay.

OVERTIME PAY RATE: This is usually 1.5 times his normal rate. This field does not apply to salaried employees.

CLASS CODE: Using this field lets you print and track payroll registers by class code. For example, code 1000 could be used for office help and code 2000 could be used for manual labor help.

ANY ADDITIONAL FEDERAL TAX TO WITHHOLD: If an employee, would like to have some additional federal tax withheld each pay period, enter the amount here. Additional federal tax is added to total federal tax withheld on Payroll reports.

VACATION HRS. REMAINING: The number of vacation hours remaining this year. This is not a critical field, but is updated when you pay vacation hours. 0=None

SICK HRS. REMAINING: Number of sick hours remaining this year. Again this not a critical field, but is updated when you pay sick hours. 0=None

DEDUCTIONS TAKEN OUT EVERY PAY PERIOD: There are 4 deduction fields for automatic deductions each pay period. For example, insurance may be deduction 1; uniforms may be deduction 2, etc… Use Payroll Features under Setup Options under File on your tool bar to enter description for the deductions.

NON TAXABLE REIMBURSEMENT: This amount will not be reported on the Employee’s W-2 form. The GL number suggested for reimbursement is 23314. To change the description or GL number go to File, Setup Options then Payroll Features.

PRE TAX DEDUCTION (FEDERAL ONLY): This amount is reported on the Employee’s W-2 form in Box 12 with “D” code. The GL number suggested for Pre Tax is 23334. To change the description or GL number go to File, Setup Options then Payroll Features.

NOTES ON FIELDS FOR ADDRESS TAB

ADDRESS LINE 1 AND 2: Employee’s physical address as it would appear on the payroll check.

CITY: Employee’s city, as it would appear on their payroll check.

STATE: Employee’s state as it would appear on their payroll check.

ZIP CODE: Employee’s zip code as it would appear on their payroll check.

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Names for W2 Printing


Payroll Tax Table

Select Master - Payroll Tax Table

The following table is current as of January 2006.

*State unemployment limit is different for each state.

Only edit is available for the tax table. You are not able to edit the “But Not Over” field. Roughneck updates that with the new tax table each year. The sample data that comes with the programs contain the latest tax tables for the current year. Tax tables are based on the year income rates for single and married persons as found in the IRS Circular E.

Notes on State Unemployment Limit and Rate: This is your state unemployment limit and experience rate assigned by your state. Each company's experience rate is different.


Land Management File

Select Master - Land Management

Master file information for Land Management is stored in the Land Management file. Changing fields in the filter can print different types of Land Management reports. The Land Management system is a stand-alone module and does not directly interact with any other accounting files. Therefore, leases do not necessarily have to be entered in the Unit/Well file.

You can not enter the same Prospect and Lease number more than once. The required fields are the Prospect number, Lease number and Company number. All of the date fields will default to your transaction date but any of these dates can be changed. Your filter allows you to change what you view on the screen or the reports. There are several ways to filter your information, by Prospect number, State, Beginning and Ending Rental dates, etc… The filter conditions on the bottom of the screen, such as List Location and One Per Page, only affect the reports. To print the Land Management report set your filter for only the information you want to see then hit the print button on your tool bar.


Critical Action File

Select Master - Critical Action

The Critical Action file is normally used in conjunction with the Land Management system but can be used to store any critical action (i.e., birthdays, weddings, etc...). The Critical Action file can be tied into the Roughneck, such that, every time you start Roughneck, it will automatically search this file for any critical action within 7 days from your system date. You are flagged, if any critical action is necessary within the specified time. The Critical Action file does not interact or pull information from any part of Roughneck. It is a stand-alone module.


Run Checks, JE's and Cash Disbursement

Run Checks, JE's and Cash Disbursements

This is for entering General transactions other than for Accounts Payable, Receivables and Payroll. For proper Accounting, a Debit & Credit is required for each transaction. The Transaction File is normally used to enter debits and credits for:

Run Checks

General Journal Entires (JEC and JED)

Cash Disbursements

In This Section

How to Enter a General Journal Entry

How to Enter a Run Check

Print Monthly Transactions

How to Edit/Delete a Transaction (JE or Run Check)

Related Topics

Accounting for Dummies


Edit/Delete Transactions

Edit/Delete or Print Transactions

This routine is used to Edit Debits and Credits in your Monthly Transaction File.

Select Transactions - Transactions - Edit/Delete

In the edit routine you are able to edit any record in record number order. You can also delete a record, but the record is only marked for deletion. You must Pack the Transaction File to completely remove it from the system, which is located under Utilities.

Note: The program WILL NOT allow you to edit or delete transactions in the Transaction file, which have a matching record in either the Accounts Payable or the Accounts Receivable file. This is prevented because deleting these transactions will not delete the corresponding invoices in Accounts Receivable or Accounts Payable. Those transactions can only be deleted or edited from the respective programs. Edit/Delete AP Invoice, Payment and JE's ~ Edit/Delete AR Invoice, Payment and JE's

FILTER TAB

To Print a Listing of the Monthly Transactions, click on the Filter Tab, set the Filter to desired conditions, then click the Print Button.

Filter for beginning and ending general ledger number may be very helpful if you need to change status codes for revenue, 30xxx-35999, taxes, 50xxx-59999, or billable expenses, 71xxx-75999. Leaving all filters blank would access all records.

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

BROWSE TAB

You can use the browse tab to view your transactions in the format they are held in the computer.

FILES UPDATED FOR TRANSACTION ENTRIES

TRAN.DBF - Stores all debits and credits.

BANK.DBF - Stores deposits & checks posted to cash account to be used for Bank Reconciliation report.

Related Topics

Print Montly Transaction Listing ~ Pack the Transaction File ~ Edit/Delete AP Invoice, Payment and JE's ~ Edit/Delete AR Invoice, Payment and JE's


Print Monthly Transactions

PRINT MONTHLY TRANSACTION LISTING

From the Drop Down Menu, select Transactions, Transactions again, then Edit/Delete. Then click on the Filter Tab at the top. Alternatively, you could use the Quick Menu, and select Edit GL Transactions. Either way is fine, the Quick Menu is just faster.

Click on the Filter Tab at the top, to set the Filter conditions.

Click on Set Filter/Order - for conditons to take effect.

To print every transaction for Company 01. Change Company Number to 01,

then click the Print Button (located underneath the A/R of the Drop Down Menu - see above image).

Check the Report: This report should always total to zero. The report reads from the Transaction file that contains all debits and credits. During Period Close Procedures these records are used to update the YTD General Ledger values then the records are moved to the YTD Transactions file (YTDTRAN). The YTD file is a complete audit trail of all debits and credits for your accountant.

Related Topics

How to Edit/Delete a Transaction (JE or Run Check)


Recurrent Transactions

Recurrent (Repeating) GL Transactions

For GL Transactions (Debits & Credits) that repeat every month.

This file is used for entering general journal entry transactions that occur every month, such as rent and company charges to Investors. Recurrent transactions have no affect on the Accounts Payable or Accounts Receivable programs.

In This Section

How to Add Recurrent GL Transactions

How to Append the Recurrent Transactions to the Monthly File

How to Edit or Delete a Recurrent GL Transaction

Related Topics

How to use Recurrent (Repeating) Accounts Payable Invoices

Accounting for Dummies


Append the Recurrent Transactions

APPEND TO RECURRENT TRANSACTIONS TO THE MONTHLY FILE

This routine adds ALL the Recurrent Transactions to the Monthly Transaction File. It is normally done once a month, when you Close a Period(Month) , the Roughneck will ask if you would like to Append Recurrent Transactions to the Monthly File.

However, the first time recurrent transactions are added you must append them to the current months Transaction file, if you want them in this months transactions.

To Append, select Transactions - Recurrent Transactions - Append

Normally, you should append recurrent transactions when you Close a Period(Month) , that routine will ask if you want to append reccurrent transactions for following month. If you try to append more than once in the same month, you will be flagged stating the date of the last append and you will be asked if you want to append again.

The new transaction date will reflect a date for the month in which you want to process the records.

FAQ:

Q. I have already Appended my Recurrent Transactions for this month, but I have just received a new invoice I would like to add as a Recurrent entry. If I add into the Recurrent Transaction File, can I Append for the month again? (for A/P Recurrent or Transactions Recurrent)

A. No, you cannot Append again. If you do, you will have double entries for the Recurrent Transactions already set up in the file. What you should do is add the NEW Recurrent Transaction into the Recurrent field so that it is ready to go for the next month, then add that one invoice into A/P (if it is Recurrent A/P invoice) as if a normal A/P invoice would be entered, or add it into the Transaction File (if it is a Recurrent Transaction) as if a normal Journal Entry would be entered.


Edit/Delete Recurrent Transactions

Edit/Delete or Print Recurrent Transactions

This process is for making changes to your Recurring Transaction File.

Select Transactions - Recurrent - Edit/Delete

This routine operates just like the process for Edit/Delete to your Monthly Transaction File

except it Edits the records in the Recurrent File instead of the Monthly Transaction File.


Quick Checks

This program is designed to print a quick miscellaneous check, that is not necessarily an A/P, Revenue or Payroll check. This is for Printing Quick Checks and a Report of all the checks.

In This Section

How to Enter and Print Quick Checks

How to Change the Format of Quick Checks

Print the Check Listing Report

Related Topics

How to Reconcile the Bank Statement ~ How to Change the Format of Quick Checks ~ Checks Used by Roughneck


Enter & Print Quck Check

This is for the need to print an occasional check. It prevents the need for having to enter an item through Accounts Payable and then writing a check from there.

Select Transactions - Quick Checks

A quick check will automatically credit the Cash account specified and debit the Expense account specified UNLESS you select NO to save to your transaction file.

Tip: You have the option to print a check with or without saving it to the transaction file preventing a Debit or Credit from being made.

For example, a Revenue check, Accounts Payable check, ect. gets lost in the mail. To replace this lost check you can write a quick check and select NO to save to transaction file. No Debit or Credit will be made in the Transaction file - preventing double posting of this check. Then go through the Bank file and edit the check number of the original check to reflect new check issued. Be sure to call your bank and stop payment on the original check.

NOTES ON FIELDS FOR QUICK CHECKS

COMPANY NUMBER: The company this check will be assigned to.

CASH ACCOUNT: This is your bank account number nomally 11010-11020.

SOURCE TYPE: You will enter a V/O/C/E or leave it blank. V= Vendor, O=Owner, C=Customer and E=Employee. If you leave it blank then you will need to type in a name to which you want the check to be written to. If you enter “V” then you will select a Vendor number in the Pay to the Order of field.

PAY TO THE ORDER OF: You will need to enter a Vendor, Owner, Customer or Employee number. We added a drop down box for an easy lookup. If you leave the Source Type blank then you will need to type in a person or company name to which you would like the check to be made out to.

ADDRESS: The Vendor, Owner, Cutomer or Employee address will automatically pull up from their respective files. If you leave the Source Type blank then you will need to enter in the person or companies address. You also have the option to just leave it blank with no address.

CHECK NUMBER: Enter the check number you would like to be printed on your checks.

MEMO: You can type in your own Memo or leave it blank. Another option is if you selected the Source Type as a “V” and in the Pay to the Order of field you entered in Vendor number 10000 then it will put in Vendor number 10000 memo in the memo feild, which is stored in the Vendor file. The Memo field can also be used as an Account number field.

EXPENSE ACCOUNT: This is the expense account you want this check to be debited. You have a drop down box along with the auto complete.

DESCRIPTION: The description will automatically pop up as the expense account GL numbers descrition from the Company Chart of Accounts. If you do not want that description you can always type in your own and it will override the default description.

UNIT NUMBER: You do not have to enter a Unit number but, if you do not it will not be billed out and picked up on your Operating Statements.

STATUS: A status is not required if you do not enter a Unit Number. If you do use a Unit Number then it will default to the Unit’s default status level.

AMOUNT: This is the dollar amount you want to write the check for.

After entering your dollar amount you will need to click on the PLUS SIGN button. You then have three options, you can start a New Check, Print the check or Save the check.

NEW CHECK BUTTON: If you select the New Check button the check will not print or save. The cursor will go back up to the Company number field and the all other fields will be zeroed.

PRINT BUTTON: Once you select the print button you will be asked if you would like to print an Alignment Check. We always recommend doing this. Roughneck will then count your checks and tell you the Total Checks required. You will then be asked if you would like to save this check to the Tran File. If you say Yes, it will write the credit and debit to the Transaction file. If you say No, you will not be able to track this transaction. It will be like you never wrote the check as far as Roughneck is concerned.

SAVE BUTTON: If you select to Save you will be asked if you would like to Save before printing. If you select that you do not want to print and you just want to save, you will not be able to pull up this transaction and print it at a later date. This transaction will only be saved to the Transaction file.

Note for several entries on One Check

If you have several entries or invoices you want this check to pay then after your first entry click on the Plus Sign button, then you will notice the cursor defaults back to the Expense Account field. You will need to enter your second entry click on the Plus Sign button again then you will notice in the dollar amount field the two entries will be combined.

Related Topics

How to Change the Format of the Quick Check ~ Checks Used by Roughneck ~ Print Check Listing Report ~ Print List of Checks and Deposits ~ How to Edit Checks and Deposits ~ How to Reconcile your Bank Statement


Check Listing Report

This report reads transactions from the Transaction file. The filter conditions specified in the check listing are used to list the detail on the check listing report.

Select Transaction - Check Listing

NOTES ON FIELDS FOR CHECK LISTING REPORT

CASH ACCOUNTS: Beginning and ending cash accounts are used for each company. Only accounts that were entered in the Transaction file with a check number will be listed.

CREDIT/DEBIT: Enter ‘C’ for credit or ‘D’ for debit for cash accounts above. Leaving the filter blank will display both credits and debits.

DETAIL OR SUMMARY: Enter “D” for Detail or “S” for summary. The Detail report will print all the information stored about the check. The Summary will only print the check number, transaction date, source and the amount.

CHECK TYPE: You can selct to print for only A/P, A/R, Payroll, Quick Checks, Revenue, Revenue DD Only (Direct Deposits Only),Voided checks, Other or All Types of checks.

SOURCE TYPE AND SOURCE NUMBER: Used to locate the source type, V=vendor, E=employee, O=owner, C=customer in the Transaction file. Source number is the code number used for the source type.

UNIT NUMBER: Normally the well number.

TRANSACTION DATES: Beginning and ending cash accounts are used to list debits and or credits for the beginning and ending transaction dates specified for each company. Detail is listed for accounts that were entered with a check number. The Check Listing report should be printed prior to closing a period. Once the period has been closed you can not print a check listing for a prior period.

INCLUDE DELETED RECORDS: This will include any records you have marked for deletion on the report. The report will not include records that have already been Packed - totally dropped from the system.

Related Topics

Print List of Checks & Deposits ~ How to Edit Checks and Deposits ~ How to Reconcile your Bank Statement


Accounts Payable

Keeps track of money your Company owes to Vendors. Used to track invoces from Vendors and their payments.

In This Section

How to Add an AP Invoice

How to Edit or Delete AP Invoice, Payment or JE

How to Print Computer Checks for AP Invoices

How to Void a Check

How to Use ReCurrent (Repeating) AP Invoices

Reports:

AP Posting Register

AP YTD Posting Resgister

AP Inquiry Report

AP Cash Requirements Report

AP Detail Report

AP Summary Report

AP Company Totals

Related Topics

How to Use Recurrent (Repeating) GL Transactions ~ How to Track Accounts Payable on Unit by Unit Basis ~ How to Enter a Credit Invoice ~ How to Change the Format of AP Checks ~ How to Use Discounts for Accounts Payable ~ Checks Used by Roughneck ~ Accounting for Dummies


Edit/Delete A/P Invoice, Payments and JE's

The change program allows you to change all entries to an Accounts Payable invoice or payment application.

You can change the invoice number, amount, general ledger number, unit number, status to use for billing Investors and the application or transaction date. You cannot change the Vendor number since values are written to the Vendor file. If the Invoice was entered to the wrong Vendor, you need to delete the Invoice and add an Invoice for the correct Vendor.

Select AP - Invoices - Edit/Delete

The invoice must reside in the APDET.DBF, APREG.DBF and the TRAN.DBF file for you to make changes to an invoice. All files should contain the data you are trying to change. If data is missing from files, you will be flagged which files are missing data. You may have to make adjustments in other files to change this record. Data could be very hard to trace if all records do not exist in the appropriate files.

Changing specific fields of an Accounts Payable invoice will re-write changes to the following data files. Some values are not stored in all data files. You should be familiar with where values are stored if data is missing from files.

FILES UPDATED WHEN ENTERING ACCOUNTS PAYABLE INVOICE OR PAYMENT

APDET DBF - Store invoice record, type 0 or pay record, type 5

APREG DBF - Detail of invoice or payments applied in the Posting Register.

TRAN DBF - Debit and credits to general ledger number 21000 and offset general ledger

number.

VENDOR DBF - Year to date balance - if entered, if paid-year to date 1099 service/rental,

year to date federal tax withhold, state tax withhold amount.

BANK DBF - Amount of payment if posted to cash Account

You may change all fields except the vendor number field. Other fields changed that also exist in other data files will write the change to that file also. Suppose we change the invoice number from 100 to 200. The invoice number will be re-written in the APDET.DBF, APREG.DBF and the TRAN.DBF data files. Other changes will be re-written to the associated data files containing the same information.

If multiple posting were performed for different units or different general ledger numbers for the same invoice, you may select the next button to make changes. Each record changed will be rewritten to the associated files. If you change the amount, the invoice balance will be updated for the correct balance after each amount is changed.

NOTES ON FILTER FOR EDIT/DELETE ACCOUNTS PAYABLE INVOICE OR PAYMENT

Note: In order to get all records of a file, the Filter conditions must be blank, otherwise it will only list records that were contained in the previous filter.

APPLICATION TYPE: You can select which type of transaction you want to view, change or print. (0=invoice, 3=JEC, 4=VCK, 5=Pay, 6=JED, 7=Discount, 8=Federal Withhold, 9=State Withhold)

COMPANY NUMBER: The company number you want to view, change or print.

VENDOR NUMBER: This is the vendor number used for this invoice. You may NOT change the vendor number. If the invoice was entered to the wrong vendor, delete the invoice and pack data files. Enter the invoice to the correct vendor.

INVOICE NUMBER: This is the original invoice number you entered for this vendor. If different units or general ledger numbers were used for the same invoice, the invoice number will be changed for those postings. You may not change the invoice number to or from a credit. The last character of the invoice cannot be changed to 'C'. Associated data files would have to reverse debit and credit entries. You may change an invoice to have the last character 'R' for rental or 'S' for service 1099's amounts.

NOTES ON FIELDS FOR EDIT/DELETE ACCOUNTS PAYABLE INVOICE OR PAYMENT

(Located on the ‘All Invoices’ tab)

VENDOR NUMBER: This is the vendor number used for this invoice. You may NOT change the vendor number. If the invoice was entered to the wrong vendor, delete the invoice and pack data files. Enter the invoice to the correct vendor.

INVOICE NUMBER: This is the original invoice number you entered for this vendor. If different units or general ledger numbers were used for the same invoice, the invoice number will be changed for those posting. You may not change the invoice number to or from a credit. The last character of the invoice cannot be changed to 'C'. Associated data files would have to reverse debit and credit entries. You may change an invoice to have the last character 'R' for rental or 'S' for service for 1099's.

APPLICATION DATE: The date when you entered the invoice in the Accounts Payable programs. The invoice date normally defaults to the current system date. You may have made a mistake when entering this date. It will not effect the Transaction file, as the application date is not stored in the Transaction file. Once the application date is changed, the due date will automatically be changed by the terms assigned to this vendor.

TRANSACTION DATE: This is usually the system default date or the date you entered for this transaction. The transaction date is used for Operating Statement billing. You may want to change the transaction date to prolong billing to Investors until next month. Changing the transaction date will not affect payment of the invoice or the date of the invoice, only the billing for Operating Statements. You can use the calendar button to look up any date for the invoice.

DISCOUNT DATE: The date the discount was applied to the invoice. You can use the calendar button to look up any date for the invoice.

DISCOUNT AMOUNT: The amount of the discount given to the vendor.

GENERAL LEDGER NUMBER: This is the expense general ledger number that is debited. Do not use the Accounts Payable general ledger number. Roughneck automatically posts a credit to Accounts Payable. Investors are billed their share for general ledger numbers in the range of 71001 to 75999 when Operating Statements are printed.

DESCRIPTION: The description entered here will appear on Operating Statements.

UNIT NUMBER: The unit number is processed from the Transaction file to locate the unit name from the Unit/Well file and the owner percentages from the DOI file. If no unit number is entered, the invoice is not billed to Investors.

DOI STATUS LEVEL: Status is stored in the Transaction file and used to locate the correct owner percentages in the DOI file for the transaction. Status of the transaction is used in Operating Statements for expense. If you enter a status of zero, the invoice is not billed to Investors. Changing the status will rewrite to the Transaction file.

INVOICE AMOUNT: This is the amount for this unit. If multiple posting were saved for this invoice to other units, you should select next record. Each posting for this invoice with the same application type will be displayed on the screen for changes. The invoice balance will be reflected after each change of amount. If this is a payment amount and you posted to the cash account, the Bank file will be effected also. Print a new Accounts Payable Inquiry, Accounts Payable Posting Register and Transaction report to verify all changes were made correctly. You can use the “calculator button” to calculate any values without leaving the program or using a 10 key.

NOTES ON DELETING

Records marked for deletion are not dropped until Accounts Payable and Transaction files are Packed . If the application has been marked for deletion previously, you can recall (undelete) it (if the file has not been packed), by performing the delete procedure again. Records that have been marked for deletion do not show up on reports, although the records are still in the file. Records marked for deletion remain in the file until it has been packed. Packing a file removes records marked for deletion from the file, FOREVER!

Naturally, if the debit and credit for the invoice or application has already been moved from the TRANSACTION file to the YTDTRAN file (when you close a period), then the associated debit and credit is not deleted. In this case, you should post a journal entry credit or debit in the general ledger programs, enter a transaction to correct the general ledger balance for 21000 and establish and audit trail for the deletion in the YTDTRAN file.

WRONG VENDOR NUMBER

Question: I entered an Accounts Payable invoice but to the wrong vendor. I have already closed the period, but have not paid the invoice yet. How can I delete the invoice and add it back in to the correct vendor?

Answer: You will need to go into A/P, Invoices, Payments and JEs. Select 6 for JED and specify the Vendor and the Invoice Number, now click the button '1 JED'. Specify the JED amount and put it back to the original GL used. Enter down to 'OK'. Now you must re-add the invoice back in with the EXACT same information (same dates, same unit, same status, amount, etc.) except now you will select the correct Vendor Number. By doing so, you are NOT going to re-bill your investors. After entry is made, you will need to re-close that period again - only this one trasaction will be closed for that period since all others for that period were closed previously - pay attention to your transaction dates. You now have the correct invoice entered and you are free to pay it!

Note on re-closing period: By using the Exact same information (same transaction date) you are putting it back into a Closed Period. Since the period is already closed, if you don't reclose it then this one invoice will be sitting in that period all by it's lonesome self.

Related Topics

How to Void a Check ~ Pack a File


A/P Computer Printed Checks

This is the automated process for printing A/P checks to Vendors.

See the example in the Tutorial for info on Preparing and Printing AP Checks to Vendors.

Print AP Computer Generated Checks


Voiding A/P Comp. Printed Checks

Voiding Accounts Payable Checks

You can only void a AP check if the payment was made in a month that has not been Closed. AP Invoices that have been paid are normally dropped from the system during the Update for a Period Close . If you have closed that month and dropped it from the system (during close) then you will not be able to use the Void Check, and must Manually Void the Check. See the Manual Method below to show you how to manually Void an A/P check.

Select AP - Void Checks

NOTES ON FIELDS FOR VOID CHECKS

COMPANY NUMBER: The company number you want to void the check.

VENDOR NUMBER: This is the vendor number used for the payment. You may NOT change the vendor's number. If the payment was entered to the wrong vendor, delete the payment, pack your files then reenter the payment.

INVOICE NUMBER: You can enter the invoice number of the payment or you can leave this field blank and Roughneck will scroll through all payments for the vendor.

CHECK NUMBER: If you know the check number you can enter it or leave it blank to scroll.

DEBIT G/L NUMBER: This is usually your cash account

TRANSACTION DATE: The date you want the voided check to show up.

DESCRIPTION: The description will only show up in the Transaction file. It will print on your Monthly Transaction Listing and on your Trial Balance.

You will need to enter your Company number and Vendor number. You are able to Scroll for the Invoice and Check number. Once you find the payment you need to void click on the Void button. You will then need to enter your Cash account and the transaction date you want to show up as a voided check. Click OK, then your check has been voided. A voided check will show up as a Type 4 account on your A/P Inquiry & Posting Register as well on your Monthly Transaction Listing.

MANUAL METHOD OF VOIDING AP CHECK

If the paid AP invoice has been dropped from the system during Period Close , you need to redeposit the returned vendor check to make your cash account correct.

Enter the voided check in the Transaction file using Enter a Journal Entry .

Debit - 11010- Cash account for the amount of the check.

Credit - the Expense GL number- you originally posted to for the invoice.

Note: Be careful not to bill the Investors or the unit again for this expense, if they have already been billed - so don't enter a Unit Number.

Add a new invoice in Accounts Payable to the correct vendor if a check was issued to an incorrect vendor.

Note: Again, be careful not to bill the Investors or the unit again for this expense, if they have already been billed - so don't enter a Unit Number.


A/P Reports

Reports produced by the Accounts Payable System.


A/P Posting Register

This register prints from the temporary file APREG, which is normally cleared and moved to the YTDAPREG file when you close the period.

Select A/P - Reports - Posting Register.

Note: Beginning and Ending Tran dates refer to the Transaction Date, not the Invoice Date. The Transaction date is used for the above reports and for Operating Statements, Period Close & Reports, and Close the Year routines. By changing the default transaction date in the Utilities program or while entering the A/P Invoice you can enter transactions that you don't want printed on Operating Statements for a particular period.

The A/P Posting Register reads from the file APREG and prints all invoices and applications within the range of Dates you specified. Records in this file are normally cleared during Period Close for the specified range of Beginning and Ending Dates.

Click OK

On the Printer Setup screen: Check Print, which prints to paper, and Number of Copies equal to 1.

Click OK.

Check the Report:

The Period Total of this register should always equal the Period Totals in the Monthly Trial Balance report for GL Number 21000 - Accounts Payable. If the period totals do not agree, see FAQ - Period Close for info.

Related Topics

FAQ - Period Close


A/P Inquiry Report

This is an aged report that groups totals by number of days past due from the specified aging date. It reads from the APDET file.

Select A/P - Reports - Inquiry

This report lists all Accounts Payable invoices and totals by company. You should print the Accounts Payable Inquiry report for a hard copy listing all Accounts Payable invoices and their payments prior to closing a period. If you select drop zero balance invoices during close the period processing; the invoices and payments for zero balance invoices are dropped from the Accounts Payable Detail file.

DETAIL REPORT: Printing a detailed report will list all invoices and their application records for type INV, PAY, JEC, etc… If you choose to print a detailed report a prompt will appear asking whether or not to include invoices with a zero balance. If you select 'N' (no) to not include invoices with a zero balance, then invoices that have been paid are not listed on the detailed report.

SUMMARY REPORT: Printing the summary report will list only outstanding invoice amounts for vendors specified in the filter. Detail of these invoices will not be printed.

COMPANY TOTAL REPORT: Printing the company total report will list the total for the company specified. The company total should agree with the ending balance of general ledger number 21000 on the Trial Balance report.

Check the Report:

The Company total of this report should always equal the Ending Balance for the Company as listed on the Monthly Trial Balance report for GL Number 21000, Accounts Payable. Normally records in this file are retained until the balance of the invoice is zero then during Period Close invoices with a balance of zero are dropped from the file. If the period totals do not agree, see FAQ - Period Close for info.

Related Topics

FAQ - Period Close


A/P Cash Requirements Report

The Accounts Payable Cash Requirements report lists all invoices that will be due and payable by a specified date.

Select A/P - Reports

This report is normally printed to determine what invoices to pay. The report is then marked accordingly (full payment, pay partial, etc...) and then used to prepare computer generated checks for payment. Information for this report is stored in the APDET file.


A/P Recurrent Invoices

Used for entering Accounts Payable recurrent (repeating) invoices that occur every month, such as rent, pumper charge, etc… that you do not receive a monthly Accounts Payable invoice for but must be paid monthly. Accounts Payable recurrent transactions have no affect on the Accounts Payable programs until the Accounts Payable Recurrent Transaction file is Appended to the Monthly File.

Using this routine allows you to enter the Accounts Payable recurring transactions into the Accounts Payable Recurrent file. The Accounts Payable recurrent invoices must be appended to affect the Accounts Payable programs and the Transaction file. The invoice number generated must not reside in the Accounts Payable programs. Duplicate invoice numbers will be checked when the invoices are appended to the Accounts Payable programs.

ADD AP RECURRENT INVOICES

Normally used to enter Accounts Payable recurrent invoices that you do not receive a monthly Accounts Payable invoice for. Invoices that have been paid are entered through Transaction file. You will not enter an invoice number, invoice date or transaction date when entering the Accounts Payable recurrent invoices. When the Accounts Payable Recurrent file is appended to Accounts Payable program, you will enter the Transaction date. The Accounts Payable invoice date will be assigned the same date as the transaction date.

This process is very similar to Add AP Invoice discussed in Tutorial.

Select AP - Recurrent Transactions - Add

You are not asked to enter an invoice number, only the invoice type when adding Accounts Payable recurrent invoices. When you append Accounts Payable recurrent invoices to current month, you may use computer assigned invoice numbers to all invoices or scroll to assign invoice numbers. Each transaction associated with this record will be assigned the same invoice number.

Invoices that are to be billed to Investors through Operating Statements should have all three of the following:

1. Unit Number

2. DOI Status Level that reflects the owner percentage to use from the DOI file. Default status of the well from as expressed in the Unit Master file will be reflected on screen as you tab to that field.

3. A GL Number from 71001 to 75999 (billable expenses).

NOTES ON FIELDS FOR ACCOUNTS PAYABLE RECURRENT FILE

VENDOR NUMBER: The vendor this recurrent invoice will be assigned to.

INVOICE TYPE: Must be either an R/S/ or Blank type invoice. R=rental 1099 invoice, S=service 1099 invoice, or Blank=normal invoice. An invoice type of R or S will be added as the last character of the invoice number to computer assigned invoices. As rental or service invoices are paid in the Accounts Payable program, the vendors balance for 1099's will be updated.

DISCOUNT DAYS: Number of days within which you can pay the invoice and receive a discount.

DISCOUNT AMOUNT: This is the actual amount (not percentage) of the discount, if you pay the invoice early (within the specified number of discount days).

GENERAL LEDGER NUMBER: Enter the 5-digit general ledger number for this transaction. The general ledger number must reside in the Company Chart of Accounts. The general ledger number will be a debit for this charge. If invoice number ends with a 'C' type for credit invoice, the general ledger number will be a credit for this expense.

DESCRIPTION: Extra for Operating Statements.

UNIT NUMBER: Normally the well number. If you don't enter a unit number, the transaction is not used when printing Operating Statements.

DOI STATUS LEVEL: Used to indicate which percentage in the Division of Interest file to use for billing the Investors. If no unit number is entered the status defaults to 0.

AMOUNT: Enter the amount to be posted to this record. Multiple posting to the same record will group amounts for invoice total. You can use the calculator button to calculate any value without leaving the program or using a 10 key.

You may assign the invoice number for an Accounts Payable recurrent invoice entry. Multiple posting transactions for the same group will automatically be assigned the same invoice number.

Please note no posting entries are reflected to general ledger account number 21000, Accounts Payable. The posting entries to 21000 for all Accounts Payable recurrent transactions will be automatically posted to the Transaction file when you append.

EDIT/DELETE AP INVOICE

In the edit routine, you are able to edit any record in record order number. You can also delete a record from the edit mode, but the record is only marked for deletion. You must also pack your file to delete it.

Select Transactions - Recurrent Transactions - Edit/Delete

This process works the same as in the normal Edit/Delete for AP Invoice except it works on the recurrent file instead of the actual AP file.

APPEND AP RECURRENT INVOICES

Appending Accounts Payable recurrent will add invoices to the Accounts Payable Detail file. The posting for each invoice will be appended to the Accounts Payable Register file. The debits and credits will be appended to the Transaction file. The vendor’s balance will be adjusted in the Vendor file. The Accounts Payable Recurrent file will be cleared of invoice numbers. New invoice numbers have to be assigned before the file can be appended again.

Select Transactions - Recurrent Transactions - Append

METHOD TO ASSIGN INVOICE NUMBERS

Computer Assigned

For invoices that don't have an invoice number. This method automatically assigns an invoice number by combining the vendor number and the assigned transaction date.

Scrolling to Assign

Displays each invoice that has not been assigned a number, and allows you to assign a number. A sanity check will be performed to check for missing invoice numbers or duplicate invoice numbers in the Accounts Payable Recurrent file and the Accounts Payable Detail file.


Accounts Receivable

This system keeps track of money owed TO your company. Used to track Invoices/Operating Statements you have sent to Customers/Owners, and the payments and applications made to them.

In This Section

How to Add an AR Invoice

How to Enter a Payment or JE to an Invoice

How to Delete or Edit an Invoice, Payment or JE

How to Add a Service Charge to an Invoice

How to Drop Invoces from the YTD Register

Reports:

Print a Standard Invoice (this is not an Operating Statement to Investors)

AR Posting Register

AR YTD Posting Register

AR Inquiry Report

AR Monthly Statments (this is not an Operating Statement to Investors)

Related Topics

How to Apply a Pre-Payment to Accounts Receivable

How to Apply Non-Released Suspense Amounts to Accounts Receivable

How to Apply Minimum Check Amounts in Withholding to Accounts Receivable

How to Change the Format of Invoices Printed for Accounts Receivable

How to Enter a Credit AR Invoice ~ Accounting for Dummies


Add A/R Invoice

This routine is normally used to enter past invoices or to send an invoice to a customer.

Select A/R - Invoices - Add

NOTES ON FIELDS

COMPANY NUMBER: The company number this invoice will be assigned to.

OWNER/CUSTOMER NUMBER: The owner or customer this invoice will be assigned to.

UNIT NUMBER: The unit number this invoice will be posted to.

INVOICE NUMBER: The number you want to assign to this invoice. Can be alpha, numeric, or both.

To make it a credit invoice put a ‘C’ at the end of the invoice number. See How to Use a Credit AR Invoice for more info.

INVOICE DATE: The date always defaults to the transaction date, but may be changed. It is the date of invoice, used to calculate due date from billing terms in the Owner/Customer file. You can use the “calendar button” to find a date for the invoice.

DUE DATE: The date the invoice is due and payable. Billing terms assigned in the Owner/Customer file will be added to the invoice date to determine the due date. You can use the “calendar button” to find a date for the invoice.

TRANSACTION DATE: Defaults to today’s date. Is used to post the debits and credits to the Transaction file. You can use the “calendar button” to find a date for the invoice.

SALES TAX: Any sales tax you need added to the invoice total.

FREIGHT: Any freight charges you need added to the invoice total.

GENERAL LEDGER NUMBER: Normally you enter a (3xxxx) sales account number or general ledger number other than 11300. Accounts Receivable (general ledger number 11300) is automatically debited for normal invoices (not credit invoices). An Accounts Receivable credit invoice automatically credits Accounts Receivable. You are never asked for the Accounts Receivable number, since the system knows it is always 11300.

DESCRIPTION: The description you enter here is printed on the invoice.

DOI STATUS LEVEL: If no unit number is used, enter 0. This field is not normally used for this routine, since the status is used to disburse revenue or bill expenses on Operating Statements. This routine is not normally used for that purpose, but it could be (your choice). Roughneck defaults to the status contained in your Unit/Well file for this unit. If no unit number is entered for the invoice, then of course the status level is not required and it defaults to 0 for the Status.

OIL/GAS PRODUCTION DATE: This should be the production date of the oil or gas produced. Only necessary when posting to sales, 3xxxx general ledger numbers.

PRODUCTION TYPE: Enter “O” for oil production, “G” for gas production. Only necessary when posting to sales, 3xxxx general ledger numbers.

PRODUCTION VOLUME AND UNIT PRICE: Enter production volume and the units price when positing to sales, 3xxxx general ledger numbers.

AMOUNT: Enter the amount for this posting. If volume and unit prices are entered, that amount will be calculated by multiplying the volume times the unit price. You can use the calculator button.

EDIT THIS RECORD: If a mistake is made while adding an invoice, you may change information for this record by selecting the edit button.

CREDIT INVOICES: Must have a "C" as the last character of the invoice number. Credit invoices are issued to Investors when you print the Operating Statements and revenue checks. Do NOT enter a negative amount for a credit invoice. Credit invoice amount will issue a check if there are no positive invoices when Operating Statements are run. If you do not wish to refund this credit, you need to have the Owner/Customer file say NO netout for this owner.

FILES UPDATED WHEN ADDING AR INVOICES

ARDET - The Accounts Receivable Detail file.

ARREG - Posting Register for Accounts Receivable.

ARINVREG - Information for the printing of invoices.

TRAN - for a normal invoice: the specified general ledger number is credited for each line item and each unit, Accounts Receivable is debited for the total amount of the invoice for all line items. For a credit invoice: the specified general ledger number is debited for each line item and each unit. Accounts Receivable is credited for the total amount of the invoice for all line items.

CUST - The year to date total expenses of all units.

BANK - Checks/Deposits posted to cash account will update the Bank file.


Entering A/R Payments and JEs

JE = Journal Entry = Journal Entry Credit or Journal Entry Debit

Accounts Receivable invoices and applications(JEs) are stored in the ARDET file. This routine is used most often to enter payments received from Investors. It is easier if you have a recent Accounts Receivable Inquiry report for reference.

MAKE PAYMENTS ONE AT A TIME

Select A/R - Invoice - Payments and JE's

CHOOSE ONE OR ALL INVOICES

This option is used to pay or post a journal entry application to each individual invoice number. Also used to scroll invoices or pay all invoices for an owner. To Scroll through all invoices for an owner, leave the invoice number field blank. Scrolling will display the first invoice on file for the owner specified and ask if you want to make an application or skip to the next invoice. The Pay All invoices option is only available for Payment applications. To pay all invoices of an owner, enter A=Pay All invoices. Entering A, will display the total amount due for the owner. If you say 'Yes', pay ALL invoices for the FULL amount, you will be asked for the payment date, debit general ledger number, normally your checking account and check number.

The debit is to your checking account. A credit is automatically made to 11300, Accounts Receivable. A credit will decrease Accounts Receivable balance. A debit to your checking account will increase the bank balance. When you select next invoice, the invoice amount and balance is displayed, you may enter payment, skip this invoice or select exit.

PAY OLDEST INVOICES FIRST

When an owner sends a check amount that is to be applied to all of his outstanding invoices, by the oldest invoice date, you will use this option. All invoices will be checked for this owner to determine what the owner's balance is for all invoices before posting the check amount you specified. You will be flagged the number of invoices this check amount will pay. You will be told what the remaining balance will be for this owner after posting this check amount.

Select A/R - Invoices - Pay Oldest First

Invoices will be paid based on the beginning and ending invoice date specified in filter. Always print a current Accounts Receivable Inquiry report to check invoice amounts and dates of invoices prior to posting check amount. Any partial amount remaining of the check amount will be applied automatically to the latest invoice

Click Yes.

Complete the fields.

Click OK.

FILES UPDATED WHEN PAYING ACCOUNTS RECEIVABLE INVOICES

ARDET - The Application itself is stored here, and the invoice Balance is reduced or increased by the amount of the Application. (Payments reduce the invoice Balance)

ARREG - The Posting Register for Accounts Receivable. A record is added to reflect the application made.

TRAN - A credit or debit is made to Accounts Receivable (general ledger number 11300) and a credit or debit is made to the general ledger number you specify. For a normal payment: Accounts Receivable is credited, and the cash account you specify is debited.

CUST - The year to date balances are updated.

BANK - The Bank Reconciliation file will be updated for deposits/checks to cash account.

NOTES ON FILTER FIELDS FOR PAYING ACCOUNTS RECEIVABLE INVOICES

APPLICATION TYPE: Invoices can have 4 different types of applications. The applications are stored in the file as numbers (3=JEC, 5=PAY, 6=JED, 7=DSC). For example, if you wanted to enter a payment, use application type 5.

COMPANY NUMBER: The Company this invoice will be assigned to.

OWNER/CUSTOMER NUMBER: The owner or customer this invoice will be assigned to.

INVOICE NUMBER (Blank=Scroll, A=All or Number): You can enter a specific invoice number and only that invoice will be accessed. To Scroll through all invoices for an owner, leave the invoice number field blank. Scrolling will display the first invoice on file for the owner and ask if you want to make an application or skip to the next invoice. The A=Pay All invoices option is only available for Payments. To pay all invoices of an owner, enter A. Entering A, will display the total amount due for the owner, and ask if you want to pay all invoices.

ACCOUNTS RECEIVABLE JOURNAL ENTRY DEBIT

The credit general ledger number is usually the JIB OFFSET account (GL number 76320 of the sample data - see GL Number Restrictions ) for invoices automatically added from the Operating Statement update. However, if the invoice was entered through Add in the Accounts Receivable Programs, you should credit the general ledger number that was credited there (usually that is a cash account). In other words, credit whatever was debited when the invoice was entered.


Edit/Delete A/R Invoice, Payment or JEs

Allows you to change entries to the Accounts Receivable invoice or payment application. You may change the invoice number, application date, transaction date, production date (if the general ledger number is 3xxxx), description, general ledger number, DOI status level, and invoice amount.

Select A/R - Invoices - Edit/Delete

This process works just like the one in A/P for Deleting A/P Invoices & Payments . You can refer to that section for more information on how this process works.

DELETE CAUTION

Will delete the applicable records from the following files.

Any Invoice or Application from the AR Detail file.

The associated records (Debits and Credits) from the Transaction file.

The associated records from the AR Register file.

Note: Records marked for deletion are not dropped until the file is PACKED . If the invoice or application has been previously marked for deletion, you can RECALL it (if the file has not been packed), by selecting “Recall’.

Deletions and Recalls are keyed by the invoice number and transaction date, therefore, if you made two payments to the same invoice on the same date (a rare occurrence) there is a possibility you could delete records for both payments by deleting just one of the payments.

Naturally, if the debit and credit for the invoice or application has already been moved from the Transaction file to the Year to Date Transaction file (during period closing), then the associated debit and credit is not deleted. In this case, you should enter a journal entry credit or debit in the Transaction programs to correct the general ledger ending balance and have a supporting document in the Year to Date Transaction file.

FILES UPDATED WHEN CHANGING ACCOUNTS RECEIVABLE INVOICE OR PAYMENT

Changing specific fields of an Accounts Receivable invoice will re-write changes to the following data files. You should be familiar with where values are stored in all files.

ARDET - The Accounts Receivable Detail file.

ARREG - Posting Register for Accounts Receivable.

ARINVREG - Information for printing of invoices.

TRAN - for a normal invoice: the specified general ledger number is credited for each line item and each unit, Accounts Receivable is debited for the total amount of the invoice for all line items. For a credit invoice: the specified general ledger number is debited for each line item and each unit. Accounts Receivable is credited for the total amount of the invoice for all line items.

CUST - The year to date total billed amount is stored.

BANK - Checks/Deposits posted to cash account will update the Bank file.

Suppose you change a type 0 (INV) application, and change the amount from $100 to $500 dollars. The amount will be re-written in the Accounts Receivable Detail file (ARDET.DBF), Accounts Receivable Register file (ARREG.DBF), Transactions file (TRAN.DBF), and increase the year to date billed amount in the Owner/Customer file (CUST.DBF).

If multiple posting was performed to the same invoice for different general ledger numbers, you may select 2 for next record. If you change the amount, the invoice balance will be updated for all the associated applications of this invoice.

NOTES ON FILTER FOR ACCOUNTS RECEIVABLE EDIT/DELETE FILTER

APPLICATION TYPE: Invoices can have 4 different types of applications. The applications are stored in the file as numbers (3=JEC, 5=PAY, 6=JED, 7=DSC). For example, if you wanted to pull up or print for Payments, use application type 5. You can also pull up invoices, federal withholding and state withholding transactions. (0=invoice, 8=FWH, 9=SWH)

COMPANY NUMBER: The company this invoice was assigned to.

OWNER/CUSTOMER NUMBER: The owner or customer this invoice was assigned to.

INVOICE NUMBER (Blank=Scroll or Number): You can enter a specific invoice number and only that invoice will be accessed. To Scroll through all invoices for an owner, leave the invoice number field blank. Scrolling will display the first invoice on file for the owner and ask if you want to make an application or skip to the next invoice.

NOTES ON FIELDS FOR ACCOUNTS RECEIVABLE EDIT/DELETE

COMPANY NUMBER: The company this entry was assigned to.

OWNER/CUSTOMER NUMBER: This is the number of the Owner/Customer that is used for each invoice and it cannot be changed. If an invoice was entered to the incorrect owner you must delete the invoice and pack data files. Enter the invoice to the correct owner number.

UNIT NUMBER: The unit number is processed from the Transaction file to locate the unit name from the Unit/Well file and the owner percentages from the DOI file. If no unit number is entered, the invoice is not billed to Investors. This number cannot be changed due to the effect it will have on the Operating Statements and netout procedures. If an invoice was entered to the wrong unit number you must delete the invoice, pack data files, and then enter the invoice to the correct unit number. It is recommended that you correct Operating Statements before deleting an Accounts Receivable invoice generated by the Operating Statement update.

INVOICE NUMBER: This is the original invoice number you entered for this owner or customer. If the invoice number is changed here it will be changed in the Transaction file, Accounts Receivable Register file, and Accounts Receivable Detail file. You may not change an invoice number to or from a credit. The last character of the invoice cannot be changed to "C".

INVOICE DATE: This is the Accounts Receivable invoice date when you entered the invoice in the Accounts Receivable programs. Changing the application date will rewrite the application date to all the corresponding data files. It will not affect the Transactions file because the application date is not stored there. You can use the calendar button to find a date for the invoice.

DUE DATE: The date this invoice is due. This is automatically figured by the system based on the billing terms specified in their Owner/Customer file.

TRANSACTION DATE: This is transaction date you entered for this invoice. The transaction date is used for Operating Statement billing if posted to general ledger numbers 3xxxx, 5xxxx or 71xxx-75xxx for a unit. Changing the transaction date will not affect payment date or the application date of the invoice. Changing the transaction date will rewrite the change to all the corresponding data files. You can use the calendar button to find a date for the invoice.

SALES TAX, FREIGHT CHARGE: These are part of the original invoice therefore if they were not entered in the original invoice you cannot add sales tax and freight in the change routine.

GENERAL LEDGER NUMBER: This is the general ledger number you entered when creating the invoice. Changing this number will change the corresponding invoice in all the data files.

DESCRIPTION: The description entered here will appear when the Accounts Receivable invoice is printed. This description field can be changed for a 0-type application only. For a PAY, JEC or JED, the system automatically writes the description.

DOI STATUS LEVEL: Status is stored in the Transaction file to locate the correct owner percentages in the DOI file for the transaction. Status of the transaction is used in Operating Statements, if the transaction was entered with a unit number and for general ledger numbers 3xxxx, 5xxxx and 71xxx-75xxx.

PRODUCTION DATE AND TYPE: The production date is the date that the oil and gas was produced, and the production type can either be "G" or "O". These are only asked when you post to a general ledger number of 3xxxx. When a change is made to either the production date or the production type the change is written to the Transaction file. Production date and type are used for the Well Analysis report.

PRODUCTION VOLUME: Production volume is the volume of oil or gas that was sold. If you change the volume, the invoice amount is recalculated. This production volume is printed on the Well Analysis report.

UNIT PRICE: This unit price is multiplied with the production volume to calculate the total amount.

INVOICE AMOUNT: This is the amount for each part of the invoice. If the invoice amount is changed, the invoice balance will be updated for all the parts associated with the invoice. If a payment amount is changed, the Bank file will be updated. Print an Accounts Receivable Posting Register, Inquiry Report, Transaction Report, and invoices if necessary to verify that changes were written to all the programs.

Note: The invoice must reside in the Accounts Receivable Detail file (ARDET.DBF), Accounts Receivable Register file (ARREG.DBF), and the Transaction file (TRAN.DBF) to make changes to an invoice.


Adding Service Charge for Past Dues

For adding a Service Charge to Past Due Invoices.

Select A/R - Service Charges

If you use the scroll feature, for owners, only invoices that are past due will be accessed. You will be asked if you want to charge this invoice, once you enter the service charge percentage. You may charge this invoice, or select the next invoice that is past due. If you select all features for owners, all invoices that are past due as of the application date will be charged for all owners. The application date, when a past due invoice is charged, will be the transaction date in the Transations file and the applied date of the service charge in the A/R Detail file.

A JED is added to the invoices increasing the invoice balance. In the Transaction file, a debit is posted to Accounts Receivable (11300) and a credit to the account you specify normally an income account (4xxxx).

Normally print your Accounts Receivable Inquiry report prior to running Operating Statements to determine if late charges should be added. When Operating Statements are run, the balance forward for the invoices will reflect any service charges made. Be careful not to apply a service charge to the same invoice more than once for the same application date. You can print an Accounts Receivable Inquiry at any time to see all applications made to invoices. If you do double post to the same invoice, use the Edit/Delete routine to remove the posting.

NOTES ON FILTER FIELDS FOR SERVICE CHARGES

COMPANY NUMBER: You can post service charges for one company at a time.

OWNER/CUSTOMER NUMBER: The owner or customer must reside in the Owner/Customer file and should have an outstanding past due Accounts Receivable invoice. Enter the owner number and you may scroll all past due invoices for this owner. You may select to charge it, or select next invoice.

INVOICE NUMBER: The owner/customer must have outstanding Accounts Receivable invoices that are past due as of the specified application date in the Accounts Receivable file. You may enter the invoice number, leave the invoice number blank to Scroll the invoices, or 'A' to charge ALL invoices past due as of the specified application date.

GENERAL LEDGER NUMBER TO CREDIT: The general ledger number should be an income account number (4xxxx) for the credit. Accounts Receivable is automatically debited.

SERVICE CHARGE PERCENTAGE: Enter the percentage in decimal form to be multiplied by the invoice balance for the service charge (10.0=10%).

APPLICATION DATE: This date will be used to update the Transaction file for the debit and credit and will be the application date of the JED in the invoice file. The application date is the date that is compared to the due date to determine if the invoice is past due. You can use the calendar button to look up a date.

FILES UPDATED FOR ACCOUNTS RECEIVABLE SERVICE CHARGES

ARDET - The application itself is stored here, and the invoice balance is increased by the amount of the JIB.

ARREG - The Posting Register for Accounts Receivable. A record is added to reflect the application made for the JED.

TRAN - A debit is made to Accounts Receivable (general ledger number 11300) automatically and a credit is made to the general ledger number you specify, should be 4xxxx income account.

CUST - The year to date balances are updated.


A/R Reports

All the reports produced by A/R system.


Invoice Printing

This is a standard invoice (not an Operating Statement to investors). This infromation comes from the temporary file ARINVREG, which is updated each time you enter an invoice through Accounts Receivable.

Normally you should CLEAR this file after each successful printing of invoices so that they will not print again. However, it is a good idea to print 2 copies of the invoice (one to keep for your records).

Related Topics

How to Change the Format for AR Inoices

How to Enter a Credit AR Invoice


A/R Posting Register

Select A/R - Reports - Posting Register

This data is stored in the ARREG File. The register prints from the temporary file ARREG, which is normally cleared and moved to the YTDARREG file in the Close program during end-of-month processing for the transaction dates specified. The ARREG file contains all postings made to the Accounts Receivable, since it was last cleared. You can print this register for just one day’s posting by making beginning and ending dates the same. The beginning and ending dates refer to transaction dates not the invoice dates. The status is picked up from the Transaction file for all applications specified in the filter for the current period Accounts Receivable Posting Register.

The Accounts Receivable Posting Register will reflect a period total for the specified filter conditions. The period total of the Accounts Receivable Posting Register should agree with the period total on the Trial Balance (Period) for general ledger number 11300, Accounts Receivable. If the period totals do not agree, see FAQ - Period Close for info.


A/R Inquiry Report

This data is stored in the ARDET File. It contains all invoices and applications. The file is normally cleared of all invoices that have been completely paid (balance equals zero) during period close procedures. The report ages all invoices from the date you specify.

This report lists all Accounts Receivable invoices and totals by company. The company total of this report should always agree with the Trial Balance, ending balance for general ledger number 11300, Accounts Receivable. If the period totals do not agree, see FAQ - Period Close for info. You should print the Accounts Receivable Inquiry report for a hard copy listing of all Accounts Receivable invoices and payments prior to closing the period. You can print the summary report “by unit” to see the owners total per unit. If you select drop zero balance invoices during the period close, the invoices are dropped from the Accounts Receivable Detail file.

NOTES ON FILTER FOR ACCOUNTS RECEIVABLE INQUIRY REPORT

The Accounts Receivable Inquiry report will list invoices for beginning and ending owners specified in filter. If you select print detail, you will receive a detail list of all invoices. If you also select include invoices with balance zero, invoices that have a zero balance will be listed with the detail. If you list detail and do not list invoices with balance zero, you will receive a list of only outstanding invoices.

The Accounts Receivable Summary report lists each owner with his balance. Based on the due date of each invoice the balance will be aged from current to more than 90 days past due on this Summary report. If you print Summary and include invoices with balance zero, owner's that have paid all invoices will be listed with a zero balance. If you print the Summary report and do not include invoices with balance zero, you will receive a list only of the outstanding balances and aging for each owner. Date for aging will determine if invoices are current, 30 days, 60 days, 90 days or 90 days plus overdue. You also have the option to print or display the Accounts Receivable Inquiry report reflecting only the company's total. The company total should agree with the ending balance of general ledger number 11300.


A/R Monthly Statements

This is NOT a Joint Interest Billing Statement to Investors. The JIB routine should be used for that.

This statement lists all invoices that are due on or before the statement date you specify. The report reads from the ARDET File. This Monthly Statement lists all past due invoices in the file for the owners, but does not list line item detail for each invoice. This statement is more of a summary of past due invoices. Whereas, the Operating Statements and invoices from Add in Accounts Receivable are normally printed each month to provide line-item detail. All outstanding Accounts Receivable invoices and applications will be reflected. You will be asked if you want to print Monthly Statements with an invoice balance of zero and to print for owners, with the option to specify ‘Total Amount Due’.

The Accounts Receivable Monthly Statement reflects the type of payment applied to an invoice, like manual payments received, netout from revenue or minimum withhold amount applied to an invoice. The type of payment is reflected on the Accounts Receivable Inquiry report and the Accounts Receivable Posting Register.

Manual payments are reflected as CK check numbers, revenue applied to Accounts Receivable invoices from netout are RV check numbers and payments applied from minimum check withhold amounts are reflected as MW on the Accounts Receivable Inquiry, Accounts Receivable Posting Register and Accounts Receivable Monthly Statements. You may add three lines of comments to print on Accounts Receivable Monthly Statements. Use the Setup Options under File on your tool bar to add comments for Accounts Receivable Monthly Statements and invoices.


Drop Invoice from YTD A/R Register

Select A/R - Drop Invoices from YTD Register

This routine is used to drop invoices and applications from the Year to Date Accounts Receivable Posting Register file. Records are added to the YTDARREG file when a period is closed and the records are cleared from the period Accounts Receivable Posting Register file. A Year to Date Accounts Receivable Posting Register report using this YTDARREG file can be printed from the Accounts Receivable “Reports” menu. All the filter conditions that apply when printing the current period register, apply when printing the year to date report also. Please refer to the Accounts Receivable Posting Register section in the manual for more information on the filter conditions.

Records can be dropped (deleted and packed) from the YTDARREG file for a particular company and between specified Accounts Receivable invoice application dates (not the transaction date) assigned to the invoice. The invoices and applications to the invoice can be dropped every six months or every year or even every two years, depending on the amount of hard disk space available. You should print the Year to Date Accounts Receivable Posting Register for the beginning and ending dates specified prior to dropping records. Always make a current backup of your data prior to dropping records. Once records are dropped they are gone FOREVER.


Operating Statements

Operating Statements are used to Disburses Revenue and Bill the Investors their fair share of each well.

Terminology:

JIB = Joint Interest Billing = bill to Investors for expenses for their share on each well

Revenue Disbursement = paying Investors their share of Revenue from each well

Operating Statement = a combination of the two above

Nothing is enetered directly into this system, as it gets it's data from the debits and credits made by other systems, Transactions, A/P, A/R, G/L etc... The coding used in your Master Files determines who gets an Operating Statement and how big their share is on each Transaction for each Well.

NORMAL PROCEDURE FOR PRODUCING OPERATING STATEMENTS

1. Print or Display the 3 Preliminary Reports - verifys that all data has been entered correctly.

2. Print all Operating Statements for one company at a time. - These will be mailed to Investors.

3. Print all Revenue Checks for that company. - Mail to Investors.

4. Update for the Operating Statements & Revenue Checks for that company. - Nothing is updated in files until this routine, so in case you make an error, you can repeat the process.

In This Section

1. Print or Display the 3 Preliminary Reports and Verify Correctness of Data

Transactions by Unit Report

Owners Share by Unit Report

Operating Statement Summary - You should always at least display this report.

2. Print the Operating Statements

3. Print the Revenue Checks

4. Update for Statements and Checks

TUTORIAL SCENARIO

Execute each of the sections above for Company Number 01 and all other values as shown in the respective images EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the respective Notes on Fields if you need more info. When finished with each section Return to the Tutorial .

Related Topics for Operating Statements and Checks


FAQ - Op Stms & Rev Checks

FAQ for Op Stms & Rev Checks

To verify Suspense and Minimum Check Amounts

You should AT LEAST always display the the Operating Statement Summary . By doing so it will pick up all owners who were released from Suspense and it will pick up the owners who reach their Minimum Check amount.

Data stored in Temporary Files untill you Update

Each time you print, preview or display the Operating Statements, data is stored in temporary files (REVTOTAL and REVSTUB). The two temporary files are used to print checks and update the Master files for revenue and/or expenses. After each update the data is removed from the temporary files. Minimum check amount detail is stored in the file WHDINFO.DBF when you update Operating Statements.

No Master files are updated during printing of these statements or the revenue checks. Master files are only updated, when select Update for Statements and Checks. If you don't update the next time you enter this routine you are flagged that the update was not performed for the prior statements. If you receive this message and for some reason, you don't want to update for the previous statements, you are allowed to clear the temporary update data and continue. Once the temporary update (REVTOTAL and REVSTUB) files are cleared, you may run Operating Statements again and a new REVTOTAL and REVSTUB file will be created.

Related Topics for Operating Statements and Revenue Checks

Option to Email Operating Statements ~ Change the Format of the Statements ~ Change the Heading Descriptions ~ Change the Comments for Owners or Wells ~

Change the Owners to NetOut ~ How to use Net Out ~ Change the Owners on Suspense ~ How to Use Suspense ~ Change the Owners Minimum Check Amounts ~ How to use Minimum Check Amounts ~

Sanity Check Error Codes and Corrective Action ~ What if the Printer Malfunctions while Printing? ~ What if you Press <ESC> key while Printing?

Printing Revenue Checks:

Change the Format of the Revenue Checks ~ How to Void a Revenue Check ~ Checks Used by Roughneck

Tools & Options:

How to Add Pre-Payments (Advances) ~ How to Apply Pre-Payments to Accounts Receivable ~ How to Apply Non-Released Suspense Revenue to Accounts Receivable ~ How to Apply Minimum Checks Amounts in Withholding to Accounts Receivable

How to Sell Owners Interest

Other Reports:

Released Suspense Revenue ~ Non-Released Suspense Revenue ~ Pre-Payment (Advances) Report ~ Minimum Check Withhold Summary ~ Minimum Check Withhold Detail ~ Tax Withholding ~ Non Resident State Tax


Preliminary Reports for Operating Statements

Print Preliminary Reports for Operating Statements & Verify Your Data

Since Operating Statements are so important and can be quite lengthy, these 3 reports are printed to help verify your data prior to Printing Operating Statements. These are normally printed prior to printing Operating Statements to verify that all entries have been made to each unit for the period. It reads from the Transaction file and prints all transactions for the specified filter conditions that have a status other than 0 and have been assigned to a unit.

Select JIB - Preliminary Reports

Transactions by Unit report

Owners Share by Unit report

Statement Summary

Note: It is necessary to AT LEAST display the the Statement Summary. By doing so it will pick up all owners who were released from Suspense and it will pick up the owners who reach their Minimum Check amount.

Related Topics for Operating Statements and Checks


Transactions by Unit Report

The Transactions by Unit report is normally printed prior to printing Operating Statements to verify that all entries have been made to each unit for the period. It reads from the Transaction file and prints all transactions for the specified filter conditions that have a status other than 0 and have been made to a unit.

TUTORIAL SCENARIO

Print this report for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info.

PRINT TRANSACTIONS BY UNIT REPORT

From the Drop Down Menu, select JIB-Preliminary Reports-Transactions by Unit.

The Transactions by Unit report is based on gross revenue, taxes and expenses per unit.

NOTES ON FIELDS

COMPANY NUMBER: Do one company at a time. You should print Prelim Reports, print Operating statements, print Rev. Checks and update Operating Statements for one company at a time.

UNIT NUMBER: Leave blank for beginning and ending unit numbers to have Report print for all units.

BEGINNING AND ENDING TRANSACTION DATES: Normally this is the beginning and ending date of your period (or month). Only transactions within the specified range are processed for the report.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

G/L NUMBER: Only transactions in following ranges are used to Print Operating Statements. See GL Number Restrictions

30000-39999 REVENUE /SALES

50000-59999 TAXES /DEDUCTIONS

71000-75999 BILLABLE EXPENSES TO OWNERS

Normally you should use 30000 for the Beginning GL Number and 75999 for the Ending. However, if you are getting tricky, you could for example:

To print only for Expenses, specify:

Beg. GL Number = 71000

End. GL Number = 75999

To print only for Revenue, specify:

Beg. GL Number = 30000

End. GL Number = 59999

PRINT ONE UNIT PER PAGE: Normally say "N", as this uses more paper.

PRINT FROM YTD FILE: Normally say "N", unless you are getting tricky.

Related Topics for Operating Statements and Checks


Owners Share by Unit Report

This is printed prior to printing Operating Statements to help verify that all entries have been made to each unit for the period. It reads from the Transaction file and prints all transactions for the specified filter conditions that have a status other than 0 and have been assigned to a unit.

TUTORIAL SCENARIO

Print this report for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info.

PRINT OWNERS SHARE BY UNIT REPORT

From the Drop Down Menu, select JIB-Preliminary Reports - Owners Share by Unit.

You normally want to use the same filter conditions as used in Transactions by Unit Report .

This report is to verify each owner's share of revenue, taxes and expenses for the period. This report provides the unit transaction total based on gross entries and the unit disbursement total based on each owner’s share. If the DOI file has been set up at 100% these two totals should agree. Disbursement total may vary by pennies from transaction total due to rounding when multiplying owners' interest. General ledger will not be out of balance. You should check this report carefully prior to running Operating Statements.

Each owner's share of each transaction is calculated by using the owner's percent in the DOI file that corresponds with the status of the transaction. For example, if the status of the transaction is two, then the percentage listed in EXP2 of the DOI file is multiplied by the transaction amount to determine the owner's share of expenses.

Royalty and Over-Ride owners do not print for expenses.

Transactions with a status of zero do not print.

Transactions not assigned to a unit do not print.

This report lists each owner’s share of revenue, taxes, expenses and any federal backup withhold or state tax withhold amount on each unit for all transactions per unit. It does not consider such things as balance forwards (for netouts), suspense, and minimum check amounts. It is normally printed with the same filters as the Transactions by Unit report above.

NOTES ON FIELDS

COMPANY NUMBER: Do one company at a time. You should print Prelim Reports, print Operating statements, print Rev. Checks and update Operating Statements for one company at a time.

UNIT NUMBER: Leave blank for beginning and ending unit numbers to have Report print for all units.

BEGINNING AND ENDING TRANSACTION DATES: Normally this is the beginning and ending date of your period (or month). Only transactions within the specified range are processed for the report.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

G/L NUMBER: Only transactions in following ranges are used to Print Operating Statements. See GL Number Restrictions

30000-39999 REVENUE /SALES

50000-59999 TAXES /DEDUCTIONS

71000-75999 BILLABLE EXPENSES TO OWNERS

Normally you should use 30000 for the Beginning GL Number and 75999 for the Ending. However, if you are getting tricky, you could for example:

To print only for Expenses, specify:

Beg. GL Number = 71000

End. GL Number = 75999

To print only for Revenue, specify:

Beg. GL Number = 30000

End. GL Number = 59999

PRINT ONE UNIT PER PAGE: Normally say "N", as this uses more paper.

PRINT FROM YTD FILE: Normally say "N", unless you are getting tricky.

CHECK DOI STATUS EQUALS 100%: This will verify that in the DOI file , each Unit has 100% ownership - that is normally desirable.

Related Topics for Operating Statements and Checks


Op. Statement Summary Report

Operating Statement Summary

This is printed prior to printing Operating Statements to help verify that all entries have been made to each unit for the period. It reads from the Transaction file and prints all transactions for the specified filter conditions that have a status other than 0 and have been assigned to a unit. It also verifies Suspense and Minimum Check activity is correct for Operating Statements.

Important Note: You should AT LEAST always display the the Statement Summary. By doing so it will pick up all owners who were released from Suspense and it will pick up the owners who reach their Minimum Check amount.

TUTORIAL SCENARIO

Print this report for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info.

PRINT OPERATING STATEMENT SUMMARY

From the Drop Down Menu, select JIB-Preliminary Reports - Statement Summary

CAUTION: Use the same filter for this Report as you will use when you print the actual Operating Statements in order for Owner totals to agree.

NOTES ON FIELDS

COMPANY NUMBER: Do one company at a time. Print statements, checks and update Operating Statements for one company at a time.

OWNER NUMBER: Leave blank for beginning and ending owners numbers to have statements print for all owners and all owner types W/R/O (Working Interest, Royalty and Override). However, you can specify a beginning and ending owner number to print selectively. These filters are usually only used when you need to re-print only a certain segment of the statements due to your printer messing-up.

UNIT NUMBER: Leave blank for beginning and ending unit numbers to have statements print for all units. These filters are used just like the owner numbers above.

JIB EXPENSES: Leave the default for both beginning and ending filters for the group of JIB and revenue expenses to print. This filter refers to the GL numbers of billable expenses. The billable expenses are GL numbers 71000 to 75999. GL Number Restrictions You could use this filter to prevent all groups of expenses from appearing on the statements. Remember the category descriptions for the groups can be changed by using the Tool for Heading Descriptions or editing the Company Chart of Accounts.

BEGINNING AND ENDING TRANSACTION DATES: Normally this is the beginning and ending date of your period (or month). Only transactions within the specified range are processed.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

NETOUT CURRENT EXPENSES & PRIOR BALANCE FROM REVENUE: Leave it checked for yes.

This is the priority level for all other filters. Netout means to subtract current expenses and prior balances in Accounts Receivable from the current revenue in accordance with how the owner is set up in the Owner file and in the DOI file . See How to Use NetOut's for more info.

If not checked for netout, no netout will be saved regardless of the coding in the Owner and DOI file. When Owners have current revenue and expenses, owners will receive a check for revenue and owe you for expenses. Any prior balance due will reflect "not netted" on the Operating Statement automatically. Any prior balances not netted for this owner will be added to the “Total Amount You Owe” in the Summary of all Units section of the Operating Statements.

PRINT PRIOR BALANCES: Normally, select "Y" to print prior balances on the Operating Statement. If you do not netout and list prior balances, the summary prints “PRIOR BALANCES DUE (NOT NETTED)”.

SUBTRACT NEGATIVE SALES FROM CHECK: Normally, select "Y". This feature will combine negative revenue with positive revenue for the check amount. If you do not netout and do not check "Y" for this field, owner is billed for his share of the negative revenue just like he is billed for expenses. An Accounts Receivable invoice will be generated for negative sales. He would receive a check for any positive sales.

PRINT ONE UNIT PER PAGE: Prints one unit per Operating Statement page. This uses more paper.

OVERRIDE SPECIFIED MINIMUM CHECK AMOUNT DESIGNATED IN OWNER FILE:

To override the minimum check amount specified in the Owner/Customer file , the filter must be marked ‘Y’ and then enter a minimum check amount. (zero=no minimum). The amount you enter will override the specified amount in the Owner file to process Operating Statements.

All minimum check amounts, regardless of how small the amount, should be released in the December revenue checks to coincide with owner’s Government Form 1099 information for the Calendar Year. Normally you will override the minimum check amount in the Owner/Customer file and enter zero (0) for minimum check amount in Operating Statement filter. Minimum check amount will be released for all owners & all units specified in the filter. Minimum check amount does not apply to printing Expense Only statements. You do not need transactions in the Transaction file to release minimum check withhold balances. Specify either Revenue or Both (not just Expenses) in Operating filter to release withheld balances. See How to Use Minimum Check Amounts for more info.

PRINT WORKING INTEREST, ROYALTY OR OVERRIDE OWNERS:

Select ‘W’ for working interest owners, ‘R’ for royalty owners or ‘O’ for override owners. You may select ‘RO’ for royalty and override owners to print. Leave the space blank to print for all owners. The beginning and ending owner numbers will be checked based on the type of owner you specified W/R/O or all. Owners are assigned as W, R or O in Division of Interest File .

REVENUE only, EXPENSES only, BOTH: Operating Statements can combine both revenue and expenses into a single statement, saving a lot of paper. However, you can print individually if you prefer. Printing expenses only will generate Operating Statements for the amount you owe and minimum withheld balance is not released. Revenue only will generate revenue statements for total amount you receive plus year to date minimum withheld or life to date suspense release balance.

STATEMENT DATE: Date to be printed on statements.

PRINT BOTTOM LINE TOTALS ONLY: As the name suggests, the bottom line totals only option gives the bottom line figures for the company. This is an excellent way to save printing time and paper if you are only interested in the bottom line totals.

PRINT, DISPLAY, PREVIEW OR FILE: If you select print to file, enter the file name for report. See Print to File for more info. An example would be OPRJUN.REP. The name should be representative of the report. OPRJUN would be Operating Statements for June. The file name should not be more than 8 letters to confomr with some operating systems. Do not use spaces, symbols or characters in the file name. The period (.) and extension name of REP will be added to the file name. The file will be written to your current data directory. To print the file at a future date, select Utilities - Print Report Files . When you ‘Preview’ the statements you will be able to Preview 25 pages at a time. See Print Preview for more info.

Sanity Check of DOI file:

This report does an automatic sanity check of your data:

Verifies that all owners and units existing in the DOI file also exist in the owner and Unit/Well file.

Checks the beginning suspense date for owners that are currently in suspense. See DOI file for more info.

Related Topics for Operating Statements and Checks


Print Operating Statments

Print Operating Statements

This prints the Operating Statements for Investors. It's a good idea to print the Preliminary Reports and verify that all entries have been made to each unit for the period, prior to printing Operating Statements. If these reports don't look accurate, you should make the necessary corrections before printing Operating Statements.

Disbursing Revenue and Billing Investors is an inherrently complex process because of all the different methods Operators like to use, such as Net Outs, Minimum Check Amts, etc... Sorry about that. However, the good news is the system does a LOT of self checking prior to printing and if you verify the Preliminary Reports you should do just fine.

TUTORIAL SCENARIO

Print this for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info.

PRINT OPERATING STATEMENTS

From the Drop Down Menu, select JIB - Operating Statements, and the Filter appears as follows:

After you select Print, the system performs an automatic internal Sanity Check of your data files, before it prints. If it finds any errors, it prints a list of the errors and action to take to correct.

Operating Statements should show that:

All Owners listed in the DOI file with expense percentages for each Unit were billed their respective share of the gross expenses.

All owners listed in the DOI file with revenue and tax percentages received their share of the run check.

The Owner percentages used were those in the DOI file for expenses, revenue and taxes that correspond with the status of the transaction.

NOTES ON FIELDS

COMPANY NUMBER: Do one company at a time. Print statements, checks and update Operating Statements for one company at a time.

OWNER NUMBER: Leave blank for beginning and ending owners numbers to have statements print for all owners and all owner types W/R/O (Working Interest, Royalty and Override). However, you can specify a beginning and ending owner number to print selectively. These filters are usually only used when you need to re-print only a certain segment of the statements due to your printer messing-up.

UNIT NUMBER: Leave blank for beginning and ending unit numbers to have statements print for all units. These filters are used just like the owner numbers above.

JIB EXPENSES: Leave the default for both beginning and ending filters for the group of JIB and revenue expenses to print. This filter refers to the GL numbers of billable expenses. The billable expenses are GL numbers 71000 to 75999. GL Number Restrictions You could use this filter to prevent all groups of expenses from appearing on the statements. Remember the category descriptions for the groups can be changed by using the Tool for Heading Descriptions or editing the Company Chart of Accounts.

BEGINNING AND ENDING TRANSACTION DATES: Normally this is the beginning and ending date of your period (or month). Only transactions within the specified range are processed.

Tip on Dates: You can use a Quick Key to quickly insert dates into the date field.

NETOUT CURRENT EXPENSES & PRIOR BALANCE FROM REVENUE: Leave it checked for yes.

This is the priority level for all other filters. Netout means to subtract current expenses and prior balances in Accounts Receivable from the current revenue in accordance with how the owner is set up in the Owner file and in the DOI file . See How to Use NetOut's for more info.

If not checked for netout, no netout will be saved regardless of the coding in the Owner and DOI file. When Owners have current revenue and expenses, owners will receive a check for revenue and owe you for expenses. Any prior balance due will reflect "not netted" on the Operating Statement automatically. Any prior balances not netted for this owner will be added to the “Total Amount You Owe” in the Summary of all Units section of the Operating Statements.

PRINT PRIOR BALANCES: Normally, select "Y" to print prior balances on the Operating Statement. If you do not netout and list prior balances, the summary prints “PRIOR BALANCES DUE (NOT NETTED)”.

SUBTRACT NEGATIVE SALES FROM CHECK: Normally, select "Y". This feature will combine negative revenue with positive revenue for the check amount. If you do not netout and do not check "Y" for this field, owner is billed for his share of the negative revenue just like he is billed for expenses. An Accounts Receivable invoice will be generated for negative sales. He would receive a check for any positive sales.

PRINT ONE UNIT PER PAGE: Prints one unit per Operating Statement page. This uses more paper.

OVERRIDE SPECIFIED MINIMUM CHECK AMOUNT DESIGNATED IN OWNER FILE:

To override the minimum check amount specified in the Owner/Customer file , the filter must be marked ‘Y’ and then enter a minimum check amount. (zero=no minimum). The amount you enter will override the specified amount in the Owner file to process Operating Statements.

All minimum check amounts, regardless of how small the amount, should be released in the December revenue checks to coincide with owner’s Government Form 1099 information for the Calendar Year. Normally you will override the minimum check amount in the Owner/Customer file and enter zero (0) for minimum check amount in Operating Statement filter. Minimum check amount will be released for all owners & all units specified in the filter. Minimum check amount does not apply to printing Expense Only statements. You do not need transactions in the Transaction file to release minimum check withhold balances. Specify either Revenue or Both (not just Expenses) in Operating filter to release withheld balances. See How to Use Minimum Check Amounts for more info.

CHECK DOI STATUS LEVELS: This checks to make sure every Division of Interest status level totals to 100%.

PRINT WORKING INTEREST, ROYALTY OR OVERRIDE OWNERS:

Select ‘W’ for working interest owners, ‘R’ for royalty owners or ‘O’ for override owners. You may select ‘RO’ for royalty and override owners to print. Leave the space blank to print for all owners. The beginning and ending owner numbers will be checked based on the type of owner you specified W/R/O or all. Owners are assigned as W, R or O in Division of Interest File .

REVENUE only, EXPENSES only, BOTH: Operating Statements can combine both revenue and expenses into a single statement, saving a lot of paper. However, you can print individually if you prefer. Printing expenses only will generate Operating Statements for the amount you owe and minimum withheld balance is not released. Revenue only will generate revenue statements for total amount you receive plus year to date minimum withheld or life to date suspense release balance.

PRODUCTION MONTH TO SHOW ON CHECKS: This month is printed on the checks, and refers to the month in which the revenue was collected. If you have multiple production periods, you would indicate the oldest production month to appear on the revenue check stub. Usually the period for the transactions is different than the production month and operating month, and using this field avoids any conflicts.

OPERATING MONTH TO SHOW ON STATEMENTS: This month is printed on the statements, and refers to the month in which the expenses were incurred. Used as part of JIB invoice number assigned in Accounts Receivable programs.

STATEMENT DATE: Date to be printed on statements.

PRINT, DISPLAY, PREVIEW OR FILE: If you select print to file, enter the file name for report. See Print to File for more info. An example would be OPRJUN.REP. The name should be representative of the report. OPRJUN would be Operating Statements for June. The file name should not be more than 8 letters to confomr with some operating systems. Do not use spaces, symbols or characters in the file name. The period (.) and extension name of REP will be added to the file name. The file will be written to your current data directory. To print the file at a future date, select Utilities - Print Report Files .

When you ‘Preview’ the statements you will be able to Preview 25 pages at a time. See Print Preview for more info.

Related Topics for Operating Statements and Checks


Print Revenue Checks

Before you can print the Revenue checks, you must print, preview or display Operating Statements! Because Check Printing uses the data stored in the temporary files (REVSTUB and REVTOTAL), that contain data for the last time, you printed/previewed/displayed Operating Statements.

TUTORIAL SCENARIO

You can use regular paper and pretend you have checks loaded in your Printer. Print this for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES and Laser or DotMatrix Checks. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info. Actual check formats can be Setup in Check Formats.

PRINT REVENUE CHECKS

Select JIB - Revenue Checks from the Drop Down Menu.

The top section, will show the filter conditions you used for printing Operating Statements - just in case you forgot.

After you click OK,

Roughneck will ask if you want to print an alignment check. This is helpful to make sure the printing aligns correctly on your particular check. Actual Check Formats can be changed from File - SetUp Options - Check Format. See Checks used by Roughneck and Check Format for more info on checks.

Roughneck will prompt you with a dialog box that lets you know total number of checks needed for the print job.

Roughneck will ask for the beginning check number. It is assumed the checks will be numbered sequentially. The check number will be used to update the check field in your data files.

The checks will now print.

In case of printer mishap, you will have the option of re-printing the checks. What if Your Printer Breaks While Printing Checks?

Roughneck will ask if you want to print the Check Register. Select Yes.

Roughneck will ask, if you want to Update for Op. Statements and Checks. Normally select Yes, unless something has gone wrong or you have some other specific reason for not wanting to Update the files. See Update for Statements and Checks for more info on the Update.

Study the checks that printed and cross-reference them with the Operating Statements.

NOTES ON FIELDS

OWNER NUMBER: Leave blank for beginning and ending owners numbers to have statements print for all owners and all owner types W/R/O (Working Interest, Royalty and Override). However, you can specify a beginning and ending owner number to print selectively. These filters are usually only used when you need to re-print only a certain segment of the statements due to your printer messing-up.

LASER OR DOT MATRIX CHECKS: Specify the type of printer you will use for checks. Actual Check Formats can be changed from File - SetUp Options - Check Format. See Checks used by Roughneck and Check Format for more info on checks.

NOTES ON PRINTING CHECKS

Check Format

If your revenue check stub prints detail information, the production date for sales and taxes is reflected instead of the transaction date. You can Change the Check Format. The check date is printed on the revenue check stub.

Checking Sanity of your Check File

The Sanity Check will verify that information exists in the REVTOTAL and REVSTUB file. Updates for expenses and revenue are stored in these files. If you ran Operating Statements for expenses only and owners had a credit for expenses, printing revenue checks would refund the credit to the owner if he had no positive expenses. The Owner/Customer file will be checked for either a "C" combine all balance forward or an "E" each unit will be netted according to netout in the DOI file. If a owner is not checked in the Owner/Customer file, no netout will be saved for this owner and the JIB credit invoice will remain in the Accounts Receivable program to be used against positive invoices next time.

Owners on Suspense do not receive a check.

Their money is stored in the DOI file (after updating) until released. To place an Owner on suspense, the Suspense field in the DOI file must be marked yes and he must have a Beginning Suspense Date.

No check unless check amount exceeds Min. Check Amount

If an Owners Net Revenue amount does not exceed the specified minimum check amount you set up in their Owner/Customer file, the dollar amounts are stored in their Owner/Customer file until they reach the specified minimum check amount. Once the specified amount is met, Roughneck will release the money to the owner when you run Operating Statements and Checks.

Net Outs

If an Owner is coded in his master file to be Netted Out, then the Expenses are subtracted from his Revenue amount.

Owner Numbers 99990 to 99999 do not get a check

Because they are reserved for you the Operator as an Owner or a Deleted Interest Owner who may receive Revenue from the purchaser. No cash transfers are made for these Owner Numbers. If you as the Operator and Owner want to receive a check use an Owner Number outside this range.

Related Topics

How to Change the Format of the Revenue Checks ~ How to Void a Revenue Check ~ What if the Printer Malfunctions while Printing? ~ What if you Press <ESC> key while Printing?


Update for Statements and Checks

Nothing is updated in files until this routine, so in case you make an error printing Operating Statements or Checks, you can repeat the process. Before you can update, you must Print, Preview or Display Operating Statements and Print or Display checks! Updating uses data stored in the temporary update files (REVSTUB and REVTOTAL), that contain data for the last time you ran Operating Statements and Checks.

TUTORIAL SCENARIO

Run this Update for Company Number 01 and all other values as shown in the image EXCEPT FOR DATES. Use dates that will apply to the dates you entered for your transactions. Refer to the Notes on Fields if you need more info. When you are finished Updating, you can Return to the Tutorial .

Select JIB - Update Statements & Checks

You cannot use the <Esc> key to halt execution during updates.

CAUTION Do NOT update for a New Year prior to zeroing year to date values for the Last Year in the DOI file.

This update adds to the year to date values in those fields for the owners, regardless of the check date or the transaction date you assign. Year end reports such as 1099s read from the year to date fields of the DOI file. Use the Close program to zero the year to date fields after printing 1099s.

NOTES ON FIELDS USED TO UPDATE OPERATING STATEMENTS

If you only ran statements for expenses or revenue, you still must supply all general ledger numbers. The prepayment general ledger number will only be used if there was a prepayment involved (in which case it will debit the prepayment general ledger), otherwise use the Accounts Receivable general ledger number for expenses. If you have no revenue, no transactions will be posted to your cash account or to the Revenue Offset account.

GL NUMBER TO DEBIT FOR PREPAYMENT: is only used when a prepayment was used from the DOI file on any owner during the Operating Statements. For owners where no prepayment was used, the system will automatically debit Accounts Receivable for the full amount of the expenses. The Sample Data for the DOI file used in Tutorial, had Owner 20000 that PrePaid on Well 10000-01 therefore we used GL Number 21015 which is used for PrePayments in the Sample Data Chart of Accounts for Company 01. See How to Use PrePayments for more.

GL NUMBER TO CREDIT FOR EXPENSES: is used as a credit account to offset the amount debited for the expenses but charged to Investors. This account 76320 - JIB Billing Offset is a Required GL Number in the GL Number Restrictions .

GL NUMBER TO CREDIT FOR CHECKS: One of your checking accounts. It's the account from which the money is withdrawn for the revenue checks. This account is credited. The Sample data used 11010 as the Checking Account at First National Bank.

GL NUMBER TO DEBIT FOR REVENUE: is used as a debit account to offset the amount credited to the revenue sales. This account 76330 - Revenue Distribution Offset is a Required GL Number in the GL Number Restrictions .

TRANSACTION DATE TO ASSIGN FOR UPDATE: is used as the transaction date for the debits and credits posted to the Transaction file and Accounts Receivable file. This date has no bearing on the posting to the DOI file for current month and year to date values of revenue, taxes and expenses, as it is assumed this update is for this year.

The date you enter here determines when the transactions are moved to the Year to Date Transaction file when you close a period. Normally you want to use a date within the range of the beginning and ending dates you used to print the Operating Statements, so that the update transactions are made for the same period.

FEDERAL BACKUP WITHHELD: Used only if an owner has federal backup tax withheld from revenue. Federal withhold amount is stored in the Owner/Customer file. A credit for the Tax amount is posted to the Transaction file to the liability account you specify. Revenue Distribution is debited for the federal tax withhold amount.

OK (ROYALTY AND OVERRIDE) NON-RESIDENT STATE TAX ON GROSS: is used only when you withhold OK Non-Resident State Tax. The tax amount is stored in the Owner/Customer File.

OK (ALL OWNERS) PASS THROUGH ENTITY STATE TAX: is used only when you withhold tax on the Pass Through Entity. The tax amount is stored in the Owner/Customer File.

NM (ALL OWNERS) NON-RESIDENT STATE TAX ON GROSS: is used only when you withhold tax to Non-Residents in New Mexico. The tax amount is stored in the Owner/Customer File.

STATE TAX WITHHELD (OTHER STATES): is used only when state tax amount has been withheld from revenue. The state tax amount withhold is stored in the Owner/Customer file. A credit for the state tax amount is posted to the Transaction file to the liability account you specify. Revenue Distribution is debited for the state tax withhold amount.

WANT A PRINTOUT OF THE UPDATE: Always say yes. This is for your records of what operating statements were printed and updated.

WANT A PRINTOUT OF GL SUMMARY: If you said ‘yes’ to the printout of the Update, this report will automatically print. If you said ‘no’, then you should print this report. The printout of General Ledger Summary will list the general ledger numbers and description for general ledger numbers used during update of Operating Statements. Credit and debit totals for each general ledger number will be listed. We suggest you save the printout for General Ledger Summary to verify totals posted after each update of Operating Statements.

MAKE A TEMPORARY BACKUP BEFORE UPDATE: ALWAYS say YES. It is amazing the number of things that happen to folks. There is no reason you should not make this backup. Let the system make the Automatic Backup. Last item listed on the filter. For your own protection, please answer "YES" and allow the system to automatically make a backup of the files just in case of an error. Only files affected for updating of Operating Statements are backed up. They are ARDET, ARREG, CUST, DOI, WHDINFO, BANK and TRAN. If after update you need to restore data prior to the update you may use the Restore Operating Statement Backup . Selecting a printout of the update will detail for each owner on each unit, the files affected from the update of Operating Statements. It is a simple matter to Restore the Operating Statement Backup if necessary.

NAME OF STORED OPERATING STATEMENTS: This option is available only if you purchased the ‘Store and Print Operating Statements’ module. If you have this option, the file name will default to the following example: OP2005-01-04. The name represents the year, month and day the Operating Statements were run.

FILES THAT ARE UPDATED WHEN UPDATING OPERATING STATEMENTS

DOI.DBF - Expenses, prepay balances, revenue and tax fields are updated for each owner on each unit.

ARDET.DBF - Accounts Receivable Detail file. Invoices are added and/or payments are made from revenue to Accounts Receivable (for netouts).

ARREG.DBF - Accounts Receivable Posting Register File. A Register of invoices and Payments made this period.

CUST.DBF - If an owner’s revenue check did not exceed the specified minimum check amount, the minimum withhold amount is stored here, along with year to date expenses billed to the owner on all units and any year to date federal withhold or state tax withhold amount.

TRAN.DBF - Debits & credits are added reflecting all of the above activity.

WHDINFO.DBF - Detail of Operating Statement for owner that had minimum check withheld amount. Gross revenue, tax current expenses and any other detail information that resulted in owner's minimum check amount withheld. Affected each time Operating Statements are updated.

BANK.DBF- Deposits and checks are stored for Bank program.

      1. TO CHECK OUT THE UPDATE

To check files that were updated during the update routine. Print the following reports:

From the Master program print the Division of Interest report. The report should show all YTD Expense and Revenue Fields have been updated.

From A/R program print the A/R Inquiry Report . The Inquiry should show an invoice added for each Owners Expense.

From the Transaction program print the Monthly Transaction Listing report. The Report should have additional debits and credits to account for the billings and checks.

From the Transactions program print the Check Listing Report . Fill in the filter for the conditions you want to print for and click OK. The checks written for Revenue will be reflected on this report.

Related Topics

How to use Minimum Check Amounts


Past Statements

This is an ADD-On option that can be purchased to allow you to save Operating Statements to file and print them again later. This is a great feature for quickly re-creating an Operating Statement for an Investor. It can require significant disk space, determined by how many Operating Statements you save.

If you have this option, you will be asked about saving the Operating Statements during the Update for them.

In this Section

Print Past Operating Statements

Delete Past Operating Statements


Print Past Operating Statements

You have the option to print past Operating Statements that have previously been updated. You will have a display screen showing saved Operating Statements that you will be able to select from. Once you select the set of statements you want to print, you then have the option to print or display all statements within that set, or filter by owner number for certain owners. This is an additional program that Roughneck sells and it does require larger disk storage. If you are interested please call. This program SAVES TIME & MONEY from printing a second set of Operating Statements.

If you have this option, you will be asked about saving the Operating Statements during the Update for them.

Select JIB - Past Statements - Print Past Statements


Delete Past Operating Statements

This option will allow you to select a certain set of Operating Statements, and delete them. Once you delete them, you can never retrieve them again. It does require the "Store and Print" module, which can be purchased seperately.

If you have this option, you will be asked about Saving the Operating Statements during the Update for them.

Select JIB - Past Statements - Delete Past Statements


Email Operating Statements

To use this feature you must set your owner up with an email address located in the Owner/Customer file and have ‘Email Operating Statements’ marked with a ‘Y’.

Then in the Operating Statement Format - Other you must have ‘Email Operating Statements’ marked with a ‘Y’.

This feature will also flag you to email statements after you print or display a set of Operating Statements, but you must have the option ‘Ask to Email Operating Statements after printing’ marked ‘Y’ in the Operating Statement Format - Other .

Select JIB - Email Statements

Click Send to email selected statements.

Click Setup to change your email parameters.

NOTES ON OUT GOING MAIL SERVER

Sending Email: Selecting & Configuring Your SMTP Server

To send Operating Statements via email, you must configure Roughneck to use the correct Simple Mail Transfer Protocol (SMTP) server as used by your internet provider. Without the correct SMTP server address, you cannot send email.

In some cases, you must choose ISP-based SMTP servers. An example is:

* Your ISP requires you to use its own SMTP server. Some ISPs that have this policy include Earthlink and Cox net. In general, free ISPs are more likely to require you to use their own SMTP servers.

Note: Because server names are subject to change, you should contact your ISP to verify the names on this list. If your ISP-based SMTP server is not listed here, please contact your ISP.

ISP/Remote Host SMTP Server Name

AT&T smtp1.attglobal.net Not available to new subscribers for 30 days

AT&T WorldNet mailhost.att.net

columbia.edu send.columbia.edu

cox smtp.cox-internet.com

Comcast smtp.comcast.net

dca.net smtp-relay.dca.net

earthlink.net smtp.earthlink.net (authenticated SMTP is smtpauth.earthlink.net)

netreach.net mail1.superlink.net

Verizon outgoing.verizon.net

Thunderbird

If you' re using Thunderbird 1.0.x:

Open Thunderbird, and select Account Settings... from the Tools menu. The Outgoing Server (SMTP) dialog box displays.

Eudora

If you are using Qualcomm Eudora 6.2.x:

Open Eudora and select "Settings..." from the Special menu. In the Settings window, select the "Hosts" category on the left-hand side.

For Windows, open Eudora and select Options... from the Tools menu. In the Options window, select the Getting Started category on the left-hand side.

Outlook 2000, and Outlook Express 5.x/6.x

1 Launch Outlook

2 Select "Accounts" from the Tools drop down menu.

3 Click the Mail tab

4 Select your email address and click "properties".

5 Click on the servers tab.

6 Copy whats next to "Outgoing mail (SMTP):"

Outlook 2002, 2003, XP

1 Launch Outlook

2 Select "E-mail Accounts" from the Tools drop down menu.

3 Select your email address and click "change".

4 Copy whats next to "Outgoing mail (SMTP):"

For information on compatibility and settings of other email clients that may be used in your company, please contact your Local Support Provider (LSP) for infomation on your Email settings.


Other Reports

Other Reports is a sub-menu that groups similar JIB & Revenue reports together into one menu.


Released Suspense Revenue Report

This report prints a recap of transactions from a beginning suspense date to the ending suspense date.

Select JIB - Other Reports

The dates are stored in the Division of Interest file . The beginning suspense date must be supplied before this report will print. The ending suspense date is inserted into the Division of Interest file during the update of Operating Statements when the suspense is finally released. When an owner is released from suspense and receives revenue, the ending suspense date defaults to one day less than the first transaction date found for revenue in the Transaction file. If you had revenue transactions for 5-10-2005 and 06-12-2005 in the Transaction file, the ending date for revenue released for an owner would be assigned 05-09-2005 in the Division of Interest file . You can now preview this report.

This report reads from the Year to Date Transaction file (YTDTRAN). Since transactions are only stored for one year on the computer, a Non-Released Suspense Detail report should be printed at the end of each year for owners still on suspense at that time.

This report should always be printed prior to selling interest to from one owner to another. Once interest has been transferred to the receiving owner, the selling owner's interest is changed. The receiving owner's interest is increased, therefore printing the Released Suspense Revenue Detail report would be incorrect for both owners.

After this report is successfully printed, the beginning and ending dates are cleared from the DOI file, in case you need to use them again during the year. To reprint this report after the dates have been cleared, you will need to re-enter beginning and ending suspense dates using Owner’s on Suspense in Tools for Statements under JIB on your tool bar.

The Released Suspense Detail report is triggered from the beginning and ending suspense dates from the Division of Interest file .

Why doesn't the Released Suspense Revenue Report agree with what was Released for an Owner?

The Year to Date Transaction file and the DOI files are used for this report. The beginning and ending suspense date is picked up from the DOI file. The transactions for the beginning and ending suspense dates in the DOI file are checked in the Year to Date Transaction file to locate the unit number and status used for these dates. The program looks in the DOI file for the current percentage for the owner under that status to calculate the revenue and tax amount and list the detail. If percentages for the owner have changed for the status between the beginning and ending suspense dates the Released Suspense Revenue Detail report will not reflect the same values as the original Operating Statement. The current Transaction file is not used for this report.

Related Topics

How to Use Suspense


Non-Released Susp Rev Summary Report

Non-Released Suspense Revenue Summary Report

This report does not print a recap of all transactions, it only prints a summary of the amounts in suspense for each owner.

Select JIB - Other Reports

The life to date total for this report should always agree with the Trial Balance, ending balance for general ledger number 21010.

Reads from the Division of Interest file and lists the owner, the unit and amount in suspense. Only owners on suspense are listed. The suspense fields are updated during the update of Operating Statements and Checks. Net suspense amounts are automatically updated to general ledger number 21010 in the Transaction file during update for the Operating Statements and Checks.

The option to print a Non Released Suspense Revenue report for the company total only will print/display the company's month to date, year to date, and life to date suspense balance. The company's total for the life to date suspense balance should agree with the ending balance of the general ledger number 21010 of the Trial Balance report.

Related Topics

How to Use Suspense


PrePayment (Advances) Report

The Pre-Payment (Advances) Report.

Select JIB - Other Reports - Prepayment

Reads from the Division of Interest file and lists the owner and the pre-payment balance remaining on each unit. Only owners with a prepay balance in this field are listed. This field is updated during the update of Operating Statements and Checks.

Related Topics

How to Add PrePayments ~ How to Refund a PrePayment ~ How to Apply a PrePayment to Accounts Receivable Invoices


Min Check Withhold Summary Report

Minimum Check Withhold Summary Report

The summary report reads minimum withhold amounts from the Owner/Customer file.

Select JIB - Other Reports

The Owner/Customer File stores values for Minimum check withholding month to date & life to date fields. These fields are updated during the update for the Operating Statements and Checks. Only the life to date amount is considered in reaching minimum check amount specified for Operating Statements. The company total for life to date minimum amount should always agree with Trial Balance general ledger number 21011.

You can print a Minimum Check Withhold report for the company totals only. The report for the company totals will show the month to date and life to date minimum check withhold amounts. The life to date minimum check withheld total should agree with the ending balance of general ledger number 21011 of the Trial Balance report.

Related Topics

How to Use Minimum Check Amounts ~ How to Apply Minimum Checks Amounts in Withholding to Accounts Receivable


Min Check Withhold Detail Report

Minimum Check Withhold Detail Report

This report reads revenue, tax, federal backup withhold, state tax withhold, expense, suspense release, and prior balance values in the Minimum Check Withhold Detail file (WHDINFO.DBF).

Select JIB - Other Reports

Values are added when Operating Statements are updated . Any revenue and tax that are part of the minimum check withhold will not be updated to the DOI file until the minimum amount is released. The expense values are updated for owners that had minimum check withheld. If federal backup tax or state tax is withheld from revenue and results in minimum check withhold for the owner, the federal or state tax withheld from revenue will be updated to the DOI file for gross revenue released year to date. The tax amount is stored in the Owner/Customer file in year to date federal withhold and or year to date state tax withhold fields.

The detail information from minimum check amount withheld or released will be shown for the ending and beginning dates specified. Any released minimum amounts will be shown if within specified dates. You may want to print for released amounts only after update of Operating Statements for owners that received a check including minimum withheld released amounts. Released Minimum Withheld Detail may be dropped for released amounts when you close a period .

Make sure you print this report before you zero 1099 owner values for Closing a Calendar Year . Detail of information stored in WHDINFO.DBF file will be cleared for previously released amounts when this file is zeroed.

Related Topics

How to Use Minimum Check Amounts ~ How to Apply Minimum Checks Amounts in Withholding to Accounts Receivable


Tax Withholding Report

If an owner has a federal backup withhold tax percent or state tax withheld field is checked in the Owner/Customer File , tax will be withheld when Operating Statements have been run.

Select JIB - Other Reports

Year to date federal tax withhold amount and year to date state tax withhold amounts are stored in the Owner/Customer file for owners. The withheld tax for an owner is stored in the Owner/Customer File when Operating Statements are updated. Year to date federal tax withhold or year to date state tax withhold will be printed on owner's 1099 form.

The report will list the federal rate of withholding percent and if the owner has state tax withheld. State tax withheld is not state sales tax. It is a non-resident state income tax. California and Oklahoma operators who pay Investors or vendors that do not live in the state of California or Oklahoma must withhold a non-resident state tax.

If the vendor has a federal backup withhold tax percent and or state tax withheld field is checked in the Vendor file, tax will be withheld when Accounts Payable invoices are paid. Vendors are subject to federal backup withholding tax and state tax on gross income received.

When Accounts Payable invoices are paid, tax will be deducted from the vendor's check. Tax amounts withheld from vendors are stored in the Vendor file. Federal backup withhold tax and or state tax withheld will be read from the Vendor file and printed on the Vendor 1099 Forms.


Non Resident State Tax Report

Select JIB - Other Reports

OK NON-RESIDENT STATE TAX (ROYALTY AND OVERRIDE OWNERS ONLY)

This report will check the Division of Interest file to make sure the owner’s are coded ‘R’ for royalty or ‘O’ for override. Then it will check the Unit/Well file to make sure the unit is located in the state of Oklahoma. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to the Oklahoma Tax Commission.

This tax only applies to Royalty and Override owners, not Working Interest owners, who live outside the state of Oklahoma but receive money from producing wells in Oklahoma. No corporations and no Indians. Consult your CPA if in doubt.

OK PASS THROUGH ENTITY STATE TAX (ALL OWNERS)

This report will check the Unit/Well file to make sure the unit is located in the state of Oklahoma. This report is used for non-residents of Oklahoma. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to Oklahoma Tax Commission.

NM (ALL OWNERS) NON-RESIDENT STATE TAX

This report will check the Unit/Well file to make sure the unit is located in the state of New Mexico. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to the New Mexico Tax Commission.

This tax only applies to owners who live outside the state of New Mexico but receive money from producing wells in the state. No corporations and no Indians. Consult your CPA if in doubt.

WITHHOLD STATE TAX (OTHER STATES)

Some states (i.e. California) have a new state tax withhold rate for owners that are non-residents and receive income.

This report will check the Owner/Customer file to make sure the ‘Withhold State Tax’ field is checked. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar.


Tools/Settings for Op. Statements

Tools for Operating Statements

Tools for Operating Statements.


Tool to Set Heading Descriptions

Heading Descriptions

You may change the general ledger description for sales, 30000, cost of sales, 50000 or JIB expenses for 71000, 72000, 73000, 74000, 75000 in this routine. The program will locate the current description for this group of general ledger numbers in the Company Chart of Accounts file specified. You may assign a new description for any or all of these headings. No dollar values will be affected only the new description will be re-written in the Company Chart of Accounts file.

Select JIB - Tools for Statements - Heading Descriptions

You may enter new line item description or delete the entire description. New descriptions will be changed in the Company Chart of Accounts and in the Unit Chart of Accounts . Heading descriptions for general ledger number 30000 and general ledger number 50000 will be reflected on the Operating Statements, Summary of All Units for each owner and the Owner 1099 report. If your general ledger does not have 30000 the system will default to revenue on the Summary of All Units. If you don't have general ledger account 50000, the system will default to tax/deductions (instead of taxes, as in the past) on the Summary of All Units in the Operating Statements.


Tool to Enter Comments

Comments for Owners and Wells on Operating Statements

This routine allows you to pull up a Owner or a Unit and assign a comment to be printed on the Operating Statement of each Investor or Unit.

Select JIB - Tools for Statements - Comments - By Owner

Allows you to pull up an owner and assign a comment to be printed at the end of the Operating Statement of each investor. The 2-line comment is reflected on the last page under the Summary of all Units on the Operating Statement by owner. This comment is stored in the Owner/Customer file .

Select JIB - Tools for Statements - Comments - By Unit

This comment is stored in the Unit/Well file .


Tool to Set Owners to Net Out

Owners to Net Out

Net Out = Expenses will be deducted from Revenue

Related Topic

How to use NetOut's

If an owner needs to be changed from his current netout status in the Owner/Customer file, you can change how he is to be netted out by using this routine.

Select JIB - Tools for Statements - Owners to Net Out

Netout codes determines if expenses are deducted from revenue on the Operating Statement and the Revenue check. There are three ways to netout.

C= Combine all units together (subtract all expenses from all revenue).

E= Each unit can be netted separately (no combining of units).

N= No netout of any kind for the owner.

FILES THAT ARE UPDATED

Owner File: CUST.DBF - How owner is to be netted out for Operating Statements. Stores C, E or N in netout field in Customer/Owner file.

Division of Interest File: DOI.DBF - Netout code here is only checked if owner is E in Owner/Customer file, will scroll through all units of the owner existing in each unit and allow you to enter 'Y' or 'N' to net out that particular unit. If checked in DOI, expenses and any prior balance for that unit will be netted from revenue. If not checked, expenses and prior balance for that unit will not be netted from revenue for that unit.


Tool to Set Owners on Suspense

Owners on Suspense

Owners could be placed on Suspense for reasons like, unknown address, litigation, etc... Owners on Suspense are not issued a Revenue Check and the amounts are stored in the DOI file . This routine allows you to change Suspense status codes, amounts and beginning and ending suspense dates in the DOI file .

Related Topics

How to Use Suspense

Select JIB - Tools for Statements - Owners on Suspense

The suspense status for owners may be changed here and will update the Division of Interest file for suspense status. When you place an owner on suspense, you must enter a beginning suspense date. The default date will be 01/01/1901. When an owner is released from suspense and receives revenue, the ending date defaults to the first transaction date found for revenue less one day from the Transaction file when Operating Statements are updated.


Tool to Set Owners Minimum Check Amounts

Owners Minimum Check Amounts

Min Check Amount = Check will be issued to Owner, only if the check amount is equal to or greater than this amount.

Related Topics

How to Use Minimum Check Amounts

Select JIB - Tools for Statements - Owners Min Check Amounts

The specified minimum check amount for owners may be changed here and will update the Owner/Customer file . You can change multiple owners or one owner at a time. The specified minimum check amount for each owner is used when Operating Statements are processed.


Tool to Apply PrePayment to A/R

Apply PrePayment to Accounts Receivable

This routine allows you to apply a Pre-Payment (Advance) amount to Accounts Receivable Invoices.

Select JIB - Tools for Statements - Apply to A/R - Apply PrePayments to A/R

This routine allows you to post prepayment remaining toward outstanding Accounts Receivable invoices. If an owner has a prepayment balance amount of $24 and owes $40 in Accounts Receivable invoices, you may apply this amount against the oldest Accounts Receivable invoices for this well and reduce the amount he owes to $16.

RESTRICTIONS

You may only use this routine if an Owner has a greater Accounts Receivable balance than his prepayment balance.

HOW IT WORKS

The program will perform a sanity check to verify that the Accounts Receivable balance is greater than prepayment balance for the specified owner on a specified well. You will be prompted if the sanity check fails.

The prepayment amount will be applied as a payment record to the oldest Accounts Receivable invoice in the Accounts Receivable Detail file for the unit specified. The Accounts Receivable Inquiry Report will indicate this as a 'Pay Accounts Receivable from Prepay’.

A payment application type record will be recorded in the Accounts Receivable Detail file and the Accounts Receivable Posting Register. A credit will be posted to general ledger number 11300, Accounts Receivable and a debit will be posted to general ledger number 21015 or 21020, prepay in the Transaction file. The prepay balance for this owner will be reduced to zero in the DOI file.

You may apply the prepayment balance amount against Accounts Receivable invoices for only one owner on one well at a time.

FILES UPDATED FOR SUSPENSE APPLIED TO ACCOUNTS RECEIVABLE INVOICES

DOI.DBF- Update DOI prepay balance zeroed.

ARDET.DBF - Update Accounts Receivable invoices paid from prepayment applied.

ARREG.DBF - Update Accounts Receivable Posting Register for Accounts Receivable invoices paid.

TRAN.DBF - Debit to general ledger number 21015 or 21020 and a credit to general ledger number 11300.

Related Topics

How to use PrePayments ~ How to Add PrePayments (Advances) ~ How to Refund a PrePayment (Advance)


Tool to Apply Non-Released Suspense to A/R

Apply Non-Released Suspense to Accounts Receivable

This special routine allows you to post the Life to Date Suspense amount toward outstanding Accounts Receivable invoices.

Select JIB - Tools for Statements - Apply to A/R - Apply Suspense Revenue to A/R

APPLY NON-RELEASED SUSPENSE AMOUNTS TO ACCOUNTS RECEIVABLE:

If an owner has a life to date suspense amount of $24 and owes $40 in Accounts Receivable invoices, you may apply this amount against the oldest Accounts Receivable invoices for this well and reduce the amount he owes to $16.

RESTRICTIONS

You may only use this routine if an owner has a greater Accounts Receivable balance than his life to date suspense balance.

HOW IT WORKS

You can apply life to date suspense amount against Accounts Receivable invoices for only one owner on one well at a time.

The program will perform a sanity check to verify that the Accounts Receivable balance is greater than life to date suspense balance for the specified owner on a specified well. You will be prompted if the sanity check fails. The suspense status is not relevant.

The suspense amount will be applied as a payment record to the oldest Accounts Receivable invoice in the Accounts Receivable Detail file for the unit specified. The Accounts Receivable Inquiry Report will indicate this as a 'Pay Accounts Receivable from Net Revenue in Suspense'.

A payment application type record will be recorded in the Accounts Receivable Detail file and the Accounts Receivable Posting Register. A credit will be posted to general ledger number 11300, Accounts Receivable and a debit will be posted to general ledger number 21010, suspense in the Transaction file. The life to date, year to date and month to date suspense balance for this owner will be reduced to zero in the DOI file. The gross revenue released and gross taxes are updated in the Division of Interest file.

You will be asked to print an Operating Statement for this owner reflecting the Accounts Receivable prior balance amount for this unit and suspense release amount applied. The Operating Statement will show the remaining total amount the owner owes for the unit. A printout of the update for this owner will show the files updated when you applied the suspense balance against Accounts Receivable invoices.

You may apply life to date suspense amount against Accounts Receivable invoices for only one owner on one well at a time.

FILES UPDATED FOR SUSPENSE APPLIED TO ACCOUNTS RECEIVABLE INVOICES

DOI.DBF- Update DOI revenue & tax released amount.

ARDET.DBF - Update Accounts Receivable invoices paid from suspense released.

ARREG.DBF - Update Accounts Receivable Posting Register for Accounts Receivable invoices paid.

TRAN.DBF - Debit to general ledger number 21010 and credit to general ledger number 11300.

Related Topics

How to Use Suspense


Tool to Apply Min Check W/H to A/R

Apply Min Check W/H to Accounts Receivable

This special routine allows you to post minimum check withheld amount towards outstanding Accounts Receivable invoices.

Select JIB - Tools for Statements - Apply to A/R - Apply Min Check W/H to A/R

APPLY MINIMUM CHECK WITHHOLD TO ACCOUNTS RECEIVABLE:

If an owner has a minimum withheld amount of $24 and owes $40.00 in Accounts Receivable invoices, you may apply this amount against the oldest Accounts Receivable invoice and reduce the amount he owes to $16.00.

Note: Operating Statements cannot apply his $24.00 minimum withheld toward Accounts Receivable invoices because he owes more in Accounts Receivable invoices than he has in minimum withheld. The owner does not have a positive check amount until his minimum exceeds his balance in Accounts Receivable.

RESTRICTIONS

You may only use this routine if an owner has a greater Accounts Receivable balance than his minimum withheld balance. If his minimum withheld balance is greater than his Accounts Receivable balance, you must run Operating Statements to cut a check for the remaining minimum withheld balance to be released.

HOW IT WORKS

The program will perform a sanity check to verify that the Accounts Receivable balance is greater than minimum withheld balance and that minimum withhold detail exist in the WHDINFO file for this owner. You will be prompted if the sanity check fails.

The minimum withheld amount will be applied as a payment record to the oldest Accounts Receivable invoice in the Accounts Receivable Detail file. The Accounts Receivable Inquiry report will indicate this as a minimum withheld (m/w payment). A payment application type record will be recorded in the Accounts Receivable Detail file and the Accounts Receivable Posting Register. A credit will be posted to general ledger number 11300, Accounts Receivable and a debit will be posted to general ledger number 21011, minimum withhold in the Transaction file. The minimum withhold balance for this owner will be reduced to zero in the Owner/Customer file. The WHDINFO file will be updated for minimum withhold amount released. The Minimum Withhold Detail file will update the Division of Interest file for the amount of revenue and taxes that were included in the minimum withheld amount.

You will be asked to print an Operating Statement for this owner reflecting the Accounts Receivable prior balance amount and minimum withhold release amount applied. The Operating Statement will show the remaining total amount the owner owes for Accounts Receivable invoices. A printout of the update for this owner will show the files updated when you applied the minimum withheld balance against Accounts Receivable invoices.

You may apply minimum withheld amount against Accounts Receivable invoices for only one owner at a time.

FILES UPDATED FOR MINIMUM WITHHOLD APPLIED TO ACCOUNTS RECEIVABLE INVOICES

CUST.DBF - Zero minimum withhold amount used to pay Accounts Receivable invoices.

WHDINFO.DBF - Update file for minimum withhold released amount.

DOI.DBF- Update DOI revenue & tax released amount from WHDINFO.DBF.

ARDET.DBF - Update Accounts Receivable invoices paid from minimum withhold amount.

ARREG.DBF - Update Accounts Receivable Posting Register for Accounts Receivable invoices paid

TRAN.DBF - debit to general ledger number 21011 and credit to general ledger number 11300.

Related Topics

How to Use Minimum Check Amounts


Add PrePayments (Advances)

Owners that have advanced funds for prepay of expenses, may be entered here.

Select JIB - Tools for Statements - Add PrePayment

The Division of Interest file will be updated for the prepay balance. The general ledger Transaction file will be updated with a debit to your cash account and a credit to the prepay account usually 21015 or 21020 for the prepay balance.

If specific GL numbers are to be used for prepay funds such as 71xxx but not 74xxx, you need to assign two separate units. An example would be unit 30001-01 Labay Drilling & Completion well. This unit would have prepaid balances and only general ledger numbers for drilling and completion should be charged against this unit. Prepay balances would be reduced against expenses 71xxx charged to this unit. A debit to the prepay account, usually 21015 or 21020 would be generated and a credit to JIB Offset, usually 76320 would be made when you update for Operating Statements.

Unit 30002-01 would be Labay Operating well. This unit would not have any prepay balances and Investors would receive an Accounts Receivable invoice for expenses 74xxx charged to this unit. A debit to Accounts Receivable, 11300 would be made for their share of expenses to this unit and a credit to JIB offset, 76320 would be made for this unit when you update for Operating Statements. Update for Operating Statements will ask you to debit against a liability account for prepay used, usually 21015 or 21020. If no prepay balance is available, 11300 Accounts Receivable will be debited automatically and an Accounts Receivable invoice would be generated. The credit would be made to JIB offset account, 76320.

FILES THAT ARE UPDATED

DOI.DBF - Prepay balances are updated for each owner on each unit.

TRAN.DBF - Debits & credits are added reflecting a debit to the cash general ledger and a credit to the prepayment general ledger number.

BANK.DBF - The Bank will be updated for deposits to your cash.

TO VERIFY ACCOUNTING ACCURACY OF PREPAYMENTS

Print the Prepayment (Advances) report from the JIB module on your tool bar under Other Reports and compare the ending balance for the company to the Trial Balance for the prepay general ledger number you entered for prepayment. The totals should always agree.

When Operating Statements are printed and updated, Investors are not billed for expenses when they have a prepayment balance remaining in the Division of Interest file . Instead, the prepayment balance is adjusted in the Division of Interest file , and the general ledger prepayment account is debited and JIB Offset account is credited.

TRANSFER PREPAYMENT

This option will allow you to transfer prepay for an owner from one Unit to another Unit. You will be able to transfer 100% of the current prepay on a unit or just a desired amount. You will be asked for a ‘Transaction Date to Assign for Update’ and the ‘Prepay G/L’ number (this should be the original G/L number used when the Prepay was added).

Related Topics

How to use PrePayments

How to Apply a PrePayment to Accounts Receivable Invoices

How to Refund a PrePayment (Advance)


Payroll

The system used to pay the employees.

In This Section

How to Pay the Employees

How to Print the Payroll Register

How to Print the Checks

How to Update after Printing Checks

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Employee Names for W2 Printing ~ Employee Master File ~ FAQ about Payroll


Enter Hours

The first time you go into your Employee Master file you will be prompted with the following:We have included 1 non-taxable payroll reimbursement as well as 1 pre-taxable deduction. Would you like to turn this payroll enhancement on?

If you say yes, then you will need to add GL numbers 23314 and 23334 to your Company GL Chart of Accounts . If you do not want to turn this feature on at this time you can turn it on later by going to File, Setup Options, Payroll Features and then checking the “Use Pretax Deductions and Reimbursements” then adding the GL numbers.

The configuration in the Setup Options menu under File on your tool bar and can be used to make Payroll Interactive to the general ledger and to change the field special deduction 1 to state tax. Calculation of a state tax is not standard in the Roughneck programs, because of the varying nature of this calculation for different states. This value must be looked up in your state tax tables and input during posting of the hours. RSI can make a modification to calculate state tax, if you send us the necessary calculations. There will be a charge for any new modifications.

Select Pay - Enter Hours

Select the Employee to be paid, then click OK.

Click Pay/Edit, Enter the hours, then click Calculate Tax.

Save the entries, then pay the Next one or Exit.

PROCEDURE FOR PAYING EMPLOYEES (ONE COMPANY AT A TIME)

All employees MUST be given hours to receive a check, even salaried people.

1. Post hours for payment to the employees

2. Print Payroll Register and verify for accuracy

3. Print the Payroll checks

4. Update the payroll

If you need to post hours again for another company, class code, employee or pay period, then the entire process is repeated.

NOTES ON FIELDS TO PAY EMPLOYEES

COMPANY NUMBER: You can only pay employees for one company at a time, because of the verification checks performed.

CLASS CODE: Leaving a field blank lets you post hours for all class codes. If you enter a value for this field, then only employees assigned to that class code are accessed.

This field is used to make sub-groups of employees within a company. Some operators have a need to obtain separate Payroll Registers for groups of employees, usually for insurance purposes. Other operators have no need for this sub-grouping and assign all employees to the same class code. Class codes are assigned to employees in their employee file.

EMPLOYEE NUMBER: Leave this field blank and all employees are accessed, otherwise only the employee specified is accessed.

PAY PERIOD: Leaving the field blank accesses employees in all pay periods. To specify a particular pay period enter ‘W’ for weekly, ‘B’ for bi-weekly (every 2 weeks), ‘S’ for semi-monthly (twice a month), or ‘M’ for monthly. Enter hours and other pay in the Enter Hours module. After entering all values the paycheck is calculated in the paycheck window. Regular pay is based on the rate stored in the Employee file as either the annual salary or hourly rate. Normally, regular hours for pay periods will be entered as follows:

40 HRS for a WEEKLY PAYROLL

80 HRS for a BI-WEEKLY PAYROLL

86.66 HRS for a SEMI-MONTHLY PAYROLL

173.33 HRS for a MONTHLY PAYROLL

EDITING THE CALCULATED PAY (CHECK)

The net pay calculated by Roughneck may vary by a few pennies from the look-up tables of the Circular E. Roughneck calculates the net pay to two decimal places with the third decimal being rounded up or down. You can change the values calculated by using the pay/edit button and then clicking the calculate tax button, which moves you to the paycheck window. The pay values are calculated immediately after you finish entering hours and click on the calculate tax button. After posting hours for employees, you should print the Payroll Register to verify for accuracy, print the checks, and then update for that company.

SPEC DED 1 AND 2: These deductions vary in amounts each pay period and are entered every time you pay the employee.

STATE TAX: Special deduction 1 can be used to enter the state tax, by assigning state tax to this field in File on your tool bar under Setup Options, Payroll Features. Use the Payroll programs to pay the employees.

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Names for W2 Printing ~ Employee Master File ~ FAQ about Payroll


Print Payroll Register

This register should be printed and checked for accuracy prior to printing checks. It's a detailed listing of the each employee's payroll. No files are updated here.

Select Payroll - Print Register

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Names for W2 Printing ~ Employee Master File


Print Payroll Checks

Prints the Payroll Checks.

Select Payroll - Print Checks

Before printing payroll checks you will be prompted with a dialog box that lets you know how many checks will be needed for the print job. During printing of the checks information for updating the master files is calculated and stored in two temporary files (PAYTRAN and PAQTRYTD). The master files are not updated until you execute the payroll update program, therefore, should your printer messup during printing, you can reprint the checks. Printing the checks and updating them can only be done for one company at a time (because of verification checks for general ledger numbers and employees). Correct procedure, therefore, is to print checks for one company and one checking account, then execute the update for the same company. Normally you should print the checks using the same filter used when posting hours for employees.

NOTES ON FILTER FIELDS WHEN PRINTING PAYROLL CHECKS

GENERAL LEDGER NUMBER OF CHECKING ACCOUNT TO CREDIT: If payroll has been made interactive to the general ledger, this field is used during the update to post a credit for the net pay. Otherwise, it is not used, but you still must enter any valid general ledger number.

CHECK DATE: The check date is printed on the checks.

After click OK, the following messages will appear.

You will then be asked about your printer, and whether you want to print an Alignment Check.

Print as many alignment checks as necessary to insure the checks are correctly aligned in the printer. Once alignment is assured, answer ‘N’ when prompted. Roughneck performs a sanity check to verify all employees have a quarter and year to date records on file, then you are prompted to enter a beginning check number. Check numbers are assigned to each employee paycheck in sequence. After checks have printed then you are prompted whether you need to print the checks again. If your printer fouls during printing of the checks, you can reprint the checks beginning with any employee number.

Normally after you print the checks, you should print a Check Register and keep it for your records. You may print a check register as many times as necessary prior to update. When you click on ‘No’ to print check register, you will be given the option to update the checks. If you opt to update, the screen changes to the filter for updating the checks. Updating the checks post the debits and credits to the Transaction File and adds the values for the QTRYTD payroll for each employee. You can choose not to update payroll now, however you must update for these printed payroll checks prior to entering hours for the new pay period. If you do not update, no posting will take effect in any file and you will have no records of these printed checks.

HOW TO PRINT CHECKS FOR NEW YEAR BEFORE CLOSING THE PRIOR YEAR:

You can print payroll checks for a New Year one time prior to zeroing W2's for the old year, provided you do not update and provided you use the New Years tax tables. Then copy last year's tax tables back to the data directory for year-end reports. In other words, be sure to use 2004 tax tables for 2004 calculation and 2005 tax tables for 2005 calculation.

After closing the old year (zeroing year to date values for Payroll), be sure to run the payroll update to update the files for the payroll you have already run for the New Year.

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Names for W2 Printing ~ Employee Master File ~ FAQ about Payroll


Update for Payroll Checks

This program updates the employee quarter and year to date values. If you made Payroll interactive with the general ledger, it will also post debits and credits to the Transaction file.

Select Payroll - Update

You should make a temporary backup before updating your payroll and print out the update report. It's very easy to Restore this Payroll Backup , should you have a need.

This update program should be run after each successful printing of the Payroll Checks. After updating, the update information in temporary files is removed so it will not update again.

Caution: You cannot update payroll for a new quarter until you close the previous quarter. You cannot update payroll for the current year until you print W-2's, year-end reports & zero employees year to date values for the previous year.

The transaction date is used for the debits and credits added to the Transaction file. This date has no bearing on updating quarterly and year to date data in the QTRYTD file.

FILES AFFECTED WHEN PAYROLL CHECKS ARE UPDATED

QTRYTD - Employee quarterly and year to date values.

EMP - Re-sets the employee pay period hours to zero. If you made Payroll interactive, it will also post debits and credits

TRAN - The general ledger number for your checking account as specified in the print checks filter and the general ledger numbers as specified under File, Setup Options, Payroll Features are used.

BANK - The Bank program will be updated for checks that were written to the employee.

Related Topics

SetUp Features for Payroll ~ How to Install New Tax Tables ~ How to Change Format of the Checks ~ Checks Used by Roughneck ~ How to Format Names for W2 Printing ~ Employee Master File ~ FAQ about Payroll


Install New Tax Tables

After printing W-2s and before running payroll for the New Year be sure to use the New Year tax table.

MANUALLY UPDATE THE TABLES:

You can Edit your Master Payroll Tax Table File . to make annual changes to it. The annual tax tables for single and married are used for the Payroll Tax file. These tables are supplied in your Circular E. The Circular E booklet is normally released at the end of December.

DOWNLOAD NEW TABLE FROM WEB:

You can download the newest tax table from the Roughneck website . The file should be saved into your working data directory(s).


W2 Name Formatting

Format Employee Names for Printing W2's

The Printing of Government Form W2 at the end of the year requires a specific order for First and Last Names. This routine allows you to sequence your Employee names in the proper order for the W2's.

Select Payroll - Update W2 Name

You must update your W2 name prior to printing the W2 forms. You will be asked, "Are Employees names entered First Name first?" If you answer "Yes" then in your Employee file under 'W2 First Name' it will put your employee's first name there. If you answer "No" and you entered your employees by their last name in the Employee file then on there W2 it will put there last name first.

Related Topics

Government Forms


FAQ - Payroll

CAN I PRINT PAYROLL CHECKS FOR JANUARY BEFORE ZEROING THE W2’S AND PRINTING PAYROLL YEAR-END REPORTS?

You can print payroll checks for a New Year one time prior to zeroing values for the payroll quarter and year to date W2’s, provided you do not Update the payroll for the New Year.

DO I HAVE TO CLOSE THE PAYROLL QUARTER VALUES BEFORE ENTERING HOURS FOR JANUARY?

You must clear the quarter and W2 values before updating payroll for a New Year. If you do not clear prior 4th quarter values and (YTD) W2 values, the 1st quarter values would be incorrect when payroll is Updated for a new quarter.


Close

Closing an Accounting Cycle

This is the process of closing an accounting cycle. It involves printing, verifying and saving Reports for your accountant, and zeroing period totals so that a new accounting period can begin.

In This Section

Period Close = Usually for the month.

Quarter Close = Used for the Payroll and State Tax Reports

Close the Year

Calendar Year = Ends on December 31

Fiscal Year = Ends last day of yearly accounting cycle, normally this is Dec. 31, but depends on your CPA.

Related Topics

FAQ - Period Close ~ FAQ - Calendar Year Close ~ FAQ - Fiscal Year Close ~ FAQ - Payroll Close

DIFFERENCE BETWEEN CALENDAR AND FISCAL YEAR-END

A Calendar Year ends on December 31, and Fiscal Year ends whenever your tax accounting year ends. Some companies have tax accounting years that end on dates other than December 31.


Close the Monthly(Period) Acct. Cycle

Close Accounting Cycle for the Month(Period)

This is where you will print, verify and save your monthly reports, then close the accounts for the month. After completing this Close, you are ready to begin a new Period accounting cycle.

TUTORIAL SCENARIO

Execute each of the steps below for Company Number 01 and all other values as shown in the respective images EXCEPT FOR DATES. Use dates that will apply to the dates you entered earlier in the tutorial for your transactions. Refer to the respective Notes on Fields if you need more info. When finished with each section Return to the Tutorial .

Follow the steps below to Close the Accounting Cycle for the Period (Month).

1. PRINT, VERIFY AND SAVE THE FOLLOWING REPORTS

AR Inquiry Report , listing invoices with balance of zero. Invoices with a balance of zero, are dropped during the Period Close, and printing this report gives you a last printed record of them. Compare AR Inquiry report to GL Number = 11300 of the Trial Balance.

AP Inquiry Report , listing invoices with balance of zero. Invoices with a balance of zero, are dropped during the Period Close, and printing this report gives you a last printed record of them. Compare A/P Inquiry report to GL Number = 21000 of the Trial Balance.

If you have Suspense balance, print the Non Released Suspense Summary report and compare life to date total to GL number = 21010 of the Trial Balance, which is printed later.

If you have Minimum Withhold amounts, print the Minimum Withhold Summary report and compare the year to date total to GL number = 21011 of the Trial Balance, which is printed later.

If you have Prepay amounts, print the Prepayment report and compare the prepay balance to your GL number for prepayments - usually something like 21050 - in the Trial Balance, which is printed later.

Print a Company Prelimanary Profit and Loss Statement and Balance Sheet . Stressing the Net profit should be the same on the gross side as on the Company side. We get a lot of questions on this. Clients close a period do not print the P&L and any difference keeps accumulating to the year to date. If they don't match, see example of how they are computed in Frequent Questions for Period Close .

2. RUN THE CHECK IN BALANCE ROUTINE

Select Close - Period Close - Check In Balance.

See Notes on Check In Balance Procedure for more info.

This program verifies that the Transaction File totals to zero. This means you have a debit for each credit entry.

Enter the Beginning and Ending Transaction Date and

Click OK.

3. PRINT, VERIFY & SAVE THE PRE-CLOSING REPORTS

Select Close - Period Close - PreClosing Reports.

Manually verify all Pre-Closing Reports for following:

Transaction file totals to zero.

Trial Balance totals to zero.

AP Posting Register period Total should equal the AP period Total in the Trial Balance

AR Posting Register period Total should equal the AR period Total in the Trial Balance

Be sure you have manually verified the reports before continuing. Executing the update transactions to general ledger procedure will prevent you from making corrections and reprinting the above reports, UNLESS YOU HAVE A BACKUP, in which case you can always restore the data make corrections and repeat the end of period procedures.

You can print your Pre-Closing reports to a file. This saves your reports on the hard drive so that you can print them later. Roughneck will ask you for a “File Name to Use”, and it will default to your computer’s date. Then it will store the Pre-Closing reports on your hard drive for you to print later (Ex: Trial Balance = TB2006-6-31.rep). After you have printed the reports to a file you can go to Utilities, Data Tools, then Print Report Files. Select the report you want and print.

4. MAKE A BACKUP

It's a good idea to always make a Permanent Backup to a diskette, CD, or some other removable device prior to Updating Transactions to general ledger. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

5. UPDATE TRANSACTIONS TO GL

From the Drop Down Menu, select Close - Period - Update Transactions to GL.

Be sure you have verified all reports before updating transactions to the general ledger.

Normally answer ‘Yes’ to clear Accounts Receivable period and Accounts Payable period Posting Registers. Invoices with a balance of zero are dropped. New posting registers are created for the next period. Clearing the Accounts Payable and Accounts Receivable Posting Registers will move current postings to the Year to Date Accounts Payable Posting Register and the Year to Date Accounts Receivable Posting Register only for the beginning and ending dates specified in the close period. Any unpaid Accounts Receivable or Accounts Payable invoices remain in the ARDET.DBF file for Accounts Receivable and APDET.DBF file for Accounts Payable.

Update transactions to the general ledger will post debit or credit total for each general ledger account to the Company Chart of Accounts. Sales, taxes and expenses for a unit will post debit or credit total to each general ledger account in the Unit Chart of Accounts. Oil/gas volumes for sales are posted to the Unit/Well file. All debits and credits for each general ledger account will move from the Transactions file to the Year to Date Transaction file. Only transactions within the specified beginning and ending dates are closed. Once the period is closed, print the required Financial reports. The Financial reports are current as of the last closed period. If you have more than one company you must close the period for each company.

Click OK.

You are finished Closing the Period.

Reltated Topics

Frequently Asked Questions about Closing a Period


Frequent Questions on Period Close

Frequent Questions About Closing a Period

How do I know if my Company P&L is correct, if the Gross side and the Company Interest side do not agree on the P&L Statement?

If the company’s owner number is 99990-99999 and coded ‘Y’ in the company interest field in the DOI file is the only time the gross side and company’s interest side of the P & L should be the same. If the company’s owner number is any other number, both sides of the P & L will not be the same.

Always print a Preliminary P & L statement and a Recap for Company Interest prior to closing a period. Compare the company’s interest on the Preliminary P & L to the company’s Operating Statement after update. The values should agree except for pennies. Do not close the period until you have corrected any mistakes.

How do I check the values on the Company P&L for the Gross side and the Company Interest?

If the owner number is a 99990-99999, no debit/credit transactions are generated for this range of numbers. The DOI is the only file updated for revenue, taxes and or expenses for this range of owner numbers. Only the company’s owner number should be coded ‘Y’ in the company interest field of the DOI file.

The gross amount of revenue less the gross amount of taxes minus the revenue distribution offset accounts should equal the company Interest of revenue less company’s share of taxes. The same applies to the gross amount of billable expenses, 71xxx-75xxx less the JIB billing offset account should agree with the company’s share of expenses for these general ledger numbers.

How are P&L Net profits computed on the Gross side and on the Company side?

The Company P & L statement consists of 2 sides, company interest on the left and gross on the right side of the report.

Company Preliminary P & L uses the beginning and ending transaction dates entered for this report. A last close Company P & L reads from the Company Chart of Accounts file. Values in the Company Chart of Accounts are updated when you close the period.

Gross values: Read for each transaction in the Transaction file for general ledger numbers, sales, (3xxxx), income (4xxxx), taxes (5xxxx), expenses (71xxx to 99999). They are the gross amount of each transaction.

Company Interest values: The gross amount of each transaction for a unit and the status code for each transaction for sales (3xxxx), taxes (5xxxx) and billable expenses (71xxx-75xxx) is read from the Transaction file. If the transactions for these general ledger numbers have a unit number, the DOI is checked under that status for any owner number coded ‘Y’ in the company interest field of the DOI file. The gross amount is multiplied by the status percentage in the DOI file for each transaction to calculate the company interest values for these general ledger numbers. Owners (normally numbers 99990 to 99999) in the DOI file must be coded ‘Y’ for the company interest field. If no DOI exist for transactions with a unit or no unit number exist for a transaction, 100 percent of the gross amount is used for the company’s interest.

A Preliminary Company P & L and recap report should be printed prior to closing the period to verify all amounts before values are stored when you close the period.

This is an example of how to compute P&L net profit(loss). If Company and Gross don't match this should help you towards understanding where you went wrong and what measures to take.

Lets assume we entered $3025 Gross revenue. $250 Gross taxes (Cost of Sales) and the company has 10% interest in the well.

To find Company side of Revenue

$3025.00 Gross side of Revenue Sales

- 250.00 Gross side (cost of sales)

---------------

$2775.00

Subtract Revenue disbursed

$2775.00

-2497.50 Gross side (76330- revenue disbursed)

---------------

$ 277.50 (Should be companies portion of revenue)

To verify

$ 302.50 Company side of Revenue Sales

- 25.00 Company side (cost of sales)

--------------

$ 277.50 Matches total from above!!! You are in balance!

What can cause incorrect P&L statement?

Things to look for, if your P&L is somehow incorrect.

1. Someone manually edited your Chart of Accounts and changed values.

2. An incorrect Transaction Date was entered when adding a transaction, i.e., (07/01/2066). View your Transaction Listing Report, leaving your transaction dates as they default to when setting your Filter will result in a list of all entries made.

3. May have used the incorrect Status Level when adding a transaction or a Journal Entry was made without a Unit Number. Check your Transaction Listing for verification of entries made.

4. There is a Possibilty that interest was sold or bought from or to the company. This may have happened after an update of Operating Statements but a failure to reprint a P & L statement after an update and before a sale could result in different P & L values. The P & L will reflect the % after interest is sold, and this is normal.

5. An owner number in the Division of Interest is marked ‘Y’ for Company Interest when it should not be. Also, the company owner number could be marked ‘N’ when it should be ‘Y’.

6. A debit or credit may have been made (Journal Entry) to the 76330 (Revenue Offset) or 76320 (JIB offset) resulting in a difference on the P & L for those values.

7. Compare the Current Month Values on the P & L for the company’s side against the current months Operating Statements. These values should be the same.

Can I close even though my transactions are out of balance?

If the Transaction file is out of balance you can close but, you will be out of balance every month until you go back and make an adjusting entry to offset the amount that you are out of balance for that month.

Can I close if my Accounts Payable or Accounts Receivable period totals are out of balance?

Yes, you can close if the ending balance for general ledger number 21000, Accounts Payable and general ledger number 11300, Accounts Receivable are correct to their respective inquiry reports. The Accounts Payable and Accounts Receivable Posting Registers are normally dropped and cleared during close the period.

Do I have to print all of the financial reports?

No, but we do strongly feel you do need your monthly Financial reports for many different reasons. They are very helpful to you if you make a mistake in this month or next months closing then you will need to rely on the Financial reports to help you find your problem.

In Close, if you clear Accounts Receivable/Accounts Payable paid invoices what happens to the invoices which were not paid? Will it clear the unpaid invoices?

No, it only clears the invoices that have been paid and have a zero balance in the current month you are closing. Any invoices that were not paid that month will stay. Cleared Accounts Payable postings are moved to the Year to Date Accounts Payable Register file. Cleared Accounts Receivable postings are moved to the Year to Date Accounts Receivable Register file.

Why doesn't the Released Suspense Revenue Report agree with what was Released for an Owner?

The Year to Date Transaction file and the DOI files are used for this report. The beginning and ending suspense date is picked up from the DOI file. The transactions for the beginning and ending suspense dates in the DOI file are checked in the Year to Date Transaction file to locate the unit number and status used for these dates. The program looks in the DOI file for the current percentage for the owner under that status to calculate the revenue and tax amount and list the detail. If percentages for the owner have changed for the status between the beginning and ending suspense dates the Released Suspense Revenue Detail report will not reflect the same values as the original Operating Statement. The current Transaction file is not used for this report.

Why doesn't the Minimum Check Detail report agree with the amount on the Minimum Check Summary report for an Owner?

The Minimum Check Withhold Detail data is generated as a result of an operating statement update. The Owner/Customer file is updated for the total minimum withheld amount for each owner from the Operating Statements updated. Changing the Owner/Customer file for the amount withheld for an owner does not effect the Minimum Check Withhold Detail file.

Regularly display the Minimum Withhold Summary report for company life to date total and compare the Minimum Withhold Detail report for all owners not released. The total of both reports should agree. The total should agree with general ledger number 21011.

How do I correct Revenue if the Interest in the DOI was wrong for only 2 Owners on the Unit, and the Month has been closed?

Let’s use an illustration. There are 10 owners in the DOI for this unit under revenue and tax status 1. The correction only effects 2 owners. In the DOI revenue status 7 and status 8 should have a .00000000000 percent for all 10 owners. Edit this unit and under status 7 for revenue enter the same percent for these 2 owners as status 1 for revenue. This is the incorrect percent that was used when statements and checks were updated. Enter the correct percent for these 2 owners under revenue status 8. Enter the same gross revenue in the Transaction file for this unit but reverse it with the status codes. Debit sales using revenue status 7, continue posting and credit sales using revenue status 8. Only these 2 owners will be effected as all other 8 owners have a 0 percent under revenue status 7 and 8. If tax was deducted at the incorrect percent, use tax status 7 for a credit to taxes and continue posting for a debit to taxes using tax status 8.

The Company P & L and the Well P & L will not be effected, only the Operating Statement and update for these 2 owners. Try this in the sample data directory to see the result of the Operating Statement and the update before entering in your data directory.

How do I correct Expenses charged at the wrong DOI status for all Owners?

Use the same principal as for revenue. Print the DOI file prior to changing percents and make sure the status you are using for correction is a 0 (zero) percent status. Enter the incorrect percentage under expense status 7 and the correct percentages under expense status 8. Reverse the expenses in the Transaction file. Credit expenses for this unit using status 7 and debit expenses for this unit using status 8 for expenses.

What GL accounts should I use when entering transactions?

Familiarize yourself with accounting or contact your accountant for advice. RSI cannot advise you what general ledger accounts you should debit or credit when making entries.

If an AP Invoice was entered and paid, but charged to the the Wrong Unit. How do I charge the correct Unit if the month has already been closed?

If the correct amount was paid to the vendor you do not renter an Accounts Payable invoice. Reverse the expense in the Transaction file. Credit the expenses to the incorrect unit and debit the expense to the correct unit. Use the sample data directory to experiment before making entries into your data directory.

How do I track Gross Revenue when our Company only receives our share for Non-Operated wells?

If you want the Well P & L to reflect the gross and the company’s share correctly you should set up the DOI file. Normally for non-operated properties, the company’s owner number will be a 99999. Add another owner in the Owner/Customer file like 99992. The name would be “Revenue Disbursed by Purchaser” or “Balancing Owner”. In the DOI enter the 99999 with the company’s revenue percent, they own 25%, this owner should be coded ‘Y’ in the company interest field. Owner 99992 is coded ‘N’ in the company interest field and the revenue percent they own is 75% of the revenue.

Add general ledger number 76325 as “Revenue Disbursed by Purchaser” in your Company Chart of Accounts. In the Transaction file, credit sales for the gross revenue amount of $1000.00. Debit the bank for what the company received, $250.00, debit general ledger number 76325 for the balance amount of $750.00 that was disbursed by the purchaser. This keeps the general ledger in balance and gives a Well P & L reflecting gross value and the company’s interest of the revenue. Remember that updating Operating Statements does not make transactions for these hard coded owner numbers. Only the DOI file will be effected for update of Operating Statements. You may alos refer to the Appendix section for details.


Check In Balance Procedure

To start closing a period for a company, select Close from your tool bar then do the ‘Check In Balance’. If you have more than one company, each company must be processed individually.

Check In Balance checks for the following:

Sum of debits & credits in monthly transaction file equal zero.

Sum of beginning balances from general ledger Chart of Accounts plus transactions for period equal zero in the Trial Balance.

Accounts Payable Posting Register period total agrees with the Trial Balance for Accounts Payable, general ledger number 21000 period total.

Accounts Receivable Posting Register period total agrees with the Trial Balance for Accounts Receivable, general ledger number 11300 period total.

Verifies transaction records for general ledger numbers with a unit exists in the Unit Chart of Accounts file.

The period ending transaction date should normally be the last day of the previous month. ONLY TRANSACTIONS DATED ON OR AFTER THE BEGINNING DATE AND ON OR BEFORE THE ENDING DATE WILL BE USED IN THIS ROUTINE! All other transactions remain in the Transaction file and are not used. Check In Balance failures and corrective measures will be printed on the printer.

Check In Balance Failures are:

1. Transaction file does not total to zero. If the balance is not equal to zero, your debits do not equal your credits. To correct this problem print your Transaction report for the same dates you are checking the balance. Check each line item to make sure that every transaction has a corresponding credit/debit transaction(s). If the mistake was made while entering the transaction through the Transactions file program, go back there to correct the problem. If the mistake is in a transaction that was written to the Transactions file from Accounts Payable or Accounts Receivable, please go back to the corresponding program and make the corrections.

2. Trial Balance does not total to zero. If the company totals at the end of Trial Balance do not equal zero either:

A) Beginning balances: on the Trial Balance are not zero.

B) Sum of debit & credit transactions are not zero.

If either A or B is not zero it will make ending balance not equal to zero. To correct "A, beginning balances on the Trial Balance are not zero. The out of balance condition is from the Company Chart of Accounts. You either have changed figures in the Company Chart of Accounts, closed a period with a debit without a credit, or credit without a debit.

Print the Company Chart of Accounts to check the out of balance amount.

To correct "B" transactions that are not equal to zero. To correct, print your Transaction listing for the same dates that you are checking the balance. Check each line item to make sure that every transaction has a corresponding credit/debit transaction(s). If the mistake was made while entering the transaction through the Transaction program go back there to correct the problem. If the mistake is in a transaction that was written to the Transaction file from the Accounts Payable or Accounts Receivable programs, please go back to the corresponding program and make the corrections. Correcting "A” or "B” will result in the ending balances on the Trial Balance to equal zero.

3. Accounts Payable Register period total does not equal the Accounts Payable period total of Trial Balance. The most probable cause for this error is that you must have deleted or changed transactions from the general ledger Transactions program rather than the Accounts Payable programs. To correct this problem, print the Trial Balance (Period) for only Accounts Payable (general ledger number 21000) and the Accounts Payable Posting Register for the same dates you are checking the balance condition. If there is a transaction on the Trial Balance that is not on the Accounts Payable Posting Register then you need to delete the transaction from the Transaction file. If the transaction is on the Accounts Payable Posting Register and not on the Trial Balance then you must delete the transaction from the Accounts Payable programs.

4. Accounts Receivable Register period total does not equal the Accounts Receivable period total of the Trial Balance. The most probable cause for this error is that you must have deleted or changed transactions from the Transactions program rather than the Accounts Payable program. To correct this problem, print the Trial Balance (Period) for only Accounts Receivable (general ledger number 11300) and the Accounts Receivable Posting Register for the same dates you are checking the balance condition. If there is a transaction on the Trial Balance that is not on the Accounts Receivable Posting Register then you need to delete the transaction from the Transaction file. If the transaction is on the Accounts Receivable Posting register and not on the Trial Balance then you must delete the transaction from the Accounts Receivable programs.

Add missing general ledger numbers to the Unit Chart of Accounts file.


Pre-Closing Reports

Select this item from the CLOSE PERIOD menu and print each report listed, then:

Manually verify all Pre-Closing Reports for following:

Transaction file totals to zero.

Trial Balance totals to zero.

AP Posting Register period Total should equal the AP period Total in the Trial Balance

AR Posting Register period Total should equal the AR period Total in the Trial Balance

Be sure you have manually verified the reports before continuing. Executing the update transactions to general ledger procedure will prevent you from making corrections and reprinting the above reports, UNLESS YOU HAVE A BACKUP, in which case you can always restore the data make corrections and repeat the end of period procedures.

You can print your Pre-Closing reports to a file. This saves your reports on the hard drive so that you can print them later. Roughneck will ask you for a “File Name to Use”, and it will default to your computer’s date. Then it will store the Pre-Closing reports on your hard drive for you to print later (Ex: Trial Balance = TB2004-11-30.rep). After you have printed the reports to a file you can go to Utilities, Data Tools, then Print Report Files. Select the report you want and print.


Update Transactions to G/L

Please make a backup before closing the period!

Make a Backup before Updating the Files.

Store the backup in a Safe Place in case you ever have to return to this point. Roughneck performs a sanity check to insure that all units and general ledger numbers used in the Transactions file exist in their respective master file.

IF THE SANITY CHECK FAILS: Automatic procedures are terminated, and error messages are displayed on the screen and you can choose to print them out. The error messages list the unit or general ledger numbers used in the Transactions files that cannot be found in the respective master file. Other sanity check failures are listed with the corrective actions. You should take the proper corrective action as suggested. After making corrections, backup on disk and continue with procedures.

What this procedure does is clear the Accounts Receivable and Accounts Payable Posting Registers for the beginning and ending dates specified. Post cleared Accounts Payable and Accounts Receivable Posting register records to the Year to Date Accounts Payable register file and the Year to Date Accounts Receivable Register file. Drop paid Accounts Receivable and Accounts Payable paid invoices with a balance of zero for beginning and ending dates specified. Post all transactions for the beginning and ending dates specified to the Company Chart of Accounts and Unit Chart of Accounts. Post oil or gas volume to the Unit/Well file. Writes the debits and credits to the Year to Date Transaction file and removes these transactions from the Transaction file.

FILES UPDATED WHEN CLOSING THE PERIOD (MONTH)

The following files should normally always be updated with values from the Transactions file for the specified company and specified dates.

GL.DBF - The Company Chart of Accounts with current month and year to date values.

AFE.DBF - The Unit Chart of Accounts with current month, year to date and life to date values.

UNIT.DBF - The Unit/Well file production volumes with current month, year to date and life to date values.

YTDTRAN.DBF - All transactions from the Transaction file are moved to the Year to Date Transactions file (YTDTRAN). At year-end the YTDTRAN file is printed for a complete audit trail of the year.

TRAN.DBF - The same transactions that were copied to YTDTRAN file are dropped from the Transaction file.

YTDAPREG.DBF - Drops cleared Accounts Payable Detail records from the current period Accounts Payable Register to the Year to Date Accounts Payable Posting Register file.

YTDARREG.DBF - Drops cleared Accounts Receivable Detail records from the current period Accounts Receivable Register to the Year to Date Accounts Receivable Posting register file.

You will be asked whether you have closed this Ending Period before?

1) If this is the first time you have closed this ending period, the current month P & L values will be reset to zero before you update the files.

2) If the same ending period has been closed previously, the transactions you are going to close will be added to the current month P & L for the same ending period, if you select yes.

Adding recurring transactions will append recurring transactions from the TRANP file to the Transaction file for a new period. The system will default to the next day after the ending date specified. You may change the default date if desired.


Close a Quarter

Closing a quarter only pertains to payroll files and state tax reports. You should Close one company at a time.

1. PRINT PAYROLL QUARTERLY REPORTS

Select Close - Payroll Qtr Close

Print & save for your records, the report for all Class Codes and all Employee's for all Pay Periods.

2. PRINT STATE TAX REPORTS FOR NON-RESIDENTS

See Printing State Tax Reports . No values are zeroed for the State Tax Reports, as those values are gathered from the Monthly and YTD transaction files for the specified date range.

3. MAKE A PERMANENT BACKUP

Always make a Permanent Backup to a diskette, CD, or some other removable before you Zero the Payroll Quarter. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

4. ZERO PAYROLL QUARTER

Click the Tab to Zero Payroll Quarter

Zero the values (one company at a time) for All Class Codes, for All Employees, and for All Pay Periods.

Only the quarter values (QTR) are zeroed from the QTRYTD.DBF file during zero payroll quarter. The year to date values are not affected during Close Payroll Quarter procedures. The year to date values are zeroed only when you close a Calendar Year. The Employee file (EMP.DBF) is not affected during the closing of a payroll quarter. If payroll is interactive to the general ledger, Futa/Suta debit and credit amount post to the Transaction file.

You are finished.

NOTES ON CLOSING QUARTER

No values are zeroed for the State Tax Reports, as those values are gathered from the Monthly and YTD transaction files for the specified date range.

Payroll quarterly values are cumulative amounts. Each time a payroll period is updated, the quarter and year to date values for employees are increased in the QTRYTD.DBF file.

Payroll quarterly reports should be printed after the last payroll period is updated for that quarter. Be sure to print payroll quarterly reports and zero payroll quarter values before you enter payroll for a new quarter.

If payroll is interactive to the general ledger, Futa and Suta tax amounts are posted to the Transaction file. Refer to the Payroll Features Setup Options for general ledger numbers that post debit and credit entries to the Transaction file. The quarterly reports will calculate Futa/Suta tax if you enter your state unemployment limit and state unemployment rate in the payroll tax table. State limit and unemployment rate will vary. Always backup data to disk before executing zero payroll values. Do not rely on the temporary backup to your hard disk for permanent storage.

The general ledger numbers for Futa/Suta taxes are stored in Payroll Features Setup Options . If payroll is interactive to the general ledger, futa/suta debit and credit amounts are posted to the Transaction file. The transaction date assigned during update is stored in the Company Heading file, which is used to prevent update of payroll checks before closing previous quarter.

Related Topics

W2 Forms for Employees ~ Payroll Year End Report ~ FAQ - Payroll Close


State Tax Reports

State Tax Report for Non-Residents

Some states require special reporting on certain types of Owners.

Select Close - Non-Resident State Tax Reports

OK NON-RESIDENT STATE TAX (ROYALTY AND OVERRIDE OWNERS ONLY)

This report will check the Division of Interest file to make sure the owner’s are coded ‘R’ for royalty or ‘O’ for override. Then it will check the Unit/Well file to make sure the unit is located in the state of Oklahoma. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage (0.0625) to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to the Oklahoma Tax Commission.

This tax only applies to Royalty and Override owners, not Working Interest owners, who live outside the state of Oklahoma but receive money from producing wells in Oklahoma. No corporations and no Indians. Consult your CPA if in doubt.

OK PASS THROUGH ENTITY STATE TAX (ALL OWNERS)

This report will check the Unit/Well file to make sure the unit is located in the state of Oklahoma. This report is used for non-residents of Oklahoma. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage (0.0500) to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to Oklahoma Tax Commission.

NM (ALL OWNERS) NON-RESIDENT STATE TAX

This report will check the Unit/Well file to make sure the unit is located in the state of New Mexico. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage (0.0625) to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar. This information is being reported to the New Mexico Tax Commission.

This tax only applies to owners who live outside the state of New Mexico but receive money from producing wells in the state. No corporations and no Indians. Consult your CPA if in doubt.

WITHHOLD STATE TAX (OTHER STATES)

Some states (i.e. California) have a new state tax withhold rate for owners that are non-residents and receive income.

This report will check the Owner/Customer file to make sure the ‘Withhold State Tax’ field is checked. After collecting that information, the report looks in the Transaction and Year to Date Transaction files for the state tax withholding journal entries coded with the general ledger number you used for state tax withholding on this report. When it finds the entries, it divides each state tax withholding percentage (0.0715) to get the revenue paid amounts per owner. Your percentage rate can be found under File, Setup Options on your tool bar.


Close the Year

In This Section

Calendar Year Close

Fiscal Year Close

Related Topics

Frequently Asked Questions about Calendar Year End

Frequently Asked Question about Fiscal Year End

Government Forms

DIFFERENCE BETWEEN CALENDAR AND FISCAL YEAR-END

A Calendar Year ends on December 31, and Fiscal Year ends whenever your tax accounting year ends. Some companies have tax accounting years that end on dates other than December 31.

ROUGHNECK REMINDERS

You should not post hours for a New Year prior to zeroing Government Form W2 values.

You should not update January Operating Statements prior to zeroing owner Government Form 1099 values.

You should not enter or pay Accounts Payable invoices prior to zeroing vendor year to date values.

If you have more than one company you must close the Calendar Year for each company.

DO NOT PERFORM ANY OF THE FOLLOWING FOR A NEW YEAR BEFORE YOU EXECUTE YEAR-END PROCEDURES:

Do not close any period for a New Year - This will distort year to date values.

Do not update Operating Statements and checks. This will distort owner 1099 year to date values.

Do not post payments or applications to vendor invoices, nor update for computer printed checks for Accounts Payable. This will distort Vendor 1099 year to date values.

Do not update for Payroll. This will distort Employee W-2 year to date values.


Calendar Year Close

DIFFERENCE BETWEEN CALENDAR AND FISCAL YEAR-END

A Calendar Year ends on December 31, and Fiscal Year ends whenever your tax accounting year ends. Some companies have tax accounting years that end on dates other than December 31.

Follow these steps to close for the Calendar Year.

1. COMPLETE PRELIMINARY PROCEDURES

a) You must have printed and updated the December Operating Statements with a December transaction date before you print & file your Government Form 1099's for the Owners. The 1099 values are read from the Division of Interest file so make sure you have updated your December Operating Statements before printing the 1099's. Revenue for December production normally will be received in January and therefore will be next year's 1099 values. You do not have to close the period of December to be able to print your Owner & Vendor 1099's.

b) You should release everyone from minimum withhold on the December Operating Statements so every owner will get a Government Form 1099. If you choose not to release minimum withhold for everyone then you should print the Minimum Withhold Detail report to show who was not released. See How to Use Minimum Check Amounts on how to Release Minimum Withhold amounts.

c) You must print payroll checks and update the last payroll period in December before printing W-2's.

2. PRINT & SAVE CALENDAR YEAR END REPORTS

Select Close - Calendar Year Close Reports

Print & save for your records, all of the following Reports:

Non-Released Suspense Detail Report

Minimum Withhold Detail Report

Payroll EOY Report

W2 Forms for Employees

Owner 1099 Report

Vendor 1099 Report

If all reports are correct you can move onto the Federal and State reporting of W-2's and 1099's.

3. W-2 FEDERAL & STATE REPORTING

You will need to follow your own state guidelines for State Reporting of W-2's. Some states accept Magnetic Media Filing and some do not require a Form. Consult with your CPA for required reporting to your state. However, the I.R.S now requires E-Filing for W-2's, if your number is sufficiently large.

Complete the steps for W-2's listed below:

W-2 Federal Forms & E-File

W-2 State Forms Magnetic Media File

4. 1099 FEDERAL & STATE REPORTING

As in W-2's, states have different methods for reporting 1099's, and you should consult with your CPA for required reporting to your state. However, the I.R.S now requires E-Filing for your 1099's, if your number is sufficiently large.

Complete the steps for 1099's listed below:

1099 Federal Forms & E-File

1099 State Forms & Magnetic Media File

Select Close - Calendar Year Close Reports - 1099 Forms

After printing all reports and forms, you should next Zero Calendar Year values.

4. MAKE A BACKUP

Always make a Permanent Backup to a diskette, CD, or some other removable device before you Zero YTD values. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

5. ZERO CALENDAR YTD VALUES

Select Close - Zero Calendar Year Values

You will be prompted about making a copy of your data prior to zeroing the values. This is a good idea in case you have to later make adjusting Journal Entries furnished by your Accountant.

Click Yes.

Select a Disk Drive, Enter a Directory Name, and click OK to copy the data files.

Zero year to date values for Calendar Year. See Zero Calendar YTD Values for more info.

Zero Employee W-2 Values - will zero YTD values for Employees of the company you specify.

Unless you have a backup, you can no longer print the W-2s or Payroll Year-End reports once you zero the Employee year to date values for the company.

But, you must zero the company before you can Update a payroll for the company for a New Year. You can print Checks, just don't Update until you zero. This procedure will delete inactive employees too.

Zero Owner 1099 Values - will zero the year to date values for all owners and customers in the Owner/Customer File for the specified company. Minimum withhold year to date balance will not be zeroed in the Owner/Customer File . All other values will be zeroed. Year to date values for federal tax withhold and year to date values for state tax withhold will be zeroed. It also zeros the released year to date revenue, taxes and expenses in the Division of Interest file for the specified company. Suspense values are not zeroed. No life to date fields are zeroed in either file.

Unless you have a backup, you can no longer print the 1099s or reports once you zero these values for the company.

But, you must zero Owner 1099 values before you can Update Operating Statements for the company for a New Year. You can print Operating Statements and Checks, just don't Update. If 1099 values are not zeroed and you update Operating Statements for January, the Division of Interest file would contain last year and January 1099 values. The values would have to be corrected by hand or restored from a backup. Zeroing values, after adding one more update, would zero out last years values and January

values because the closing is not date sensitive.

Zero Vendor 1099 Values - will zero the year to date values in the Vendor File for the entire company you specified. The year to date 1099 service, 1099 rental, federal withhold and state tax withhold values are stored in the Vendor file. These values are updated each time you pay an invoice.

Unless you have a backup, you can no longer print the 1099s or reports once you zero these fields for the company.

But, you must zero these fields before you can make payments to invoices for the company for a New Year. These values are updated each time you pay an invoice.

Finished Closing the Calendar Year.

ROUGHNECK REMINDERS

You should not Update for January Payroll Checks for a New Year prior to zeroing W2 values.

You should not Update for January Operating Statements prior to zeroing owner 1099 values.

You should not enter or pay Accounts Payable invoices prior to zeroing vendor year to date values.

If you have more than one company you must close the Calendar Year for each company.

Related Topics

Frequently Asked Questions about Calendar Year End

Frequently Asked Question about Fiscal Year End

Zero Calendar YTD Values

Government Forms


FAQ - Closing Calendar Year End

ROUGHNECK REMINDERS

You should not Update for Payroll Checks for a New Year prior to zeroing W2 values.

You should not Update January Operating Statements prior to zeroing owner 1099 values.

You should not enter or pay Accounts Payable invoices prior to zeroing vendor year to date values.

If you have more than one company you must close the Calendar Year for each company.

DO NOT PERFORM ANY OF THE FOLLOWING FOR A NEW YEAR BEFORE YOU EXECUTE YEAR-END PROCEDURES:

Do not close any period for a New Year - This will distort year to date values.

Do not update Operating Statements and checks. This will distort owner 1099 year to date values.

Do not post payments or applications to vendor invoices, nor update for computer printed checks for Accounts Payable. This will distort Vendor 1099 year to date values.

Do not update for Payroll. This will distort Employee W-2 year to date values.

WHAT IS THE DIFFERENCE BETWEEN CALENDAR AND FISCAL YEAR END?

The Calendar Year ends on December 31, and pertains to 1099's and W2's and not your Company's Chart of Accounts. A Fiscal Year ends whenever your tax accounting year ends and pertains to your Company Chart of Accounts. Some companies have tax accounting years that end on dates other than December 31. If your company's books do not close in December such as March, June or September, your general ledger is a Fiscal Year end. The Fiscal Year end is your company's 12-month accounting period when the company files corporate tax returns.

DO I NEED TO CLOSE THE MONTH OF DECEMBER BEFORE I CLOSE THE CALENDAR YEAR?

Yes, otherwise December will not be included in the year end totals, if your year closes in December.

WHAT HAPPENS WHEN I CLOSE THE CALENDAR AND/OR FISCAL YEAR END?

When you close the Calendar Year End you are zeroing year to date values for the employee payroll (W2’s), Owner and Vendor files (1099’s). When closing the Fiscal Year you are zeroing the year to date values for the Company Chart of Accounts, Unit Chart of Accounts and the Land Management programs.

WHAT ACCOUNTS ARE ZEROED FOR FISCAL YEAR CLOSING?

See Zero Fiscal YTD Values .

WHAT ACCOUNTS ARE ZEROED FOR CALENDAR YEAR CLOSING?

See Zero Calendar YTD Values .

WHAT DO I DO IF I HAVE JANUARY PAYROLL AND I HAVEN’T RECEIVED MY ENHANCEMENTS FOR THE NEW PAYROLL TAX TABLE?

The Circular E booklet contains the payroll tax table for the New Year and you can use it to Edit the Payroll Tax Table . Be sure to use the Annual tax table for single and married payroll. If you do not have the new tax table, using the old tax table will not make a significant difference in tax withheld for one or two pay periods. You can call Roughneck and we will fax you a copy or you can check out our website at www.ruff.com to download it.

CAN I PRINT PAYROLL CHECKS FOR JANUARY BEFORE ZEROING THE W2’S AND PRINTING PAYROLL YEAR-END REPORTS?

You can print payroll checks for a New Year one time prior to zeroing values for the payroll quarter and year to date W2’s, provided you do not Update the payroll for the New Year.

DO I HAVE TO CLOSE THE PAYROLL QUARTER VALUES BEFORE ENTERING HOURS FOR JANUARY?

You must clear the quarter and W2 values before updating payroll for a New Year. If you do not clear prior 4th quarter values and (YTD) W2 values, the 1st quarter values would be incorrect when payroll is Updated for a new quarter.

DO I NEED TO CLOSE THE MONTH OF DECEMBER BEFORE I ZERO THE COMPANY CHART OF ACCOUNTS VALUES AND UNIT CHART OF ACCOUNTS VALUES FOR THE FISCAL YEAR END?

Yes, if your fiscal year ends in December. If you do not close transactions for December you will only have values as of last close which was November. Closing transactions for December will reflect 12 months of transactions when you zero your Fiscal Year.

IF DECEMBER REVENUE IS NOT RECEIVED UNTIL JANUARY - WHAT SHOULD I DO?

December production should be booked when you receive it in January, therefore 1099's should be printed and cleared prior to processing December's production in January. It is next year's revenue and 1099's for next year.

IF MY COMPANY CLOSED IN DECEMBER - WHAT SHOULD I DO?

You must close the Calendar Year and the Fiscal Year.

CAN I ENTER TRANSACTIONS AND INVOICES FOR A NEW YEAR BEFORE EXECUTING YEAR-END PROCEDURES?

Yes, unless you use the year to date purchase fields in the Vendor file. That field is updated when you enter invoices. The field is not used in any inquiry or year-end reports, but some operators like to look at it to see how much they have bought from a vendor for the year. The field is zeroed during year-end procedures.

CAN I MAKE OR POST PAYMENTS TO VENDOR TO VENDOR INVOICES BEFORE EXECUTING YEAR-END PROCEDURE?

You can manually hand-write payments to vendors for a New Year, but you cannot post them. Posting payments updates vendor 1099 year to date values of the Vendor file. You can print computer-generated checks to vendors, but don't update - same reason as above.

CAN I PRINT OPERATING STATEMENTS AND CHECKS FOR NEW YEAR BEFORE EXECUTING YEAR-END PROCEDURE?

Yes, but don't update because updating adds to the owner year to date 1099 values in the DOI file. You can print Operating Statements and checks for a New Year without updating, then after executing year-end procedures, go run the update for the Operating Statements.

If you need to print more than one set of statements for a new year use the procedure below.

1. Print Operating Statements and checks, in the normal manner.

2. Copy each temporary update file (REVTOTAL and REVSTUB) to another file, in your data directory.

For Example:

Copy REVTOTAL.DBF to RTOTAL1.DBF

Copy REVSTUB.DBF to RSTUB1.DBF

Now, you can print Operating Statements and checks. When you start the Operating Statement program, you will be flagged that you have not updated. That's O.K., let Roughneck remove the update data (you made a copy of it above) and print statements and checks again. Repeat Steps 1 and 2 for each additional set of statements but copy to RTOTAL2.DBF and RSTUB2.DBF, etc...

To Update for Operating Statements after executing Year-End procedures,

Copy both Temp. Storage files back;

Copy RTOTAL1.DBF to REVTOTAL.DBF

Copy RSTUB1.DBF to REVSTUB.DBF

Now you are ready to run the Operating Statement update.

CAN I RUN PAYROLL FOR NEW YEAR BEFORE EXECUTING YEAR-END PROCEDURES?

Yes, provided you don't update for the payroll until after executing year-end procedures.

CAN I CLOSE THE MONTH OF DECEMBER TWICE?

You can close December twice if you need to make adjusting entries. Make sure when you are closing December for the second time you answer “Yes” to the question “Have you closed this period before?” If you answer “No”, then your last close reports will only reflect what you closed the second time.

CAN I PRINT OPERATING STATEMENTS & CHECKS FOR JANUARY BEFORE CLOSING THE MONTH OF DECEMBER OR CLOSING THE YEAR?

Yes, but DO NOT UPDATE. Updating adds to the owner year to date 1099 values in the DOI file. You can print Operating Statements and checks for a New Year without updating, then after executing Calendar Year Close Reports and zeroing values for Calendar Year, run the update for the Operating Statements for January.

CAN I PRINT OPERATING STATEMENTS AND CHECKS FOR JANUARY BEFORE I HAVE ZEROED 1099’S FOR OWNERS?

Yes, you can print your Operating Statements and checks but you can not update them until you have zeroed out your owner 1099’s in the Calendar Year Zero Values.

I POSTED REVENUE USING TRANSACTION DATES OF DECEMBER BUT THIS IS OCTOBER PRODUCTION. WHEN DO I PRINT 1099’S?

Once you have printed and updated your December Operating Statements you are ready to print 1099 reports and forms.

I DO NOT GET REVENUE FOR DECEMBER PRODUCTION UNTIL THE NEXT YEAR. WILL MY 1099’S BE CORRECT WITHOUT DECEMBER PRODUCTION REVENUE POSTED?

December production should be booked when you receive it in January, therefore 1099’s should be printed and cleared prior to processing December's production in January. Checks printed and updated with January transaction dates are 1099 values for the next year.

CAN I ENTER ACCOUNTS PAYABLE INVOICES FOR JANUARY WHEN I HAVEN’T ZEROED 1099’S FOR VENDORS?

Yes, unless you use the year to date purchase field of the Vendor file. That field is updated when you enter Accounts Payable invoices. The field is not used in any inquiry or year-end reports. Some operators print the Vendor file report to see how much they have purchased from the vendor. The vendor year to date purchased field and 1099 service and rental values are zeroed in the Calendar Year Zero Values procedure.

CAN I POST MANUAL PAYMENTS TO ACCOUNTS PAYABLE INVOICES OR PRINT CHECKS FOR JANUARY BEFORE I ZERO 1099’S FOR VENDOR’S?

DO NOT post any manual payments until you have zeroed 1099 values. You can print the computer checks, just do not update them. You will be given the option to update computer checks if you have not zeroed vendor 1099 values.

CAN I PRINT OPERATING STATEMENTS AND CHECKS FOR JANUARY BEFORE I HAVE ZEROED 1099’S FOR OWNERS?

Yes, but DO NOT UPDATE January Operating Statements. Updating Operating Statements adds 1099 values to the gross revenue, tax released and total expenses in the DOI file. After 1099 values have been zeroed, you can update the January Operating Statements and checks.

HOW DO I MAKE ADJUSTING JOURNAL ENTRIES?

You should make adjusting journal entries in the Transaction file using Enter Journal Entry . Close the period for the transaction dates representing the adjustments. Proceed with printing the Fiscal Year Close Reports, which include any adjusting journal entries made prior to zeroing year to date values for your Fiscal Year.

IF I DO NOT GET THE ADJUSTING JOURNAL ENTRIES FROM MY ACCOUNTANT UNTIL MARCH OR APRIL CAN I CLOSE THE FISCAL YEAR END?

No! You cannot close transactions for January, February, March or April if adjusting journal entries need to be made for the December Fiscal Year. Make adjusting entries using a transaction date of 12-31-2004. Close the period again for adjusting entries dated 12-31-2004. Proceed with Fiscal Year Close Reports and instructions prior to zeroing values for Fiscal Year. Then close each period transaction for January, February, March and April.

WHAT IF OUR TAX ACCOUNTING YEAR ENDS IN MARCH?

Close only the Fiscal Year at that time and close the Calendar Year in December. As above do not close any transactions after March until all adjusting entries have been made for your Fiscal Year and values have been zeroed for your Fiscal Year.

WHEN POSTING BALANCE FORWARDS FOR THE NEW YEAR WHICH GENERAL LEDGER ACCOUNTS ARE USED?

Only assets (10xxx), liabilities (20xxx) and retained earnings, general ledger number 25300 are posted as balance forwards to the Year to Date Transaction file. The Year to Date Transaction file is the supporting document for the Company Chart of Accounts file.

WHEN SHOULD I ZERO VALUES FOR LAND MANAGEMENT AND UNIT CHART OF ACCOUNTS AT CALENDAR OR FISCAL YEAR-END?

Most operators zero values for Land Management and the Unit Chart of Accounts when their tax accounting year ends at Fiscal Year-end.

CAN I PRINT MY UNIT P & L FOR THE END OF THE YEAR IF I HAVE ALREADY ZEROED THE UNIT CHART OF ACCOUNTS?

No. You need to print Unit P & L’s before zeroing year to date values for the Unit Chart of Accounts. Life to date values (LTD) are not zeroed.

1099's and W-2's

WHEN SHOULD I PRINT 1099 REPORTS OR FORMS FOR OWNERS OR VENDORS?

After December Operating Statements and transactions for December have been updated.

WHEN DO I NEED TO PRINT W2’S?

When the last payroll checks are updated with transaction dates of December.

DO I HAVE TO RELEASE EVERYONE FROM MINIMUM WITHHOLD TO PRINT 1099's?

No, if you don't release the money in minimum withhold the amount will stay there until they do meet the minimum. We do suggest that you release everyone's minimum withhold amounts so you can send Investor's a 1099 for all revenue earned that is in minimum withhold. Refer to the Statement Summary and Operating Statements section in Manual for instructions on releasing amounts.

WHEN SHOULD I PRINT 1099's?

After all transactions dated December have been updated for Operating Statements.

CAN I PRINT A SUBSTITUTE FOR 1099-MISC FORM?

You need to contact the IRS to find out the regulations to see if you are qualified to send substitute 1099-MISC forms. Operators that have to file 1099's on Magnetic Media (250 or more 1099's) usually send a substitute 1099-MISC form to owners, they can't send paper 1099 forms if you exceed 250 1099 forms.

CAN I PRINT A 1099 FOR JUST VENDORS OR JUST OWNERS?

Yes, you can. If you want to print a 1099 for only vendors then you need to enter for a beginning owner number as 99999 and a ending owner number as 99999. You also need to specify the minimums as 99999999 amounts and this will allow you to print only a Vendor 1099. The same goes if you are only wanting to print 1099's for just the owners you need to follow the same steps, but put the 99999's in the vendor numbers.

CAN I PRINT 1099's IF I HAVE NOT CLOSED DECEMBER?

Yes, 1099's read from the Division of Interest file. Make sure you have updated Operating Statements for December prior to printing 1099's.

WHAT IF I DON’T HAVE THE W2 FORMS, BUT I HAVE PAYROLL THE FIRST WEEK OF JANUARY?

You can print payroll checks for a New Year one time prior to zeroing values for the old year, provided you do not update the payroll for the New Year.

WHAT SHOULD I DO IF I HAVE NOT RECEIVED OUR 1099 FORMS?

You need to back up your current data after printing and updating December’s Operating Statements so you can close the Calendar Year for 1099 values. After you receive the forms you can back up from where you are then, restore the first backup you had made prior to zeroing 1099 values. Print 1099’s and then restore the backup of your current data.

CAN I PRINT THE 1099 REPORTS/FORMS IF I HAVE NOT CLOSED THE MONTH FOR DECEMBER?

Yes, 1099 values for owners are read from the Division Of Interest file. Make sure you have updated Operating Statements for December prior to printing 1099's. Vendor 1099 values are read from the Vendor file.

HOW MANY TIMES CAN I PRINT THE 1099 REPORTS OR FORMS FOR THE OWNERS OR VENDORS?

You can print the 1099 reports or forms as many times as you need to provided you have not zeroed 1099 values.

CAN I PRINT A 1099 FOR ONLY ALL VENDORS OR FOR ONLY OWNERS?

Yes, you can specify to print for only vendors or owners on the 1099 report filter.

CAN I PRINT A SUBSTITUE 1099-MISC. FORM FOR OWNERS?

You need to contact the IRS to find out the regulations to see if you are qualified to send a substitute for the 1099-MISC. forms.

MINIMUM CHECK WITHHOLDING

DO I HAVE TO RELEASE EVERYONE FROM MINIMUM CHECK WITHHOLDING AT THE END OF THE YEAR?

No, but we recommend releasing all minimum check withheld amounts, as the WHDINFO file can be very large if carried over for another year. We recommend printing withheld released amounts and dropping all minimum withholding at year-end. Refer to ‘Statement Summary’ and ‘Operating Statements’ in manual for instructions on releasing minimum withhold amounts.

DO I HAVE TO RELEASE EVERYONE FROM MINIMUM WITHHOLD TO PRINT 1099's?

No.

ADJUSTING JOURNAL ENTRIES

HOW DO I MAKE ADJUSTING JOURNAL ENTRIES?

You should make adjusting journal entries in the Transaction file using Enter Journal Entry . Close the period for the transaction dates representing the adjustments. Proceed with printing the Fiscal Year Close Reports, which include any adjusting journal entries made prior to zeroing year to date values for your Fiscal Year.

HOW DO I MAKE ADJUSTING JOURNAL ENTRIES FROM MY ACCOUNTANT, SINCE HE WON'T GIVE THEM TO ME UNTIL AFTER I CLOSE THE YEAR?

Be sure to make a backup of your data prior to closing the year. Then close the year and go ahead with the New Year, processing normally. When the accountant gives you the adjustments, you should do the following:

1. Make a backup of your data at your current position.

2. Restore the backup you made prior to closing the year.

3. Make the adjusting journal entries using the Transaction file and print all reports he requires.

4. Make another backup of the adjusted year-end data and store it.

5. Restore your data from the backup you made in Step 1, and make the same adjusting journal entries to it.

That is all. You now have last year and the New Year adjusted.

IF I DO NOT GET THE ADJUSTING JOURNAL ENTRIES FROM MY ACCOUNTANT UNTIL MARCH OR APRIL CAN I CLOSE THE FISCAL YEAR END?

No! You cannot close transactions for January, February, March or April if adjusting journal entries need to be made for the December Fiscal Year. Make adjusting entries using a transaction date of 12-31-2004. Close the period again for adjusting entries dated 12-31-2004. Proceed with Fiscal Year Close Reports and instructions prior to zeroing values for Fiscal Year. Then close each period transaction for January, February, March and April.

WHAT IF OUR TAX ACCOUNTING YEAR ENDS IN MARCH?

Close only the Fiscal Year at that time and close the Calendar Year in December. As above do not close any transactions after March until all adjusting entries have been made for your Fiscal Year and values have been zeroed for your Fiscal Year.

OUR COMPANY’S BOOKS CLOSE IN DECEMBER, SHOULD I CLOSE THE CALENDAR AND THE FISCAL YEAR?

Yes, you should always close the Calendar Year and the month of December. If your company’s books close on December 31st also, then yes you should close both the Calendar and Fiscal Year.


Reports - Calendar Year End

Reports that should be printed at the end of the year.

Select Close - Calendar Year Close Reports

From that selection print all of the Reports:

Non-Released Suspense Detail Report

Minimum Withhold Detail Report

Payroll EOY Report

Owner 1099 Report

Vendor 1099 Report

If all reports are correct you can execute the following:

E-File Setup

W-2 Federal Forms & E-File

W-2 State Forms & Magnetic Media

1099 Federal Forms & E-File

1099 State Forms & Magnetic Media


Non-Released Suspense Detail

Since transactions are only stored on the computer for one full year, you should print this report at the end of each year. It will print a recap from the Year to Date Transaction file (YTDTRAN) of all transactions for the owners currently on suspense.

Select Close - Calendar Year Close Reports

Transactions with a transaction date on or after the beginning suspense date stored in the DOI file, are used for the report.

Related Topics

How to Use Suspense


Minimum Check Withhold Detail

This report reads revenue, tax, federal backup withhold, state tax withhold, expense, prepayment, suspense release and prior balance values in the Minimum Check Withhold Detail file (WHDINFO). Values are written to this field each time you update Operating Statements. Make sure you print this report before you close the year.

Select Close - Calendar Year Close Reports

NOTES ON FIELDS FOR MINIMUM CHECK WITHOLD REPORT

Minimum check withheld amount is by owner, not by unit. Current revenue, tax, federal backup withhold, state tax withhold, expense, prepayment, suspense release and prior balance values may be part of the Minimum Check Withhold Detail file. Values are affected during the update for Operating Statements.

When you update Operating Statements, values for current revenue and tax are stored in the WHDINFO file until the owners minimum check withhold amount is released. Only expense values, federal tax withhold and state tax withhold are updated to the DOI file when an owner’s revenue and tax are part of minimum withhold amount.

When the owner reaches the specified minimum check amount and that amount is released, the revenue and tax value will be updated to the DOI file to keep 1099 information correct.

DROP DETAIL FOR RELEASED AMOUNTS?

When you drop detail for released minimum check amount, the detail of where this amount came from will be removed from the WHDINFO file. Detail information for minimum check withheld amounts not yet released will remain in the WHDINFO file. The Minimum Check Withhold Summary report lists month to date and year to date values that are stored in the Owner/Customer file. The Minimum Check Withhold Detail report lists detail of where minimum check amounts came from by owner. Detail information is stored in the file (WHDINFO).

Related Topics

How to Use Minimum Check Amounts


Payroll Year End Report

This routine reads from the year to date values stored in the Employee file.

Select Close - Calendar Year Close Reports

Be sure you don't Update for Payroll Checks for a January payroll before zeroing the year to date values in the last step of Close a Calendar Year . It's OK to run a payroll for January, but don't Update it until after you have zeroed year to date values in the Close a Calendar Year . This routine will perform a sanity check on the Employee file. Any error messages will be printed on your printer.

NOTES ON PAYROLL SANITY CHECK

This routine performs an automatic sanity check on each employee record of the Employee file. The sanity check verifies that each employee record of the specified company contains the following:

Name ~ Address ~ City ~ State ~ Zip Code ~Social Security number

and W2 first and last name in Employee file

IF SANITY CHECK FAILS:

You are flagged for proper corrective action.

Related Topics

Employee Name Formatting for W2


Owner 1099 Report

This report is normally printed prior to printing the actual Government Forms to verify accuracy and owner's 1099 amount that will be printed. The report list gross year to date revenue, year to date tax, and cumulative year to date expenses by general ledger categories from the DOI file. Any federal backup withhold tax or state tax withhold will be read from the Owner and or Vendor file.

Select Close - Calendar Year Close Reports

The 1099 reports also reflect a plus sign (+) for wells located in New Mexico. The DOI file is checked for owner’s gross revenue, tax and year to date expenses incurred on each well. The 1099 report reflects the total New Mexico revenue each owner has earned at the bottom of the report. A separate 1099-Miscellaneous form should be reported to the state of New Mexico for the owner’s revenue earned in New Mexico.

The 1099 report indicates the 1099 amounts and in which block on the 1099 miscellaneous form the amount will print. Most operators send this report along with the 1099 form to the Investor for information purposes.

The 1099 report reflects an asterisk (*) for wells located in Oklahoma and the county code for these units. In the Unit/Well file, wells located only in Oklahoma require a county code number. The DOI file is checked for owner’s gross revenue, tax and year to date expenses incurred on each well. The 1099 report reflects the total Oklahoma revenue each owner has earned at the bottom of the report. A separate 1099-Miscellaneous form should be reported to the state of Oklahoma for the owner’s revenue earned in Oklahoma.

The tax year will now print on the 1099 Owner report. For those of you that have to file on Magnetic Media, we have added a filter asking if this is a substitute for 1099 MISC. Form. If you say yes, the 1099 Owner report will reflect this is a substitute for a 1099 MISC. Form.

The heading descriptions from your Company Chart of Accounts for general ledger number 30000 and general ledger number 50000 will now be reflected on the Owner 1099 report. The 1099 report will show the descriptions from your Company Chart of Accounts. Some operators refer to 50000 as cost of sale other operators like taxes/deductions. Normally depress Enter for both filters to print for all owners, otherwise specify a beginning and ending owner. This report reads year to date revenue, tax and expense values in the DOI file. It also reads the federal backup withhold amount and the state tax withhold amount in the Customer/Owner file. Values are affected after update for Operating Statements.

IF YOU NEED TO PRINT OPERATING STATEMENTS FOR A NEW YEAR BEFORE YOU CAN PRINT 1099s!

Be sure you don't update Operating Statements for any January statements before zeroing the year to date values in the last step of this procedure. It's OK to run one set of Operating Statements for January, but don't update until after you have zeroed year to date values, or the year to date values will be inaccurate.

No records are zeroed in this routine, and you may print the 1099 reports and forms as many times as you want, as long as you don't zero year to date values. Each step of this routine asks you for permission to execute, so you have control of each step. Therefore, you can print preliminary copies of 1099 reports and forms without having to zero the year to date values. Once you zero the year to date values, you can no longer print the 1099s for that year since the year to date values have been zeroed to start a New Year. (unless you have a backup!)

Related Topics

Government Forms ~


Vendor 1099 Report

This report is normally printed prior to printing the actual Government Forms to verify accuracy and the amount that will be printed. This report reads year to date service & rental amounts, year to date federal backup withheld amount, and the year to date state tax withheld amount from the Vendor file. Service & rental values are updated to the Vendor file when invoices are paid.

Select Close - Calendar Year Close Reports

Related Topics

Government Forms ~


E-File Setup

Select Master File Maintenance - Company Heading File

Click the "Browse" tab, and select a company to setup. You do not setup Company 00, only companies 01 through 99.

Important: Make certain you have a valid company email address. This can be edited on the "Company Headings File" tab.

Then click "E-File Setup" tab and complete the form.

Important: Make certain you have a valid company email address. This can be edited on the "Company Headings File" tab.

Then Click "Setup Account".

The system will initialize and create your E-File Account, then display the following.

Click OK, and you will be returned to the Change Routine where you can change User ID and Password at any time.

You probably don't want to change User ID and Password at this time. Repeat the process above to setup the E-File Account for all companies you have. To setup another company, click the "Browse" tab and select another company, then click on the "E-File Setup" tab again and repeat the process for each company.


W-2 Federal Forms & E-File

W-2 Federal E-File, Create-Send-Payment

Be sure you have executed the E-File setup procedures before executing this routine.

CREATE W2 FEDERAL E-FILE

Select Close - Calendar Year Close Reports - Employee W-2 Forms

If you are filing for Federal, then make sure to select Federal for Filing For. Select your Report Type: You have the option to select Print Only, Create E-File Only or Print and Create E-File. You are required to include the Company Federal ID Number when filing For Federal. Click the OK button and you will be taken to the W2 E-File screen. Here you will see a list of all Employees to be E-Filed.

Edit Payee: If you need to edit one of your employees, you can do so from this screen. You can quickly locate the employee by clicking on the Find button and selecting from the options. Once the employee is located, then click the Edit Payee button and make any necessary changes and click OK. Important Note: Any changes made from this application WILL NOT reflect any other files outside of the E-File such as, Transaction File, Employee File, Trial Balance, Bank Rec, etc....

Save for Later: You will be prompted to enter in a name for the saved file so that you can send at a later point in time, if not ready to Send Now. Once you create your saved file name, you will receive a message telling you where you will find the saved file, which is: Close, Calendar Year Close Reports, E-Filing, Send Saved W-2 E-File. Important Note: If you Save For Later and you exit out of the E-File process to make Employee changes, the Saved File created WILL NOT reflect the changes made after exit.

The Close button will take you completely out of the E-File process and you will need to start again, unless you previously saved a File to which you can access after closing.

Send Now: Once you click on Send Now you will be prompted “Before sending, please name this file in case you need to send it again” and you will click OK. Now you will see a box called “Save As” and you will type the name of the file. Example: FEDPAYROLL and then click OK. You will next be prompted to enter in User ID and Password (previously setup in the E-File Setup in your Company Heading File). Once you have entered in the required information and it is successful, you will be taken to the Transmit Confirmation screen. Here you will have the option to Print Receipt, Bill Me, Pay Now or Decline. We strongly suggest printing out your Receipt before you send your file.

We strongly suggest that you Print Receipt now before making any payment.

If you select the Decline button your saved file is still accessible for transmit when ready to do so.

If you select the Bill Me option then you will receive a bill of the amount shown, from Roughneck, and your file will be transmitted immediately.

If you select Pay Now you will need to have your Credit Card information readily available. .

MAKING PAYMENT USING CREDIT CARD

After clicking "Pay Now" above.

Complete the Payment form that appears to make payment by Credit Card.

Click "Pay" and your payment will be transmitted.

TO CHECK STATUS OF SUBMITTED REPORTS

You can check the status of your reports by the following.

From the Main Menu Select Close - Calendar Year Close Reports - E-Filing - Check Status


W-2 State Forms & Magnetic Media File

Select Close - Calendar Year Close Reports - Employee W2 Forms

Create File: If you are filing for your State, then make sure to select "Your State" for "Filing For". Select your Report Type: You have the option to select "Print Only", "Create Magnetic Media File Only" or "Print and Create Magnetic Media File". To create your Magnetic Media file you will need to include the Company State ID Number when filing for your State. Then click OK.

You will be taken to the Transmitter – State Magnetic Media screen.

Below is the description of each field- “*” represents a required field:

  • Employer Identification Number- Required
  • PIN Number- Eight digit PIN assigned to employee that is attesting to the accuracy of the data. The SSA assigns this number to you.

Submitter Company

  • Name- Your Company name. Name of the company entering in wage data and submitting to the SSA that will be notified if data cannot be processed.
  • Address Line 1, Address Line 2, City, State, Zip Code- Your company address.
  • Email- Your email address.

Receiving Company

  • Company Name- Company to receive magnetic media file in your state.
  • Address Line 1, Address Line 2, City, State, Zip Code- Receiving company address.

Submitter Contact

  • Name- Contact person from your company. Name of person to be contacted by SSA concerning processing problems.
  • Phone Number- Contact’s number from your company.
  • Email- Contact’s email address.
  • Preferred Method of Notification- Email or U.S. Postal Service.
  • Preparer Code- Accounting Firm, Service Bureau, Parent Company, Other.

Now you are ready to click OK.

Edit Payee: If you need to edit one of your employees, you can do so from this screen. You can quickly locate the employee by clicking on the Find button and selecting from the options. Once the employee is located, then click the Edit Payee button and make any necessary changes and click OK. Important Note: Any changes made from this application WILL NOT reflect any other files outside of the E-File such as, Transaction File, Employee File, Trial Balance, Bank Rec, etc....

Save for Later: You will be prompted to enter in a name for the saved file so that you can send at a later point in time, if not ready to Send Now. Once you create your saved file name, you will receive a message telling you where you will find the saved file, which is: Close, Calendar Year Close Reports, E-Filing, Send Saved W-2 E-File. Important Note: If you Save For Later and you exit out of the E-File process to make Employee changes, the Saved File created WILL NOT reflect the changes made after exit.

The Close button will take you completely out of the E-File process and you will need to start again, unless you previously saved a File to which you can access after closing.

Send Now: Once you click on Send Now you will be prompted “Before sending, please name this file in case you need to send it again” and you will click OK. Now you will see a box called “Save As” and you will type the name of the file. Example: FEDPAYROLL and then click OK. You will next be prompted to enter in User ID and Password (previously setup in the E-File Setup in your Company Heading File). Once you have entered in the required information and it is successful, you will be taken to the Transmit Confirmation screen.

PRINT RECEIPT:

We strongly suggest that you Print Receipt before you send your file (before using the Bill Me or Pay Now) .

BILL ME:

If you select the Bill Me option then you will receive a bill of the amount shown, from Roughneck, and your file will be transmitted immediately. You will have the option to save the Magnetic Media File to Floppy now, and if you select YES, then make sure to insert the floppy to backup to and click COPY. Then you will be prompted as to how many floppies are required. If you say NO to backup to floppy then you will see a message stating: “Magnetic Media has been saved to C:\YOURDATADIRECTORY\KSW2RPT (KS stands for the state of which you will be filing to, W2 is the form filing, RPT is report). You will need to copy it to floppy disk or CD before sending”. If you need to copy to CD, you will need to locate the file from your Data Directory (file NOT inside of your Roughneck program). Once you locate the file you can copy and paste it to CD.

Once saved, a confirmation screen appears.

NOTE: You can Check the Status of your report from the Main Menu by:

Select Close - Calendar Year Close Reports - E-Filing - Check Status

PAY NOW:

If you select Pay Now from the Transmit Confirmation Screen, you will need to have your Credit Card information readily available, then you can create the file immediately.

Complete the Payment form that appears to make payment by Credit Card.

Click "Pay".

You will have the option to save the Magnetic Media File to Floppy now, and if you select YES, then make sure to insert the floppy to backup to and click COPY. Then you will be prompted as to how many floppies are required. If you say NO to backup to floppy then you will see a message stating: “Magnetic Media has been saved to C:\YOURDATADIRECTORY\LAW2RPT (LA stands for the state for which you will be filing, W2 is the type of form filing, RPT is the report). Once you locate the file you can copy and paste it to CD.

Once saved, a confirmation screen appears.

NOTE: You can Check the Status of your report from the Main Menu by:

Select Close - Calendar Year Close Reports - E-Filing - Check Status

DECLINE:

If you select the Decline from the Transmit Confirmation Screen, your saved file is still accessible for Magnetic Media filing when ready to do so.


1099 Federal Forms & E-File

CREATE FEDERAL 1099 E-File

This section is for "Federal 1099 Efiling" or for Printing the 1099 Forms, not for "State" filing.

Select Close - Calendar Year Close Reports - 1099 Forms

For "Select Report Type" you can choose from "Print & Create E-File", which will print the 1099 Forms on preprinted Form paper, and then create an E-File that can be transmitted to the I.R.S. via the internet. "Print Only" will only print the Form. And "Create E-File Only" will only create the I.R.S. required E-File and save it, whereby you can transmit it later.

Select your desired company number, and depress <Enter> key through rest of fields, accepting the Company Federal ID Number for selected Company. Then click "OK".

The system will then perform a sanity check and alert you if there are any obvious errors, if so you correct them before continuing.

NOTE: You are only "required" to E-File when there are 250 or more forms submitted. However, you can still elect to E-File by clicking "Yes" when you are flagged.

Click "Yes" above to have Roughneck see if it can convert your Owner and Vendor names for you. You will immediately be provided a listing of the converted name structures in your master files, first for Owners and secondly for Vendors. You can print this new list for reference. To make any changes, from the Main Menu select Master - Owner/Vendor, click on the Address tab and you will see the I.R.S. names.

Click "Yes" when satisfied with your converted names and continue. Otherwise, exit and make any manual changes to Names using the Master File maintenance routines.

Roughneck will allow you to E-File regardless of how many 1099 forms you have. Check with your CPA or State and I.R.S for submitting requirements.

After printing an alignment 1099 form, check it and if needed make necessary corrections until it is aligned correctly for your specific printer.

Next, you will be asked about a 1096 Form.

You can either print the 1096 form now or not.

The E-File is displayed (below). You can save a copy of your file, by clicking "Send Later", make changes, and/or "Send Now".

When you are ready to send the E-File, click "Send Now".

SEND LATER

If you are not ready to E-File your 1099’s you can save the file by selecting the ‘Send Later’ button. You will then need to enter in a name you want Roughneck to save the file (Ex: 2006tax). Click OK. You can send this file later by going to Close, Calendar Year Close Reports, E-Filing then Send Saved 1099 E-Files. Once you go into your Send Saved 1099 E-Files you have the option to view an E-file name. Once you view the file you can Edit the Payee or Send Now.

CLOSE

The Close button will take you completely out of the E-File process and you will need to start again, unless you previously saved a File to which you can access after closing.

SEND NOW OPTIONS

First you will be asked to save a copy of your file. Then you will be asked for your User ID and Password, as an added precaution.

Enter your User ID and Password, as configured in the Company Headings Master file, and click ok. The Transmit Confirmation screen below will appear.

PRINT RECEIPT

We strongly suggest you Print the Receipt first thing.

MAKING PAYMENT USING CREDIT CARD

After clicking "Pay Now" above.

Complete the Payment form that appears to make payment by Credit Card.

Click "Pay" and your payment will be transmitted.

MAKING PAYMENT USING "BILL ME"

If you select the Bill Me option then you will receive a bill of the amount shown, from Roughneck, and your file will be transmitted immediately.

FINISHED

You are finished for the Federal for the Company specified in your original filter. You will be returned to the first Filter Screen. Repeat the process for each Company and/or State as required by you.

TO CHECK STATUS OF SUBMITTED REPORTS

You can check the status of your reports by the following.

From the Main Menu Select Close - Calendar Year Close Reports - E-Filing - Check Status


1099 State Forms & Magnetic Media File

After you have run all of your 1099 reports and verified accuracy you should be ready to print your forms.

Some states require and/or accept Magnetic Media for state filings of 1099 information. Consult with your CPA or State Agency, if in doubt.

Select Close - Calendar Year Close Reports - 1099 Forms

If you are filing for your State, then make sure to select Your State for Filing For. Select your Report Type: You have the option to select "Print Only", "Create Magnetic Media File Only" or "Print and Create Magnetic Media File". To create you Magnetic Media file you will need to include the Company State ID Number when filing for your State. You will be taken to the Transmitter – State Magnetic Media screen.

Complete the Transmitter Screen and click OK.

Some states only require Magnetic Media filing when the number of filings exceeds a certain number, for example 250. However, Roughneck will still allow you to submit, but you need to check with the I.R.S. and State agencies for their acceptance.

Next, you will be asked about a 1096 Form.

You can either print the 1096 form now or not.

Edit Payee: If you need to edit one of your employees, you can do so from this screen. You can quickly locate the employee by clicking on the Find button and selecting from the options. Once the employee is located, then click the Edit Payee button and make any necessary changes and click OK. Important Note: Any changes made from this application WILL NOT reflect any other files outside of the E-File such as, Transaction File, Employee File, Trial Balance, Bank Rec, etc....

Save for Later: You will be prompted to enter in a name for the saved file so that you can send at a later point in time, if not ready to Send Now. Once you create your saved file name, you will receive a message telling you where you will find the saved file, which is: Close, Calendar Year Close Reports, E-Filing, Send Saved W-2 E-File. Important Note: If you Save For Later and you exit out of the E-File process to make Employee changes, the Saved File created WILL NOT reflect the changes made after exit.

The Close button will take you completely out of the E-File process and you will need to start again, unless you previously saved a File to which you can access after closing.

Send Now: Once you click on Send Now you will be prompted “Before sending, please name this file in case you need to send it again” and you will click OK. Now you will see a box called “Save As” and you will type the name of the file. Example: STATE06 and then click OK. You will next be prompted to enter in User ID and Password (previously setup in the E-File Setup in your Company Heading File). Once you have entered in the required information and it is successful, you will be taken to the Transmit Confirmation screen.

Enter your User ID and Password, as configured in the Company Headings Master file, and click ok. The Transmit Confirmation screen below will appear.

PRINT RECEPT:

We strongly suggest that you Print Receipt before you send your file (before using the Bill Me or Pay Now) .

BILL ME:

If you select the Bill Me option then you will receive a bill of the amount shown, from Roughneck, and your file will be transmitted immediately. You will have the option to save the Magnetic Media File to Floppy now, and if you select YES, then make sure to insert the floppy to backup to and click COPY. Then you will be prompted as to how many floppies are required. If you say NO to backup to floppy then you will see a message stating: “Magnetic Media has been saved to C:\YOURDATADIRECTORY\KS1099RPT (KS stands for the state of which you will be filing to, 1099 is the form filing, RPT is report). You will need to copy it to floppy disk or CD before sending”. If you need to copy to CD, you will need to locate the file from your Data Directory (file NOT inside of your Roughneck program). Once you locate the file you can copy and paste it to CD.

Once saved, a confirmation screen appears.

NOTE: You can Check the Status of your report by:

Select Close - Calendar Year Close Reports - E-Filing - Check Status

PAY NOW:

If you select Pay Now from the Transmit Confirmation Screen, you will need to have your Credit Card information readily available, then you can create the file immediately. You will have the option to save the Magnetic Media File to Floppy now, and if you select YES, then make sure to insert the floppy to backup to and click COPY. Then you will be prompted as to how many floppies are required. If you say NO to backup to floppy then you will see a message stating: “Magnetic Media has been saved to C:\YOURDATADIRECTORY\LA1099RPT (LA stands for the state for which you will be filing, 1099 is the type of form, RPT is the report). Once you locate the file you can copy and paste it to CD.

Complete the Payment form that appears to make payment by Credit Card.

Click "Pay".

You will have the option to save the Magnetic Media File to Floppy now, and if you select YES, then make sure to insert the floppy to backup to and click COPY. Then you will be prompted as to how many floppies are required. If you say NO to backup to floppy then you will see a message stating: “Magnetic Media has been saved to C:\YOURDATADIRECTORY\LA1099RPT (LA stands for the state for which you will be filing, 1099 is the type of form, RPT is the report). Once you locate the file you can copy and paste it to CD.

Once saved, a confirmation screen appears.

NOTE: You can Check the Status of your report by:

Select Close - Calendar Year Close Reports - E-Filing - Check Status

DECLINE:

If you select the Decline from the Transmit Confirmation Screen, your saved file is still accessible for Magnetic Media filing when ready to do so.

NOTES FOR 1099 FORMS

Normally depress <Enter> for beginning and ending numbers so it will print for all owners and vendors. The minimum amounts are amounts you must assign. Working interest and vendors rental and service minimum is $600.00. Usually royalty and override minimum is $10.00. You have a option if you want your Vendor and Owner numbers to print on the 1099 form. See the IRS 1099 instructions for more information if needed.

After printing the 1099 Forms, you will be asked to Print a 1096 Summary Form. You have the option to say Yes or No. If you have a mishap while printing your 1099’s or 1096 Forms, you have the option to reprint only the 1096 if desired.

If an owner or vendor is marked, do not print 1099, this record will be skipped in printing. A vendor or owner may be marked, do not print 1099, however they may have 1099 values in the files. You have the option to print the owner/vendor number on the 1099 forms.

If owners or vendors have year to date federal backup withheld or year to date state tax withheld a 1099 form must be printed regardless of minimum. Minimum amount for owners or vendors to print do not apply to federal and state tax amounts withheld. Minimum amounts for owners to print would apply to gross revenue released. Minimum amounts for vendors to print would apply to year to date1099 service or year to date1099 rental paid.

Values for federal tax and state tax withheld for non-residents will be checked prior to printing 1099 forms. If values are found, you will be flagged you should exit and print the Federal and State Tax Backup Withhold report from the JIB program. You should not continue to print forms if you have values in these fields. This money must be paid to the IRS by you.

SANITY CHECK FOR 1099s

This routine will perform a sanity check on the Owner/Customer and Vendor files. Any error messages will be printed on your printer. Please do not insert the 1099 forms in the printer until the sanity check is OK.

The sanity check verifies that each owner and vendor that should receive a 1099 for the specified company contains the following:

  • Name, Address, City, State and Zip Code
  • Social Security number or Federal ID number
  • Checks year to date federal backup withhold and year to date state tax withhold for values for owners and vendors. If owner/vendor has 1099 values but is marked, do not print 1099, error message is printed.
  • Checks number of characters in name and address fields, if changes are required, error message is printed.
  • Checks the Owner and Vendor file for duplicate Federal Id or Social Security numbers.

IF SANITY CHECK FAILS:

If any of the above items are missing, you are flagged for proper corrective action. The IRS can fine your company for submitting incorrect 1099s. However, if you want to print the reports anyway without this being your final copy, you can.

Related Topics

Government Forms ~


Zero Calendar YTD Fields

This is the last routine selected of the Calendar Year Close. It will Zero YTD values. The YTD fields must be zeroed to setup for a new year of accumulating data.

Select Close - Zero Calendar Year Values

See the image for this filter in Calendar Year Close.

Always make a Permanent Backup to a diskette, CD, or some other removable device before you Zero YTD values. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

EMPLOYEE W-2 VALUES

This routine will zero the year to date values for the employees in the company you specified. Only when all reports and forms have been successfully printed for the entire company, should you zero values. Unless you have a backup, you can no longer print the W-2s or Year-End reports once you zero the year to date values for the company. But, you must zero the company before you can update a payroll for the company for a New Year. Normally print all reports and if printing is OK, zero the year to date values so that you can begin a New Year. This procedure will delete inactive employees.

OWNER 1099 VALUES

This routine will zero the year to date values for all owners and customers in the CUST.DBF file for the entire company. Minimum withhold year to date balance will not be zeroed in the CUST.DBF file. All other values will be zeroed. Year to date values for federal tax withhold and year to date values for state tax withhold will be zeroed. It also zeros the released year to date revenue, taxes and expenses in the Division of Interest file for the entire company. Suspense values are not zeroed. No life to date fields are zeroed in either file.

Only when all reports and forms have been successfully printed for the entire company should you zero values. Unless you have a backup, you can no longer print the 1099s or reports once you zero the year to date values for the company. But, you must zero 1099 values for the company before you can update Operating Statements for the company for a New Year. If 1099 values are not zeroed and you update Operating Statements for January, the DOI would contain last year and January 1099 values. The values would have to be corrected by hand or restored from a backup. Zeroing values now would zero out last years values and January values because the closing is not date sensitive.

Normally print all reports including Suspense Non-Released and Minimum Check Withhold Detail report to verify accuracy before zeroing values. If printing is OK, zero the year to date values so that you can begin a New Year.

After zeroing year to date values for owners of that company, you will be asked the year for which the values were zeroed. This is stored for future warning messages. This year will be used to check when you update next for Operating Statements to see if you have zeroed year to date values for the previous year.

VENDOR 1099 VALUES

This routine reads from the year to date 1099 service, 1099 rental, federal withhold and state tax withhold values stored in the Vendor file. These values are updated each time you pay an invoice. Be sure you do not pay any invoices for January before zeroing the year to date values. This routine will zero the year to date values for all vendors for the entire company you specified.

Only when all reports and forms have been successfully printed for the entire company, should you zero values. Unless you have a backup, you can no longer print the 1099s or reports once you zero the year to date values for the company. But, you must zero the company before you can make payments to invoices for the company for a New Year.

Normally print all reports and if printing is OK, Zero the year to date values so that you can begin a New Year.

After zeroing year to date values for vendors of that company you will be asked the year for which the values were zeroed. This year will be used to check when you update next for Accounts Payable checks, to see if you have zeroed year to date values for the previous year.


Fiscal Year Close

DIFFERENCE BETWEEN CALENDAR AND FISCAL YEAR-END

A Calendar Year ends on December 31, and Fiscal Year ends whenever your tax accounting year ends. Some companies have tax accounting years that end on dates other than December 31.

Follow these steps to close a Fiscal Year.

1. CLOSE THE CURRENT PERIOD

1. If you have not already Closed the Current Period that is included in Fiscal Year, be sure you do. Example: If Fiscal Year ends March 30, make sure that you have closed March transactions before closing the Fiscal Year.

2. DO YOU NEED TO CLOSE FOR CALENDAR YEAR END?

Only if your Fiscal year ends in December (same as the Calendar Year End), you should execute Calendar Year close before you execute this Fiscal Year Close.

3. PRINT & SAVE REPORTS

Print & save for your records. Your accountant may want a copy of each of these reports.

Print the YTD General Ledger

Print the YTD Trial Balance

These are your supporting documents for each GL account. The debits and credits on the General Ledger Detail report should agree with the year to date debits and credits on the Year to Date Trial Balance report.

4. PRINT & SAVE FINANCIAL REPORTS

Print and Save for your records, all financial reports before zeroing YTD values. Your accountant may also want a copy of these reports.

Company Financials:

Company Trial Balance (Period)

Company T rial Balance (YTD)

Company P & L

Company B alance Sheet

Well Financials:

Well Cost Report

Well P & L for Working Interest

Well P & L for Company Interest

Well P & L for Master Unit

Well Analysis

Well Analysis Life to Date

5. MAKE A PERMANENT BACKUP

In case you have to make adjusting entries or something goes wrong. Always make a Permanent Backup to a diskette, CD, or some other removable device prior to Zeroing YTD values. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

6. MAKE A TEMPORARY BACKUP

The Temporary Backup to hard disk , is one more precaution.

7. ZERO YEAR TO DATE VALUES

Select Close - Fiscal Year Zero Values

This will provide you one more opportunity to make a backup, in case you need to make adjusting entries after your Accountant has inspected the reports.

If you click Yes, the following is displayed.

This will copy all of the data in the current directory to the Directory you just made. This could be handy if you have to make adjusting entries later.

Next is the routine to Zero the Year to Date Values.

Check all 3 files, enter dates and Click OK.

Note: The AFE Chart of Accounts = Unit Chart of Accounts

What accounts are zeroed at the closing of the Fiscal Year end?

See Zero Fiscal YTD Values for more precise info.

From the Company Chart of Accounts,MTD and YTD values for the sales, cost of sales, income, and all the expense accounts. This will be GL numbers 30XXX - 99XXX. Assets, liabilities and retained earnings are not zeroed from the general ledger file.

From the Unit Chart of Accounts, all MTD and YTD values will be zeroed.

From the Land Managment Files, all MYD and YTD values will be zeroed.

From the Unit File, the MTD and YTD production volumes will be zeroed.

No, LTD values are zeroed.

Zeroing year to date values for Company Chart of Accounts drops all transactions from the Year to Date General Ledger Detail (YTDTRAN) file for the company specified. Zeroing year to date values from the general ledger does not ask for specific dates. You should have only 12 months of transactions in the Year to Date General Ledger Detail file. Do not close a new period for a new year prior to closing the Fiscal Year.

The transaction date for balance forward records should be the beginning date for the next Fiscal Year.

The net profit is calculated by adding all sales and income and subtracting all general ledger expense accounts. The profit or loss is posted to retained earnings, general ledger account number 25300 in the Year to Date General Ledger Detail file as P & L balance forward.

If you have more than one company you must close the Fiscal Year for each company.

Finished with the Close for a Fiscal Year.

Related Topics

Frequently Asked Question about Fiscal Year End

Frequently Asked Questions about Calendar Year End


FAQ - Fiscal Year Close

If you have more than one company you must close the Fiscal Year for each company.

What accounts are zeroed at the closing of the Fiscal Year end?

From the Company Chart of Accounts,MTD and YTD values for the sales, cost of sales, income, and all the expense accounts. This will be GL numbers 30XXX - 99XXX. Assets, liabilities and retained earnings are not zeroed from the general ledger file.

From the Unit Chart of Accounts, all MTD and YTD values will be zeroed.

From the Land Managment Files, all MYD and YTD values will be zeroed.

From the Unit File, the MTD and YTD production volumes will be zeroed.

No, LTD values are zeroed.

See Zero Fiscal YTD Fields for more info.

Can I print my Unit P & L for the end of the year if I have already zeroed the Unit Chart of Accounts?

No, you must first print your Unit P & L's before zeroing out year to date values for the Unit Chart of Accounts. The life to date values are not zeroed.

When posting beginning balances for the New Year which general ledger accounts are used?

Assets, liabilities and retained earnings are posted from the general ledger file to the Year to Date General Ledger file. The current income (Profit/Loss) is an automatic calculation. These general ledger accounts are posted as balance forward records in the Year to Date General Ledger file. Current income is posted to retained earnings, general ledger number 25300. New income is accrued the next month after closing the period.


Reports - Fiscal Year End

Fiscal Year End Reports.


YTD General Ledger

Select Close - Fiscal Year Close Reports

This report reads from the YTDTRAN file that contains all debits and credits for the entire year. It is the audit trail for the entire year. The total for each general ledger number should agree with the Company Chart of Accounts year to date balance.

Normally leave blank for all filters so that the entire file will print. This report is the detail of each debit and credit by general ledger number. It is the supporting document over the Company Chart of Accounts. The totals for each general ledger number on the report should agree with your Company Chart of Accounts year to date balance. This report should total to zero. If it does not, you are out of balance and will probably need to make an adjusting entry. It's not a good idea to end the year out-of-balance, since that condition would be carried over to the next year. However, the system does not prevent you from ending out of balance, but again it would be a good idea to post an adjusting journal entry to balance.

Note: This report is usually quite long and may take some time to print. An alternate method of printing this report is to Print it to a File , and then you can come back later and Print it to Paper .


YTD Trial Balance

Select Close - Fiscal Year Close Reports

Be sure to print this report before you zero fields. The final Trial Balance will list the month to date and year to date debit and credit values from the Company Chart of Accounts file.

The Year to Date Trial Balance is current as of the last time you closed a period. This report's debit and credit total's should agree. If it does not, your general ledger is out of balance and you will probably need to make an adjusting entry. It's not a good idea to end the year out of balance, since that condition would be carried over to the next year. However, the system does not prevent you from ending out of balance, but again it would be a good idea to post an adjusting journal entry to balance.

Caution: This report can not be printed once you Zero Values for the company.


Zero Fiscal YTD Fields

This is the last routine selected during the Fiscal Year Close .

Select Close - Fiscal Year Zero Values

Always make a Permanent Backup to a diskette, CD, or some other removable device before you Zero YTD values. Store the diskette or CD in a safe place for permanent storage. Do not rely on the temporary backup to hard disk for permanent storage.

ZERO COMPANY CHART OF ACCOUNTS

This routine will:

1. Drop transactions (debits & credits) from the YTD General Ledger file.

2. Zero YTD values for the Company Chart of Accounts

3. Post Beginning Balances for the New Year into the Monthly Transaction file.

4. Update your Retained Earnings for Posting of Net Profit/Loss value (GL Number 25300)

5. Update your Current Income (GL Number 29700 a Type 1 account)

Note: Your Company Chart of Accounts must include GL Number 25300 for Retained Earnings, and GL Number 29700 (a type 1 account) for Current Income.

This routine first deletes all year to date transactions for the specified company from the YTDTRAN file (Year to Date General Ledger). Then zeroes the year to date values in the Chart of Accounts file. Year to date values will be zeroed for sales, cost of sales, income and all expenses. Beginning balances are posted for assets, liabilities and retained earnings (general ledger number 25300).

For assets and liabilities the year to date balance for each asset and liability account from the general ledger is automatically added to the Year to Date General Ledger file for the same amount with a description of balance forward.

The net profit is calculated by adding the year to date balance (from the Company Chart of Accounts) of all accounts except assets and liabilities. Debits are positive and credits are negative. In other words, sales are negative (you credit sales when entering a sale) and expenses are positive (you debit an expense when entering expenses) and when sales exceed expenses you have a profit.

For the net profit a general ledger transaction is added to the Year to Date General Ledger file with a description of P & L BALANCE FORWARD. The amount is then posted into the current month field of the Chart of Accounts (general ledger number 25300 = RETAINED EARNINGS) and added to the year to date. Print a Company Balance Sheet after closing the company to verify the balance forward for retained earnings posted for the New Year.

ZERO UNIT CHART OF ACCOUNTS

This routine will zero month to date and year to date values for each general ledger number in the Unit Chart of Accounts file for the entire company you specify. The month to date and year to date production volume in the Unit/Well file will be zeroed. The life to date values will not be zeroed.

You must have printed Unit P & L’s prior to zeroing month to date and year to date values. Once values are zeroed you may no longer print current Unit P & L’s for this company. You may zero this file, during Calendar or Fiscal Year-end, but normally it's saved during Fiscal so that the year to date totals dovetail with the Company Chart of Accounts.

ZERO LAND MANAGEMENT

This routine will only zero rental year to date total cost for the company you specify. The life to date total rental cost will not be zeroed. The rental amount and bonus amount will not be zeroed. All other data in the Land Management file will remain the same. You may zero this file, during Calendar or Fiscal Year-end, but normally it's saved during Fiscal so that the year to date totals dovetail with the Company Chart of Accounts


Financials

Financial Reports

Financial Reports for Companys and Wells.

In This Section

Company Financials:

Trial Balance (Period)

Trial Balance (YTD)

P & L

Balance Sheet

YTD General Ledger Listing

Well Financials:

Well Cost Report

Well P & L for Working Interest

Well P & L for Company Interest

Well P & L for Master Unit

Well Analysis

Well Analysis Life to Date

Related Topics

GL Number Restrictions

How to Track Accounts Payable Unit by Unit

Accounting for Dummies


Trial Balance - Period

The Period(Monthly) Trial Balance reads the year to date values in the Company Chart of Accounts for the beginning balance and the Transaction file for this month’s transactions.

Select Financials - Company - Trial Balance (Period)

Only transaction dates within the range of the specified beginning and ending dates are used for the report. For example, if you specified a beginning date of 12/01/2005 and an ending date of 12/31/2005, only transactions entered on or after 12/01/2005 and on or before 12/31/2005 would be used.

The Monthly Trial Balance should balance to zero, and the period totals for Accounts Receivable and Accounts Payable should be the same as the period totals for their respective Posting Registers (when using the same beginning and ending date). Do not close the month, until these totals agree. No files are updated when printing this report! If the period totals do not agree, see FAQ - Period Close for info.

The complete Monthly Trial Balance is normally printed during Period Close procedures. Do not close the period until you have checked all reports against the Trial Balance. Reports such as Accounts Receivable and Accounts Payable Inquiry, Non-Released Suspense Summary and Minimum Withhold Summary and Prepayment reports should always agree with the general ledger numbers on the Trial balance. The Trial Balance filter includes options for source type, source number, and unit number for additional detail.

You may enter the beginning and ending general ledger number 11300, Accounts Receivable, to verify ending balance agrees with the company total of the Accounts Receivable Inquiry report. Also enter the beginning and ending general ledger number 21000, Accounts Payable, and verify ending balance with the company total of the Accounts Payable Inquiry report. These totals should be checked prior to closing the period. You can print the report for totals only so that you can see the balance without seeing all of the detail. This will save you a lot of time and paper. If you do want a list of all the detail make sure to print the detailed Trial Balance.

Related Topics

FAQ - Period Close


Trial Balance - YTD

The Year to Date Trial Balance is current as of the last time you executed the Period Close.

Select Financials - Company - Trial Balance (YTD)

The Year to Date Trial Balance reads from the Company Chart of Accounts file as of the last period closed. The current and year to date value for each general ledger are listed. Debit and credit totals are listed. The general ledger totals of each account for the Trial Balance should agree with the Year To Date Transaction Detail report as the supporting document.


Company P&L

The P & L for the company is current as of the last time you closed the period. It consists of two sides, company interest on the left and gross on the right. The report reads from the Company Chart of Accounts. Values in the Company Chart of Accounts are updated during period close processing. You can print multiple copies by increasing the number of copies on the print box.

Select Financials - Company - P&L

COMPANY INTEREST VALUES

Company interest values are updated during period close procedures. Each transaction in the Transaction file for sales (3xxxx), taxes, and billable expenses (71xxxx-75999) is located for the status code. If the transaction for general ledger numbers listed also has a unit number, the DOI is checked under that status for any owner number checked in the company interest field of the DOI file. Company interest amount is calculated by multiplying the status percentage in the DOI file by the gross amount for each transaction. Company interest owners (normally numbers 99990 to 99999) in the DOI file must be checked for the company interest field. If no DOI exist for this unit, 100 percent of the amount is used for the company's interest.

Offset accounts (JIB and Revenue Distribution) are not printed on the company interest side, but are printed on the gross side. All other 76xxx-99999 are calculated at 100% on the company and gross side of the P & L. Values for company interest and gross are updated and stored in the Company Chart of Accounts file during period closing. It is advisable to print a Preliminary P & L for the company prior to closing to check calculated values that are not yet stored.

GROSS PROFIT & LOSS

Gross values are updated during period close procedures and are the gross amount of each transaction. Offset accounts are printed on the gross side of the P & L report, but not on the company side. These accounts are used most frequently for the purpose of billing Investors and disbursing revenue to Investors.

Most operators use only two offset accounts, the JIB Offset and the Revenue Offset account. If you use more than two offset accounts, be sure to keep them in sequence. Normally the beginning offset account is the JIB offset (general ledger number 76320) and the ending offset account is the Revenue Offset (general ledger number 76330). The Transactions by Unit report and Owners Share by Unit report are extremely helpful in checking current month P & L report.

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed and uses records in the Transaction file to calculate month to date and year to date values. Values are not stored for a Preliminary P & L report.

A Preliminary Company P & L statement uses the current transactions for the specified dates plus the last closed values to calculate values for the Preliminary P & L. The calculated values are erased after the preliminary report has been displayed or printed. To print to file, assign a report name such as PREPL. The extension name of REP will always be supplied for the report name. To print the file later, use the Utilities program. You may obtain a preliminary report prior to closing the month. A preliminary report will state company preliminary income (P & L) statement. Comments are not stored for the Preliminary or Last Close Company P & L.

Recap for Company Interest will check sales, cost of sales and taxes for each unit. The values for these general ledger numbers with a unit are calculated for owners in the DOI file marked "Y" for company interest. 3xxxx, 5xxxx, and 71xxx-75xxx transactions that do not have a unit number will be totaled and listed on the last line of the recap report. General ledger numbers 4xxxx, 76xxx and above are not considered in this report.

Related Topics

FAQ - Period Close


Company Balance Sheet

The Company Balance Sheet is current as of the last time you closed a period.

Select Financials - Company - Balance Sheet

The Balance Sheet uses year to date values from the Company Chart of Accounts for assets (10000-19999) and liability (20000-24999) accounts. The current income is calculated by adding general ledger numbers for sales (3xxxx) plus income (4xxxx) less taxes (5xxxx) less expenses (71xxx-99999) and is reflected on the Balance Sheet as current income. Equity general ledger accounts are 25000-29999.

Balance Sheet consist of:

Assets = Liabilities + Equity

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed and uses records in the Transaction file to calculate year to date values.

The Balance Sheet reads the year to date balance in the Company Chart of Accounts. Assets consisting of general ledger number's 10xxx -19999 and are reflected on the Balance Sheet. Year to date values are read for liabilities and equity from the Company Chart of Accounts for general ledger numbers 21000 - 29999. The P & L for the company is posted to current income, general ledger number 29700 on the Balance Sheet.

The Preliminary Balance Sheet reads the period ending transaction date specified from the Transaction file and year to date values from the Company Chart of Accounts last closed period to to calculate new values for the Preliminary Balance Sheet. The calculated values are erased after the preliminary report has been displayed or printed.

You can print multiple copies by increasing the number of copies on the print box.

Related Topics

FAQ - Period Close


YTD General Ledger

This report reads from the YTDTRAN file that contains all debit and credit transactions for the entire year for each company.

Select Financials - Company - YTD General Ledger

It is the audit trail for the entire year for your general ledger balances. Each year to date general ledger total should agree with the Year to Date Trial Balance and the year to date balances in the Company Chart of Accounts.

The Year to Date Transaction listing totals for each general ledger account specified in the filter. The debit and credit totals will be given for each general ledger total listed on the Year to Date General Ledger. Debits are reflected as positive values and credits are reflected as negative values.

The document number has been added to the filter. The complete document number must be supplied in the filter to locate data in the file. The owner, customer or vendor name will print beside the source type. A double line will show after each general ledger number total.


Well Cost Report

Report reads from the Unit Chart of Account file for the budget amount assigned and life to date values for the budgeted amount.

Select Financials - Wells - Cost Report

Normally a budget amount is assigned to general ledger numbers 71xxx-73xxx. These values are updated when you close the period. The report reflects the single budgeted amount assigned for each general ledger account on this well, life to date amount, and reflects the difference and percent of budget amount used. The total budget amount assigned for a well is stored in the Unit/Well file and is reflected on the Unit report. Month to date, year to date and life to date values for the Unit Chart of Accounts are reflected on the Unit P & L reports.

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed and uses records in the Transaction file to calculate life to date values.

The Preliminary Unit Cost report reads the budget amount and the life to date amount from the Unit Chart of Accounts and adds transactions from the Transaction file for the period specified to calculate the cost life to date amount. The Last Close Unit Cost report only reads values from the Unit Chart of Accounts for the last period closed.


Well P&L for Working Interest

This report reads from the Unit Chart of Accounts for the working interest month to date, year to date and life to date values. These values are updated when you close a period.

Select Financials - Wells - P&L (Working Int and Company Int)

During period closing, Roughneck reads through the DOI file to obtain a total working interest percentage for each status of each unit. This percentage is then multiplied by the gross amount of each transaction to obtain the working interest value. (Remember: Owners in the DOI file have 8 possible status percentages available for each transaction and each owner is coded working, royalty or override). The general ledger number is reflected on the Unit P & L for Working Interest for better cross-referencing. If a unit is marked “CLOSED” in the Unit/Well file, Roughneck will not print a P & L for that unit.

NOTES ON FILTER FOR WELL P & L

WORKING/COMPANY INTEREST P & L: You can print the P & L for either Company Interest of Working Interest percentages.

COMPANY NUMBER: You can select which company you want to print the Unit P & L for.

PRINT P & L FOR WHICH LEVEL: Enter U=unit, M=master unit, L=lease and P=prospect. Default value is U=unit. Enter other than U=unit to print consolidated P & L's to the next highest level.

UNIT NUMBER: This is normally the individual well number and is the lowest level for tracking expenses or income. Only the unit has a chart of accounts. In case of printer mess up when printing all units, you can enter a beginning unit number and ending unit number. Their are no general ledger accounts for master unit, lease or prospect. Values are accumulated for like groups to the next level for consolidated P & L's.

MASTER UNIT NUMBER: By assigning several individual units to the same master unit number you can obtain a consolidated P & L for all units that have the same master unit number. For example, you may have several different wells (units) that produce into the same tank (another unit that shows revenue only). Assigning units to the same master unit number lets you obtain a consolidated P & L.

LEASE NUMBER: The third highest level for units. Groups units and master units that have the same lease number together for a Consolidated P & L to the lease number.

PROSPECT NUMBER: The highest level that a unit can be assigned. A prospect contains leases, master units and units. If you enter a prospect number, all leases, master units and units are printed that have the same prospect number.

DETAILED or SUMMARY: Selecting detail will list all detail. Summary will give the total of all sales, taxes and expenses.

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed and uses records in the Transactions file to calculate month to date, year to date and life to date values with the values from the Unit Chart of Accounts for the last closed period. Preliminary reports only calculate values that are not stored until you close the period.

STATEMENT DATE: Date to show on the report. Usually the date you print the report.

PERIOD BEGINNING TRANSACTION DATE: Defaults to 01/01/1900, however you may wish to change this date to the current month for a Preliminary Unit P & L. The beginning date you enter will search the Transactions file for dates specified.

PERIOD ENDING TRANSACTION DATE: Defaults to 12/31/2099. You may wish to change this date to the current period. The ending date you enter will search the Transactions file for dates you specify.

You will be asked how many copies you will need before printing the Well P & L for Working Interest.


Well P&L for Company Interest

This report reads from the Unit Chart of Accounts for the Company Interest month to date, year to date and life to date values. These values are when you close the period.

Select Financials - Wells - P&L (Working Int and Company Int)

For notes on Filters, see Well P&L for Working Interest

If a unit is marked “CLOSED” in the Unit/Well file, Roughneck will not print a P & L for that unit.

During a period closing, Roughneck reads through the DOI file to determine which owners are checked for company interest for each unit. This percentage is then multiplied by the gross amount of each transaction and by the company's percent interest under that status to obtain the value for the company interest. The general ledger number is now reflected on the Well P & L Company Interest for better cross-referencing.

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed and uses records in the Transaction file to calculate month to date, year to date and life to date values.

Unit is the lowest level, master unit groups units, a lease groups master units, prospect is the highest level which groups leases.

Company charges to owners are expenses to the owners, but are treated as income for your company. The company's income less the company's share of this expense would reflect the company's true income for these charges. There is no limit to the number of general ledger accounts you can have for company charges; however, they must be in numerical sequence, one after the other. For example, you cannot have a numerical sequence of general ledger numbers that has a company charge (74175 Admin. Expense) followed by a non company charge (ex: 74176 Materials) and then another company charge (74180 Pumper Expense). Use the Key Code Change in Utilities under the Data Tools programs to change 74176 to another general ledger number above 74171 or below general ledger number 74189. Normally, most operators reserve general ledger numbers 74171 to 74189 for the company charges, however, you can use any sequence of billable expense general ledger numbers (71000 to 75999) for these accounts.

MORE ON COMPANY CHARGES TO INVESTORS

These are normally charges that your company makes to Investors for operating the wells. For example, Administrative Charges. These charges are expenses to the Investors but are income to your company. The company normally shares a percentage of the expense along with the other owners. Use the Add Recurrent Transaction routine to enter these charges. Credit income (general ledger number 40000 to 49999), instead of cash, and debit an expense account. Most operators reserve general ledger numbers 74171 to 74189 for these expense accounts. (Usually general ledger numbers 74000 to 74999 are for Lease Operating Expenses.) You can use the Key Code Change program under Utilities, Data Tools to change general ledger numbers in all files, if you need to change some general ledger numbers for the correct sequence of general ledger numbers for this report.

You can print multiple copies by increasing the number of copies on the print box.


Master Well P&L

Master Well P&L for Company and Working Interest.

Select Financials - Wells - Master P&L (Working Int and Company Int)

This reports is just like the Unit P & L except this is for the Master Unit. You can also print a Detailed or Summary report for a Master Unit. The Summary report will print a Total for all units for the specified Master Unit. The Detail Master Unit P & L will add each GL number together for all the Wells on the Master Unit.


Well Analysis Report

Well Analysis

This is more of an engineering report than an accounting report, since revenue and taxes are based on the production date instead of transaction date. Therefore, the Unit P & L values may not agree with this report (different dates used).

Select Financials - Wells - Well Analysis

The last close report reflects your position as of the last closing. However, the preliminary report is for a period not yet closed. The preliminary report uses records in the Transaction file to calculate year to date values and values for volume from the Unit/Well file by month and dollar values in the Unit Chart of Accounts to calculate the Preliminary Well Analysis report. The Last Close Well Analysis uses stored values for the last period closed and do not consider the Transaction file.

This report reads from the Unit Chart of Accounts for dollar amounts from the past 12-month’s history. Production volumes for oil & gas are stored in the Unit/Well file for month to date, year to date and life to date. Sales and taxes are stored based on the production date entered in the Transaction file. Expenses are stored based on the transaction date entered in the Transaction file. Sales, taxes and expenses are stored in the Unit Chart of Accounts file (AFE). The values are updated when you close a period. The Well Analysis Report reads oil/gas volume from the production month in the Unit/Well file and sales, taxes and expenses from the Unit Chart of Accounts.

Please Note: The Well Analysis Report is based on production dates for sales and taxes. The transaction date is used for expenses. Unit P & L reports for sales, taxes and expenses are based on transaction dates only. The Well Analysis report is for production control purposes only. Do not compare to Unit P & L reports.

The Well Analysis values are not cleared during End of Year processing, since the 12 month history is always on a rotating basis. Entering the last month you closed will zero out values for that month only and be replaced with current month's closing values.

You can print multiple copies by increasing the number of copies on the print box.


Well Analysis LTD Report

Well Analysis LTD

LTD = Life to Date

This report is similar to the Well Analysis Year to Date report, except it is for Year to Date.

Select Financials - Wells - Well Analysis LTD

This report will track 13 months worth of production and expenses for a lifetime. You can print for one unit, a range of units or for all units at a time. You are able to print a Detailed or Summary report for the taxes and expenses. The beginning date field, on the Filter, represents what will be the first month and year you want the report to show (the volume is by production month only). The report will show the beginning date specified followed by the next 12 months.

NOTE: Any months previously closed, and not in the YTD file, will not be used in this report, it starts from the time the 2004 Enhancements are installed or any Platinum Edition after 2004.


Bank

Bank Reconciliation

Procedure for reconciling your bank statements. The Bank file contains all checks and deposit information needed to Reconcile the Bank Statement. This file is updated each time you make an entry in Roughneck that affects a possible cash account.

In This Section

Print List of Checks and Deposits

How to Edit Checks and Deposits

How to Reconcile your Bank Statement

Related Topics

How to Void an Accounts Payable Check ~ Quick Checks


Print List of Checks & Deposits

PRINT LISTING OF CHECKS AND DEPOSITS

Select Bank - Edit

Click on the Filter Tab

Set the Filter for the desired Company, then click on Set Filter Order. Use the Print Button and print Checks & Deposits in check number order. Located on the Filter tab, you have the option to print for a specified check number. If you leave this field blank, you will print for all transactions that respond to the Bank file.

Next, click on Bank File - which puts you in Edit Mode - and add any outstanding checks or deposits that do not appear on this report in the Bank Reconciliation file, add option. This routine is not interactive to the general ledger file, so it will cause no damage to your balance condition to add those. It will add checks or deposits to the Bank Reconciliation file only.


Edit Checks & Deposits

Select Bank - Edit

Click on the Add or Edit button to make changes.

To print a new listing after making changes, click on the Filter Tab - set Filter conditions - then click on the Print Button.


Reconcile

This routine is used to reconcile the bank statement to your cash accounts. You should run this routine for each of your cash accounts.

Select Bank - Reconcile

Adding entries to your cash account via the Transactions file, Add Recurrent Transaction file, and Run Check Entry will update the Bank file. Posting payments through the Accounts Payable and Accounts Receivable programs to your cash account will update the Bank file. If you change a record in the Transactions file from another general ledger number to your cash account you also need to add this record to the Bank file. The Bank file is updated by the Transaction file only when you originally post to your cash account.

NOTES ON FIELDS TO RECONCILE

COMPANY NUMBER: The company you will be reconciling.

GENERAL LEDGER CASH ACCOUNT NUMBER: This is the cash account you want to reconcile normally a 1xxxx number.

BEGINNING DATE: Will always default to 01/01/1901 to pick up all checks and deposits from the Bank Reconciliation file. Normally always use 01/01/1901.

ENDING DATE: The date shown as the ending date on the bank statement.

BANK STATEMENT ENDING BALANCE: Enter the ending balance amount from your bank statement.

CHECKBOOK BALANCE AT STATEMENT DATE: Enter the balance in your cash account either from your checkbook or from the general ledger.

STEPS TO RECONCILE

Step 1) Print Checks & Deposits Listing:

If the report shows you need to add some checks or deposits, return to Edit in Bank and enter them there. Remember that the Edit routine is not interactive to the general ledger and is only used for entering items that do not appear on the Reconciliation report to the Bank file.

Step 2) Add Activity Charges or Earned Interest:

From your bank statement enter any bank charges and/or earned interest.

Repeat this step until all charges and interest have been entered. This routine updates both Bank and the Transaction file.

Step 3) Reconcile Withdrawals:

Mark as cleared clicking the designated key, all checks listed on your bank statement. Any activity charges or interest earned will automatically be marked as cleared.

Step 4) Reconcile Deposits:

Mark as cleared by clicking on the designated key all deposits listed on your bank statement.

Step 5) Print Reconciliation Report:

A Reconciliation Summary lists the outstanding checks and deposits (not shown on the bank statement). Check the Reconciliation report against your bank statement for accuracy before proceeding to Step 6.

Step 6) Drop Cleared Checks or Deposits:

This routine drops cleared checks or deposits from the beginning date to ending statement date for general ledger cash account specified in Reconciliation report. You should drop cleared checks or deposits from the system or the check maintenance file will retain the cleared records in the Bank file for the following month. Repeat the process for each cash account to reconcile.


Add-Ons

These are addiitonal Special Programs and Reports/Forms that can be purchased seperately. Contact RSI at 1-800-635-5846, to order these additional programs. For a complete list of additional programs offered by RSI, visit Roughneck Systems web site.


Division Order

The Division Order Reports are accessed via the "Addons" menu selection.

There are 3 Templates (Examples of Division Orders) that can be modified to your particular needs. If you need a totally different Template, and can not modify it yourself, contact RSI for Pricing.

To see which Template most closely meets your criteria, Preview or Print all 3 samples (using the Easy Modify Report Routine). Then modify the desired Division Order Sample to insert your own dollar values.

In This Section

Print Division Order

Easy Modify Report

Advanced Modify Report


Print Division Order

There are 3 Templates (Examples of Division Orders) that you can use. These can be modified to your particular needs at the time. If you need a totally different Template, and can not modify it yourself, contact RSI for Pricing.

You should Preview or Print all 3 samples (using the Easy Modify Report Routine) to see which one most closely meets your criteria. Then modify the desired Division Order Sample to insert your own dollar values.

PRINT DIVISION ORDER

Select Add-Ons - Specail Report/Forms - Division Order - Print Division Order

When you click the ellipse (...) in the top image, the bottom screen appears to allow you to Select a Report to Print or Preview. Select a Report then Print or Preview. To print a Sample, just specify the Same Owner for both Begining and Ending Owner Numbers.

If you leave all filter conditions blank, then a Division Order will be printed for all Owners and Units.


Easy Modify Report

The Easy Edit lets you quickly change values (dollars or dates) for Field1 through Field10. These are called the Other fields.

USING "EASY MODIFY' TO MODIFY VALUES

Select Add-Ons - Reports/Forms - Division Order - Easy Modify

It's probably a good idea to first get a Preview of a Division Order with Field Names, before Modifying the Other Fields.

Following is the Preview with Field Names for Sample3.

Below is an expanded image of the Payment Section. The "Other Fields" are denoted as Field1 through Field 10.

The Easy Modify lets you quickly change the values of Field1 through Field10, which are used in the Payment section above.

To Edit Other Fields.

Click the "Edit Other Fields" button of the first screen in this section. The following will be displayed.

Fields can be either Dollars or Dates.

When you change the value of the Fields and Save, the new values will be reflected when you Print or Preview any Form with data. There is only one set of “Other Fields”, therefore, the values you Save will be printed regardless of which form you Print. You should select your Form first, then edit the “Other Fields” to fit your Form.


Advanced Modify Report

This is for Advanced Users only that are familiar with Editing Procedures.

ADVANCED EDITING OF DIVISION ORDERS

Select Add-Ons - Reports/Forms - Division Order - Advanced Modify

Select Edit Report

If you mess-up, go back to the first screen and Restore the Orginal Form. If you are unable to use this Advanced Editor and need a report changed or just a different report, you can fax the report to RSI for a quote.


Setup IRS Forms

Before you can print the IRS Form 941 Schedule B, you will need to use the Payroll Setup to select the type of depositor you are.

Select File - Setup Options - Payroll Features

Select whether you are a monthly or semi-monthly depositor so the program will know to complete the first section of 941 or Schedule B.

Related Topics

Official IRS Website

Information on IRS Form 941 from IRS Website

Instructions for IRS Form 941 Schedule B


IRS Form 941

The Payroll Quarter must have been Closed before data is available for integration into the IRS Form 941. This is the exact IRS government form in their Adobe Reader Format. After reviewing the form - make changes if necessary, then Print and Mail to the Internal Revenue Service. At this time, the IRS does not allow uploading the form data directly to the IRS via the Internet.

Select Add-Ons - Specail Report/Forms - Form941

When you click on Preview, the completed IRS form will be displayed in Adobe Reader. This is the actual form and format (Adobe) as used by the IRS.

Verify the form is accurate. If you need to make changes, click the Adobe Select tool, them move to item you need to change and edit.

Once you verify the accuracy of the form, Print and Mail it to the Internal Revenue Service. The IRS does not currently allow you to submit this information via the internet.

Related Topics

For More Help Using Adobe Forms. From the Adobe Form, Select Help - How To - Forms

Official IRS Website

Information on IRS Form 941 from IRS Website


IRS Form 941 Sched B

The Payroll Quarter must have been Closed before data is available for integration into the IRS Form 941 Schedule B. This is the exact IRS government form in their Adobe Reader Format. After reviewing the form - make changes if necessary, then Print and Mail to the Internal Revenue Service. At this time, the IRS does not allow uploading the form data directly to the IRS via the Internet.

Select Add-Ons - Specail Report/Forms - Form941 Schedule B

When you click on Preview, the Official completed IRS form will be displayed in Adobe Reader. This is the actual form and format (Adobe) as used by the IRS.

Verify the form is accurate. If you need to make changes, click the Adobe Select tool, them move to item you need to change and edit.

Once you verify the accuracy of the form, Print and Mail it to the Internal Revenue Service. The IRS directions are printed along with the Form. The IRS does not currently allow you to submit this information via the internet.

Related Topics

For More Help Using Adobe Forms. From the Adobe Form, Select Help - How To - Forms

Official IRS Website

Instructions on IRS Form 941 from IRS Website

Instructions on Schedule B Form 941 from IRS Website


IRS Form 940

The Payroll Quarter and Calendar Year must have been Closed before data is available for Printing of IRS Form 940. This is the exact IRS government form in their Adobe Reader Format. After reviewing the form - make changes if necessary, then Print and Mail to the Internal Revenue Service. At this time, the IRS does not allow uploading the form data directly to the IRS via the Internet.

Select Add-Ons - Specail Report/Forms - Form940

When you click on Preview, the completed IRS form will be displayed in Adobe Reader. This is the actual form and format (Adobe) as used by the IRS.

Verify the form is accurate. If you need to make changes, click the Adobe Select tool, them move to item you need to change and edit.

Once you verify the accuracy of the form, Print and Mail it to the Internal Revenue Service. The IRS does not currently allow you to submit this information via the internet.

Related Topics

For More Help Using Adobe Forms. From the Adobe Form, Select Help - How To - Forms

Official IRS Website

Instructions for 940-EZ from IRS Website


Permanent Backup Utility

A Permanent Backup, unlike the Temporary Backups, makes backups to removable media such as a CD, diskette, USB removable Flash Drive. You can buy one of these Utilities for making Permanent Backups at the store, or you can buy the one from Roughneck. Roughnecks Permanent Backup utility listed in the Products section of Roughneck's Web Site is optimally configured to Backup Roughneck data and you may find it easier to use than one you purchase "off the shelf".

The advantage of a Permanent Backup on removable media is that you still have the Backup if your computer totally crashes and all data is lost on your disk drive.

LATEST VERSION

The Latest Version of Roughneck's Backup Utility was released July 2006. You can find the complete documentatin for the Latest Version of Roughnecks Backup Utility at Roughneck's Web Site .


Production History

Roughneck Help System 02/15/07 10:30 am Copyright © 2006, Roughneck Systems Inc.


Utilities

Various Utility routines for Roughneck.

In This Section

How to Create a New Data Directory

How to Change to a Different Data Directory

How to Change the Default Transaction Date

Backups:

How to Make a Complete Backup

How to Restore a Complete Backup

How to Restore a Operating Statement Backup

How to Restore a Payroll Backup

How to use SetUp for Making Automatic Backups

How to use SetUp for Making Automatic Restores

Data Maintenance:

How to Index Data Files

How to Pack Data Files (remove records permanently from system)

How to Clean Data (zero out values)

Data Tools:

How to use the Command Mode

How to Use the Quick Copy and Delete routines

Delete DOI Owners from a Unit

Delete the GL Numbers from a Company

Delete the GL Numbers from a Unit

Copy Vendors from Company to Company

Copy Owners from Company to Company

Coy DOI Owners from Unit to Unit

Copy DOI Status Level % within a Unit

Copy GL accounts from Company to a Unit

Copy GL accounts from Unit to Unit

How to make a Key Code Change

How to Sell an Owners Interest in a Well

How to Expand Data Files for Enhancements

How to Export Data

How to Convert to Proper or Upper Case

Other:

How to Print Mailing Labels

How to Print Reports from Files that have been saved to disk


Data Directory Create/Change

Allows easy creation of a new data directory.

It will Create the specified Directory and Copy Master File info into the New Directory. No transactions or dollar values are copied - it's sort of the original state - that is copied.

This is especially helpful for when you first SetUp your Own Data files.

If you are setting up your own data for the first time, you should:

1. Create a New directory. For a new user, this will copy the Sample Data to a New directory. If you have been using Roughneck for some time, this will copy your existing data from the current data directory . However, it does ZERO all values.

2. Change to the New Directory

3. Clean the Sample Data in the New Directory

4. Make changes and New entries to the Data Files in the New Directory.

CREATE A NEW DATA DIRECTORY

Select Util - Data Directory Create

All data files must be closed in current data directory before a new directory can be created.

It defaults to C:\ but you can change it by clicking on the browse button (the button with three dots).

Enter your new directory name on the “New Directory Name” line. Do not use spaces or any characters other than numbers and letters - this really causes errors and clients do this a lot when creating a new directory name. You do not have to specify the drive you are saving it to, such as C:

Once you click on ‘OK’, Roughneck will then create this directory for you.

You will need to Change to the directory you just created (See Below) and clean the data files. Clean Data Files is located in Utilities under Data Maintenance.

DATA DIRECTORY CHANGE

Allows you to change to a different location for your data.

Note: Your Current Data Directory is always listed at the very top of your Roughneck screen on the blue line.

Select Util - Data Directory Change

Your Folder tree may look somewhat different than the one above.

You can have data in more than one directory. The data directory is where all of your files are stored.

Navigate to the location of your desired Data Directory, click on it then click OK. It will list the company(s) for which you have data in the selected location(directory). Note: The Sample Data that came with Roughneck is normally (unless you changed it) located in C:\RPLATE\PEDATA.

If this is the directory you want, click "Change To Directory" to change to the selected directory(location).

Your Current Data Directory is always listed at the very top of your Roughneck screen on the blue line, so you can check there to make sure you are in the correct directory.

Related Topics

How to Clean Data Files (Zero Values and/or Delete Unwanted Files)


Change Default Transaction Date

Select Utilities - Change Default Transaction Date

You can change the Default Transaction date here, then everywhere you enter a transaction date in the program, it will default to the date you entered here.

NOTE: Every time you exit out of Roughneck and restart, the date will reset itself to your computers (current) date.


Backup/Restore

This routine is used as a Temporary Backup or Restore of DBF files used in Roughneck to make a copy of your DBF files to the sub directory, C:\RPLATEBAK, on the hard disk. It is considerably quicker than a disk backup or restore, but of course, should not be counted upon as a Permanent Backup .

In This Secton

Make a Complete Backup

Restore a Complete Backup

Restore a Operating Statement Backup

Restore a Payroll Backup

SetUp for Auto Backup

SetUp for Auto Restore

Related Topics

How to make Permanent Backups to removable media.

HOW OFTEN SHOULD I BACKUP MY DATA?

You can never have too many backups. You can use the Auto Backup feature to make backups everyday. The Auto Backup makes backup to your hard disk, which is good unless your hard drive crashes. You should have some sort of Backup Utility that allows you to make Permanent Backups to removable media. You can purchase the Roughneck Permanent Backup utility, if you don't have one. Keeping the last 3 days backed-up, is a solid idea.

1-2-3 METHOD OF BACKUPS

1-2-3 method of backing-up your data: Backup Daily - make a backup every day using the 1-2-3 method. In other words, you will always have a backup of the last 3 days. At the end of each day make a backup onto the Day-Before-Yesterday diskettes, and of course the Yesterday backup becomes Day-Before-Yesterday and today becomes yesterday. It is usually easiest to use some type of temporary stick-on label, to label each backup with the Date of the Backup. Rotate NEW diskettes about every 6 months to insure they don't become worn.


Make a Complete Backup

This routine copies the Roughneck data files (all files with a last name of DBF) from one directory on your hard disk to another. The data in the original data directory is not deleted. After completion you will have two sets of the data on your hard disk.

Select Utilities - Backup/Restore - Make a Complete Backup

Used primarily to make Quick Temporary Backups of your data prior to running one of the update routines, such as, period and year end closings. There is no substitute for backing up to disks to protect against a "hard disk crash", however this utility is much quicker. It is designed for use when you already have a Permanent Backup on disk of yesterday's data. You cannot backup files to a disk using this routine. Disk backup should be done outside of the Roughneck program. Refer to your Windows manual concerning disk backup or contact RSI to purchase our Roughneck Backup Utility program.

THE BACKUP FROM DIRECTORY defaults to the name of your current data directory. If you want to make a backup from a different directory, you must go change your current data directory to the one desired.

THE BACKUP TO DIRECTORY defaults to C:\RPLATEBAK. The C:\RPLATEBAK directory was created by the install routine during installation of the programs. Normally temporary backups are made to this directory; however, you can enter the name of any directory. If you have more than one data directory, you should create another directory for backing up your 2nd data directory to a different sub directory other than the C:\RPLATEBAK directory. Don't forget the drive and the backslash.

After entering the " Backup To" directory, The Platinum Edition verifies that the directory exists. If the sanity check fails, you have either entered the directory name incorrectly, or Roughneck is unable to locate the directory, or the directory does not exist. This routine will ask if you want to create the directory. If you choose ‘Yes’ the directory will automatically be created for you. The directory must exist before you can backup files to it.

If the "Backup To" directory is found, all Roughneck files are copied to the directory. (Index files are not copied). Data files in the " Backup From" directory are not erased; therefore, you will have two sets of the files upon completion.

Related Topics

How to Restore a Complete Backup


Restore a Complete Backup

This will restore a Complete Backup .

Select Utilities - Backup/Restore - Restore Complete Backup

The restore routine is just reverse of the backup routine. In other words the "Backup From" directory must exist. The files from the “Backup From” directory are restored only to the current data directory. Please pay attention to the date, time and from which data directory the backup was created. The DBF files being restored will be listed on your screen.

Index files were not backed up to decrease the amount of disk space needed. The program automatically reindexes all your data files.

Related Topics

How to Make a Complete Backup


Restore a Op. Statemet Backup

When you Update for Operating Statements and Checks , you are given the option of making a Temporary Backup. This procedure lets you restore your data to the state it was before making that Update.

Select Utilities - Backup/Restore - Restore Operating Statement Backup

All files are not backed up when you make a temporary backup from the Op. Statement Update routine. Only files that are affected from the update of Operating Statements are backed up.

Please pay attention to the date and time the backup was created that you are restoring. This routine restores the backup of Operating Statement data, made prior to running the Operating Statement update back to your current data directory.

REVTOTAL.DBF, REVSTUB.DBF, BANK.DBF, TRAN.DBF, CUST.DBF, ARDET.DBF, ARREG.DBF, DOI.DBF and WHDINFO.DBF and their Index files were backed up. They were copied from DBF to BAC file names. The CDX files were copied to BAX file names. Only these files, BAC will be restored as DBF files to your current data directory and their associated BAX files will be restored as CDX files when you select this option. Make sure you have not selected Restore A Complete Backup to current directory prior to selecting Restore Operating Statement Backup, or else files will not be correct.


Restore a Payroll Backup

This routine restores the backup of data, made prior to running the Payroll Update , back to your current data directory. All files are not backed up when you make a temporary backup from the Payroll update routine. Only files that are affected from the update of Payroll are backed up.

Select Utilities - Backup/Restore - Restore a Payroll Backup

Please pay attention to the date and time the backup was created that you are restoring.

QTRYTD.DBF, EMP.DBF, PAQTRYTD.DBF, and PAYTRAN.DBF, and their Index files were backed up. They were copied from DBF to PAC file names. The CDX files were copied to PAX file names. The corresponding transactions for Payroll Update in the TRAN.DBF file and the BANK.DBF file are also deleted. Only these files, PAC will be restored as DBF files to your current data directory and their associated PAX files will be restored as CDX files when you select. Make sure you have not selected Restore A Complete Backup to current directory prior to selecting Restore Payroll Backup, or else files will not be correct.

The backed up data can be restored only once. If you try to restore again, the Platinum Edition displays a warning message as follows-.

EMP.PAC not found. Is this the correct data directory? Payroll backups can be restored only once. DBF backups have last name of PAC. CDX backups have last name of PAX.


Auto Backup Setup

This program will allow you to be automatically reminded when to backup your data.

You will have the choice of turning this option on or off, when to backup your data and how often you wish to backup. You can setup to be flagged on startup, shutdown or on a specific day(s). The setup will remind you when your last backup was made and when your next backup is scheduled. This programs should be used to backup to your Hard drive only.

NOTE: This option does not function with the ‘Make A Complete Backup’ or ‘Restore A Complete Backup’ located under Utilities (they do essentially work the same, but are two totally different functions).

Example: If you make a complete backup using the ‘Make A Complete Backup’ then in order to retrieve, you must restore that backup from ‘Restore A Complete Backup’. If you make an auto backup using the ‘Auto Backup’ then in order to retrieve, you must restore that backup from the ‘Auto Restore’.


Auto Restore Setup

Allows you to select a backup you wish to restore by double clicking the file (.zip) you want to restore. Only files that were created using the ‘Auto Backup’ will be located in this location. You will be flagged to make sure you want to restore the backup.


Data Maintenance

Provides utilites to INDEX, PACK and CLEAN your data files.


Index Data

This routine creates new index files (last name of CDX) for files in your current data directory.

Select Utilities - Data Maintenance - Index Data Files

You can reindex a single file or all files. This routine is helpful when you have been moving data around (Temporary Backup, Restore, Copy, etc...). If you received the error message RECORD OUT OF RANGE, or RECORD NOT FOUND, you are either missing an index file or using an out-of-date index file. At any rate this routine should cure that situation.

If you have changed owner percentages in DOI or made changes in the Master files, Units, Chart of Accounts, etc…, it is recommended you reindex your data files to keep your data 'ordered'. You cannot reindex files too often. Reindexing arranges DBF files in record order and keeps CDX files indexed properly.

If you only backup DBF files, you must reindex your DBF files when you restore data files else records will be out of range.

To index one file, click on it and select the index button.

To index multiple files, select the required files and then click on the index button.

To index all files, just click on the index all button.


Pack: Drop Deleted Records from System

Pack Data

Drops all records marked for deletion from a data file (FOREVER). Once records are dropped from a file recall is not possible.

Select Utilities - Data Maintenance - Pack Data Files

This routine removes all records marked for deletion from the checked data file(s) in your current data directory - FOREVER. You can pack a single file or all files. After each file is packed, it also performs a reindex of the file so that the indexes are updated.

You might enjoy Making a Complete Backup of your data before Packing. :)

To pack one file, click on it and select the pack button.

To pack multiple files, select the required files and then click on the pack button.

To pack all files, just click on the Pack All button.


Clean Data

You can zero year to date values or remove data from data files. Normally used when you are setting up a new directory.

Select Utilities - Data Maintenance - Clean Data Files

This program only cleans one company at a time in the Current Directory.

If you are setting up a new data directory, before using this routine, be sure to:

1. Create a New Directory

2. Change to the New Directory

To each file for the specified company in the current directory, you can either:

D = Delete all records in the file

Z = Zero the Month to Date and Year to Date values for all records in the file

N = No Action is taken - records are left as is.

If you are Setting Up your Own Data for the first time.

Then you have probably just created a New Directory that copied the Sample Data to the New Directory. To clean the Sample Data that is now in the New Directory:

Enter 01 for Company Number

Enter N for Company Headings File (you will only edit that file to reflect your Own Company Name)

Enter Z for Company Chart of Accounts (you will use this as a Guide, but you can Edit it to make changes)

Enter D for Eveything Else

Then you are ready to continue Setting Up your Own Data.

WHAT THE CLEAN ROUTINE DOES

The zero method does not remove the records from the file, it only re-sets month to date and year to date values to zero. Usually the Company Chart of Accounts of the sample data is fairly close to what most users want to use for their own data. If that is true in your case, you can save time by re-setting the month to date and year to date values of those files to zero and then adding and deleting accounts as needed later with the Master programs. The zero routine re-sets value to zero. Change the name for company 01 from Netmeout to your company name. Now you have a good company, 01 and a clean Company Chart of Accounts. Change the accounts to meet your company needs.

Normally depress the Enter key to accept the default value for each file, unless you have some good data in files other than the Company Chart of Accounts files. You can always use Master on your tool bar, Company Chart of Accounts to delete or modify individual records of a file.

If you have more than one company in the data directory, you must run this routine for each company you want to clean.

VALUES THAT ARE ZEROED - IF YOU ELECT TO ZERO A FILE

  • Owner/Customer File: Zeroes current month and year to date balances.
  • Vendor File: Zeroes year to date purchases, year to date 1099 service charges and, year to date 1099 rental charges.
  • Unit/Well File: Zeroes current month, year to date and life to date production volumes for oil and gas.
  • DOI File: Zeroes all current month and year to date amounts in suspense, and all year to date amounts for expenses, taxes and gross revenue released. Prepayments and life to date suspense amounts are not zeroed.
  • Company Chart of Accounts File: Zeroes current month and year to date balances.
  • Unit Chart of Accounts File: Zeroes current month, year to date and life to date balances.
  • Minimum Check Withhold Detail File: Deletes minimum check withhold detail information for released amounts only. Detail of minimum check withhold is stored in the file WHDINFO.DBF.


Data Tools

Miscellaneous methods and routines to help you inspect and manipulate your data.


Tool to use Command Mode

Command Mode

This special Utility mode is provided for users wishing to have extra control over their system. You should be an advanced user familiar with Dbase, FoxBASE or FoxPro commands to use this Mode. Roughneck does not attempt to teach users how to program in DBase, FoxBASE or FoxPro. This mode is only intended for use by advanced users familiar with those languages, and for RSI to use for support purposes.

Most all FoxPro commands can be executed from the Command Mode. You can purchase a FoxPro book from your local bookstore that details all FoxPro commands.


Tool to Quick Copy/Delete Files/Records

Quick Copy/Delete

Lets you quickly perform the following Quick Copy or Quick Delete functions.

Select Utilities - Data Tools - Quick Copy/Delete

QUICK COPY

You might enjoy Making a Complete Backup of your data before Copying anything below. :)

All of these routines work virtually the same.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy -Vendor Accounts From Company to Company

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - Owner/Customer Accounts from Company to Company

(Same type Screen as above for copying Vendors).

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - DOI Owners From Unit to Unit

When you select a DOI Copy or Delete you can additionally specify the owner type, royalty, override, or working interest.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - DOI Status level % Within a Unit

When you select a DOI Copy or Delete you can additionally specify the owner type, royalty, override, or working interest.

Note: You can copy DOI status level percentages within a unit for working interest, royalty, or override owners from one status level to another status level within the same unit. Royalty and override owners do not have expense percents; therefore only revenue and tax percents are copied for these owners.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - G/L Accounts From Company to Unit

Note: General ledger accounts copied from a company or a unit will only copy sales, tax and expense general ledger numbers. Assets and liabilities are not copied to the Unit Chart of Accounts.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - G/L Accounts From Unit to Unit

Note: General ledger accounts copied from a company or a unit will only copy sales, tax and expense general ledger numbers.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - G/L Accounts From Company to Company

Note: General ledger accounts copied from a company or a unit will only copy sales, tax and expense general ledger numbers.

Select Utilities - Data Tools - Quick Copy/Delete -

Copy - Units/Wells from Company to Company

Note: You have the option to reset all dollar values to zero for the copied Units/Wells.

QUICK DELETE

You might enjoy Making a Complete Backup of your data before Deleting anything. :)

Select Utilities - Data Tools - Quick Copy/Delete -

Delete - DOI Owners of a Unit

You might enjoy Making a Complete Backup of your data before Deleting anything. :)

When you select a DOI Copy or Delete you can additionally specify the owner type, royalty, override, or working interest.

Delete routines only Mark records for deletions. The records are not acutally dropped from the system, until you Pack the files.

Select Utilities - Data Tools - Quick Copy/Delete -

Delete - G/L Accounts of a Company

You might enjoy Making a Complete Backup of your data before Deleting anything. :)

Delete routines only Mark records for deletions. The records are not acutally dropped from the system, until you Pack the files.

If you delete general ledger accounts for a company or a unit, normally you will delete the unit or company also. You must delete the company from the Company Headings file and the unit from the Unit/Well file.

Select Utilities - Data Tools - Quick Copy/Delete -

Delete - G/L Accounts for a Unit

You might enjoy Making a Complete Backup of your data before Deleting anything. :)

Delete routines only Mark records for deletions. The records are not acutally dropped from the system, until you Pack the files.

If you delete general ledger accounts for a company or a unit, normally you will delete the unit or company also. You must delete the company from the Company Headings file and the unit from the Unit/Well file.


Tool to Change a Key Code

Key Code Change

Change a customer, owner, vendor, employee, general ledger number or unit number in all data files. This routine will change the key code number from the old number to the new number assigned in all data files.

Changing the unit number does not change the master unit number or general ledger number in the Unit Chart of Accounts.


Tool to Sell Owners Interest

Sell Owners Interest

Allows you to transfer Interest percentage from one owner to one or more owners. When an owner has sold his Interest in a unit to another owner, percentages for the selling owner are transferred to the receiving owners.

You must use the same owner type to transfer interest for the same unit. If owner types are different for a unit, you need to assign a new owner number for the same type owner.

Enter the owner selling his interest and the unit. After entering selling owners number, ensure the owners name is correct. You will then be asked if the interest is to be equally distributed. If ‘Yes’ you will be asked for the total number of owners. You can sell interest to as many as 10 owners at a time. The % share is the portion of the selling owner’s interest that the new owner receives. To sell 100% enter 1, for 1/8 enter 0.125, for 1/4 enter 0.25 etc… For instance, your selling owner has 50% of a well and you want to sell his interest equally among four owners you would enter .25 as the percent. (25% *.50 = .125 for each Owner). Four owners time. 125 each equals 50%. You have now equally distributed the selling owners 50% to the four receiving owners. Make sure to check the receiving owners name after entering their respective owner number.

If the selling owner is a working interest owner, his percent for revenue, taxes and expense for all status levels will be transferred to the receiving owner. The selling owner's percentage in the DOI will be reduced. The receiving owner's percent will be increased by that percentage in the DOI file. Revenue, taxes and expenses released are not changed for either owner.

Royalty and override owners will transfer revenue and tax percentages only. They do not have a percent for expenses. No journal entries will be made for transfer of interest or suspense balance except for owner number 99990-99999.

Before Interest is transferred, you should print the Released Suspense Revenue Detail report from the JIB module and/or the Non-Released Suspense Revenue Detail report from the Close module, under Calendar Year Close Reports.

NOTES ON FIELDS

UNIT NUMBER: Enter the unit number the selling owner has an interest percent in. All percentages in all status levels for the selling owner will be reduced in the DOI. The owners receiving the interest will be increased in the DOI by the percentages supplied. Owner types within a unit must be the same for each owner. If owner types do not match, you need to assign a new owner number for the same owner type. Selling owners interest in all units will transfer all interest to the receiving owner in all units.

OWNER SELLING HIS INTEREST: Enter owner number for person who is selling his interest.

G/L NUMBER FOR UPDATE: General ledger number for update only applies when transferring to owner number's 99990-99999. The general ledger account, 21010 will be debited for net life to date suspense amount for the selling owner and a credit to 76330 revenue offset will be generated in the Transaction file. The selling owner did not receive a check and his suspense amount is in the cash account. A transaction was made to credit 21010 (suspense amount) for his net suspense amount and a debit to 76330 (revenue offset) for his amount of net revenue.

The DOI for owner range 99990-99999 will update gross revenue released year to date and tax released year to date for the amount of suspense transferred. The DOI for the selling owner's suspense transferred will be reset to zero.

TRANSACTION DATE TO ASSIGN FOR UPDATE: Default date will appear for posting to the Transaction file for transferring suspense to owner numbers 99990-99999.

NUMBER OF OWNERS RECEIVING THE INTEREST: Enter the number of people who are receiving the interest. The receiving owners must reside in the Owner/Customer file.

SELL 100% OF SELLING OWNERS INTEREST: If the owner is selling all of his interest on this well select this box.

TRANSFER SUSPENSE BALANCES, ALSO: If suspense balances are transferred, the selling owner's net revenue amount in suspense life to date and tax suspense amount life to date will be reduced. The receiving owner’s suspense fields will be updated for the amount transferred for the unit in the DOI file. No transactions will be made for transferring suspense balances. Suspense status will not be changed for either owner.

Before interest is zeroed for either owner, you should print the Released Suspense Revenue Detail report and print Non-Released Suspense Revenue Detail report. Once the selling owner's percent is zeroed in the DOI file, you cannot print the Released Suspense Revenue Detail report or print Non-Released Suspense Revenue Detail report for a zero percent. Any suspense revenue released for the selling owner must have a beginning and ending suspense date in the DOI file to print prior Released Suspense Revenue Detail report.

You must have a beginning suspense date if the selling owner has always been on suspense to print the Non-Released Suspense Revenue Detail report.

PRINT SELLING INTEREST REPORT: This filter allows you to print a report showing the selling owner's and receiving owner(s) interest. You should print the selling interest report to have a record of the selling owner and the receiving owner's interest percents before and after transfer. If you choose not to print this report you will have no record of what the interest was before it was transferred. You will not be able to print this report at a later date.

The screen will display owner who sold his interest and owners who received his interest. If suspense balances have been transferred the suspense amount fields will be displayed. Accounts Receivable balances or minimum withhold amounts are not transferred when selling owners interest.

OWNER NUMBERS 99990-99999: Only owner numbers from 99990-99999 will create transactions in the Transactions file. A debit to 21010, suspense revenue and a credit to 76330, Revenue Distribution offset will be made in the Transaction file for the selling owner when life to date net revenue suspense is transferred to receiving owner numbers 99990-99999. No transactions were created for this range of owner number's when Operating Statements were generated for them. This range of owner numbers will not be issued a check.

FILES UPDATED

DOI.DBF - Selling and receiving owner's percent will be changed on the unit that interest was transferred. Year to date revenue, taxes and expenses will not be changed for either owner. Except for owner numbers 99990-99999. Suspense balances transferred will be changed for both owners.

TRAN.DBF - Transactions are made only for suspense balanced transferred to owner number range 99990-99999 to keep the general ledger in balance.


Tool to Expand Data Files - Enhancements

Expand Data Files - Enhancements

Primarily used when updating from an older version of Roughneck.

Many times new enhancements require adding extra fields to your data files for new routines. The Expand routine normally will execute automatically for the current data directory when you install the enhancements. However, if you have more than one data directory you select this option from the Utilities, Data Tools menu and run it for each data directory that you have.


Tool to Export Data

Export Wizard

The Export Wizard allows you to filter and sort the data file you want to export. You are able to select the file, fields in that file and the sorting of those fields for better control on what is exported. To use the Export Wizard go to Utilities, Data Tools then Export Wizard.

Step 1: Select File to Export and Fields

Select the file you want to export.

Select the fields that you want to be exported from your selected file and click ‘next’.

Select the fields you want to export from the ‘Available fields’ column. Use the > button to select each individual file and move it to the ‘Selected fields’ column. (Click on the field in the ‘Available’ column so it is highlighted then click the > button to move that one field to the ‘Selected’ column. Do this for each field one at a time.) Use the >> button to move ALL fields in the ‘Available fields’ column to the ‘Selected fields’ column. The < button allows you to move one field at a time from the ‘Selected fields’ column back to the ‘Available fields’ column and the << button allows you to move ALL fields from the ‘Selected fields’ column back to the ‘Available fields’ column.

Step 2: Filter Records

Select how you want to filter the records and click ‘next’. Ex: Field = comp, Operator = Equals, Value = 01 means that only records in this file with the company number equal to 01 will be exported. The ‘preview’ button on this screen allows you to see what records and fields will be exported.

The ‘Field’ box will find that field in the file and match it to whatever you have the ‘Operator’ and ‘Value’ set for. This can be used to filter record for a particular company number, owner number or range etc…

The ‘Operator’ box has several options: Equals means that whatever ‘Value’ is, Roughneck will only capture records that are equal to that value. (Ex: Owner - Equals - 10000 means that only records for the owner number equal to 10000 will be exported.) Not Equals means that whatever ‘Value’ is, Roughneck will only capture records that are not equal to that value. (Ex: Owner - Not Equals - 10000 means that only records for owners not equal to 10000 will be exported.) Greater Than means that whatever ‘Value’ is, Roughneck will only capture records that are greater than that value. (Ex: Owner - Greater Than - 10000 means that only records for owner numbers greater than 10000 will be exported.) Less Than means that whatever ‘Value’ is, Roughneck will only capture records that are less than that value. (Ex: Owner - Less Than - 10000 means that only records for owner numbers less than 10000 will be exported.) Less Than or Equals means that whatever ‘Value’ is, Roughneck will only capture records that are less than or equal to that value. (Ex: Owner - Less Than or Equals - 10000 means that only records for owner number 10000 and any owner numbers less than 10000 will be exported.) Greater Than or Equals means that whatever ‘Value’ is, Roughneck will only capture records that are greater than or equal to that value. (Ex: Owner - Greater Than or Equals - 10000 means that only records for owner number 10000 and any owner numbers greater than 10000 will be exported.)

The ‘Value’ box is for determining what records will be matched to. If ‘Value’ is 10000, Roughneck will only look for that value in the ‘Field’ you have selected.

The ‘And’ means that you will have Roughneck looking for your first filter and another filter. You can have up to four filters on a file to sort out your data. ALL filters have to be true for Roughneck to find any data matching the filter using the ‘And’ method. If you tell it to find an owner number equal to 10000 and a name equal to John Doe and owner number 10000’s name is Jane Doe, Roughneck will not find anything because both values were not found together.

The ‘Or’ means that you will have Roughneck looking for your first filter with one field and if it can’t find that value you want it to look for another filter type with another field and another value. If you tell Roughneck to find an owner number equal to 10000 it will find any owner with the number 10000. If you use ‘OR’ and tell it to find any name equal to John Doe and he is owner 30000 Roughneck will display both owners.

‘Set Exact On’ will only find matches for the filters that are exactly what you entered.

‘Set Exact Off’ will find mathces for the filters that are closed to what you entered.

Step 3: Sort Records

Select how you want the records sorted. Ex: (Using the Owner/Customer file) Number, Fedid, Name would list the record fields with the owner number first, then the Federal ID number and last would be the owners name. (10000 111-11-1111 Bob Smith)

To sort the records click on the field you want to be first in the ‘Available fields’ column then hit the > button to move them to the ‘Selected fields’ column. Do each field in the order you want them exported until all of the fields have been moved to the ‘Selected fields’ column. To move the field from the ‘Selected fields’ column back to the ‘Available fields’ column use the < button. Once you have sorted all of your fields in the order you want click ‘next’. You may select up to three fields.

Step 4: Finish

Select the export type, such as DBF, XLS, TXT etc… and where you want to save the exported file and click ‘finish’.

If you choose Delimited Text as the export type you will be asked for a ‘Delimiter’. The ‘Delimiter’ is how the fields will be seperated from each other. You can use the Tab, Space or comma. This means that all of the fields will be seperated with Tabs, Spaces or by commas.

The ‘Save As’ box allows you to select where on the computer you want to save the file when it is exported. If the file is under 1.44 megs you may be able to save it to floppy disk.


Tool to Convert to Proper or Upper Case

Convert to Proper or Upper Case

Allows you to convert your data to Proper or Upper case.

You can select to convert all of your data files or you can pick and choose which files to convert. To convert all of your data files you will need to click on the ‘ALL’ button under the Convert to Proper Case or Convert to Upper Case category. If you only won’t to convert your Vendor file then click on the box next to the word Vendor then click on the ‘Only Selected’ button. Once you convert your data you may want to go back into your Owner, Vendor and Employee file to make sure all of the names and Company names look good to you. You will however need to adjust some names to your liking for example: ABC COMPUTERS will now look like Abc Computers and last names such as MCCOWEN will now look like Mccowen so you will need to change it to McCowen. If you do convert your data to proper case and then change your data back to Upper Case and then back to proper case it will not save your changes so; you will then have to redo any changes you may have made the first time.


Print Mailing Labels

Labels

PRINT MAILING LABELS:

This routine prints self-adhesive stick on mailing labels for owners, customers, vendors or a unit's owners. First you need to select an Avery number for your label type before going to the Filter.

Select Utilities - Print Report Files

LASER LABEL SETUP

FILTER TAB

NOTES ON FILTERS FOR LABELS

For source type ‘U’, beginning and ending numbers refer to unit numbers. Therefore, to print labels for all owners on unit 10000-01, select source type ‘U’, and enter 10000-01 for both beginning and ending source numbers. Scroll feature is not available for source type ‘U’.

Number of copies refers to how many sheets of labels you want. If you choose 2 copies you will get two pages of labels for whatever you filtered. Number of labels refers to the number of labels to print for each source. If you choose 15 then 15 labels will print per source on a page. You can only select the number of lables when the beginning and ending source are the same. You can also select to include owners/vendors with zero balances.


Print Report Files Saved to Disk

How Print Reports from Files saved to disk

This is used to Print a Report that you earlier Printed to File . You may print most reports to a file name, which stores reports in your current data directory for future printing or viewing.

Select Utilities - Print Report Files

A list of REP files created is displayed along with the file size, date and time created. Move the ‘HiLite Bar’ to desired file and press the view, print, or delete button.

NOTES ON ASSIGNING NAME FOR REPORT FILES

The file name cannot be more than 8 letters. Do not use spaces, symbols or characters in the file name. The period (.) and extension name of REP will be added to the file name.

All file reports must have the last extension code name of REP (name.rep) for report. Assign a file name to the report that is easy to identify for future printing or viewing. A good name for the P & L report could be DECPL.REP. The file name of the report would represent the December P & L report. The file name DECPL.REP is stored in your data directory just like DBF and CDX files.

Related Topics

How to Print to a File


Setup Options

The SetUp Options allow you to configure Roughneck to your own specifications and hardware.

In This Section

Check Formats

A/R Invoices Format

Operating Statement Format

Payroll Features

Posting Registers Print Options

State Tax Withholding Rates

Define DOI Status Description

Other Settings

Key Field Settings

Printer Setup for Reports

Passwords

How to Upgrade Roughneck over the Internet


Change Check Formats

Check Formats

Configures check format and printer for Revenue, Accounts Payable, Payroll and Quick checks. You can have stub on top or bottom, format spacing, use laser check format, or continuous check format.

You can use different check formats for each Check. If you use different checks for either program, you need to change the printer format and the check format prior to printing checks.

You may want to have the line spacing, columns or check and stub adjusted to fit your checks. Always print an alignment check after changing the check format on computer paper to compare to your checks. The printer you select will list the default values of the check format for either laser checks or continuous checks for dot matrix printers.

Select File - SetUp Options - Check Formats

Select the Type of Printer to be used and the Check Type to Format.

Click OK

REVENUE CHECK FORMAT

The revenue check stub can be printed either on top or bottom of the check. You also have the option to print one or two check stubs. In addition, on the stub, you can either print each line item from the Operating Statements or you can print a single line description such as ‘See Details on Operating Statement’. Information for revenue checks reads from the REVTOTAL file. Information for the revenue check stub reads from the REVSTUB file. The default values are listed on the right side of each field for the revenue check format selected.

ACCOUNTS PAYABLE CHECK FORMAT

The Accounts Payable check stub can be either printed on top or bottom the check. You also have the option to print one or two check stubs. Always print the listing of prepared computer checks prior to printing Accounts Payable checks. One Accounts Payable check will print up to 15 invoices on the check stub. A second check will be created if you have more than 15 invoices. The Accounts Payable computer printed checks read from the APCHECK file. The default values are listed on the right side of each field for the Accounts Payable check format selected. We have added a Memo field that reads from the Vendor file.

PAYROLL CHECK FORMAT

The Payroll check stub can be either printed on top or bottom of the check. You also have the option to print one or two check stubs. The payroll check stub will list the current period and year to date totals and net check amount. The information is read from the PAQRTYTD file. No files are updated until you select update Payroll checks. The default values are listed on the right side of each field in the Payroll check format selected.

QUICK CHECK FORMAT

The Quick check stub can be printed either on top or bottom of the check. You also have the option to print one or two check stubs. The default values are listed on the right side of each field for the Quick check format selected.

Related Topics

Checks Used by Roughneck

Trouble Shooting Guide


Change A/R Invoice Format

A/R Invoice Format

Select File - SetUp Options - AR Invoice Format

You can designate up to 3 lines of comments to be printed at the bottom of each invoice entered through the Accounts Receivable programs and on the Accounts Receivable Monthly Statements. These comments do not apply to printing on Operating Statements.

Additionally, you can designate whether your invoice paper has your company name/address pre-printed on it, or to have the system print that information on each invoice. You also have the option to print the phone and fax number.


Change Op. Statement Format

Op. Statement Format

This program allows you to customize the Operating Statement to your specifications. Allows you flexibility to design your very own format. You may use the standard Setup for Operating Statements or change filter conditions. When expenses are netted from revenue, you may show them subtracted from the revenue on the Operating Statements.

Select File - SetUp Options - Operating Statement Format

NOTES ON OTHER OPTIONS

Take Heading off after First Page:

Operating Statements are printed in owner order beginning with page 1 for each owner. If owners Operating Statement requires more than page 1, you may want to remove the operating company's address and the owner’s address on the following pages. The company name and owners name will advance to the top after page 1 and save lots of paper when you select Y. Only the first page needs to fit the window envelope.

Print Owner Summary as Single Block:

Operating Statements print a summary of all units for each owner. There may be as many as 13 lines as a single summary block. You may want to use all the space available on the Operating Statement. When you select ‘N’ for (No) Print Owners Summary as a single block the Summary information of all units for owner will split the block and continue printing on the next page.

You may change the filters to see which format you like best. Print or display the format you select prior to printing Operating Statements. The Operating Statements will use the format you select in this program. When you select print Operating Statements from the JIB program. The format you select will be printed with the filter for Operating Statements.

Print Total Amount Received in Last 30 Days:

Another option you have is to show the Total Amount Received in Last 30 Days on your Operating Statements. This program will check A/R to see what payments have posted 30 day’s prior to your beginning transaction date you input on your filter for your Operating Statements.

Print for Suspense Owners:

You have the option to print, or not to print, for someone who is on suspense. If you select ‘Yes’ then you must print the Summary Statement under JIB then ‘Preliminary Reports’ before printing your Operating Statements. This is necessary for the program to determine who will get a statement.

Print for Minimum Check Owners:

You have the option to print, or not to print, for someone who has a Minimum Check Amount that has not been met. If you select ‘Yes’ then you must print the Summary Statement under JIB then ‘Preliminary Reports’ before printing your Operating Statements. This is necessary for the program to determine who will get a statement.

COLOR BUTTON

These advanced settings allow you to import your own Company Logo, select the banding on the headings or just have the headings print like normal text. You also have the option to change the font and banding color located around the ‘Total Amount You Receive’.

Example: You want a box around the title of the Operating Statement but don’t want it in a band that’s all black with white text. You would click on the ‘Reverse Color Button’ to turn the black band to white. If you wanted to completely remove the band, click on the ‘Title’ button located on the left-hand side.

By clicking on the ‘Heading Setup’ button, top left-hand, this will take you to a new screen starting with the Alignment. You can click on the arrows to move your Company Name, Address, Operating Statement Title, Owner Name, etc… up or down to where they meet your needs. We did this so the Operating Statements would fit into your Window envelopes.

The Style Tab will let you choose where you want the Company address to be located, right, left or center. You are also able to load your own Company Logo or image from the ‘Load Logo’ button located under ‘Company Address Left’. If you do not have a logo, or wish not to use one, you may skip the top options and move to the bottom options.


Payroll Features

Select File - Setup Options - Payroll Features

You can designate the state tax to the special deduction 1 field, make Payroll interactive to the Transaction file with debits and credits being posted upon updating and use Pretax deductions and Reimbursements. Standard general ledger numbers corresponding to the deduction are as listed in the above image.


Print Options for Posting Registers

Posting Registers Print Options

Select File - Setup Options - Register Options

Lets you dictate how and when varios posting regiters are printed.

Default settings are set not to print when posting in Accounts Payable, Accounts Receivable or the Transactions file. Changing the default values to print registers would require additional paper. If you select “Yes” print Accounts Payable, the Daily Accounts Payable Invoice Register and the Daily Accounts Payable Application Register (for manual Accounts Payable checks) will be printed. If you select “Yes” print Accounts Receivable, the Daily Accounts Receivable Invoice Register, the Accounts Receivable Daily Application Register (for manual payments), and Accounts Receivable Service Charges Application Register will print. If you select “Yes” print general ledger transactions, each debit and credit posting will be printed when entering transactions in the Transaction file.

You can print the Accounts Payable Posting Register, Accounts Receivable Posting Register and the Transactions report for specified dates and or applications at any time during the month and save lots of paper. Default setting is to print status on Accounts Payable and Accounts Receivable Posting Registers. Status is picked up from the Transaction file for period posting registers. The status is picked up from the Year to Date Transaction file for Accounts Payable and Accounts Receivable year to date posting registers.


State W/H Tax Rates

Select File - Setup Options - State Tax Withholding

This option allows you to set up for the State Tax Withholding Rate. Some states require withholding of income tax on certain payments to non-residents. You may also refer to the Owner/Customer file under ‘Tax Help’ for more information. For tax rates, please contact your state for more information.

Non-resident state tax withheld setup. Some states (i.e. California) require withholding of state tax on certain payments to non-residents. The state tax to be withheld is calculated by:

State Tax Withheld Amount =(State Tax Withholding Rate) X (Gross Income)

State tax withheld would apply to payments to vendors, and revenue income paid to owners and customers.

This option allows you to set up a State Tax Withholding Rate for the state of the Operator, not the Vendor, Owner or Customer's State of Residence. The State Tax to be withheld is computed at TAX WITHHOLDING RATE multiplied times Gross Income. However, withholding is not required if payment to a payee is less than the State Tax Withholding limit in a calendar year. Check with your State concerning the State Tax Withholding limit. States vary regarding State Tax limit; therefore the Operator is responsible for State Tax limit.

Enter State Tax Withholding Rate like 7.00 = 7 percent

State tax rate is computed at tax withholding rate X gross income. Owners and vendors may be subject to state tax withholding for a non-resident. Withhold state tax is located in the Owner and Vendor file for each owner or vendor. If the field, 'Withhold State Tax', is marked 'Y', the state tax withholding amount will be computed for this owner or vendor and stored in the field year to date state tax withheld in their Master file.

NOTES ON VENDOR STATE TAX WITHHOLD

If the vendor is marked ‘Withhold State Tax’ in the Vendor file , the rate will be computed on the gross accounts payable invoice amount when paid.

The state tax amount will be deducted from Accounts Payable gross invoice for this vendor. State tax withheld will be updated to the Vendor file when this invoice is paid. The amount of state tax withheld is stored in the Vendor file, year to date state tax withhold field. The year to date state tax withheld amount will be printed on Vendor 1099's in the block indicated for state tax.

NOTES ON OWNER STATE TAX WITHHOLD

If owner is marked withhold state tax in the Owner/Customer file, the state tax rate will be computed on all gross revenue, general ledger numbers 3xxxx for Operating Statements for this owner.

The state tax amount will be deducted from gross revenue on the Operating Statement for this owner on all wells. State tax withheld is by owner, not by well. State tax withheld will be updated by well in the DOI file to gross revenue released only if this owner is on suspense or has minimum check withheld. This amount was deducted from gross revenue as part of suspense balance or minimum check withhold amount. The amount of state tax withheld is stored in the Owner/Customer file year to date state tax withheld field. The year to date state tax withheld amount will be printed on Owner 1099's in the block for sate tax.


Change DOI Status Descriptions

DOI Status Descriptions

Select File - Setup Options - DOI Status Description

This option allows you to define the DOI status description for revenue, tax and expenses. The user-defined description will be printed on the DOI reports.

You may enter a 10-character/numeric description to define each status code for revenue status 1-8, tax status 1-8 and expense status 1-8. Your status code descriptions are not by unit they are by status. Make sure status code descriptions are universal for all statuses in the DOI file. Most operators use only 1 or 2 different status codes. An example of status code descriptions would be as follows:

Posting entries to a unit in the Accounts Payable, Accounts Receivable, Transaction file and Recurrent programs, will reflect the DOI status code description on the screen. Entering the unit number will get the default status from the Unit/Well file. General ledger numbers 71xxx-75xxx and a unit number will show status code descriptions for expense status 1-8 general ledger numbers 31xxx-35999 and a unit number will show status code descriptions for revenue status 1-8. General ledger numbers 51xxx-59xxx and a unit number will show status code descriptions for tax status 1-8. If no unit number is used for the above general ledger numbers, the status code descriptions are not displayed.


Other Settings

Select File - Setup Options - Other Settings

CARRY ADD FEATURE IN MASTER FILES

This feature speeds up entering vendors, owners, and DOI owners for the same unit and other repetitious data. This feature is not available in the Company Heading file or the Unit/Well file programs.

GL DESCRIPTION

When entering transactions, the general ledger description will be used as the default description.

RETAIN ADD ACCOUNTS PAYABLE INFORMATION

When entering Accounts Payable invoices, the previously added information will carry over to the next invoice.

DEFAULT COMPANY NUMBER

When you put a company number in this box the program will automatically put that company number in every field that required a company number. The default is company 01.


Change Key Field Settings

Key Field Settings

Select File - Setup Options - Key Field Settings

You can select to enter your Vendor, Owner/Customer, Unit, Employee or GL by number or name. For example, if you are entering an A/P invoice for Acme Oilfield Service and their Vendor number was 10000 and you had the Key Field Setting set by Name. When you add an invoice, where it asks for the Vendor Number you would start to type in Acme and it should pull up Acme Oilfield Service. If you have the Key Field Settings set by Name then you would need to type in 10000 for the Vendor number.


Printer Setup for Reports

Select File - Setup Options - Printer SetUp for Reports

Setup your printer for an Inkjet/Bubble Jet, Laser/Laser Jet, or a Dot Matrix.

COURIER NEW SETUP

You first need to select weither your using an Inkjet/Bubble Jet or Laser/Laser Jet printer. Then you can change your Font size for Regular or Wide reports. Regular report standard size is 11 and Wide reports are 7. You can select how many spaces to skip for left-hand margin. You will want to adjust this when you want to print a report and are going to bind that report in a notebook.

USE ESCAPE CODES TO PRINT 1099S, W-2 AND CHECKS

You need to use this option if you have a Dot Matrix printer. Escape Codes are mainly used for Dot Matrix printers only. Your standard settings are 15, 18 and 0. If you want to use Escape Codes for a Laser printer then you will need to select “Do you want to setup a Laser Printer for this Report”? You can select how many spaces to skip for left-hand margin. You will want to adjust this when you want to print a report and are going to bind that report in a notebook.


Passwords

Select File - Password

You can set different passwords for your Login, Master, A/P, A/R, JIB and Payroll programs. If these passwords are left blank you will not be asked for a password when entering that part of the program. A blank password equals no password.


WWW Update

Checks to see if you have the latest version of the Roughneck software.

Select File - WWW Update

This routine uses the Internet to check the Roughneck website. If you are not already connectd to the the Internet, you should manually connect to the internet, then click on the Check Now button, It will check to see if you are running the most current version.

You have two options.

If you have a direct connection (ISDN, Cable Modem, DSL, etc…) and are always connected to the Internet, then you can select the “Automatically check each time the program starts”. Each time you start Roughneck it will check our server to make sure you are running the most current version of Roughneck.

If you are not running the most current version of Roughneck, it will ask you if you would like to download the latest version. If you select ‘Yes’ then it will start to install the latest version into your program directory.

You can always download the current enhancements from Roughneck Systems website .

Related Topics

Yearly Service Policy Procedure

Submit Ideas for New Enhancements


Appendix

Appendix

More help and descriptions that doesn't fit anywhere else.

In This Section

Accounting for Dummies

Oil & Gas Business for Dummies

Frequently Asked Questions - Miscellaneous

How to use Minimum Check Amounts

How to use Net Outs

How to use Suspense

How to use PrePay's (Advances)

How to Enter Run Check when you only receive Working Interest

How to Void a Revenue Check

How to Refund a Pre-Payment (Advance)

How to Enter a Credit Invoice for Accounts Payable

How to Enter a Credit Invoice for Accounts Receivable

How to use Discounts on AP Invoices

How to Track Accounts Payable - Unit by Unit

How to use Quick Keys for Dates

Checks used by Roughneck

Government Forms

How to use the Printer Button Options

System Crash while Printing

Pressing the <ESC> key while Printing

Sanity Check for Operating Statements - Errors and Corrections

Function Keys

Accounting for Dummies

Oil and Gas for Dummies

Trouble Shooting Guide

Service Policy Procedures

Wish List


FAQ - Miscellaneous

Frequent Questions - Misc.

GENERAL QUESTIONS

WHY CAN’T I ENTER BEGINNING BALANCES INTO THE COMPANY CHART OF ACCOUNTS FILE?

Because they will not get posted to the Year to Date Transaction file. The Year to Date General Ledger is the supporting document for balances in the Company Chart of Accounts.

WHY DO I NEED TO USE THE GENERAL LEDGER IF I ONLY USE ROUGHNECK FOR JIB’S AND REVENUE DISTRIBUTION?

Both of those operations depend on the coding of GL numbers to determine what is revenue and what is an expense. You couldn’t disburse revenue and expenses and update Operating Statements without the General Ledger.

CAN I USE THE DEDUCTION FIELDS IN THE EMPLOYEE FILE FOR PRETAX DEDUCTIONS?

No, the deductions in the employee file are deductions taken out after taxes every pay period. You will need to go to File, Setup Options, and then Payroll Features and put a check mark in the ‘Use Pretax Deduction’ field. In the Employee File you can now use the Pretax Deduction field.

HOW OFTEN SHOULD I REINDEX FILES AND WHY?

You should reindex files every time you restore data, move data around, backup data, or copy data to put everything back in record order. Reindexing arranges DBF files in record order and keeps CDX files indexed properly. You cannot reindex too often, in other words if in doubt it won't hurt to Index the files.

ADVANCED ACCOUNTING TIPS & TRICKS

For expert advice on accounting you should contact your accountant, not RSI. However, here are some suggestions and possible methods for handling more advanced situations. Consult your Accountant for definitive accounting advice.

Capitalize an Expense for a Company

Question: I have and expense that was billed out to my investors, however, when printing my Company P & L statement it shows my company's portion as an expense. This is an expense that we are to Capitalize. How can I use Roughneck to Capitalize company expenses? i.e. My company uses our equipment to drill the well.

Answer: Use your Operating Statements for the company to get your share of the expense. Next you will need to create a new Asset account in the Company Chart of Accounts. Now you can make the proper Journal Entry through the Add GL Transaction. C-Expense GL, D-New Asset GL for your share of expenses. Do not specify a Unit because this will make your Unit P & L wrong.

Cash Call for a Lease Acquisition

Question: My company collected money from our investors to pay for land acquired that will eventually be drilled. We have not yet started the drilling process but my investors want a receipt to show their CPA as Capitalization during tax time. How can I provide this information?

Answer: You will need to create a new Asset account in the Company Chart of Accounts for each investor. In the Transaction File you can D-Their New Asset Account, C-GL of your choice. When it is time to use the money for drilling expenses then create a Journal Entry in Transaction File to C-Their Asset Account and D-Billable Expense.

Related Topics

Trouble Shooting Guide ~ FAQ - Setting Up Your Data ~ FAQ - Payroll ~ FAQ - Period Close ~ FAQ - Calendar Year Close ~ FAQ - Fiscal Year Close ~ FAQ - Operating Statements ~ Accounting for Dummies ~ Oil and Gas for Dummies


How to use Minimum Check Amounts

The minimum check amount feature allows you to prevent Roughneck from writing revenue checks to owners for very small amounts. Minimum check amounts are stored in the Owner/Customer file.

NOTES ON FIELDS IN OWNER FILE:

SPECIFIED MINIMUM CHECK AMOUNT: The specified minimum check amount for each owner is used when Operating Statements are processed. For example, if you set the minimum check amount to $10, and an owners revenue check was determined to be only $9.99, then the $9.99 would be placed in the owners minimum withhold balance field of the owners Master file and he would not receive a check this time. Each time you run the Operating Statements, Roughneck will check the specified minimum check amount in the Owner/Customer file. Minimum check amount does not apply to printing expenses only Operating Statements. When the amount of an owners revenue plus the amount he has in his life to date minimum withhold balance field equals or exceeds the specified minimum check amount, the minimum withhold balance is released and added to his revenue check.

A quick alternative method to assign SPECIFIED MINIMUM CHECK AMOUNT values for several Owners at a time, is to use the Tool for Assigning Owner Minimum Check Amounts .

MIN. CHECK WITHHOLD MTD BALANCE: Amount withheld from last update of Operating Statements due to minimum check amount. Used in Operating Statements for minimum check amounts by owner. The minimum withhold month to date amount is replaced each time Operating Statements are updated and current check amount is added to life to date withhold field. Detail of minimum check withhold information is stored in the file WHDINFO.DBF.

MIN. CHECK WITHHOLD LTD BALANCE: Life to date balances in withholding are due to minimum check amounts from Operating Statements. Only when the specified amount of minimum check is reached, or you specify minimum check amount is $0.00, will the minimum check withholding amount be released and life to date values will be cleared. When the life to date withheld amount reaches the specified minimum amount you requested in Operating Statements, the life to date amount is released to the owner and withhold fields are cleared. All minimum life to date balances should be released in December checks. Withhold balance is per owner, not per unit. Filter for Operating Statements allows for releasing withhold balances.

You have the option to Over-Ride the Minimum Check Amount value in the Owner File, when you Print Operating Statements.

OPERATING STATEMENTS & MINIMUM CHECK AMOUNTS

Minimum check withheld amount is by owner, not by unit. Current revenue, tax, federal backup withhold, state tax withhold, expense, prepayment, suspense release and prior balance values may be part of the Minimum Check Withhold Detail file (WHDINFO). Values are affected during the update for Operating Statements.

When you update for Operating Statements, values for current revenue and tax as part of minimum check withhold are stored in the WHIDINFO.DBF file until the owners minimum check withhold amount is released. Only expense values, federal tax withhold and or state tax withhold are updated to the DOI file when an owners revenue and tax are part of minimum check withheld amount. The GL number, 21011 or minimum check withholding is credited (instead of the cash account) during the Operating Statement Update.

When the amount stored in the minimum check amount life to date field of the Owner/Customer file , or the owner's amount of current net revenue plus prior withheld balance is greater than or equal to the specified minimum check amount, the amount in the minimum Check Amount LTD Field is released. When it is released, the GL number for Cash is Credited and the Minimum Check Withholding (GL number 21011) is debited. When the owner reaches the specified minimum check amount and that amount is released, the revenue and tax values will be updated to the DOI file to keep Government Form 1099 information correct. 1099 values for revenue and tax as part of minimum check withhold amounts are not updated to the DOI when you update Operating Statements. The 1099 values for revenue and tax are updated to the DOI file when the minimum withheld is Released. Expense values only will be updated to the DOI file if owner’s minimum check amount is withheld.

All minimum check amounts, regardless of how small the amount, should be released in the December revenue checks to coincide with owner’s Government Form 1099 information for the Calendar Year. Normally you will override the minimum check amount in the Owner/Customer file and enter zero (0) for minimum check amount in Operating Statement filter. Minimum check amount will be released for all owners & all units specified in the filter. Minimum check amount does not apply to printing expense only statements. You do not need transactions in the Transaction file to release minimum check withhold balances. Specify either revenue or both (not expenses) in Operating filter to release withheld balances.

Remember withheld balances are stored by owner, not by unit. When you print Operating Statements for Revenue or Revenue and Expenses, for all owners and all units, and minimum check amount is set to '0,' then all withheld balances will be released for all owners. Minimum check amount does not apply when you print expenses only.

A balance forward record for life to date minimum withheld amounts per owner from the Owner/Customer file will be stored in the Minimum Check Withhold Detail file (WHDINFO.DBF). See the report Detail of Minimum Check Withhold . If this withheld amount is released prior to the end of year, no update will be made in the DOI file for the balance forward record. Revenue and tax was updated to DOI when the minimum check amount was created for the balance forward record.

The balance forward record for each owner that has life to date minimum check withheld amount in the Owner/Customer file will be written as an unknown owner type in the Minimum W/H Detail file (WHDINFO.DBF). There is no detail information for this balance forward record amount. No update will be saved for an unknown owner type in the DOI file when this amount is released to prevent duplications. This method will keep all 1099 values correct for the end of year.

You should release all withheld balances in December Operating Statements to correspond to Government Form 1099 values. You should specify the minimum check amount is zero (0) and all owners having a withheld balance will be released for R=revenue or B=both, revenue and expenses. Minimum check withhold amounts will not be released if you run Operating Statements for E=expenses only. To release all owners, leave the beginning and ending owner numbers blank. To release only one owner, enter the same number as the beginning and ending owner number.

HOW DO YOU SET UP A MINIMUM CHECK AMOUNT?

Enter a minimum check amount for each owner in the Owner/Customer file.

A quick alternative method is to use the Tool for Assigning Owner Minimum Check Amounts .

You can also override this amount in the filter for printing Operating Statements (see above image). From the JIB programs, select Other Reports then print the Minimum Withheld Summary Report, to see how much money you have in these fields for all owners. Withheld balance is by owner not by unit.

How do I setup a PRIOR minimum check withholding amount, when entering Beginning Data?

If you are entering Beginning Data and a Owner already has a Minimum Check Withholding Amount, the Minimum check withhold revenue is put into the Min Check Withhold LTD value of the Owner/Customer file . Enter the dollar amount that you have withheld into this field. The next step is to Add Journal Entries . This is for the balances you have just entered (Ex: Debit 25300-Retained Earnings and Credit 21011-Min. Check Withheld). These journal entries will depend on what your CPA advises.

HOW TO RELEASE ALL MINIMUM CHECK AMOUNTS

Select JIB program print Operating Statements. Hit the Enter key for beginning and ending owner number and beginning and ending unit number. Enter ‘Y’ to override minimum check amount in Owner/Customer file & specify zero (00.00) for the minimum check amount. You do not have to have current revenue transactions for preparing statements to trigger the release effect. Minimum check amount does not apply to printing expenses only statements. Minimum check amount does apply for revenue or both. The programs will search the Owner/Customer file for all owners year to date withheld balance. Operating Statements will be printed for all owners that have a year to date minimum check withheld balance from the Owner/Customer file.

When it is released, the GL number for Cash is Credited and the Minimum Check Withholding (GL number 21011) is debited.

WHEN TO RELEASE

All minimum check amounts should be released with the last revenue checks issued in December to agree with Government Form 1099 values. If any minimum withhold amount is not released, the owner most likely has an Accounts Receivable balance that is greater than his minimum withhold balance.

HOW TO APPLY MINIMUM CHECK AMOUNTS TO ACCOUNTS RECEIVABLE INVOICES

Use the Tool to Apply Minimum Check Amounts to Accounts Receivable .

HOW DO I TRANSFER MINIMUM CHECK WITHHELD BALANCES WHEN AN OWNER HAS SOLD HIS INTEREST TO SEVERAL OWNERS?

Accounts Receivable balances and minimum check withhold amounts are not transferred when selling owners interest. You will need to contact RSI for procedures.

I RAN OPERATING STATEMENTS AND MADE THE MINIMUM CHECK WITHHELD AMOUNT $0.00. WHY DO I STILL HAVE MINIMUM CHECK AMOUNTS NOT RELEASED?

The owner most likely has an Accounts Receivable balance that is greater than his minimum check withhold balance. The minimum check withhold balance can be applied to the Accounts Receivable balance in the JIB program “Tools For Operating Statements” sub-menu.

REPORTS FOR MINIMUM CHECK AMOUNTS

To see how much money you have in the MTD and LTD fields for all owners, you can browse your Owner Master File for each individual Owner or you can print one of the reports below.

Minimum Check Withhold Summary

Minimum Check Withhold Detail


How to Use Net Out

Netouts refer to subtracting expenses and prior Accounts Receivable balances from current Revenue being disbursed, when Printing Operating Statements.

You must have your NetOut codes entered in your Owner File.

This code determines how to netout this owner when printing Operating Statements. If the netout code in the Owner/Customer file is E, only then will the DOI file be checked for netout.

C = Combine the amount owed on all units into one single balance forward due. Operating Statements will not check DOI file; the C here overrides the netout code in the DOI file.

E = Each unit has its own balance forward due. Operating Statements will check the DOI file, if netout code in DOI file is checked, then expenses and prior balance invoices for that unit will be subtracted from revenue on the unit.

N = No netout to be done for this owner. Operating Statements will not check DOI file; the N here overrides any netout code in the DOI file.

To enter the NetOut codes in the Owner file you can either go to the Owner/Customer file and enter them individually, or you can use the Quick Tool to Enter NetOut Codes for several Owners at a time.

If Owner file is coded "E", then each Unit for this particular Owner must be coded in the DOI File.

When Print Operating Statements you can OverRide the codes in the Owner and DOI file, by entering "N". However, you should nearly always enter "Y" and let the codes in the Owner and DOI files take effect.

OPERATING STATEMENTS & NET OUT

Netout is defined as subtracting the amount an owner owes you from the amount of his revenue check. Netout is the highest priority level of the other filters in the Operating Statement. You nearly always should enter "Y" and let the codes in the Owner and DOI file control this function.

If you enter ‘Y’ for netout and the owner is coded ‘E’ in the Owner/Customer file, then Roughneck looks in the DOI file to inspect each unit individually. If in the DOI file, the owner is coded ‘Y’ he is netted on that unit, otherwise he is not netted.

If you enter ‘Y’ for netout and the owner is coded ‘N’ in the Owner/Customer file, no netting will transpire for the owner.

Any prior balances due are listed automatically when you netout and reflected on the Operating Statements.

If you enter ‘N’ for netout, no netout will be saved regardless of the code in the Owner/Customer file.When you have current revenue and expenses, Owners will receive a check for revenue and owe you for expenses. Any prior balance due will reflect not netted.

During the update routine, Roughneck automatically posts a payment toward his invoices - according to netout code in the Owner/Customer file and continuing for each owner.

Related Topics

FAQ - Operating Statements


How to use Suspense

Placing an owner on suspense means that he is not to receive a revenue check for any amount as long as he is on suspense. Suspense amounts are stored in the Division of Interest file. Each time revenue statements and checks are printed, a suspense owner’s revenue amount is placed in the suspense fields of his Division of Interest record, and he does not receive a check. You must enter a beginning date for an owner on suspense.

Since the Operating Statements read from the DOI file to determine who is on suspense, the suspense action is performed on an owner by owner and unit by unit basis. This gives you a lot of flexibility in designating who is on suspense. For example, you can designate an owner to be on suspense on some units, but not on others.

NOTES ON FIELDS IN DOI FILE:

SUSPENSE: Specifies whether or not the owner is on suspense for this unit. If marked ‘Y’, revenue checks, from Operating Statements, are held in suspense and not issued to the owner until his suspense is change to ‘N’. An owner’s suspense status may be changed in the DOI file or in the JIB program on your tool bar under Tools for Statements. You may also refer to the Appendix section in Manual regarding Suspense.

SUSPENSE BEGIN: When an owner is placed on suspense, you must specify a beginning suspense date. The Non Released Suspense report can not be run without a beginning suspense date, since this date is used to gather the records from the Year to Date Transaction file.

SUSPENSE ENDING: When an owner is released from suspense the current months first transaction date less 1 day is plugged into this field. The date is used to print the Released Suspense report.

NET REVENUE IN SUSPENSE (MTD, YTD AND LTD): This is the gross amount of revenue minus (federal backup withhold amount and or state tax withhold amount if any) and the gross taxes, for the month, year to date and life to date. These fields are updated during the Operating Statement update and are triggered from the field suspense in this same DOI file. When an owner is taken off suspense, these fields are cleared and the life to date net revenue in suspense plus the life to date tax in suspense is placed in the gross revenue released year to date. You should print the Non Released Suspense report from the JIB program on your tool bar under Other Reports and compare it to Trial Balance general ledger number 21010. These totals should always agree. If an owner has federal or state tax withheld, is in suspense or has minimum check amount, the federal or state tax withheld amount will be updated to gross revenue released year to date when Operating Statements are updated. Net suspense or minimum check amount is minus federal or state tax withheld. Federal and state tax amounts will be stored in the Owner/Customer file for Government Form 1099 printing.

TAX IN SUSPENSE (MTD, YTD AND LTD): These fields reflect an owner’s tax in suspense for the month, year to date and life to date. Just like the suspense revenue fields, these fields are updated during the update for Operating Statements, and are triggered from the suspense field. When an owner is taken off of suspense, these fields are cleared and the life to date amount is added to the tax released year to date field.

HOW DO YOU SET UP AN OWNER TO BE ON SUSPENSE?

To place an owner on suspense, you only need to change his suspense field in the DOI file to a ‘Y’ and enter a Beginning Date. A quick way is to use the Tool to SetUp Owners for Suspense . When Operating Statements are updated, all revenue will be stored in the suspense revenue fields in the DOI.

TO RELEASE AN OWNER FROM SUSPENSE

Change the suspense field back to ‘N’. Do not enter an ending suspense date, Roughneck will put one there when you update your Operating Statements. When Operating Statements are printed all revenue stored in the life to date suspense revenue fields will be released to the owner automatically. If there are no transactions for the unit, the Operating Statement will be printed reflecting suspense credit released. Be sure to print revenue checks and update for Operating Statements. A debit to 21010 suspense revenue and a credit to cash will be posted in the Transactions file and the DOI file will be updated when you update for Operating Statements.

As long as an owner is on suspense, the 1099 for the owner reflects zero in year to date revenue released and year to date taxes released. An owner can be held in suspense indefinitely and will not receive a 1099 until his SUSPENSE field is N and the year to date revenue released and year to date tax released is non-zero.

APPLY NON-RELEASED SUSPENSE AMOUNTS TO ACCOUNT RECEIVABLE INVOICES

If an Owner has amounts in Suspense Revenue, you can apply those amounts to money that he owes for AR Invoices.

Use the Tool to Apply Non-Released Suspense to Accounts Receivable .

SETTING UP SUSPENSE OWNERS, WHEN ENTERING BEGINNING DATA

If you are entering beginning data, (setting up your files for the first time) there are two steps for entering suspense owners. Use the Master routine for the Division of Interest file and enter his life to date net revenue suspense balance (gross minus taxes), and his life to date tax suspense balance in the DOI file. Secondly, Transactions file, Add routine and post a debit and credit in the Transactions file for the net suspense value.

Example of Setting Up the DOI file:

Gross revenue was $160.00, and taxes (cost of sales) were $20.00. His Net Suspense should be entered as $140.00 in the life to date field. His tax suspense should be entered as $20.00 in the life to date field. When his net suspense balance of $140.00 is released, the Roughneck will add 140 plus 20 to make year to date gross revenue $160.00 and $20.00 will be reflected in his year to date taxes.

Example of Setting Up the Transactions file:

Select the Transactions file and enter a debit and credit. Credit general ledger number 21010 (Suspense Revenue), and debit a Revenue Offset Account, such as general ledger number 76xxx (the sample data has this account as 76330) for the net amount of $140.00. Some operators prefer to debit their cash account instead of the revenue offset.

REPORTS FOR SUSPENSE

Released Suspense Revenue Report

Non-Released Suspense Revenue Report

The total for Non-Released Suspense Revenue Report should equal the amount for GL Number 21010 (Suspense Revenue) in the Trial Balance report.

Why doesn't the Released Suspense Revenue Report agree with what was Released for an Owner?

The Year to Date Transaction file and the DOI files are used for this report. The beginning and ending suspense date is picked up from the DOI file. The transactions for the beginning and ending suspense dates in the DOI file are checked in the Year to Date Transaction file to locate the unit number and status used for these dates. The program looks in the DOI file for the current percentage for the owner under that status to calculate the revenue and tax amount and list the detail. If percentages for the owner have changed for the status between the beginning and ending suspense dates the Released Suspense Revenue Detail report will not reflect the same values as the original Operating Statement. The current Transaction file is not used for this report.

Related Topics

FAQ - Operating Statements


How to Enter Gross Revenue

What to do if, 100% Gross Revenue is not received by you, the operator?

Some operators only receive W.I revenue. Royalty and override revenue is disbursed to those owners by the purchaser not the operator. The W.I. owners should receive their N.R.I. for revenue of the gross revenue and taxes. Entering the net revenue received by the operator would necessitate inflating the N.R.I. percents in the DOI File for all W.I. owner’s.

Set up the DOI file for 100% expenses for W.I. owner’s. To enter gross revenue and taxes use an owner number from 99990-99999 for the total percent of all royalty and override owners disbursed to by the purchaser like 25%. W.I. owners only receive 75% (N.R.I.) of the gross revenue.

In this example, we would add owner number 99990 with the name as deleted owner or royalty and override owner’s. Add this owner in the DOI File with revenue and tax percent of 25%. This owner has no expense interest. This owner is not the company. This 25% is the balancing factor for the DOI File to equal 100%.

Suppose we have gross revenue of $1,000.00, gross severance tax of $200.00, and receive a net revenue check amount of $600.00.

In the Company Chart of Accounts file , add general ledger number 76325 with the description as revenue disbursed by purchaser. In the general ledger transaction file or run check entry post gross revenue as follows:

Credit 31010 -Oil Sales for $1000.00 (Gross Oil Sales)

Debit 51010 - Severance Tax for 200.00 (Gross Taxes)

Debit 76325 - Rev. Disbursed by Purchaser 200.00

Debit 11010 - Cash Account for net check 600.00

The above entries makes all credit and debit posting balance to the general ledger. When Operating Statements are updated , the update program will credit the cash general ledger account for $600.00, debit general ledger account 76330 (Revenue Distribution) for $600.00. This is 75% of the $1,000.00 less 200.00 taxes. No transaction is made for the hard coded owner number 99990. His share, $200.00 (25% of $1,000.00 revenue less $200.00 tax) was posted to general ledger account 76325, revenue disbursed by purchaser when you entered above transactions. If the purchaser does not withhold taxes from your revenue check, set up a payable for the taxes.

Related Topics

FAQ - Operating Statements


How to Void Revenue Check

You must have the Operating statement for the detail for the revenue check that was returned. Suppose we sent an Operating Statement of $100.00 revenue less $20.00 taxes for a net check to an investor of $80.00. The DOI File for this owner was updated by adding gross revenue released of $100.00 year to date and taxes released of $20.00 year to date. The net check of $80.00 was returned as the Investor’s address was incorrect and you don’t have a forwarding address.

To correct the files, place the owner on suspense in the DOI File . Reduce the gross revenue released by $100.00. Reduce the tax released by $20.00. Enter the net revenue suspense of $80.00 in the life to date field. Enter net tax in suspense of $20.00 in the life to date field.

In the Transaction file, make an entry to redeposit the returned check by crediting GL Number 21010 for Suspense and debit cash for the returned check of $80.00. Print the Non-released Revenue Suspense Summary report. The life to date suspense balance for this report should agree to GL number 21010 at all times. See GL Number Restrictions .

Related Topics

How to Use Suspense


How to use PrePay's

PrePayments are amounts Investors(Owners of Wells) pay in advance for services yet to be done.

How to Add PrePayments (Advances)

How to Refund a PrePayment (Advance)

How to Apply a PrePayment to Accounts Receivable Invoices

FAQ

I entered Prepay to the wrong owner. How do I correct and add to the right owner?

1. Go to your Edit Filter for Transactions (Journal Entries) and Filter for the Entry that was made. Delete the Credit and Debit side. Remember, you must Pack to permanently remove records marked for Deletion.

2. Edit your DOI Master File for that Owner on the Well, and reduce the PrePay Balance and the Original PrePay by the incorrect Prepay amount.

3. Now Re-Add the PrePay through Add PrePayments (Advances) to the correct Owner.

Related Topics

GL Number Restrictions

Oil and Gas Business for Dummies

Advanced Accounting Tips & Tricks


How to Refund a PrePayment

If you simply entered a Prepayment to the wrong Owner and need to change that, see the section in How to use PrePayments.

There are a several ways to refund a Prepayment, depending on your situation.

Refund a PrePayment Method 1

Make sure you remove the prepay balance from the DOI File since you are refunding the remaining balance of prepay funds on a well.

Method 1-A: If the prepay balance is to be applied against outstanding Accounts Receivable invoices. Remove the prepay balance from the DOI File . Print the Accounts Receivable Inquiry report to determine which invoices can be paid. Enter a JEC payment application to Accounts Receivable invoices using the remaining prepay funds. An automatic credit to general ledger 11300, Accounts Receivable will be made in the transaction file. You will debit the prepay general ledger you originally used when entering the prepay, normally 21015. The prepay report should agree with your prepay general ledger on the trial balance at all times.

Method 1-B: If the investor has no outstanding Accounts Receivable invoices and you wish to refund prepay by creating a credit Accounts Receivable invoice to be used against future expense in Operating Statements or refund the Accounts Receivable credit amount. Remove the prepay balance from the DOI File . Add an Accounts Receivable invoice for the owner in the Accounts Receivable programs. The invoice number must end in a “C” to be a credit invoice. When entering a credit invoice the debit and credit posted to the Transaction file is normally just reverse of a standard Accounts Receivable invoice. See How to Use a Credit AR Invoice for more info.

Example: JIB 15000C. An Accounts Receivable credit invoice will automatically credit general ledger 11300 and you should debit the original prepay account general ledger number used when prepay was received (normally general ledger 21015). If you netout in the Operating Statements, the balance of the credit Accounts Receivable invoice will be a credit prior balance brought forward on the Operating Statement.

Refund a PrePayment Method 2

Make sure you remove the prepay balance from the DOI File since you are refunding the remaining balance of prepay funds on a well.

Method 2-A: Add the owner in the Vendor file . Add an Invoice in the Accounts Payable programs for the amount of prepay to be refunded. Accounts Payable; general ledger 21000 will be automatically credited for adding an invoice. You will debit the prepay general ledger you originally used when you received the prepay funds, normally 21015. When you pay the Vendor’s check, general ledger 21000 will be debited and cash will be credited. See GL Number Restrictions .

Method 2-B: You can use the Quick Check function. When creating a Quick Check you will Credit your bank G/L number and when asked for an Expense account, you will use the original G/L number you used when you added the Prepay. Then follow along entering in the requested fields until you come to the amount. Here you will put the Prepay amount you want to refund. After printing the check you will be asked ‘Save to Transaction File’ and you should say Yes. This will make the required entry to your Transaction file (General Ledger). After you complete the Quick Check you will need to go to the DOI File and find this person on the corresponding unit and manually Edit the ‘Prepay Remaining’ box.

Related Topics

How to use PrePayments


How to use a Credit Invoice for A/P

Credit Invoice for A/P

Credit invoices are entered the same as entering normal AP Invoices , except with a C’’ as the last character of the invoice number. When entering a credit invoice the debit and credit posted to the Transaction file is normally just reverse of a standard invoice. The general ledger number asked of you by the system will be credited (normally an expense account) and Accounts Payable will be debited.

You can only issue a JEC or JED to a credit invoice manually. However, when preparing computer checks for a vendor and you select the pay all option, credit invoices are used. The amount of the credit invoice is subtracted from the total balance due and a check is prepared for the net amount. Do not enter negative amounts.

Note: Roughneck can not create a rental or service credit invoice. If the invoice needs to be deducted from their 1099 values you will need to do this manually. The adjustments will need to be made in the vendor file under 1099 rental or 1099 service.

Related Topics

Enter AP Invoices


How to use a Credit Invoice for A/R

Credit Invoice for A/R

Enter credit invoices as a normal Invoice, except with a last character of ‘C’ and when entering them the debits and credits are just reversed. The general ledger number asked of you by the system will be debited (normally the cash account (10xxx-11299) and Accounts Receivable will be credited. Normally Accounts Receivable credit invoices are set up when an owner overpays his Accounts Receivable invoices or you owe him money.

You can only issue a JEC or JED to a credit invoice manually. However, Operating Statements will access them in determining the balance due of a netout owner, decreasing the amount due by the amount of the credit invoice, and issuing a pay applications to make the balance of the credit invoice equal to zero. Do not enter negative amounts.

If an owner in the Owner/Customer file for netout is defined as ‘C’ (combine balance for netout) or ‘E’ (each unit is netted individually) and he only has a credit Accounts Receivable invoice, a check will be issued when Operating Statements are ran. If you do not wish to refund a credit to the owner, change is netout to ‘N’ for no netout in the Owner/Customer file. The credit invoice will be held until he has positive invoices and will be applied toward the positive invoices.

Related Topics

Enter AR Invoices


How to use Discounts for A/P

Discounts for A/P

Discounts never show on Operating Statements to the Investors. When entering invoices, you are asked for a discount amount and a discount date. If when paying the invoice, your specified pay date is within range of the discount date, the discount will be taken for you, automatically. Otherwise, to take a discount, when paying invoices, you must call up individually the invoices for which you want to take a discount, apply the discount amount then pay the remainder. Discounts always result in a credit to Discount Income (general ledger number 44444) and a debit to Accounts Payable.

Related Topics

Enter AP Invoices


How to Track A/P Unit by Unit

Tracking A/P Unit by Unit

To track Accounts Payable on a unit by unit basis, you must input a separate invoice for each unit. Most invoices that come from vendors are not broken out in this manner. However, if you do input invoices on a unit basis, you can receive all Accounts Payable reports on a unit basis.

Most operators don't track Accounts Payable on a unit by unit basis since it requires more diskspace and more time to input the data. Since most vendors don't break out the invoices on a unit basis, you must invent an invoice number for each invoice. All references (reports and payments) will then refer to the invented invoice numbers. If you do elect to enter one unit per invoice, the system will track it just fine, giving you even more detail in Accounts Payable.

Invoices from vendors often contain more than one line item of charges, and each line item may be for a different unit. As you enter each line item an expense debit for the referenced unit is added to the Transaction file. When you have finished entering all line-items a credit to Accounts Payable for the total amount of the invoice is added to the Transaction file and the invoice itself (reflecting the total amount for all line-items and units) is added to the APDET file. This works just fine for Operating Statements (line items for each unit can be billed to Investors). However, when you print an Accounts Payable Inquiry report, only the total invoice amount is listed (not a line by line listing for each unit). This is the normal method used by nearly all operators.

If you want to see an Accounts Payable Inquiry report, showing the obligations of each unit (rather than just invoice totals) it requires more entry time and a lot more diskspace. This method requires you to enter only one unit per invoice. This will cause each invoice to contain only the amount for one unit. Additionally, since each invoice number must be unique for each vendor, and if your vendor does not invoice you with only one unit on a single invoice, you must assign a different invoice number for each unit. Therefore, tracking Accounts Payable by unit is not the normal method, because the benefit gained (Accounts Payable Inquiry Report by Unit) usually does not merit the time it takes to enter invoices in that fashion nor the increased disk storage needed.


Quick Key Dates

You can use a letter of the alphabet to quickly insert a date. This makes keying in a date faster. Instead of typing out the full month date and year you can just hit a letter to type it out automatically.

T = Today Y = Beginning of the year

M = Beginning of the month + = Up one day

H = End of the month - = Down one day

R = End of the year


Checks Used by Roughneck

The Change Check Format setup routine allows you to change the location of line printing on your check format and to select the printer used for printing checks. The printer you use for reports must also agree with the check format printer for checks. You may order checks from your bank or other companies that sell checks.

All modules in the Roughneck that print checks, can use either continuous checks with blank stubs or laser checks with blank stubs. These are standard check formats and many of our clients have received good prices and service for all of their computer checks and forms (1099's, checks, W-2's, etc...) from:

Nelco

Attn: Bill Wells

2480 Walker Ave. NW

Grand Rapids, MI 49544

800-266-4669, X. 4282

bwells@nelcosolutions.com

or

Accent Business Products

3311 Deer Trail

Georgetown, Tx 78628

512-869-7926

fax: 512-869-7926

Ask for Roughneck Customer Service. They are familiar with the checks and forms used by Roughneck. If you need additional assistance, give us a call.

Refer to the end of the manual for examples of a continuous standard check format for dot matrix printers and a laser check. You may print a sample of each check format from the Setup Options program under File on your tool bar.


Government Forms

From Wikipedia, the free encyclopedia

1099 refers to a United States tax form used for, among other purposes, reporting payments made to independent contractors. The ubiquity of the form has also lead to slang use of the phrase '1099' to refer to the contractors themselves.

1099s and Taxes

This is a government form used to track payments made to people and companies. 1099's are normally for paying Vendors, but can also be used for paying Employee's. When a person is paid on the form, 1099-misc, all money earned by the individual is paid on an untaxed basis. It is then the responsibility of the individual to file and pay the appropriate taxes. These taxes can be owed to Federal, State and Local governments. Workers compensation and unemployment issues also must be addressed independently. The form is submitted at the end of the calendar year.

W-2s and Taxes

This is a government form used to track payments made to Employee's. When a person is paid on the form W-2, the employer automatically withholds and pays all of the necessary employee income taxes as required by the IRS. These taxes include: Federal Income Tax, State Income Tax, and FICA (Social Security and Medicare). In addition, the employer will pay all of the necessary employer taxes. These taxes include: FICA (Social Security and Medicare), FUTA (Federal Unemployment Tax), and SUI (State Unemployment Tax). The form is submitted at the end of the calendar year.

The IRS and Taxes

In recent years, the IRS has begun to realize the large sums of potential tax revenue they are losing due to misclassified 1099 independent contractors who should legally be W-2 employees. When a company pays a contractor on a 1099-misc form, they avoid the following: federal and state tax withholdings, deposits and reports, the employer’s share of Social Security and Medicare taxes, state and federal unemployment insurance premiums, state disability insurance premiums, Workers’ Compensation costs, fringe benefits, vicarious liability for employee negligence, and EEOC regulations. The IRS estimates that it loses between $4 to $20 billion per year in unpaid taxes as a result of this misclassification problem. Understandably, the IRS has made it a priority to investigate 1099-misc forms that are turned in at the end of the tax year.

Related Topics

Forms for Calendar Year End

Government Forms

Official IRS Website for Information on Government Forms


How to use the Printer Button/Icon

Printer Button/Icon

To Print a Master File, you normally set the Filter, then click the Printer Button.

Clicking the Printer Button produces the above display.

From here you can select

which of your Printers you want to use,

whether to Print(to paper), Display on Screen, or Print the Report to a File

How many copies of the report to Print.

PRINT

Selecting this option will print the report to paper. It will use the printer you have selected and print the number of copies you selected.

DISPLAY

Let's you Preview the Report.

FILE

This feature stores reports in your current data directory for future printing or viewing.

See also Print a Report that was saved to a File .

You must check the File box and enter a name for the Report.

Filenames:

All file reports must have the last extension code name of REP for report. Assign a file name to the report that is easy to identify for future printing or viewing. A good name for the P & L report could be DECPL.REP. The file name of the report would represent the December P & L report. The file name DECPL.REP is stored in your data directory just like DBF and CDX files.

Related Topics

Printer SetUp for Reports

Check Formats

AR Invoice Format

Operating Statement Format

Print Options for Posting Registers

Print a Report that was saved to a File

Print Setup for Page Ranges


Crash While Printing

WHAT IF YOUR PRINTER BREAKS WHILE PRINTING OPERATING STATEMENTS?

No master files are updated during printing of Operating Statements. However, data is stored in two temporary files (REVTOTAL AND REVSTUB) that are used to update the files when you run the update.

Therefore, if your printer should break during this long print process you can go back and re-print them beginning with any owner number. (Statements are printed in owner sequence.) You don't have to print all of them again. Do not print checks or update until all statements and checks have been printed for all owners.

Select Print Operating Statements again. Roughneck prompts you that you did not update for the last time you printed the statements, from there, select “CLEAR Temporary File Without Updating”, then begin printing again with the desired beginning owner number you did not get statements for the first time you printed. Hit the return key for the ending owner number to print all remaining statements. After printing is complete for the remaining owners, you must “Clear Temporary File” that was created only for those owners. Select Operating Statements again and PREVIEW FOR ALL OWNERS to prepare the temporary files that must be used in the update for Operating Statements.

Previewing is quicker than printing and prepares the temporary files the same as printing. When previewing, be sure to use the same filtering conditions, as when you originally tried to print the statements, or else you will prepare incorrect temporary update data.

WHAT IF YOUR PRINTER BREAKS DURING REVENUE CHECK PRINTING?

Re-print the checks again specifying a beginning owner number (checks are printed in owner number sequence). When printing is complete you do not need to display all the checks again, like you do for Operating Statements.

Be sure to use the same filtering conditions, for re-printing, other than beginning owner number, or else you could prepare an incorrect temporary update file. However, the check numbers are stored in the two temporary files (REVTOTAL AND REVSTUB) that were created when you printed the Operating Statements. These two files and the detail information for minimum check withhold amount (WHDINFO.DBF) will be used to update the files when you run the update for Operating Statements.

No master files are updated during printing of the checks, therefore, if your printer fails during printing you can print them again beginning with any owner. Print checks for all owners before updating. Once the checks are printed, and they are physically out of the printer, the program will ask you whether you want to print checks again. The escape key and enter key have been disabled during check printing in case of printer problems. If you need to select 'Yes' and print checks again, if not select 'No' and the program prompts a message asking if you would like to print the check register. Normally you should always print a Check Register for a list of the checks issued.

SYSTEM CRASHES WHILE PRINTING A/P CHECKS

It occurs when operator is printing A/P checks and during the print job their system crashes. When they get back into system, try to re-print checks they get this message:

Index does not match the table. Delete the index file and re-create the index.

The user needs to hit Ignore or Cancel through all errors until main Roughneck screen appears. Write down name of data directory, exit out of program. Right click on Start button, click on Explore. Locate data directory folder on left side of screen. Click one time on folder. All files will now be on right side of screen. Locate all CDX files and delete only CDX files. Close out of Explore and open Roughneck. You will get errors, but either hit Cancel or Ignore through each one until you get back to main Roughneck screen. You will need to Re-Index all your files - Click on Utilities, Data Maint, Index, Index All. Now you are good to go!

Related Topics

Trouble Shooting Guide


Pressed <ESC> While Printing

If you press the <ESC> key during printing/previewing Operating Statements you have two options:

  1. Exit printing statements and delete temp files
  2. Continue with printing statements

If you select to exit, then all data is deleted in the temporary files and the program returns to the main screen.


Print Setup for Page Ranges

In the Print Setup, when printing a report, you have the option to print all pages or specific page ranges. This option is helpful when printing a lengthy report and you only need one page.

EXAMPLE: Your printer faulted, when printing a 20-page P&L report, on page 18. All you have to do now is on your print setup filter select print, then page range and in the ‘From’ box put in 18 and the ‘To’ box put 20 (since page 1 – 17 printed OK). Only page 18 – 20 of your P&L will now print.


Sanity Check for Op. Statements

After you click Print on the Op. Statement Filter, the system performs an automatic check of your data files to look for the most common possible errors in your data.

WHAT THE SANITY CHECK DOES

Checks DOI file to make sure all status percents total to 100%.

Verifies that all owners and units exist in the DOI file, in the Owner/Customer and Unit/Well files.

Checks the beginning suspense date for owners that are currently in suspense.

Checks if specified units and owners have already been updated for the specified transaction dates. Prevents duplicate updates.

If the sanity check fails, you will receive a printout of failure codes and the necessary corrective action. Be sure to read the failure code carefully and perform the suggested corrective action.

FAILURE CODES and CORRECTIVE ACTION:

1. The owner has just been released from suspense, but does not have a beginning suspense date in the DOI file. I cannot print the Released Suspense Detail report, since it recaps all transactions from beginning suspense date to the ending suspense date. To correct, use ‘Owners on Suspense' from the Tools for Operating Statements program under JIB menu on your tool bar and enter a beginning suspense date. Suspense dates are cleared after printing the report to avoid conflict with future suspense dates, therefore, to reprint the report a second time, you will need to re-enter the dates.

2. The owner is coded as being on suspense in the DOI file, but has no beginning suspense date entered there. I cannot print the 'Non-Release Suspense Detail’ report, since it recaps all transaction from beginning suspense date to the ending suspense date. To correct, use ‘Owners on Suspense' from the Tools for Operating Statements program under JIB on your tool bar and enter a beginning suspense date. Suspense dates are cleared after printing the report to avoid conflict with future suspense dates, therefore, to reprint the report a second time, you will need to re-enter the dates.

3. WARNING…OWNER FOUND IN DOI FILE BUT NOT FOUND IN OWNER/CUSTOMER FILE. You must add the owner to the Owner/Customer file. Be sure to check the company number, because you may have the owner assigned to an incorrect company number.

4. WARNING…UNIT FOUND IN DOI FILE BUT NOT FOUND IN UNIT/WELL FILE. If the unit is not used on this set of Operating Statements, you may ignore the warning. Otherwise, you must add the unit to the Unit/Well File. Be sure to check the company number, because you may have the owner assigned to an incorrect company number.

5. WARNING…DOUBLE UPDATE. Expenses have already been updated for the beginning transaction date, owner and unit range specified in the filter. This beginning transaction date must be greater than the ending date of the last update (expenses) shown above for this owner & unit range. You should not continue unless you're trying to make an adjustment to the last update.

6. WARNING…DOUBLE UPDATE. Revenue has already been updated for the beginning transaction date, owner and unit range specified in the filter. This beginning transaction date must be greater than the ending date of the last update (revenue) shown above for this owner & unit range. You should not continue unless you're trying to make an adjustment to the last update.

7. WARNING…DOUBLE UPDATE. Revenue and expenses have already been updated for the beginning transaction date, owner and unit range specified in the filter. This beginning transaction date must be greater than the ending date of the last update (revenue & expenses) shown above for this owner & unit range. You should not continue unless you're trying to make an adjustment to the last update.


Function Keys

Function keys F1and F5 are accessible.

F1 = Help To locate specific information in the manual for the topic selected.

F5 = Allows you to search fields in any file. The Search Options tab allows you to choose what file and field you want to search in. The Index tab allows you to type in the value you are searching for and it will display the found data in the area below. You are able to scroll from left to right and up and down to view all of the fields in the data file.


Accounting for Dummies

ACCOUNTING FOR DUMMIES

The Roughneck is a fully loaded Accounting System for Oil and Gas Operators. Oil and Gas Accounting is a bit more complex than normal accounting. An Oil and Gas company has a special need to disburse some of the Revenue it receives to Investors and to Bill Investors for some of the Expenses. Additionaly, there can be many variations on the Operators Partnership agreements.

Therefore, there are a few things about Accounting you need to understand in order to operate the accounting principles of Roughneck.

Accounting revolves around a General Ledger system. Every entry requires both a Debit and a Credit to the General Ledger. Further, all debits must equal all credits. If they don't, the entry is out of balance. That's not good. Out-of-balance entries throw your balance sheet out of balance.

General Ledger Account Types

The following are the types of accounts used by Roughneck.

Assets

Stuff you own. Buildings, Equipment, Cash Accounts (Checking Accounts), Accounts Receivable

Liabilities

Stuff you owe. Accounts Payable

Equities

Difference between what you own(Assets) and what you owe(Liabilities)

Revenue Sales

Oil or Gas Revenue Income. Posting to these will cause the Revenue to be disbursed to Investors when you print Operating Statements. Rougneck uses 2 kinds of Income Accounts. Revenue Sales = for Income that will be disbursed to Investors during printing of the Operating Statements. Other Income = for Income that will not be disbursed to Investors

Other Income

Income not disbursed to Investors during printing of Operating Statements

Taxes/Deductions

These are deducted from Revenue Sales on the Operating Statements

Expenses

Stuff you buy, some of it is Billed to Investors on Operating Statements and some of it is not. In Roughneck, you have 2 different Categories of Expenses - Billable to Investors and Non-Billable. Which account you use will determine whether or not the Expense will be billed to the Investors on the Operating Statements.

Related Topic

GL Number Restrictions

Debits and Credits - A General Ledger Transaction

Every entry requires both a Debit and a Credit. Further, all debits must equal all credits. If they don't, the entry is out of balance. That's not good. Out-of-balance entries throw your balance sheet out of balance.

Depending on what type of account you are dealing with, a debit or credit will either increase or decrease the account balance.

For every increase in one account, there is an opposite (and equal) decrease in another. That's what keeps the entry in balance.

Debits and Credits vs. Account Types

Account Debit Credit
Assets Increases Decreases
Liabilities Decreases Increases
Income Decreases Increases
Expenses Increases Decreases

Example of a Credit Sale (a sale for which buyer did not pay cash)

Debit - Accounts Receivable (Asset)

Credit - either Revenue Sales Income or Other Income

Example of entering a Payment for the Credit Sale above (the buyer now pays cash for item purchased)

Debit - Cash in your bank account (Asset)

Credit - Accounts Receivable (Asset)

Example of a Cash Sale (you sold something and received cash)

Debit - Cash in your bank account (Asset)

Credit - Sales Income (Income)

Example of Receiving a Run Check that will be disbursed to Investors

Debit - Cash for Net Check Amount (Gross - Taxes)

Credit - Oil Sales for Gross Amount

Credit - State Tax for State Tax Amount

Credit - Severance Tax for Severance Tax Amount

Example of Receiving a Payment from Investors

Debit - Cash

Credit - Accounts Receivable

Example of buying something on Credit (you did not pay cash)

Debit - Expense

Credit - Accounts Payable

Example of paying cash for something you bought on Credit

Debit - Accounts Payable

Credit - Cash

Example of a Cash Purchase

Debit - Expense

Credit - Cash

How to enter debits and credits and where do they go?

Debits and Credits for General Journal Entries (Transactions that don't pertain to Accounts Payable or Accounts Receivable) are entered using the Enter Journal Entries into the monthly Transaction file.

Debits and Credits for Accounts Payable and Accounts Receivables are normally entered through their respective routines, but their debits and credits are automatically added to the monthly Transaction file.

The monthly Transaction file contains every debit and credit made for the month.

Assets, Liabilities and Equity

These accounts are used to print the Balance sheet. When we set up your chart of accounts, there will be separate sections and numbering schemes for the assets and liabilities that make up the balance sheet.

Identifying assets

Simply stated, assets are those things of value that your company owns. The cash in your bank account is an asset. So is the company car you drive. Assets are the objects, rights and claims owned by and having value for the company.

Since your company has a right to the future collection of money, accounts receivable are an asset-probably a major asset, at that. The machinery you own is also an asset. If your company owns real estate or other tangible property, those are considered assets as well. If you were a bank, the loans you make would be considered assets since they represent a right of future collection.

There may also be intangible assets owned by your company. Patents, the exclusive right to use a trademark, and goodwill from the acquisition of another company are such intangible assets. Their value can be somewhat hazy.

Increase assets with a debit and decrease them with a credit. Increase liabilities with a credit and decrease them with a debit.

Debits Increase

Credits Decrease

Identifying liabilities

Think of liabilities as the opposite of assets. These are the obligations of one company to another. Accounts payable are liabilities, since they represent your company's future duty to pay a vendor. So is the loan you took from your bank. If you were a bank, your customer's deposits would be a liability, since they represent future claims against the bank.

We segregate liabilities into short-term and long-term categories on the balance sheet. This division is nothing more than separating those liabilities scheduled for payment within the next accounting period (usually the next twelve months) from those not to be paid until later. We often separate debt like this. It gives readers a clearer picture of how much the company owes and when.

Debits Decrease

Credits Increase

Equity

After the liability section in both the chart of accounts and the balance sheet comes owners' equity. This is the difference between assets and liabilities. Hopefully, it's positive-assets exceed liabilities and we have a positive owners' equity. In this section we'll put in things like

Partners' capital accounts

Stock

Retained earnings

Owners' equity is increased and decreased just like a liability:

Debits decrease

Credits increase

Most automated accounting systems require identification of the retained earnings account. By the way, retained earnings are the accumulated profits from prior years. At the end of one accounting year, all the income and expense accounts are netted against one another, and a single number (profit or loss for the year) is moved into the retained earnings account. This is what belongs to the company's owners-that's why it's in the owners' equity section. The income and expense accounts go to zero. That's how we're able to begin the new year with a clean slate against which to track income and expense.

The balance sheet, on the other hand, does not get zeroed out at year-end. The balance in each asset, liability, and owners' equity account rolls into the next year. So the ending balance of one year becomes the beginning balance of the next.

Think of the balance sheet as today's snapshot of the assets and liabilities the company has acquired since the first day of business. The income statement, in contrast, is a summation of the income and expenses from the first day of this accounting period (probably from the beginning of this fiscal year).

Income and Expenses

These accounts are used to calculate Profit and Loss Statements. Further down in the chart of accounts (usually after the owners' equity section) come the income and expense accounts. Most companies want to keep track of just where they get income and where it goes, and these accounts tell you.

Income accounts

If you have several lines of business, you'll probably want to establish an income account for each. In that way, you can identify exactly where your income is coming from. Adding them together yields total revenue.

Typical income accounts would be

Sales revenue from product A

Sales revenue from product B (and so on for each product you want to track)

Interest income

Income from sale of assets

Consulting income

Because of the special need for an Oil and Gas company to disburse some of the Revenue it receives to Investors, Roughneck has 2 basic categories for Income. Revenue Sales = for Income that will be disbursed to Investors during printing of the Operating Statements. Other Income = for Income that will not be disbursed to Investors

Revenue Sales

Oil or Gas Revenue Income. Posting to these will cause the Revenue to be disbursed to Investors when you print Operating Statements.

Other Income

Income not disbursed to Investors during printing of Operating Statements

Most companies have only a few income accounts. That's really the way you want it. Too many accounts are a burden for the accounting department and probably don't tell management what it wants to know. Nevertheless, if there's a source of income you want to track, create an account for it in the chart of accounts and use it.

For income accounts, use credits to increase them and debits to decrease them.

Debits decrease

Credits increase

Expense accounts

Most companies have a separate account for each type of expense they incur. Your company probably incurs pretty much the same expenses month after month, so once they are established, the expense accounts won't vary much from month to month. Typical expense accounts include

Salaries and wages

Telephone

Electric utilities

Repairs

Maintenance

Depreciation

Amortization

Interest

Rent

Because of the special need for an Oil and Gas company to Bill Investors for some of the Expenses, Roughneck has 2 basic categories for Expenses.

Billable Expenses

These expenses will be Billed to the Investors when you print Operating Statements.

Non-Billable Expenses

These expenses will NOT be Billed to the Investors.

For expense accounts, use debits to increase them and credits to decrease them.

Debits increase

Credits decrease

Related Topics

GL Number Restrictions

Oil and Gas Business for Dummies

Advanced Accounting Tips & Tricks


Oil and Gas for Dummies

This is a simple explanation of the elementary principle phases of the Oil and Gas business as far as using the Roughneck for the Accounting of the business.

The Operator finds a place he would like to drill a well

Somehow the Operator finds a spot he thinks is likely to produce oil or gas.

The Operator Leases the Land

The Operator locates the Owners of the Land and arranges to Lease the Land for purposes of drilling a well. This arrangement may require the Operator to pay the Owners a monthly fee, plus an arrangement is made to pay them a percentage of the proceeds of the revenue generated when the well starts producing oil or gas.

Forms a Partnership

Since the cost of drilling a well is quite expensive, the Operator decides to raise some money from Investors to help defray the costs. For example, the Operator projects the well will cost $300,000 to drill. He decides to solicit 30 Investors at $10,000 each.

Investors Send Money

Each Investor can send his entire $10,000, or it might be constructed such that each Investor sends $5,000 and will be billed the remainder as expenses are acquired.

Begins Drilling the Well

As the Operator begins to drill the well, he begins to acquire Expenses - Invoices are sent to the Operator. These Expenses need to be Billed to each Investor for his fair share.

Well Begins to Produce Oil or Gas

Now that the Well is producing oil or gas, the Operator begins to sell the product to a Purchaser. The Purchaser send the Operator a Run Check periodically(monthly). This revenue needs to be disbursed to each Investor for his fair share.

End Result

We will assume that you have already added Your Company Heading and it's Own Chart of Accounts to Roughneck.

In the end, we wind up with a new Producing Well that has many owners.

Royalty Owner - the folks that Own the Mineral Rights to the Land - usually does not pay expenses but receives Revenue

Over Ride Owner - like a Royalty Owner but he does not own the Mineral Rights - usually does not pay expenses but receives Revenue

Working Interest Owner - Pays Expenses and Receives Revenue

This well will be added to the Unit/Well File .

Each Investor will be added to the Owner/Customer File .

Each Investor will be added to the Division of Interest File - listing his fair share of Expenses and Revenue for the Well.

A Chart of Accounts for the Well will be Copied from another well and used to track Expenses and Revenue for the Well.

You are now ready to start entering Expenses and Revenue for the New Well.

Related Topics

Accounting for Dummies


Trouble Shooting Guide

When I print the A/P checks it will always print a blank check / page for the first one and then the second check it will drop a few spaces before printing information, but after that it will print fine.

Try switching to your test data directory ( Data Directory Change ), C:\rplate\pedata to see if problem occurs there as well. If so, try switching your printer settings to print from Back to Front or to Front to Back. If you don't have this option after navigating the screen, try the setting 'Reverse Order'. To get to your printer settings, you must first close Roughneck, click on your Start Button located at bottom left of your screen, go to Settings then to Printers. From here, locate your printer and Right click on it. Now click the option: Printer Preferences.

Why does a blank page print after each revenue check prints.

In the Revenue Check Settings the Total Lines on Stub Portion are set too high. Set it back to 42 and reprint your check. If it does not align correctly you will need to go back to the Check Settings and toggle your options to get a good check.

Error 36:

Command contains unrecognized phrase/keyword

Look at the very top of your Roughneck screen to see your Data Directory. If it has any spaces in the name, this will cause the error. Taking the Spaces out of the Data Directory name will fix this. To do so, you need to write down the name of directory to locate it later on. Now we will change to the sample data directory (this will prevent errors later on). Click on Utilities, Data Directory Change , click one time on the plus sign next to your C:. Locate the folder called Rplate and click one time on the plus sign. Locate the folder called Pedata and click on the actual word. Now click OK and click 'Change to Directory'. Close completely out of Roughneck. Right click on your Start Button at bottom left of screen and click on Explore. On left hand side locate your Data Directory that you wrote down previously. Click one time on the word, to highlight it. Now click on File (located at top of screen on your Tool Bar) and select 'Rename'. Now you can take out the spaces in the name. Close out of Explore, open up Roughneck, Click on Utilities, Data Directory Change , click one time on the plus sign next to your C:. Locate your data directory and click one time on it, click OK and Change To Directory. Now you should be good to go!

Error:

Index does not match the table. Delete the index file and re-create the index.

This can occur after a System Crash.

You need to hit Ignore or Cancel through all errors until main Roughneck screen appears. Write down name of data directory, exit out of program. Right click on Start button, click on Explore. Locate data directory folder on left side of screen. Click one time on folder. All files will now be on right side of screen. Locate all CDX files and delete only CDX files. Close out of Explore and open Roughneck. You will get errors, but either hit Cancel or Ignore through each one until you get back to main Roughneck screen. You will need to Re-Index all your files - Click on Utilities, Data Maint, Index, Index All. Now you are good to go!

ERROR: Variable Not Found.

Need to run the Expand program under Utilities, Data Tools, on the data directory you are using. Sometimes the Enhancements from RSI add new variables to the data files. The EXPAND program normally checks your data directory each time Enhancements are loaded. But you may not have specified this particular data directory.

ERROR: File Not Found.

You have deleted a file. Copy current data to C:\RPLATEBAK directory (so you will have a copy just in case), restore data from last backup, Index and try again.

ERROR: Record not found or Record out of Range.

Index file doesn't match the data file. Use Utilities program and Index all data files. Be sure to Reindex after each restore.

ERROR: Incorrect Record accessed when accessing data.

Index file doesn't match the data file. Use Utilities program and Index all data files. Be sure to Reindex after each restore.

Related Topics

Crash while Printing ~ Pressed <Esc> while Printing ~ FAQ - Setting up your Own Data ~ FAQ - Payroll ~ FAQ - Close a Period ~ FAQ - Close a Calendar Year ~ FAQ - Close a Fiscal Year ~ FAQ - Misc. ~ FAQ - Operating Statements


Yearly Service Policy Procedure

All customers must participate in the Service Policy to receive updates and enhancements. Updates and Enhancements to Roughneck are released once a year at the end of December to all current enhancement policyholders. Please do not return your original Roughneck Platinum Edition CD at the end of December of each year to receive the yearly enhancements. Current policyholders can download the yearly Government Form 1099, W-2 and any other required I.R.S. end-of-year changes at the end of December of each year. If you need the payroll tax table for the New Year before receiving the December enhancements from us, you can do one of the following.

Install the New Payroll Tax Table yourself.

Download it from the Roughneck web site .

Fax RSI a request at 972-552-9623 with your fax number and we will fax it back to you.

RSI welcomes your suggestions for the Wish List enhancements . All suggestions are evaluated to determine if they will be beneficial to the majority of Roughneck users. Naturally the more requests for a particular item, the greater we think the demand. Thanks to all of you that participate in the Service Policy, the developmental cost for programming, testing, debugging, etc..., can be kept to a minimum. Only those that participate in the Service Policy, receive the reduced rates.

Latest Enhancements can be downloaded from the Roughneck web site or you can use WWW Update routine to check and automatically install them.

Related Topics

Wish List enhancements

Check and Install Latest Enhancements


Register Software

Q: I am trying to register my software. How do I do this?

Click on File at the top left in Roughneck. Go down to 'Register Software' and click it, then click on

'Step 1' and 'Get Registration Information'. From here you have the option to enter in a return email address if you have internet access. If you do not have internet access, you will need to write down the information located on the screen exactly as you see it, then fax it to Roughneck at 972-552-9623.

Once we receive the information (via email or fax) we will generate a code and send it back to you. Then you can go back to 'Register Software' and go directly to

'Step 2' and plug in the Code. After you have successfully registered, exit completely out of Roughneck, come back in and you are fully registered!

Related Topics

Wish List enhancements ~ Check and Install Latest Enhancements ~ Yearly Service Policy


Wish List

Your ideas help make things better for everybody on the Service Policy. All customers must participate in the Service Policy to receive updates and enhancements. Updates and Enhancements to Roughneck are released once a year at the end of December to all current enhancement policyholders.

Go to our website to Make a Wish enter an item on the Wish List. Please list at least one suggestion you would like as a future enhancement. (New report, New way of getting some report, quicker or better way of entering data, etc... )

Related Topics

Yearly Service Policy Procedure

Check and Install Latest Enhancements